//
// $Id: cv.cpp 2186 2010-08-13 18:18:58Z cpaulse $
//
//
// Darren Kessner <darren@proteowizard.org>
//
// Copyright 2007 Spielberg Family Center for Applied Proteomics
//   Cedars-Sinai Medical Center, Los Angeles, California  90048
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// This file was generated by cvgen.
//


#define PWIZ_SOURCE

#include "cv.hpp"
#include "pwiz/utility/misc/String.hpp"
#include "pwiz/utility/misc/Container.hpp"
#include "pwiz/utility/misc/Exception.hpp"
#include "boost/utility/singleton.hpp"


namespace pwiz {
namespace cv {


namespace {


struct TermInfo
{
    CVID cvid;
    const char* id;
    const char* name;
    const char* def;
    bool isObsolete;
};


const TermInfo termInfos_[] =
{
    {CVID_Unknown, "??:0000000", "CVID_Unknown", "CVID_Unknown", false},
    {MS_Proteomics_Standards_Initiative_Mass_Spectrometry_Vocabularies, "MS:0000000", "Proteomics Standards Initiative Mass Spectrometry Vocabularies", "Proteomics Standards Initiative Mass Spectrometry Vocabularies.", false},
    {MS_sample_number, "MS:1000001", "sample number", "A reference number relevant to the sample under study.", false},
    {MS_sample_name, "MS:1000002", "sample name", "A reference string relevant to the sample under study.", false},
    {MS_sample_state, "MS:1000003", "sample state", "The chemical phase of a pure sample, or the state of a mixed sample.", false},
    {MS_sample_mass, "MS:1000004", "sample mass", "Total mass of sample used.", false},
    {MS_sample_volume, "MS:1000005", "sample volume", "Total volume of solution used.", false},
    {MS_sample_concentration, "MS:1000006", "sample concentration", "Concentration of sample in picomol/ul, femtomol/ul or attomol/ul solution used.", false},
    {MS_inlet_type, "MS:1000007", "inlet type", "The nature of the sample inlet.", false},
    {MS_ionization_type, "MS:1000008", "ionization type", "The method by which gas phase ions are generated from the sample.", false},
    {MS_ionization_mode_OBSOLETE, "MS:1000009", "ionization mode", "Whether positive or negative ions are selected for analysis by the spectrometer.", true},
    {MS_analyzer_type, "MS:1000010", "analyzer type", "The common name of the particular analyzer stage being described. Synonym of mass analyzer, should be obsoleted.", false},
    {MS_mass_resolution, "MS:1000011", "mass resolution", "Smallest mass difference between two equal magnitude peaks so that the valley between them is a specified fraction of the peak height.", false},
    {MS_resolution_measurement_method, "MS:1000012", "resolution measurement method", "Which of the available standard measures is used to define whether two peaks are separate.", false},
    {MS_resolution_type, "MS:1000013", "resolution type", "Specify the nature of resolution for the mass analyzer. Resolution is usually either constant with respect to m/z or proportional to m/z.", false},
    {MS_accuracy, "MS:1000014", "accuracy", "Accuracy is the degree of conformity of a measured mass to its actual value.", false},
    {MS_scan_rate, "MS:1000015", "scan rate", "Rate in Th/sec for scanning analyzers.", false},
    {MS_scan_start_time, "MS:1000016", "scan start time", "The time that an analyzer started a scan, relative to the start of the MS run.", false},
    {MS_Scan_Function, "MS:1000017", "Scan Function", "Describes the type of mass analysis being performed. Two primary modes are: typical acquisition over a range of masses (Mass Scan), and Selected Ion Detection. The primary difference is that Selected Ion Detection produces a single value for the signal at the selected mass rather than producing a mass spectrum.", false},
    {MS_scan_direction, "MS:1000018", "scan direction", "Direction in terms of m/z of the scan for scanning analyzers (low to high, or high to low).", false},
    {MS_scan_law, "MS:1000019", "scan law", "Describes the function in control of the m/z scan (for scanning instruments). Commonly the scan function is linear, but in principle any function can be used.", false},
    {MS_scanning_method, "MS:1000020", "scanning method", "Describes the acquisition data type produced by a tandem mass spectrometry experiment.", false},
    {MS_reflectron_state, "MS:1000021", "reflectron state", "Status of the reflectron, turned on or off.", false},
    {MS_TOF_Total_Path_Length, "MS:1000022", "TOF Total Path Length", "The length of the field free drift space in a time of flight mass spectrometer.", false},
    {MS_isolation_width, "MS:1000023", "isolation width", "The total width (i.e. not half for plus-or-minus) of the gate applied around a selected precursor ion.", false},
    {MS_final_MS_exponent, "MS:1000024", "final MS exponent", "Final MS level achieved when performing PFF with the ion trap (e.g. MS E10).", false},
    {MS_magnetic_field_strength, "MS:1000025", "magnetic field strength", "A property of space that produces a force on a charged particle equal to qv x B where q is the particle charge and v its velocity.", false},
    {MS_detector_type, "MS:1000026", "detector type", "Type of detector used in the mass spectrometer.", false},
    {MS_detector_acquisition_mode, "MS:1000027", "detector acquisition mode", "Method by which detector signal is acquired by the data system.", false},
    {MS_detector_resolution, "MS:1000028", "detector resolution", "The resolving power of the detector to detect the smallest difference between two ions so that the valley between them is a specified fraction of the peak height.", false},
    {MS_sampling_frequency, "MS:1000029", "sampling frequency", "The rate of signal sampling (measurement) with respect to time.", false},
    {MS_vendor_OBSOLETE, "MS:1000030", "vendor", "Name of instrument vendor", true},
    {MS_instrument_model, "MS:1000031", "instrument model", "Instrument model name not including the vendor's name.", false},
    {MS_customization, "MS:1000032", "customization", "Free text description of a single customization made to the instrument; for several modifications, use several entries.", false},
    {MS_deisotoping, "MS:1000033", "deisotoping", "The removal of isotope peaks to represent the fragment ion as one data point and is commonly done to reduce complexity. It is done in conjunction with the charge state deconvolution.", false},
    {MS_charge_deconvolution, "MS:1000034", "charge deconvolution", "The determination of the mass of an ion based on the mass spectral peaks that represent multiple-charge ions.", false},
    {MS_peak_picking, "MS:1000035", "peak picking", "Spectral peak processing conducted on the acquired data to convert profile data to centroided data.", false},
    {MS_scan_mode_OBSOLETE, "MS:1000036", "scan mode", "OBSOLETE", true},
    {MS_polarity, "MS:1000037", "polarity", "Terms to describe the polarity setting of the instrument.", false},
    {MS_minute_OBSOLETE, "MS:1000038", "minute", "Acquisition time in minutes.", true},
    {MS_second_OBSOLETE, "MS:1000039", "second", "Acquisition time in seconds.", true},
    {MS_m_z, "MS:1000040", "m/z", "Three-character symbol m/z is used to denote the quantity formed by dividing the mass of an ion in unified atomic mass units by its charge number (regardless of sign). The symbol is written in italicized lower case letters with no spaces. Note 1: The term mass-to-charge-ratio is deprecated. Mass-to-charge ratio has been used for the abscissa of a mass spectrum, although the quantity measured is not the quotient of the ion's mass to its electric charge. The three-character symbol m/z is recommended for the quantity that is the independent variable in a mass spectrum Note 2: The proposed unit thomson (Th) is deprecated.", false},
    {MS_charge_state, "MS:1000041", "charge state", "The charge state of the ion, single or multiple and positive or negatively charged.", false},
    {MS_peak_intensity, "MS:1000042", "peak intensity", "Intensity of ions as measured by the height or area of a peak in a mass spectrum.", false},
    {MS_intensity_unit, "MS:1000043", "intensity unit", "Intensity units are commonly arbitrary. Detected in counts per second (cps) when using counting detectors, but measured in volts when using analog detectors.", false},
    {MS_dissociation_method, "MS:1000044", "dissociation method", "Fragmentation method used for dissociation or fragmentation.", false},
    {MS_collision_energy, "MS:1000045", "collision energy", "Energy for an ion experiencing collision with a stationary gas particle resulting in dissociation of the ion.", false},
    {MS_energy_unit_OBSOLETE, "MS:1000046", "energy unit", "Energy units are represented in either eV or Joules.", true},
    {MS_emulsion, "MS:1000047", "emulsion", "State if the sample is in emulsion form.", false},
    {MS_gas, "MS:1000048", "gas", "State if the sample is in gaseous form.", false},
    {MS_liquid, "MS:1000049", "liquid", "State if the sample is in liquid form.", false},
    {MS_solid, "MS:1000050", "solid", "State if the sample is in solid form.", false},
    {MS_solution, "MS:1000051", "solution", "State if the sample is in solution form.", false},
    {MS_suspension, "MS:1000052", "suspension", "State if the sample is in suspension form.", false},
    {MS_sample_batch, "MS:1000053", "sample batch", "Sample batch lot identifier.", false},
    {MS_chromatography, "MS:1000054", "chromatography", "Chromatographic conditions used to obtain the sample.", false},
    {MS_continuous_flow_fast_atom_bombardment, "MS:1000055", "continuous flow fast atom bombardment", "Fast atom bombardment ionization in which the analyte in solution is entrained in a flowing liquid matrix.", false},
    {MS_direct_inlet, "MS:1000056", "direct inlet", "The sample is directly inserted into the ion source, usually on the end of a heatable probe.", false},
    {MS_electrospray_inlet, "MS:1000057", "electrospray inlet", "Inlet used for introducing the liquid sample into an electrospray ionization source.", false},
    {MS_flow_injection_analysis, "MS:1000058", "flow injection analysis", "Sample is directly injected or infused into the ionization source.", false},
    {MS_inductively_coupled_plasma, "MS:1000059", "inductively coupled plasma", "A gas discharge ion source in which the energy to the plasma is supplied by electromagnetic induction.", false},
    {MS_infusion, "MS:1000060", "infusion", "The continuous flow of solution of a sample into the ionization source.", false},
    {MS_jet_separator, "MS:1000061", "jet separator", "A device that separates carrier gas from gaseous analyte molecules on the basis of diffusivity.", false},
    {MS_membrane_separator, "MS:1000062", "membrane separator", "A device to separate carrier molecules from analyte molecules on the basis of ease of diffusion across a semipermeable membrane.", false},
    {MS_moving_belt, "MS:1000063", "moving belt", "Continuous moving surface in the form of a belt which passes through an ionsource carrying analyte molecules.", false},
    {MS_moving_wire, "MS:1000064", "moving wire", "Continuous moving surface in the form of a wire which passes through an ionsource carrying analyte molecules.", false},
    {MS_open_split, "MS:1000065", "open split", "A division of flowing stream of liquid into two streams.", false},
    {MS_particle_beam, "MS:1000066", "particle beam", "Method for generating ions from a solution of an analyte.", false},
    {MS_reservoir, "MS:1000067", "reservoir", "A sample inlet method involving a reservoir.", false},
    {MS_septum, "MS:1000068", "septum", "A disc composed of a flexible material that seals the entrance to the reservoir. Can also be enterance to the vaccum chamber.", false},
    {MS_thermospray_inlet, "MS:1000069", "thermospray inlet", "A method for generating gas phase ions from a solution of an analyte by rapid heating of the sample.", false},
    {MS_atmospheric_pressure_chemical_ionization, "MS:1000070", "atmospheric pressure chemical ionization", "Chemical ionization that takes place at atmospheric pressure as opposed to the reduced pressure is normally used for chemical ionization.", false},
    {MS_chemical_ionization, "MS:1000071", "chemical ionization", "The formation of a new ion by the reaction of a neutral species with an ion. The process may involve transfer of an electron, a proton or other charged species between the reactants. When a positive ion results from chemical ionization the term may be used without qualification. When a negative ion results the term negative ion chemical ionization should be used. Note that this term is not synonymous with chemi-ionization.", false},
    {MS_Electronic_Ionization_OBSOLETE, "MS:1000072", "Electronic Ionization", "The ionization of an atom or molecule by electrons that are typically accelerated to energies between 50 and 150 eV. Usually 70 eV electrons are used to produce positive ions. The term 'electron impact' is not recommended. ", true},
    {MS_electrospray_ionization, "MS:1000073", "electrospray ionization", "A process in which ionized species in the gas phase are produced from an analyte-containing solution via highly charged fine droplets, by means of spraying the solution from a narrow-bore needle tip at atmospheric pressure in the presence of a high electric field. When a pressurized gas is used to aid in the formation of a stable spray, the term pneumatically assisted electrospray ionization is used. The term ion spray is not recommended.", false},
    {MS_fast_atom_bombardment_ionization, "MS:1000074", "fast atom bombardment ionization", "The ionization of any species by the interaction of a focused beam of neutral atoms having a translational energy of several thousand eV with a sample that is typically dissolved in a solvent matrix. See also secondary ionization.", false},
    {MS_matrix_assisted_laser_desorption_ionization, "MS:1000075", "matrix-assisted laser desorption ionization", "The formation of gas-phase ions from molecules that are present in a solid or solvent matrix that is irradiated with a pulsed laser. See also laser desorption/ionization.", false},
    {MS_negative_ion_mode_OBSOLETE, "MS:1000076", "negative ion mode", "OBSOLETE", true},
    {MS_positive_ion_mode_OBSOLETE, "MS:1000077", "positive ion mode", "OBSOLETE", true},
    {MS_axial_ejection_linear_ion_trap, "MS:1000078", "axial ejection linear ion trap", "A linear ion trap mass spectrometer where ions are ejected along the axis of the analyzer.", false},
    {MS_fourier_transform_ion_cyclotron_resonance_mass_spectrometer, "MS:1000079", "fourier transform ion cyclotron resonance mass spectrometer", "A mass spectrometer based on the principle of ion cyclotron resonance in which an ion in a magnetic field moves in a circular orbit at a frequency characteristic of its m/z value. Ions are coherently excited to a larger radius orbit using a pulse of radio frequency energy and their image charge is detected on receiver plates as a time domain signal. Fourier transformation of the time domain signal results in a frequency domain signal which is converted to a mass spectrum based in the inverse relationship between frequency and m/z.", false},
    {MS_magnetic_sector, "MS:1000080", "magnetic sector", "A device that produces a magnetic field perpendicular to a charged particle beam that deflects the beam to an extent that is proportional to the particle momentum per unit charge. For a monoenergetic beam, the deflection is proportional to m/z.", false},
    {MS_quadrupole, "MS:1000081", "quadrupole", "A mass spectrometer that consists of four parallel rods whose centers form the corners of a square and whose opposing poles are connected. The voltage applied to the rods is a superposition of a static potential and a sinusoidal radio frequency potential. The motion of an ion in the x and y dimensions is described by the Matthieu equation whose solutions show that ions in a particular m/z range can be transmitted along the z axis.", false},
    {MS_quadrupole_ion_trap, "MS:1000082", "quadrupole ion trap", "Quadrupole Ion Trap mass analyzer captures the ions in a three dimensional ion trap and then selectively ejects them by varying the RF and DC potentials.", false},
    {MS_radial_ejection_linear_ion_trap, "MS:1000083", "radial ejection linear ion trap", "A linear ion trap mass spectrometer where ions are ejected along the radius of the analyzer.", false},
    {MS_time_of_flight, "MS:1000084", "time-of-flight", "Instrument that separates ions by m/z in a field-free region after acceleration to a fixed acceleration energy.", false},
    {MS_baseline, "MS:1000085", "baseline", "An attribute of resolution when recording the detector response in absence of the analyte.", false},
    {MS_full_width_at_half_maximum, "MS:1000086", "full width at half-maximum", "A measure of resolution represented as width of the peak at half peak height.", false},
    {MS_ten_percent_valley, "MS:1000087", "ten percent valley", "An attribute of resolution when the ratio between adjacent signals is 10% of the signal height.", false},
    {MS_constant, "MS:1000088", "constant", "When resolution is constant with respect to m/z.", false},
    {MS_proportional, "MS:1000089", "proportional", "When resolution is proportional with respect to m/z.", false},
    {MS_mass_scan, "MS:1000090", "mass scan", "A variation of instrument where a selected mass is scanned.", false},
    {MS_selected_ion_detection, "MS:1000091", "selected ion detection", "Please see Single Ion Monitoring.", false},
    {MS_decreasing_m_z_scan, "MS:1000092", "decreasing m/z scan", "High to low direction in terms of m/z of the scan for scanning analyzers.", false},
    {MS_increasing_m_z_scan, "MS:1000093", "increasing m/z scan", "Low to high direction in terms of m/z of the scan for scanning analyzers.", false},
    {MS_exponential, "MS:1000094", "exponential", "The mass scan is done in exponential mode.", false},
    {MS_linear, "MS:1000095", "linear", "The mass scan is done in linear mode.", false},
    {MS_quadratic, "MS:1000096", "quadratic", "The mass scan is done in quadratic mode.", false},
    {MS_constant_neutral_mass_loss, "MS:1000097", "constant neutral mass loss", "A spectrum formed of all product ions that have been produced with a selected m/z decrement from any precursor ions. The spectrum shown correlates to the precursor ion spectrum. See also neutral loss spectrum.", false},
    {MS_multiple_ion_monitoring, "MS:1000098", "multiple ion monitoring", "Data acquired when monitoring the ion current of a few specific m/z values. Remap to MS:1000205 -Selected Ion Monitoring.", false},
    {MS_multiple_reaction_monitoring_OBSOLETE, "MS:1000099", "multiple reaction monitoring", "This term is not recommended. See Selected Reaction Monitoring.", true},
    {MS_precursor_ion_scan, "MS:1000100", "precursor ion scan", "The specific scan function or process that will record a precursor ion spectrum.", false},
    {MS_product_ion_scan, "MS:1000101", "product ion scan", "The specific scan function or process that records product ion spectrum.", false},
    {MS_single_ion_monitoring_OBSOLETE, "MS:1000102", "single ion monitoring", "The operation of a mass spectrometer to monitor a single ion rather than scanning entire mass spectrum.", true},
    {MS_single_reaction_monitoring_OBSOLETE, "MS:1000103", "single reaction monitoring", "This term is not recommended. See Selected Reaction Monitoring.", true},
    {MS_None_____OBSOLETE, "MS:1000104", "None  ??", "None.", true},
    {MS_reflectron_off, "MS:1000105", "reflectron off", "Reflectron is off.", false},
    {MS_reflectron_on, "MS:1000106", "reflectron on", "Reflectron is on.", false},
    {MS_channeltron, "MS:1000107", "channeltron", "A horn-shaped (or cone-shaped) continuous dynode particle multiplier. The ion strikes the inner surface of the device and induces the production of secondary electrons that in turn impinge on the inner surfaces to produce more secondary electrons. This avalanche effect produces an increase in signal in the final measured current pulse.", false},
    {MS_conversion_dynode_electron_multiplier, "MS:1000108", "conversion dynode electron multiplier", "A surface that is held at high potential so that ions striking the surface produce electrons that are subsequently detected.", false},
    {MS_conversion_dynode_photomultiplier, "MS:1000109", "conversion dynode photomultiplier", "A detector in which ions strike a conversion dynode to produce electrons that in turn generate photons through a phosphorescent screen that are detected by a photomultiplier.", false},
    {MS_daly_detector, "MS:1000110", "daly detector", "Detector consisting of a conversion dynode, scintillator and photomultiplier. The metal knob at high potential emits secondary electrons when ions impinge on the surface. The secondary electrons are accelerated onto the scintillator that produces light that is then detected by the photomultiplier detector.", false},
    {MS_electron_multiplier_tube, "MS:1000111", "electron multiplier tube", "A device to amplify the current of a beam or packet of charged particles or photons by incidence upon the surface of an electrode to produce secondary electrons.", false},
    {MS_faraday_cup, "MS:1000112", "faraday cup", "A conducting cup or chamber that intercepts a charged particle beam and is electrically connected to a current measuring device.", false},
    {MS_focal_plane_array, "MS:1000113", "focal plane array", "An array of detectors for spatially disperse ion beams in which all ions simultaneously impinge on the detector plane.", false},
    {MS_microchannel_plate_detector, "MS:1000114", "microchannel plate detector", "A thin plate that contains a closely spaced array of channels that each act as a continuous dynode particle multiplier. A charged particle, fast neutral particle, or photon striking the plate causes a cascade of secondary electrons that ultimately exits the opposite side of the plate.", false},
    {MS_multi_collector, "MS:1000115", "multi-collector", "A detector system commonly used in inductively coupled plasma mass spectrometers.", false},
    {MS_photomultiplier, "MS:1000116", "photomultiplier", "A detector for conversion of the ion/electron signal into photon(s) which are then amplified and detected.", false},
    {MS_analog_digital_converter, "MS:1000117", "analog-digital converter", "Analog-to-digital converter (abbreviated ADC, A/D or A to D) is an electronic integrated circuit (i/c) that converts continuous signals to discrete digital numbers.", false},
    {MS_pulse_counting, "MS:1000118", "pulse counting", "Definition to do.", false},
    {MS_time_digital_converter, "MS:1000119", "time-digital converter", "A device for converting a signal of sporadic pluses into a digital representation of their time indices.", false},
    {MS_transient_recorder, "MS:1000120", "transient recorder", "A detector acquisition mode used for detecting transient signals.", false},
    {MS_AB_SCIEX_instrument_model, "MS:1000121", "AB SCIEX instrument model", "The brand of instruments from the joint venture between Applied Biosystems and MDS Analytical Technologies (formerly MDS SCIEX). Previously branded as \"Applied Biosystems|MDS SCIEX\".", false},
    {MS_Bruker_Daltonics_instrument_model, "MS:1000122", "Bruker Daltonics instrument model", "Bruker Daltonics instrument model.", false},
    {MS_IonSpec_instrument_model, "MS:1000123", "IonSpec instrument model", "IonSpec corporation instrument model.", false},
    {MS_Shimadzu_instrument_model, "MS:1000124", "Shimadzu instrument model", "Shimadzu corporation instrument model.", false},
    {MS_Thermo_Finnigan_instrument_model, "MS:1000125", "Thermo Finnigan instrument model", "ThermoFinnigan from Thermo Electron Corporation instrument model.", false},
    {MS_Waters_instrument_model, "MS:1000126", "Waters instrument model", "Waters Corporation instrument model.", false},
    {MS_centroid_spectrum, "MS:1000127", "centroid spectrum", "Processing of profile data to produce spectra that contains discrete peaks of zero width. Often used to reduce the size of dataset.", false},
    {MS_profile_spectrum, "MS:1000128", "profile spectrum", "A profile mass spectrum is created when data is recorded with ion current (counts per second) on one axis and mass/charge ratio on another axis.", false},
    {MS_negative_scan, "MS:1000129", "negative scan", "Polarity of the scan is negative.", false},
    {MS_positive_scan, "MS:1000130", "positive scan", "Polarity of the scan is positive.", false},
    {MS_number_of_counts, "MS:1000131", "number of counts", "The number of counted events observed in one or a group of elements of a detector.", false},
    {MS_percent_of_base_peak, "MS:1000132", "percent of base peak", "The magnitude of a peak or measurement element expressed in terms of the percentage of the magnitude of the base peak intensity.", false},
    {MS_collision_induced_dissociation, "MS:1000133", "collision-induced dissociation", "The dissociation of an ion after collisional excitation. The term collisional-activated dissociation is not recommended.", false},
    {MS_plasma_desorption, "MS:1000134", "plasma desorption", "The ionization of material in a solid sample by bombarding it with ionic or neutral atoms formed as a result of the fission of a suitable nuclide, typically 252Cf. Synonymous with fission fragment ionization.", false},
    {MS_post_source_decay, "MS:1000135", "post-source decay", "A technique specific to reflectron time-of-flight mass spectrometers where product ions of metastable transitions or collision-induced dissociations generated in the drift tube prior to entering the reflectron are m/z separated to yield product ion spectra.", false},
    {MS_surface_induced_dissociation, "MS:1000136", "surface-induced dissociation", "Fragmentation that results from the collision of an ion with a surface.", false},
    {MS_electron_volt_OBSOLETE, "MS:1000137", "electron volt", "A non-SI unit of energy (eV) defined as the energy acquired by a particle containing one unit of charge through a potential difference of one volt. An electron-volt is equal to 1.602 176 53(14) x 10^-19 J.", true},
    {MS_percent_collision_energy, "MS:1000138", "percent collision energy", "Collision energy required to fragment an ion represented as a percent value.", false},
    {MS_4000_Q_TRAP, "MS:1000139", "4000 Q TRAP", "Applied Biosystems/MDS SCIEX Q 4000 TRAP MS.", false},
    {MS_4700_Proteomics_Analyzer, "MS:1000140", "4700 Proteomics Analyzer", "Applied Biosystems/MDS SCIEX 4700 Proteomics Analyzer MS.", false},
    {MS_apex_IV, "MS:1000141", "apex IV", "Bruker Daltonics' apex IV: ESI, MALDI, Nanospray, APCI, APPI, Qh-FT_ICR.", false},
    {MS_apex_Q, "MS:1000142", "apex Q", "Bruker Daltonics' apex Q: ESI, MALDI, Nanospray, APCI, APPI, Qh-FT_ICR.", false},
    {MS_API_150EX, "MS:1000143", "API 150EX", "Applied Biosystems/MDS SCIEX API 150EX MS.", false},
    {MS_API_150EX_Prep, "MS:1000144", "API 150EX Prep", "Applied Biosystems/MDS SCIEX API 150EX Prep MS.", false},
    {MS_API_2000, "MS:1000145", "API 2000", "Applied Biosystems/MDS SCIEX API 2000 MS.", false},
    {MS_API_3000, "MS:1000146", "API 3000", "Applied Biosystems/MDS SCIEX API 3000 MS.", false},
    {MS_API_4000, "MS:1000147", "API 4000", "Applied Biosystems/MDS SCIEX API 4000 MS.", false},
    {MS_autoflex_II, "MS:1000148", "autoflex II", "Bruker Daltonics' autoflex II: MALDI TOF.", false},
    {MS_autoflex_TOF_TOF, "MS:1000149", "autoflex TOF/TOF", "Bruker Daltonics' autoflex TOF/TOF MS: MALDI TOF.", false},
    {MS_Auto_Spec_Ultima_NT, "MS:1000150", "Auto Spec Ultima NT", "Waters AutoSpec Ultima NT MS.", false},
    {MS_BioTOF_II, "MS:1000151", "BioTOF II", "Bruker Daltonics' BioTOF II: ESI TOF.", false},
    {MS_BioTOF_Q, "MS:1000152", "BioTOF-Q", "Bruker Daltonics' BioTOF-Q: ESI Q-TOF.", false},
    {MS_DELTA_plusAdvantage, "MS:1000153", "DELTA plusAdvantage", "ThermoFinnigan DELTA plusAdvantage MS.", false},
    {MS_DELTAplusXP, "MS:1000154", "DELTAplusXP", "ThermoFinnigan DELTAplusXP MS.", false},
    {MS_ELEMENT2, "MS:1000155", "ELEMENT2", "ThermoFinnigan ELEMENT2 MS.", false},
    {MS_esquire_4000, "MS:1000156", "esquire 4000", "Bruker Daltonics' esquire 4000: linear ion trap, ESI, MALDI, Nanospray, APCI, APPI.", false},
    {MS_esquire_6000, "MS:1000157", "esquire 6000", "Bruker Daltonics' esquire 6000: linear ion trap, ESI, MALDI, Nanospray, APCI, APPI.", false},
    {MS_explorer, "MS:1000158", "explorer", "IonSpec Explorer MS.", false},
    {MS_GCT, "MS:1000159", "GCT", "Waters GCT MS.", false},
    {MS_HCT, "MS:1000160", "HCT", "Bruker Daltonics' HCT: ESI Q-TOF, Nanospray, APCI, APPI.", false},
    {MS_HCTplus, "MS:1000161", "HCTplus", "Bruker Daltonics' HCTplus: ESI Q-TOF, Nanospray, APCI, APPI.", false},
    {MS_HiRes_ESI, "MS:1000162", "HiRes ESI", "IonSpec HiResESI MS.", false},
    {MS_HiRes_MALDI, "MS:1000163", "HiRes MALDI", "IonSpec HiResMALDI MS.", false},
    {MS_IsoPrime, "MS:1000164", "IsoPrime", "Waters IsoPrime MS.", false},
    {MS_IsoProbe, "MS:1000165", "IsoProbe", "Waters IsoProbe MS.", false},
    {MS_IsoProbe_T, "MS:1000166", "IsoProbe T", "Waters IsoProbe T MS.", false},
    {MS_LCQ_Advantage, "MS:1000167", "LCQ Advantage", "ThermoFinnigan LCQ Advantage MS.", false},
    {MS_LCQ_Classic, "MS:1000168", "LCQ Classic", "ThermoFinnigan LCQ Classic MS.", false},
    {MS_LCQ_Deca_XP_Plus, "MS:1000169", "LCQ Deca XP Plus", "ThermoFinnigan LCQ Deca XP Plus MS.", false},
    {MS_M_LDI_L, "MS:1000170", "M@LDI L", "Waters MALDI L MS.", false},
    {MS_M_LDI_LR, "MS:1000171", "M@LDI LR", "Waters MALDI LR MS.", false},
    {MS_MAT253, "MS:1000172", "MAT253", "ThermoFinnigan MAT253 MS.", false},
    {MS_MAT900XP, "MS:1000173", "MAT900XP", "ThermoFinnigan MAT900XP MS.", false},
    {MS_MAT900XP_Trap, "MS:1000174", "MAT900XP Trap", "ThermoFinnigan MAT900XP Trap MS.", false},
    {MS_MAT95XP, "MS:1000175", "MAT95XP", "ThermoFinnigan MAT95XP MS.", false},
    {MS_MAT95XP_Trap, "MS:1000176", "MAT95XP Trap", "ThermoFinnigan MAT95XP Trap MS.", false},
    {MS_microflex, "MS:1000177", "microflex", "Bruker Daltonics' microflex: MALDI TOF.", false},
    {MS_microTOF_LC, "MS:1000178", "microTOF LC", "Bruker Daltonics' microTOF LC: ESI TOF, Nanospray, APCI, APPI.", false},
    {MS_neptune, "MS:1000179", "neptune", "ThermoFinnigan NEPTUNE MS.", false},
    {MS_NG_5400, "MS:1000180", "NG-5400", "Waters NG-5400 MS.", false},
    {MS_OMEGA, "MS:1000181", "OMEGA", "IonSpec OMEGA MS.", false},
    {MS_OMEGA_2001, "MS:1000182", "OMEGA-2001", "IonSpec OMEGA-2001 MS.", false},
    {MS_OmniFlex, "MS:1000183", "OmniFlex", "Bruker Daltonics' OmniFlex: MALDI TOF.", false},
    {MS_Platform_ICP, "MS:1000184", "Platform ICP", "Waters Platform ICP MS.", false},
    {MS_PolarisQ, "MS:1000185", "PolarisQ", "ThermoFinnigan PolarisQ MS.", false},
    {MS_proteomics_solution_1, "MS:1000186", "proteomics solution 1", "Applied Biosystems/MDS SCIEX Proteomics Solution 1 MS.", false},
    {MS_Q_TRAP, "MS:1000187", "Q TRAP", "Applied Biosystems/MDS SCIEX Q TRAP MS.", false},
    {MS_Q_Tof_micro, "MS:1000188", "Q-Tof micro", "Waters Q-Tof micro MS.", false},
    {MS_Q_Tof_ultima, "MS:1000189", "Q-Tof ultima", "Waters Q-Tof Ultima MS.", false},
    {MS_QSTAR, "MS:1000190", "QSTAR", "Applied Biosystems/MDS SCIEX QSTAR MS.", false},
    {MS_quattro_micro, "MS:1000191", "quattro micro", "Waters Quattro micro MS.", false},
    {MS_Quattro_UItima, "MS:1000192", "Quattro UItima", "Waters Quattro Uitima MS.", false},
    {MS_Surveyor_MSQ, "MS:1000193", "Surveyor MSQ", "ThermoFinnigan Surveyor MSQ MS.", false},
    {MS_SymBiot_I, "MS:1000194", "SymBiot I", "Applied Biosystems/MDS SCIEX SymBiot I MS.", false},
    {MS_SymBiot_XVI, "MS:1000195", "SymBiot XVI", "Applied Biosystems/MDS SCIEX SymBiot XVI MS.", false},
    {MS_TEMPUS_TOF, "MS:1000196", "TEMPUS TOF", "ThermoFinnigan TEMPUS TOF MS.", false},
    {MS_TRACE_DSQ, "MS:1000197", "TRACE DSQ", "ThermoFinnigan TRACE DSQ MS.", false},
    {MS_TRITON, "MS:1000198", "TRITON", "ThermoFinnigan TRITON MS.", false},
    {MS_TSQ_Quantum, "MS:1000199", "TSQ Quantum", "ThermoFinnigan TSQ Quantum MS.", false},
    {MS_ultima, "MS:1000200", "ultima", "IonSpec Ultima MS.", false},
    {MS_ultraflex, "MS:1000201", "ultraflex", "Bruker Daltonics' ultraflex: MALDI TOF.", false},
    {MS_ultraflex_TOF_TOF, "MS:1000202", "ultraflex TOF/TOF", "Bruker Daltonics' ultraflex TOF/TOF: MALDI TOF.", false},
    {MS_Voyager_DE_PRO, "MS:1000203", "Voyager-DE PRO", "Applied Biosystems/MDS SCIEX Voyager-DE PRO MS.", false},
    {MS_Voyager_DE_STR, "MS:1000204", "Voyager-DE STR", "Applied Biosystems/MDS SCIEX Voyager-DE STR MS.", false},
    {MS_selected_ion_monitoring, "MS:1000205", "selected ion monitoring", "The operation of a mass spectrometer in which the intensities of several specific m/z values are recorded rather than the entire mass spectrum.", false},
    {MS_selected_reaction_monitoring, "MS:1000206", "selected reaction monitoring", "Data acquired from specific product ions corresponding to m/z selected precursor ions recorded via multiple stages of mass spectrometry. Selected reaction monitoring can be performed in time or in space.", false},
    {MS_accurate_mass, "MS:1000207", "accurate mass", "An experimentally determined mass that is can be to determine a unique elemental formula. For ions less than 200 u, a measurement with 5 ppm accuracy is sufficient to determine the elemental composition.", false},
    {MS_average_mass, "MS:1000208", "average mass", "The mass of an ion or molecule calculated using the average mass of each element weighted for its natural isotopic abundance.", false},
    {MS_appearance_energy, "MS:1000209", "appearance energy", "The minimum energy that must be imparted to an atom or molecule to produce a specified ion. The term appearance potential is not recommended.", false},
    {MS_base_peak, "MS:1000210", "base peak", "The peak in a mass spectrum that has the greatest intensity. This term may be applied to the spectra of pure substances or mixtures.", false},
    {MS_OBSOLETE_charge_number_OBSOLETE, "MS:1000211", "OBSOLETE charge number", "OBSOLETE. The total charge on an ion divided by the electron charge e. OBSOLETED 2009-10-27 since this was viewed as a duplication of 00041 charge state.", true},
    {MS_dalton_OBSOLETE, "MS:1000212", "dalton", "A non-SI unit of mass (symbol Da) that is equal to the unified atomic mass unit: 1.660 538 86(28) x 10^-27 kg.", true},
    {MS_electron_affinity, "MS:1000213", "electron affinity", "The electron affinity of M is the minimum energy required for the process M- ? M + e where M- and M are in their ground rotational, vibrational and electronic states and the electron has zero kinetic energy.", false},
    {MS_electron_energy_obsolete, "MS:1000214", "electron energy obsolete", "The potential difference through which electrons are accelerated before they are used to bring about electron ionization.", false},
    {MS_exact_mass, "MS:1000215", "exact mass", "The calculated mass of an ion or molecule containing a single isotope of each atom.", false},
    {MS_field_free_region, "MS:1000216", "field-free region", "A section of a mass spectrometer in which there are no electric or magnetic fields.", false},
    {MS_ionization_cross_section, "MS:1000217", "ionization cross section", "A measure of the probability that a given ionization process will occur when an atom or molecule interacts with a photon, electron, atom or molecule.", false},
    {MS_ioniazation_efficiency_OBSOLETE, "MS:1000218", "ioniazation efficiency", "The ratio of the number of ions formed to the number of electrons, molecules or photons used.", true},
    {MS_ionization_energy, "MS:1000219", "ionization energy", "The minimum energy required to remove an electron from an atom or molecule to produce a positive ion.", false},
    {MS_isotope_dilution_mass_spectrometry, "MS:1000220", "isotope dilution mass spectrometry", "A quantitative mass spectrometry technique in which an isotopically enriched compound is used as an internal standard.", false},
    {MS_magnetic_deflection, "MS:1000221", "magnetic deflection", "The deflection of charged particles in a magnetic field due to a force equal to qv B where q is the particle charge, v its velocity and B the magnetic field. Magnetic deflection of an ion beam is used for m/z separation in a magnetic sector mass spectrometer.", false},
    {MS_mass_defect, "MS:1000222", "mass defect", "The difference between the monoisotipic and nominal mass of a molecule or atom.", false},
    {MS_mass_number, "MS:1000223", "mass number", "The sum of the protons and neutrons in an atom, molecule or ion.", false},
    {MS_molecular_mass, "MS:1000224", "molecular mass", "The mass of one mole of a molecular substance (6.022 1415(10) x 10^23 molecules).", false},
    {MS_monoisotopic_mass, "MS:1000225", "monoisotopic mass", "The mass of an ion or molecule calculated using the mass of the most abundant isotope of each element.", false},
    {MS_molecular_beam_mass_spectrometry, "MS:1000226", "molecular beam mass spectrometry", "A mass spectrometry technique in which the sample is introduced into the mass spectrometer as a molecular beam.", false},
    {MS_multiphoton_ionization, "MS:1000227", "multiphoton ionization", "Photoionization of an atom or molecule in which in two or more photons are absorbed.", false},
    {MS_nitrogen_rule, "MS:1000228", "nitrogen rule", "An organic molecule containing the elements C, H, O, S, P, or halogen has an odd nominal mass if it contains an odd number of nitrogen atoms.", false},
    {MS_nominal_mass, "MS:1000229", "nominal mass", "The mass of an ion or molecule calculated using the mass of the most abundant isotope of each element rounded to the nearest integer value.", false},
    {MS_odd_electron_rule, "MS:1000230", "odd-electron rule", "Odd-electron ions may dissociate to form either odd or even-electron ions, whereas even-electron ions generally form even-electron fragment ions.", false},
    {MS_peak, "MS:1000231", "peak", "A localized region of relatively large ion signal in a mass spectrum. Although peaks are often associated with particular ions, the terms peak and ion should not be used interchangeably.", false},
    {MS_peak_intensity_OBSOLETE, "MS:1000232", "peak intensity", "The height or area of a peak in a mass spectrum.", true},
    {MS_proton_affinity, "MS:1000233", "proton affinity", "The proton affinity of a species M is defined as the negative of the enthalpy change for the reaction M + H+ ->[M+H]+, where all species are in their ground rotational, vibrational and electronic states.", false},
    {MS_mass_resolving_power_OBSOLETE, "MS:1000234", "mass resolving power", "In a mass spectrum, the observed mass divided by the difference between two masses that can be separated. The method by which delta m was obtained and the mass at which the measurement was made should be reported.", true},
    {MS_total_ion_current_chromatogram, "MS:1000235", "total ion current chromatogram", "Chromatogram obtained by plotting the total ion current detected in each of a series of mass spectra recorded as a function of retention time.", false},
    {MS_transmission, "MS:1000236", "transmission", "The ratio of the number of ions leaving a region of a mass spectrometer to the number entering that region.", false},
    {MS_unified_atomic_mass_unit_OBSOLETE, "MS:1000237", "unified atomic mass unit", "A non-SI unit of mass (u) defined as one twelfth of ^12 C in its ground state and equal to 1.660 538 86(28) x 10^-27 kg.", true},
    {MS_accelerator_mass_spectrometry, "MS:1000238", "accelerator mass spectrometry", "A mass spectrometry technique in which atoms extracted from a sample are ionized, accelerated to MeV energies and separated according to their momentum, charge and energy.", false},
    {MS_atmospheric_pressure_matrix_assisted_laser_desorption_ionization, "MS:1000239", "atmospheric pressure matrix-assisted laser desorption ionization", "Matrix-assisted laser desorption ionization in which the sample target is at atmospheric pressure and the ions formed by the pulsed laser are sampled through a small aperture into the mass spectrometer.", false},
    {MS_atmospheric_pressure_ionization, "MS:1000240", "atmospheric pressure ionization", "Any ionization process in which ions are formed in the gas phase at atmospheric pressure.", false},
    {MS_Atmostpheric_Pressure_Photoionization_OBSOLETE, "MS:1000241", "Atmostpheric Pressure Photoionization", "Atmospheric pressure chemical ionization in which the reactant ions are generated by photo-ionization.", true},
    {MS_blackbody_infrared_radiative_dissociation, "MS:1000242", "blackbody infrared radiative dissociation", "A special case of infrared multiphoton dissociation wherein excitation of the reactant ion is caused by absorption of infrared photons radiating from heated blackbody surroundings, which are usually the walls of a vacuum chamber. See also infrared multiphoton dissociation.", false},
    {MS_charge_remote_fragmentation, "MS:1000243", "charge-remote fragmentation", "A fragmentation of an even-electron ion in which the cleaved bond is not adjacent to the apparent charge site.", false},
    {MS_consecutive_reaction_monitoring, "MS:1000244", "consecutive reaction monitoring", "MSn experiment with three or more stages of m/z separation and in which a particular multi-step reaction path is monitored.", false},
    {MS_charge_stripping, "MS:1000245", "charge stripping", "The reaction of a positive ion with an atom or molecule that results in the removal of one or more electrons from the ion.", false},
    {MS_delayed_extraction, "MS:1000246", "delayed extraction", "The application of the accelerating voltage pulse after a time delay in desorption ionization from a surface. The extraction delay can produce energy focusing in a time-of-flight mass spectrometer.", false},
    {MS_desorption_ionization, "MS:1000247", "desorption ionization", "The formation of ions from a solid or liquid material after the rapid vaporization of that sample.", false},
    {MS_direct_insertion_probe, "MS:1000248", "direct insertion probe", "A device for introducing a solid or liquid sample into a mass spectrometer ion source for desorption ionization.", false},
    {MS_direct_liquid_introduction, "MS:1000249", "direct liquid introduction", "The delivery of a liquid sample into a mass spectrometer for spray or desorption ionization.", false},
    {MS_electron_capture_dissociation, "MS:1000250", "electron capture dissociation", "A process in which a multiply protonated molecules interacts with a low energy electrons. Capture of the electron leads the liberation of energy and a reduction in charge state of the ion with the production of the (M + nH) (n-1)+ odd electron ion, which readily fragments.", false},
    {MS_even_electron_ion, "MS:1000251", "even-electron ion", "An ion containing no unpaired electrons in its ground electronic state, e.g. CH3+ in its ground state.", false},
    {MS_electron_induced_excitation_in_organics, "MS:1000252", "electron-induced excitation in organics", "The reaction of an ion with an electron in which the translational energy of the collision is converted into internal energy of the ion.", false},
    {MS_electron_multiplier, "MS:1000253", "electron multiplier", "A device to amplify the current of a beam or packet of charged particles or photons by incidence upon the surface of an electrode to produce secondary electrons. The secondary electrons are then accelerated to other electrodes or parts of a continuous electrode to produce further secondary electrons.", false},
    {MS_electrostatic_energy_analyzer, "MS:1000254", "electrostatic energy analyzer", "A device consisting of conducting parallel plates, concentric cylinders or concentric spheres that separates charged particles according to their kinetic energy by means of an electric field that is constant in time.", false},
    {MS_flowing_afterglow, "MS:1000255", "flowing afterglow", "An ion source immersed in a flow of helium or other inert buffer gas that carries the ions through a meter-long reactor at pressures around 100 Pa.", false},
    {MS_high_field_asymmetric_waveform_ion_mobility_spectrometry, "MS:1000256", "high-field asymmetric waveform ion mobility spectrometry", "The separation of ions between two concentric cylindrical electrodes due to application of a high voltage asymmetric waveform whereby ions migrate towards one of the two electrodes depending on the ratio of the high- to low-field mobility of the ion.", false},
    {MS_field_desorption, "MS:1000257", "field desorption", "The formation of gas-phase ions from a material deposited on a solid surface in the presence of a high electric field. Because this process may encompass ionization by field ionization or other mechanisms, it is not recommended as a synonym for field desorption ionization.", false},
    {MS_field_ionization, "MS:1000258", "field ionization", "The removal of electrons from any species by interaction with a high electric field.", false},
    {MS_glow_discharge_ionization, "MS:1000259", "glow discharge ionization", "The formation of ions in the gas phase and from solid samples at the cathode by application of a voltage to a low pressure gas.", false},
    {MS_ion_kinetic_energy_spectrometry, "MS:1000260", "ion kinetic energy spectrometry", "A method of analysis in which a beam of ions is separated according to the ratio of its translational energy to charge.", false},
    {MS_ion_mobility_spectrometry, "MS:1000261", "ion mobility spectrometry", "The separation of ions according to their velocity through a buffer gas under the influence of an electric field.", false},
    {MS_infrared_multiphoton_dissociation, "MS:1000262", "infrared multiphoton dissociation", "Multiphoton ionization where the reactant ion dissociates as a result of the absorption of multiple infrared photons.", false},
    {MS_isotope_ratio_mass_spectrometry, "MS:1000263", "isotope ratio mass spectrometry", "The measurement of the relative quantity of the different isotopes of an element in a material with a mass spectrometer.", false},
    {MS_ion_trap, "MS:1000264", "ion trap", "A device for spatially confining ions using electric and magnetic fields alone or in combination.", false},
    {MS_kinetic_energy_release_distribution, "MS:1000265", "kinetic energy release distribution", "Distribution of values of translational kinetic energy release for an ensemble of metastable ions undergoing a specific dissociation reaction.", false},
    {MS_Laser_Desorption_OBSOLETE, "MS:1000266", "Laser Desorption", "The formation of ions through the interaction of a laser with a material or with gas-phase ions or molecules.", true},
    {MS_mass_analyzed_ion_kinetic_energy_spectrometry, "MS:1000267", "mass analyzed ion kinetic energy spectrometry", "Spectra that are obtained from a sector mass spectrometer that incorporates at least one magnetic sector plus one electric sector in reverse geometry. The accelerating voltage, V, and the magnetic sector field, B, are set at fixed values to select the precursor ions, which are then allowed to dissociate or to react in a field free region between the two sectors. The kinetic energy product ions of m/z selected precursor ions is analyzed by scanning the electric sector field, E. The width of the product ion spectrum peaks is related to the kinetic energy release distribution (KERD) for the dissociation process.", false},
    {MS_mass_spectrometry, "MS:1000268", "mass spectrometry", "The branch of science that deals with all aspects of mass spectrometers and the results obtained with these instruments.", false},
    {MS_mass_spectrometry_mass_spectrometry, "MS:1000269", "mass spectrometry/mass spectrometry", "The acquisition, study and spectra of the electrically charged products or precursors of a m/z selected ion or ions.", false},
    {MS_multiple_stage_mass_spectrometry, "MS:1000270", "multiple stage mass spectrometry", "Multiple stages of precursor ion m/z selection followed by product ion detection for successive progeny ions.", false},
    {MS_Negative_Ion_chemical_ionization, "MS:1000271", "Negative Ion chemical ionization", "Chemical ionization that results in the formation of negative ions.", false},
    {MS_neutralization_reionization_mass_spectrometry, "MS:1000272", "neutralization reionization mass spectrometry", "With this technique, m/z selected ions form neutrals by charge transfer to a collision gas or by dissociation. The neutrals are separated from the remaining ions and ionized in collisions with a second gas. This method is used to investigate reaction intermediates and other unstable species.", false},
    {MS_photoionization, "MS:1000273", "photoionization", "The ionization of an atom or molecule by a photon, written M + h? ? M^+ + e. The term photon impact is not recommended.", false},
    {MS_pyrolysis_mass_spectrometry, "MS:1000274", "pyrolysis mass spectrometry", "A mass spectrometry technique in which the sample is heated to the point of decomposition and the gaseous decomposition products are introduced into the ion source.", false},
    {MS_collision_quadrupole, "MS:1000275", "collision quadrupole", "A transmission quadrupole to which an oscillating potential is applied so as to focus a beam of ions through a collision gas with no m/z separation.", false},
    {MS_resonance_enhanced_multiphoton_ionization, "MS:1000276", "resonance enhanced multiphoton ionization", "Multiphoton ionization in which the ionization cross section is significantly enhanced because the energy of the incident photons is resonant with an intermediate excited state of the neutral species.", false},
    {MS_residual_gas_analyzer, "MS:1000277", "residual gas analyzer", "A mass spectrometer used to measure the composition and pressure of gasses in an evacuated chamber.", false},
    {MS_surface_enhanced_laser_desorption_ionization, "MS:1000278", "surface enhanced laser desorption ionization", "The formation of ionized species in the gas phase from analytes deposited on a particular surface substrate which is irradiated with a laser beam of which wavelength is absorbed by the surface. See also desorption/ionization on silicon and laser desorption/ionization.", false},
    {MS_surface_enhanced_neat_desorption, "MS:1000279", "surface enhanced neat desorption", "Matrix-assisted laser desorption ionization in which the matrix is covalently linked to the target surface.", false},
    {MS_suface_ionization_OBSOLETE, "MS:1000280", "suface ionization", "The ionization of a neutral species when it interacts with a solid surface with an appropriate work function and temperature.", true},
    {MS_selected_ion_flow_tube, "MS:1000281", "selected ion flow tube", "A device in which m/z selected ions are entrained in an inert carrier gas and undergo ion-molecule reactions.", false},
    {MS_sustained_off_resonance_irradiation, "MS:1000282", "sustained off-resonance irradiation", "A technique associated with Fourier transform ion cyclotron resonance (FT-ICR) mass spectrometry to carry out ion/neutral reactions such as low-energy collision-induced dissociation. A radio-frequency electric field of slightly off-resonance to the cyclotron frequency of the reactant ion cyclically accelerates and decelerates the reactant ion that is confined in the Penning ion trap. The ion's orbit does not exceed the dimensions of ion trap while the ion undergoes an ion/neutral species process that produces a high average translational energy for an extended time.", false},
    {MS_Spark_Source_Mass_Spectrometry_OBSOLETE, "MS:1000283", "Spark Source Mass Spectrometry", "Mass spectrometry using spark ionization.", true},
    {MS_stored_waveform_inverse_fourier_transform, "MS:1000284", "stored waveform inverse fourier transform", "A technique to create excitation waveforms for ions in FT-ICR mass spectrometer or Paul ion trap. An excitation waveform in the time-domain is generated by taking the inverse Fourier transform of an appropriate frequency-domain programmed excitation spectrum, in which the resonance frequencies of ions to be excited are included. This technique may be used for selection of precursor ions in MS/MS experiments.", false},
    {MS_total_ion_current, "MS:1000285", "total ion current", "The sum of all the separate ion currents carried by the ions of different m/z contributing to a complete mass spectrum or in a specified m/z range of a mass spectrum.", false},
    {MS_time_lag_focusing, "MS:1000286", "time lag focusing", "Energy focusing in a time-of-flight mass spectrometer that is accomplished by introducing a time delay between the formation of the ions and the application of the accelerating voltage pulse.", false},
    {MS_time_of_flight_mass_spectrometer, "MS:1000287", "time-of-flight mass spectrometer", "An instrument that separates ions by m/z in a field-free region after acceleration to a fixed kinetic energy.", false},
    {MS_cyclotron, "MS:1000288", "cyclotron", "A device that uses an oscillating electric field and magnetic field to accelerate charged particles.", false},
    {MS_double_focusing_mass_spectrometer, "MS:1000289", "double-focusing mass spectrometer", "A mass spectrometer that uses a magnetic sector for m/z focusing and an electric sector for energy focusing of an ion beam.", false},
    {MS_hybrid_mass_spectrometer, "MS:1000290", "hybrid mass spectrometer", "A mass spectrometer that combines m/z analyzers of different types to perform tandem mass spectrometry.", false},
    {MS_linear_ion_trap, "MS:1000291", "linear ion trap", "A two dimensional Paul ion trap in which ions are confined in the axial dimension by means of an electric field at the ends of the trap.", false},
    {MS_mass_spectrograph_obsolete, "MS:1000292", "mass spectrograph obsolete", "An instrument that separates a beam of ions according to their mass-to-charge ratio in which the ions are directed onto a focal plane detector such as a photographic plate.", false},
    {MS_mass_spectrometer, "MS:1000293", "mass spectrometer", "An instrument that measures the mass-to-charge ratio and relative abundances of ions.", false},
    {MS_mass_spectrum, "MS:1000294", "mass spectrum", "A plot of the relative abundance of a beam or other collection of ions as a function of the mass-to-charge ratio (m/z).", false},
    {MS_mattauch_herzog_geometry, "MS:1000295", "mattauch-herzog geometry", "An arrangement for a double-focusing mass spectrometer in which a deflection of ?/(4 ?(2)) radians in a radial electric field is followed by a magnetic deflection of ?/2 radians.", false},
    {MS_nier_johnson_geometry, "MS:1000296", "nier-johnson geometry", "An arrangement for a double-focusing mass spectrometer in which a deflection of ?/2 radians in a radial electric field analyzer is followed by a magnetic deflection of ?/3 radians.", false},
    {MS_paul_ion_trap, "MS:1000297", "paul ion trap", "A device that permits the trapping of ions by means of an alternating current voltage. The ejection of ions with a m/z less than a prescribed value and retention of those with higher mass depends on the application of radio frequency voltages between a ring electrode and two end-cap electrodes to confine the ions in a circular path. The choice of these voltages determines the m/z below which ions are ejected.", false},
    {MS_prolate_traochoidal_mass_spectrometer, "MS:1000298", "prolate traochoidal mass spectrometer", "A mass spectrometer in which the ions of different m/z are separated by means of crossed electric and magnetic fields in such a way that the selected ions follow a prolate trochoidal path.", false},
    {MS_quistor, "MS:1000299", "quistor", "An abbreviation of quadrupole ion storage trap. This term is synonymous with Paul Ion Trap. If so then add a synonym to paul and obsolete this term.", false},
    {MS_reflectron, "MS:1000300", "reflectron", "A time-of-flight mass spectrometer that uses a static electric field to reverse the direction of travel of the ions entering it. A reflectron improves mass resolution by assuring that ions of the same m/z but different kinetic energy arrive at the detector at the same time.", false},
    {MS_sector_mass_spectrometer, "MS:1000301", "sector mass spectrometer", "A mass spectrometer consisting of one or more magnetic sectors for m/z selection in a beam of ions. Such instruments may also have one or more electric sectors for energy selection.", false},
    {MS_tandem_mass_spectrometer, "MS:1000302", "tandem mass spectrometer", "A mass spectrometer designed for mass spectrometry/mass spectrometry.", false},
    {MS_transmission_quadrupole_mass_spectrometer, "MS:1000303", "transmission quadrupole mass spectrometer", "A mass spectrometer that consists of four parallel rods whose centers form the corners of a square and whose opposing poles are connected. The voltage applied to the rods is a superposition of a static potential and a sinusoidal radio frequency potential. The motion of an ion in the x and y dimensions is described by the Matthieu equation whose solutions show that ions in a particular m/z range can be transmitted along the z axis.", false},
    {MS_accelerating_voltage, "MS:1000304", "accelerating voltage", "The electrical potential used to impart kinetic energy to ions in a mass spectrometer.", false},
    {MS_cyclotron_motion, "MS:1000305", "cyclotron motion", "The circular motion of a charged particle moving at velocity v in a magnetic field B that results from the force qvB.", false},
    {MS_dynamic_mass_spectrometry, "MS:1000306", "dynamic mass spectrometry", "A mass spectrometer in which m/z separation using one or more electric fields that vary with time.", false},
    {MS_einzel_lens, "MS:1000307", "einzel lens", "Three element charged particle lens in which the first and third elements are held at the same voltage. Such a lens produces focusing without changing the translational energy of the particle.", false},
    {MS_electric_field_strength, "MS:1000308", "electric field strength", "The magnitude of the force per unit charge at a given point in space.", false},
    {MS_first_stability_region, "MS:1000309", "first stability region", "The region of a Mathieu stability diagram closest to the origin. Ions within this region can traverse the full length of a transmission quadrupole.", false},
    {MS_fringing_field, "MS:1000310", "fringing field", "The electric or magnetic field that extends from the edge of a sector, lens or other ion optics element.", false},
    {MS_kinetic_energy_analyzer, "MS:1000311", "kinetic energy analyzer", "A device for measuring the kinetic energy of charged particles using a retarding field, time-of-flight, or the extent of deflection in an electric or magnetic field.", false},
    {MS_mass_limit, "MS:1000312", "mass limit", "The m/z value above which ions cannot be detected in a mass spectrometer.", false},
    {MS_scan_m_z_range_, "MS:1000313", "scan m/z range?", "The limit of m/z over which a mass spectrometer can detect ions.", false},
    {MS_mass_selective_axial_ejection, "MS:1000314", "mass selective axial ejection", "The use of mass selective instability to eject ions of selected m/z values from an ion trap.", false},
    {MS_mass_selective_instability, "MS:1000315", "mass selective instability", "A method for selective ejection of ions according to their m/z value in an ion trap.", false},
    {MS_mathieu_stability_diagram, "MS:1000316", "mathieu stability diagram", "A graphical representation expressed in terms of reduced coordinates that describes charged particle motion in a quadrupole mass filter or quadrupole ion trap mass spectrometer.", false},
    {MS_orthogonal_extraction, "MS:1000317", "orthogonal extraction", "The pulsed acceleration of ions perpendicular to their direction of travel into a time-of-flight mass spectrometer. Ions may be extracted from a directional ion source, drift tube or m/z separation stage.", false},
    {MS_resonance_ion_ejection, "MS:1000318", "resonance ion ejection", "A mode of ion ejection in a quadrupole ion trap that relies on a auxiliary radio frequency voltage that is applied to the end-cap electrodes. The voltage is tuned to the secular frequency of a particular ion to eject it.", false},
    {MS_space_charge_effect, "MS:1000319", "space charge effect", "The mutual repulsion of particles of like charge that limits the current in a charged-particle beam and causes beams or packets of charged particles to expand radially over time.", false},
    {MS_static_field, "MS:1000320", "static field", "An electric or magnetic field that does not change in time.", false},
    {MS_2E_Mass_Spectrum, "MS:1000321", "2E Mass Spectrum", "A mass spectrum obtained by setting the electric sector field E to twice the value required to transmit the main ion-beam thereby allowing ions with a kinetic energy-to-charge ratio twice that of the main ion-beam to be transmitted. Product ions resulting from partial charge transfer reactions such as m^2+ + N ? m^+ + N^+ that occur in a collision cell (containing a gas, N) located in a field-free region preceding a magnetic and electric sector combination are detected. When the magnetic sector field B is scanned, a mass spectrum of singly charged product ions of doubly charged precursor ions is obtained.", false},
    {MS_charge_inversion_mass_spectrum, "MS:1000322", "charge inversion mass spectrum", "The measurement of the relative abundance of ions that result from a charge inversion reaction as a function of m/z.", false},
    {MS_constant_neutral_loss_scan, "MS:1000323", "constant neutral loss scan", "Spectrum of all precursor ions that undergo a selected m/z decrement.", false},
    {MS_constant_neutral_gain_scan, "MS:1000324", "constant neutral gain scan", "Spectrum of all precursor ions that undergo a selected m/z increment.", false},
    {MS_constant_neutral_gain_spectrum, "MS:1000325", "constant neutral gain spectrum", "A spectrum formed of all product ions that have been produced by gain of a pre-selected neutral mass following the reaction with and addition of the gas in a collision cell.", false},
    {MS_constant_neutral_loss_spectrum, "MS:1000326", "constant neutral loss spectrum", "A spectrum formed of all product ions that have been produced with a selected m/z decrement from any precursor ions. The spectrum shown correlates to the precursor ion spectrum. See also neutral loss spectrum.", false},
    {MS_consecutive_reaction_monitoring_OBSOLETE, "MS:1000327", "consecutive reaction monitoring", "A type of MS/MS experiments with three or more stages of m/z separation and in which a particular multi-step reaction path is monitored.", true},
    {MS_e_2_mass_spectrum, "MS:1000328", "e/2 mass spectrum", "A mass spectrum obtained using a sector mass spectrometer in which the electric sector field E is set to half the value required to transmit the main ion-beam. This spectrum records the signal from doubly charged product ions of charge-stripping reactions.", false},
    {MS_linked_scan, "MS:1000329", "linked scan", "A scan in an instrument with two or more m/z analysers or in a sector mass spectrometer that incorporates at least one magnetic sector and one electric sector. Two or more of the analyzers are scanned simultaneously so as to preserve a predetermined relationship between scan parameters to produce a product ion, precursor ion or constant neutral loss spectrum.", false},
    {MS_linked_scan_at_constant_b_e, "MS:1000330", "linked scan at constant b/e", "A linked scan at constant B/E may be performed on a sector mass spectrometer that incorporates at least one magnetic sector plus one electric sector. The magnetic field B and the electric field E are scanned simultaneously while the accelerating voltage V is held constant, so as to maintain the ratio of the two fields constant. This linked scan may record a product ion spectrum of dissociation or other reactions occurring in a field free region preceding the two sectors.", false},
    {MS_Linked_Scan_at_Constant_E2_V, "MS:1000331", "Linked Scan at Constant E2/V", "A linked scan performed on a sector instrument that incorporates at least one electric sector plus one magnetic sector. The electric sector field, E, and the accelerating voltage, V, are scanned simultaneously, so as to maintain the ratio E2/V at a constant value. This linked scan recordss a product ion spectrum of dissociation or other reactions occurring in a field free region (FFR) preceding the two sectors.", false},
    {MS_Linked_Scan_at_Constant_B2_E, "MS:1000332", "Linked Scan at Constant B2/E", "A linked scan performed on a sector mass spectrometer that incorporates at least one electric sector plus one magnetic sector in either order. The accelerating voltage is fixed and the magnetic field, B, and the electric field, E, are scanned simultaneously so as to maintain the ratio B2/E at a constant value. This linked scan records a precursor ion spectrum of dissociation or other reactions occurring in the field free region preceding the two sectors. The term B2/E linked scan is not recommended.", false},
    {MS_Linked_Scan_at_Constant_B_1__E_E0___1_2___E, "MS:1000333", "Linked Scan at Constant B[1-(E/E0)]^1/2 / E", "A linked scan performed on a sector instrument that incorporates at least one electric sector plus one magnetic sector placed in either order. The accelerating voltage is fixed while scanning the magnetic field, B, and electric field, E, simultaneously, so as to maintain the quantity B[1-(E/E0)]1/2/E at a constant value. This linked scan records a constant neutral mass loss (or gain) spectrum of dissociation or other reactions occurring in a field free region preceding the two sectors. E0 is the electric field required to transmit the singly charged analog of the desired neutral fragment. The term B[1-(E/E0)]1/2/E linked scan.", false},
    {MS_MS_MS_in_Time, "MS:1000334", "MS/MS in Time", "A tandem mass spectrometry method in which product ion spectra are recorded in a single m/z analyzer (such as a Paul Ion Trap or FTMS) in discreet steps over time. Ions in a specific m/z range are selected, dissociated, and the product ions analyzed sequentially in time.", false},
    {MS_MS_MS_in_Space, "MS:1000335", "MS/MS in Space", "A tandem mass spectrometry method in which product ion spectra are recorded in m/z analyzers separated in space. Specific m/z separation functions are designed such that in one section of the instrument ions are selected, dissociated in an intermediate region, and the product ions are then transmitted to another analyser for m/z separation and data acquisition.", false},
    {MS_neutral_loss, "MS:1000336", "neutral loss", "The loss of an uncharged species during a rearrangement process.", false},
    {MS_nth_generation_product_ion, "MS:1000337", "nth generation product ion", "Serial product ions from dissociation of selected precursor ions where n refers to the number of stages of dissociation. The term granddaughter ion is deprecated.", false},
    {MS_nth_generation_product_ion_scan, "MS:1000338", "nth generation product ion scan", "The specific scan functions or processes that record the appropriate generation of product ion or ions of any m/z selected precursor ions.", false},
    {MS_nth_generation_product_ion_spectrum_OBSOLETE, "MS:1000339", "nth generation product ion spectrum", "The mass spectrum recorded from any mass spectrometer in which the appropriate scan function can be set to record the appropriate generation product ion or ions of m/z selected precursor ions.", true},
    {MS_precursor_ion, "MS:1000340", "precursor ion", "An ion that reacts to form particular product ions. The reaction can be unimolecular dissociation, ion/molecule reaction, isomerization, or change in charge state. The term parent ion is not recommended.", false},
    {MS_precursor_ion_spectrum, "MS:1000341", "precursor ion spectrum", "Spectrum generated by scanning precursor m/z while monitoring a fixed product m/z", false},
    {MS_product_ion, "MS:1000342", "product ion", "An ion formed as the product of a reaction involving a particular precursor ion. The reaction can be unimolecular dissociation to form fragment ions, an ion/molecule reaction, or simply involve a change in the number of charges. The term fragment ion is deprecated. The term daughter ion is deprecated.", false},
    {MS_product_ion_spectrum_OBSOLETE, "MS:1000343", "product ion spectrum", "A mass spectrum recorded from any spectrometer in which the appropriate m/z separation scan function is set to record the product ion or ions of selected precursor ions.", true},
    {MS_progeny_ion, "MS:1000344", "progeny ion", "A charged product of a series of consecutive reactions that includes product ions, 1st generation product ions, 2nd generation product ions, etc. Given the sequential fragmentation scheme: M1+ -> M2+ -> M3+ -> M4+ -> M5+. M4+ is the precursor ion of M5+, a 1st generation product ion of M3+, a 2nd generation product ion of M2+ and a 3rd generation product ion of M1+.", false},
    {MS_array_detector, "MS:1000345", "array detector", "Detector comprising several ion collection elements, arranged in a line or grid where each element is an individual detector.", false},
    {MS_conversion_dynode, "MS:1000346", "conversion dynode", "A surface that is held at high potential such that ions striking the surface produce electrons that are subsequently detected.", false},
    {MS_dynode, "MS:1000347", "dynode", "One of a series of electrodes in a photomultiplier tube. Such an arrangement is able to amplify the current emitted by the photocathode.", false},
    {MS_focal_plane_collector, "MS:1000348", "focal plane collector", "A detector for spatially disperse ion beams in which all ions simultaneously impinge on the detector plane.", false},
    {MS_ion_to_photon_detector, "MS:1000349", "ion-to-photon detector", "A detector in which ions strike a conversion dynode to produce electrons that in turn strike a phosphor and the resulting photons are detected by a photomultiplier.", false},
    {MS_point_collector, "MS:1000350", "point collector", "A detector in which the ion beam is focused onto a point and the individual ions arrive sequentially.", false},
    {MS_postacceleration_detector, "MS:1000351", "postacceleration detector", "A detector in which the charged particles are accelerated to a high velocity and impinge on a conversion dynode, emitting secondary electrons. The electrons are accelerated onto a phosphor screen, which emits photons that are in turn detected using a photomultiplier or other photon detector.", false},
    {MS_secondary_electron, "MS:1000352", "secondary electron", "Electrons that are ejected from a sample surface as a result of bombardment by a primary beam of atoms, ions or photons. WAS IN DETECTOR TYPE. Where should it go?", false},
    {MS_adduct_ion, "MS:1000353", "adduct ion", "Ion formed by the interaction of an ion with one or more atoms or molecules to form an ion containing all the constituent atoms of the precursor ion as well as the additional atoms from the associated atoms or molecules.", false},
    {MS_aromatic_ion, "MS:1000354", "aromatic ion", "A planar cyclic ion that obeys the Hckel (4n + 2) rule where n is a positive integer representing the number of conjugated Pi electrons. Charge delocalization leads to greater stability compared to a hypothetical localized structure.", false},
    {MS_analog_ion, "MS:1000355", "analog ion", "Ions that have similar chemical valence, for example the acetyl cation CH3-CO+ and the thioacetyl cation CH3-CS+.", false},
    {MS_anti_aromatic_ion, "MS:1000356", "anti-aromatic ion", "A planar cyclic ion with 4n ? electrons and is therefore not aromatic.", false},
    {MS_cationized_molecule, "MS:1000357", "cationized molecule", "An ion formed by the association of a cation with a neutral molecule, M, for example [M+ Na]+ and [M + K]+. The terms quasi-molecular ion and pseudo-molecular ion should not be used.", false},
    {MS_cluster_ion, "MS:1000358", "cluster ion", "An ion formed by a multi-component atomic or molecular assembly of one or more ions with atoms or molecules, such as [(H20)nH]+, [(NaCl)nNa]+ and [(H3PO3)nHPO3]-.", false},
    {MS_Conventional_ion, "MS:1000359", "Conventional ion", "A radical cation or anion in which the charge site and the unpaired electron spin are both formally located in the same atom or group of atoms, as opposed to the spatially separate electronic configuration of distonic ions. The radical cation of methanol, CH3OH+, in which the charge and spin sites are formally located at the O atom is an example of a conventional ion, whereas .CH2-OH2+ is a distonic ion.", false},
    {MS_diagnostic_ion, "MS:1000360", "diagnostic ion", "A product ion whose formation reveals structural or compositional information of its precursor. For instance, the phenyl cation in an electron ionization mass spectrum is a diagnostic ion for benzene and derivatives.", false},
    {MS_dimeric_ion, "MS:1000361", "dimeric ion", "An ion formed by ionization of a dimer or by the association of an ion with its neutral counterpart such as [M2]+ or [M-H-M]+.", false},
    {MS_distonic_ion, "MS:1000362", "distonic ion", "A radical cation or anion in which the charge site and the unpaired electron spin cannot be both formally located in the same atom or group of atoms as it can be with a conventional ion. For example, CH2-OH2+ is a distonic ion whereas the radical cation of methanol, CH3OH+ is a conventional ion.", false},
    {MS_enium_ion, "MS:1000363", "enium ion", "A positively charged lower-valency ion of the nonmetallic elements. The methenium ion is CH3+. Other examples are the oxenium, sulfenium, nitrenium, phosphenium, and halenium ions.", false},
    {MS_fragment_ion_OBSOLETE, "MS:1000364", "fragment ion", "A product ion that results from the dissociation of a precursor ion.", true},
    {MS_ion_, "MS:1000365", "ion?", "An atomic or molecular species having a net positive or negative electric charge.", false},
    {MS_Isotopologue_ion, "MS:1000366", "Isotopologue ion", "An ion that differs only in the isotopic composition of one or more of its constituent atoms. For example CH4+ and CH3D+ or 10BF3 and 11BF3. The term isotopologue is a contraction of isotopic homologue.", false},
    {MS_Isotopomeric_ion, "MS:1000367", "Isotopomeric ion", "Isomeric ion having the same numbers of each isotopic atom but differing in their positions. Isotopomeric ions can be either configurational isomers in which two atomic isotopes exchange positions or isotopic stereoisomers. The term isotopomer is a shortening of isotopic isomer.", false},
    {MS_metastable_ion, "MS:1000368", "metastable ion", "An ion that is formed with internal energy higher than the threshold for dissociation but with a lifetime great enough to allow it to exit the ion source and enter the mass spectrometer where it dissociates before detection.", false},
    {MS_molecular_ion, "MS:1000369", "molecular ion", "An ion formed by the removal of one or more electrons to form a positive ion or the addition off one or more electrons to form a negative ion.", false},
    {MS_negative_ion, "MS:1000370", "negative ion", "An atomic or molecular species having a net negative electric charge.", false},
    {MS_non_classical_ion, "MS:1000371", "non-classical ion", "Hyper-coordinated carbonium ion such as the penta-coordinated norbornyl cation. Note: Tri-coordinated carbenium ions are termed classical ions.", false},
    {MS_onium_ion, "MS:1000372", "onium ion", "A positively charged hypervalent ion of the nonmetallic elements. Examples are the methonium ion CH5+, the hydrogenonium ion H3+ and the hydronium ion H3O+. Other examples are the carbonium, oxonium, sulfonium, nitronium, diazonium, phosphonium, and halonium ions. Onium ions are not limited to monopositive ions; multiply-charged onium ions exist such as the gitonic (proximal) oxonium dication H4O2+ and the distonic oxonium dication H2O+-CH2-CH2-OH2+.", false},
    {MS_principal_ion, "MS:1000373", "principal ion", "Most abundant ion of an isotope cluster, such as the 11B79Br2 81Br+ ion of m/z 250 of the cluster of isotopologue molecular ions of BBr3. The term principal ion has also been used to describe ions that have been artificially isotopically enriched in one or more positions such as CH3 13CH3+ or CH2D2 +, but those are best defined as isotopologue ions.", false},
    {MS_positive_ion, "MS:1000374", "positive ion", "An atomic or molecular species having a net positive electric charge.", false},
    {MS_protonated_molecule, "MS:1000375", "protonated molecule", "An ion formed by interaction of a neutral molecule with a proton and represented by the symbol [M + H]+, where M is the neutral molecule. The term 'protonated molecular ion,' 'quasi-molecular ion' and 'pseudo-molecular ion' are not recommended.", false},
    {MS_radical_ion, "MS:1000376", "radical ion", "An ion, either a cation or anion, containing unpaired electrons in its ground state. The unpaired electron is denoted by a superscript dot alongside the superscript symbol for charge, such as for the molecular ion of a molecule M, that is, M+. Radical ions with more than one charge and/or more than one unpaired electron are denoted such as M(2+)(2). Unless the positions of the unpaired electron and charge can be associated with specific atoms, superscript charge designation should be placed before the superscript dot designation.", false},
    {MS_reference_ion, "MS:1000377", "reference ion", "A stable ion whose structure is known with certainty. These ions are usually formed by direct ionization of a neutral molecule of known structure and are used to verify by comparison the structure of an unknown ion.", false},
    {MS_stable_ion, "MS:1000378", "stable ion", "An ion with internal energy sufficiently low that it does not rearrange or dissociate prior to detection in a mass spectrometer.", false},
    {MS_unstable_ion, "MS:1000379", "unstable ion", "An ion with sufficient enerrgy to dissociate within the ion source.", false},
    {MS_adiabatic_ionization, "MS:1000380", "adiabatic ionization", "A process whereby an electron is removed from an atom, ion, or molecule to produce an ion in its lowest energy state.", false},
    {MS_associative_ionization, "MS:1000381", "associative ionization", "An ionization process in which two excited atoms or molecules react to form a single positive ion and an electron.", false},
    {MS_atmospheric_pressure_photoionization, "MS:1000382", "atmospheric pressure photoionization", "Atmospheric pressure chemical ionization in which the reactant ions are generated by photo-ionization.", false},
    {MS_autodetachment, "MS:1000383", "autodetachment", "The formation of a neutral when a negative ion in a disrtete state with an energy greater than the detachment threshold loses an electron spontaneously without further interaction with an energy source.", false},
    {MS_autoionization, "MS:1000384", "autoionization", "The formation of an ion when an atom or molecule in a discrete state with an energy greater than the ionization threshold loses an electron spontaneously without further interaction with an energy source.", false},
    {MS_charge_exchange_ionization, "MS:1000385", "charge exchange ionization", "The interaction of an ion with an atom or molecule in which the charge on the ion is transferred to the neutral without the dissociation of either. Synonymous with charge transfer ionization.", false},
    {MS_chemi_ionization, "MS:1000386", "chemi-ionization", "The reaction of a neutral molecule with an internally excited molecule to form an ion. Note that this term is not synonymous with chemical ionization.", false},
    {MS_desorption_ionization_on_silicon, "MS:1000387", "desorption/ionization on silicon", "The formation of ions by laser desorption ionization of a sample deposited on a porous silicon surface.", false},
    {MS_dissociative_ionization, "MS:1000388", "dissociative ionization", "The reaction of a gas-phase molecule that results in its decomposition to form products, one of which is an ion.", false},
    {MS_electron_ionization, "MS:1000389", "electron ionization", "The ionization of an atom or molecule by electrons that are typically accelerated to energies between 50 and 150 eV. Usually 70 eV electrons are used to produce positive ions. The term 'electron impact' is not recommended.", false},
    {MS_ion_desolvation, "MS:1000390", "ion desolvation", "The removal of solvent molecules clustered around a gas-phase ion by means of heating and/or collisions with gas molecules.", false},
    {MS_ion_pair_formation, "MS:1000391", "ion-pair formation", "The reaction of a molecule to form both a positive ion and negative ion fragment among the products.", false},
    {MS_ionization_efficiency, "MS:1000392", "ionization efficiency", "The ratio of the number of ions formed to the number of electrons, molecules or photons used.", false},
    {MS_laser_desorption_ionization, "MS:1000393", "laser desorption ionization", "The formation of gas-phase ions by the interaction of a pulsed laser with a solid or liquid material.", false},
    {MS_liquid_secondary_ionization, "MS:1000395", "liquid secondary ionization", "The ionization of any species by the interaction of a focused beam of ions with a sample that is dissolved in a solvent matrix. See also fast atom bombardment and secondary ionization.", false},
    {MS_membrane_inlet, "MS:1000396", "membrane inlet", "A semi-permeable membrane separator that permits the passage of gas sample directly to the mass spectrometer ion source.", false},
    {MS_microelectrospray, "MS:1000397", "microelectrospray", "Electrospray ionization at a solvent flow rate of 300-800 nL/min where the flow is a result of a mechanical pump. See nanaoelectrospray.", false},
    {MS_nanoelectrospray, "MS:1000398", "nanoelectrospray", "Electrospray ionization at a flow rate less than ~25 nL/min. Nanoelectrospray is synonymous with nanospray. The flow is dependent on the potenial on the tip of the electrospray needle and/or a gas presure to push the sample through the needle. See also electrospray ionization and microelectrospray.", false},
    {MS_penning_ionization, "MS:1000399", "penning ionization", "Ionization that occurs through the interaction of two or more neutral gaseous species, at least one of which is internally excited.", false},
    {MS_plasma_desorption_ionization, "MS:1000400", "plasma desorption ionization", "The ionization of material in a solid sample by bombarding it with ionic or neutral atoms formed as a result of the fission of a suitable nuclide, typically 252Cf. Synonymous with fission fragment ionization.", false},
    {MS_pre_ionization_state, "MS:1000401", "pre-ionization state", "An electronic state capable of undergoing auto-Ionization.", false},
    {MS_secondary_ionization, "MS:1000402", "secondary ionization", "The process in which ions are ejected from a sample surface as a result of bombardment by a primary beam of atoms or ions.", false},
    {MS_soft_ionization, "MS:1000403", "soft ionization", "The formation of gas-phase ions without extensive fragmentation.", false},
    {MS_spark_ionization, "MS:1000404", "spark ionization", "The formation of ions from a solid material by an intermittent electrical discharge.", false},
    {MS_surface_assisted_laser_desorption_ionization, "MS:1000405", "surface-assisted laser desorption ionization", "The formation of gas-phase ions from molecules that are deposited on a particular surface substrate that is irradiated with a pulsed laser. See also matrix-assisted laser desorption ionization.", false},
    {MS_surface_ionization, "MS:1000406", "surface ionization", "The ionization of a neutral species when it interacts with a solid surface with an appropriate work function and temperature.", false},
    {MS_thermal_ionization, "MS:1000407", "thermal ionization", "The ionization of a neutral species through contact with a high temperature surface.", false},
    {MS_vertical_ionization, "MS:1000408", "vertical ionization", "A process in which an electron is removed from or added to a molecule without a change in the positions of the atoms. The resulting ion is typically in an excited vibrational state.", false},
    {MS_association_reaction, "MS:1000409", "association reaction", "The reaction of an ion with a neutral species in which the reactants combine to form a single ion.", false},
    {MS_alpha_cleavage, "MS:1000410", "alpha-cleavage", "A homolytic cleavage where the bond fission occurs between at the atom adjacent to the atom at the apparent charge site and an atom removed from the aparent charge site by two bonds.", false},
    {MS_beta_cleavage, "MS:1000411", "beta-cleavage", "A homolytic cleavage where the bond fission occurs between at an atom removed from the apparent charge site atom by two bonds and an atom adjacent to that atom and removed from the aparent charge site by three bonds.", false},
    {MS_buffer_gas, "MS:1000412", "buffer gas", "An inert gas used for collisional deactivation of internally excited ions.", false},
    {MS_charge_induced_fragmentation, "MS:1000413", "charge-induced fragmentation", "Fragmentation of an odd electron ion in which the cleaved bond is adjacent to the apparent charge site. Synonymous with charge mediated fragmentation.", false},
    {MS_charge_inversion_reaction, "MS:1000414", "charge inversion reaction", "Reaction of an ion with a neutral species in which the charge on the product ion is reversed in sign with respect to the reactant ion.", false},
    {MS_charge_permutation_reaction, "MS:1000415", "charge permutation reaction", "The reaction of an ion with a neutral species with a resulting change in the magnitude or sign of the charge on the reactant ion.", false},
    {MS_charge_stripping_reaction, "MS:1000416", "charge stripping reaction", "Reaction of a positive ion with a neutral species in which the positive charge on the product ion is greater than that on the reactant ion.", false},
    {MS_charge_transfer_reaction, "MS:1000417", "charge transfer reaction", "The reaction of an ion with a neutral species in which some or all of the charge of the reactant ion is transferred to the neutral species.", false},
    {MS_collisional_excitation, "MS:1000418", "collisional excitation", "The reaction of an ion with a neutral species in which the translational energy of the collision is converted into internal energy of the ion.", false},
    {MS_collision_gas, "MS:1000419", "collision gas", "An inert gas used for collisional excitation. The term target gas is not recommended.", false},
    {MS_heterolytic_cleavage, "MS:1000420", "heterolytic cleavage", "Fragmentation of a molecule or ion in which both electrons forming the single bond that is broken remain on one of the atoms that were originally bonded. This term is synonymous with heterolysis.", false},
    {MS_high_energy_collision, "MS:1000421", "high energy collision", "Collision-induced dissociation process wherein the projectile ion has laboratory-frame translational energy higher than 1 keV.", false},
    {MS_high_energy_collision_induced_dissociation, "MS:1000422", "high-energy collision-induced dissociation", "A collision-induced dissociation process wherein the projectile ion has the translational energy higher than approximately 1000 eV.", false},
    {MS_homolytic_cleavage, "MS:1000423", "homolytic cleavage", "Fragmentation of an odd electron ion that results from one of a pair of electrons that form a bond between two atoms moving to form a pair with the odd electron on the atom at the apparent charge site. Fragmentation results in the formation of an even electron ion and a radical. This reaction involves the movement of a single electron and is symbolized by a single-barbed arrow. Synonymous with Homolysis.", false},
    {MS_hydrogen_deuterium_exchange, "MS:1000424", "hydrogen/deuterium exchange", "Exchange of hydrogen atoms with deuterium atoms in a molecule or pre-formed ion in solution prior to introduction into a mass spectrometer, or by reaction of an ion with a deuterated collision gas inside a mass spectrometer.", false},
    {MS_ion_energy_loss_spectrum, "MS:1000425", "ion energy loss spectrum", "A plot of the relative abundance of a beam or other collection of ions as a function their loss of translational energy in reactions with neutral species.", false},
    {MS_ionizing_collision, "MS:1000426", "ionizing collision", "The reaction of an ion with a neutral species in which one or more electrons are removed from either the ion or neutral.", false},
    {MS_ion_molecule_reaction, "MS:1000427", "ion/molecule reaction", "The reaction of an ion with a neutral molecule. The term ion-molecule reaction is not recommended because the hyphen suggests a single species that is that is both an ion and a molecule.", false},
    {MS_ion_neutral_complex, "MS:1000428", "ion/neutral complex", "A particular type of transition state that lies between precursor and product ions on the reaction coordinate of some ion reactions.", false},
    {MS_ion_neutral_species_reaction, "MS:1000429", "ion/neutral species reaction", "A process wherein a charged species interacts with a neutral reactant to produce either chemically different species or changes in the internal energy of one or both of the reactants.", false},
    {MS_ion_neutral_species_exchange_reaction, "MS:1000430", "ion/neutral species exchange reaction", "In this reaction an association reaction is accompanied by the subsequent or simultaneous liberation of a different neutral species as a product.", false},
    {MS_kinetic_method, "MS:1000431", "kinetic method", "An approach to determination of ion thermodynamic quantities by a bracketing procedure in which the relative probabilities of competing ion fragmentations are measured via the relative abundances of the reaction products. The extended kinetic method takes the associated entropy changes into account.", false},
    {MS_low_energy_collisions, "MS:1000432", "low energy collisions", "A collision between an ion and neutral species with translational energy approximately 1000 eV or lower.", false},
    {MS_low_energy_collision_induced_dissociation, "MS:1000433", "low-energy collision-induced dissociation", "A collision-induced dissociation process wherein the precursor ion has the translational energy lower than approximately 1000 eV. This process typically requires multiple collisions and the collisional excitation is cumulative.", false},
    {MS_McLafferty_Rearrangement, "MS:1000434", "McLafferty Rearrangement", "A dissociation reaction triggered by transfer of a hydrogen atom via a 6-member transition state to the formal radical/charge site from a carbon atom four atoms removed from the charge/radical site (the gamma-carbon); subsequent rearrangement of electron density leads to expulsion of an olefin molecule. This term was originally applied to ketone ions where the charge/radical site is the carbonyl oxygen, but it is now more widely applied.", false},
    {MS_photodissociation, "MS:1000435", "photodissociation", "A process wherein the reactant ion is dissociated as a result of absorption of one or more photons.", false},
    {MS_partial_charge_transfer_reaction, "MS:1000436", "partial charge transfer reaction", "Reaction of an ion with a neutral species in which some but not all of the ion charge is transferred to the neutral.", false},
    {MS_ion_reaction, "MS:1000437", "ion reaction", "Chemical transformation involving an ion.", false},
    {MS_superelastic_collision, "MS:1000438", "superelastic collision", "Collision in which the translational energy of the fast-moving collision partner is increased at the expense of internal energy of one or both collision partners.", false},
    {MS_surface_induced_reaction, "MS:1000439", "surface-induced reaction", "A process wherein a reactant ion interacts with a surface to produce either chemically different species or a change in the internal energy of the reactant ion.", false},
    {MS_unimolecular_dissociation, "MS:1000440", "unimolecular dissociation", "Fragmentation reaction in which the molecularity is treated as one, irrespective of whether the dissociative state is that of a metastable ion produced in the ion source or results from collisional excitation of a stable ion.", false},
    {MS_scan, "MS:1000441", "scan", "Function or process of the mass spectrometer where it records a spectrum.", false},
    {MS_spectrum, "MS:1000442", "spectrum", "A mass spectrum is an intensity vs m/z (mass-to-charge ratio) plot representing a chemical analysis.", false},
    {MS_mass_analyzer_type, "MS:1000443", "mass analyzer type", "Mass analyzer separates the ions according to their mass-to-charge ratio.", false},
    {MS_m_z_Separation_Method, "MS:1000444", "m/z Separation Method", "TODO: Add definition.", false},
    {MS_sequential_m_z_separation_method__, "MS:1000445", "sequential m/z separation method ?", "TODO: Add definition.", false},
    {MS_fast_ion_bombardment, "MS:1000446", "fast ion bombardment", "The ionization of any species by the interaction of a focused beam of ions having a translational energy of several thousand eV with a solid sample.", false},
    {MS_LTQ, "MS:1000447", "LTQ", "Finnigan LTQ MS.", false},
    {MS_LTQ_FT, "MS:1000448", "LTQ FT", "Finnigan LTQ FT MS.", false},
    {MS_LTQ_Orbitrap, "MS:1000449", "LTQ Orbitrap", "Finnigan LTQ Orbitrap MS.", false},
    {MS_LXQ, "MS:1000450", "LXQ", "Finnigan LXQ MS.", false},
    {MS_mass_analyzer, "MS:1000451", "mass analyzer", "Terms used to describe the Analyzer.", false},
    {MS_data_transformation, "MS:1000452", "data transformation", "Terms used to describe types of data processing.", false},
    {MS_detector, "MS:1000453", "detector", "The device that detects ions.", false},
    {MS_instrument_additional_description, "MS:1000454", "instrument additional description", "Additional terms to describe the instrument as outlined in the mass spec doc, Appendix 1, section 1.5.", false},
    {MS_ion_selection_attribute, "MS:1000455", "ion selection attribute", "Ion selection properties that are associated with a value.", false},
    {MS_precursor_activation, "MS:1000456", "precursor activation", "Terms to describe the precursor activation.", false},
    {MS_sample, "MS:1000457", "sample", "Terms to describe the sample.", false},
    {MS_source, "MS:1000458", "source", "Terms to describe the source.", false},
    {MS_spectrum_instrument_description, "MS:1000459", "spectrum instrument description", "Terms used to describe the spectrum.", false},
    {MS_unit, "MS:1000460", "unit", "Terms to describe units.", false},
    {MS_additional_description, "MS:1000461", "additional description", "Terms to describe Additional.", false},
    {MS_ion_optics, "MS:1000462", "ion optics", "Device used in the construction of a mass spectrometer to focus, contain or otherwise manipulate ions.", false},
    {MS_instrument, "MS:1000463", "instrument", "Description of the instrument or the mass spectrometer.", false},
    {MS_mass_unit_OBSOLETE, "MS:1000464", "mass unit", "A unit of measurement for mass.", true},
    {MS_scan_polarity, "MS:1000465", "scan polarity", "An acquisition mode to which specifies weather polarity is negative, positive or alternating.", false},
    {MS_alternating_OBSOLETE, "MS:1000466", "alternating", "Alternating.", true},
    {MS_1200_series_LC_MSD_SL, "MS:1000467", "1200 series LC/MSD SL", "The 1200 Series LC/MSD SL ion trap belongs to the Agilent LC/MSD ion trap family. It provides fast polarity switching and multisignal data acquisition capabilities in a single run while also providing 5 stages of automated data dependent MS/MS and 11 stages of manual MS/MS.", false},
    {MS_6110_Quadrupole_LC_MS, "MS:1000468", "6110 Quadrupole LC/MS", "The 6110 Quadrupole LC/MS system is a Agilent liquid chromatography instrument combined with an entry level single quadrupole mass spectrometer from the 6100 Series of Agilent quadrupole mass spectrometers. 6110 Quadrupole mass spectrometer has m/z range of 10-1500 and 2500 u/s scan speed. It proves useful for wide range of SIM quantitative applications.", false},
    {MS_6120_Quadrupole_LC_MS, "MS:1000469", "6120 Quadrupole LC/MS", "The 6120 Quadrupole LC/MS system is a Agilent liquid chromatography instrument combined with a single quadrupole mass spectrometer from the 6100 Series of Agilent mass spectrometers. 6120 quadrupole mass spectrometer has m/z range of 10-1500, 2500 u/s scan speed and utilizes multiple signal acquisition.", false},
    {MS_6130_Quadrupole_LC_MS, "MS:1000470", "6130 Quadrupole LC/MS", "The 6130 Quadrupole LC/MS system is a Agilent liquid chromatography instrument combined with a single quadrupole mass spectrometer from the 6100 series of Agilent mass spectrometers. The 6130 quadrupole mass spectrometer has m/z range of 2-3000, 2500 u/s scan speed in standard mode and 5250 u/s speed in fast-scan mode. It also uses multiple signal acquisition.", false},
    {MS_6140_Quadrupole_LC_MS, "MS:1000471", "6140 Quadrupole LC/MS", "The 6140 Quadrupole LC/MS system is a Agilent liquid chromatography instrument combined with a single quadrupole mass spectrometer from the 6100 Series of Agilent quadrupole mass spectrometers. 6140 Quadrupole mass spectrometer has m/z range of 10-1350, 2500 u/s scan speed in standard mode and 10000 u/s speed in fast-scan mode. It also uses multiple signal acquisition.", false},
    {MS_6210_Time_of_Flight_LC_MS, "MS:1000472", "6210 Time-of-Flight LC/MS", "The 6210 Time-of-Flight LC/MS is a Agilent liquid chromatography instrument combined with a Agilent time of flight mass spectrometer. This time of flight mass spectrometer has a m/z range of 50-12000, mass accuracy of less than 2 ppm and resolution greater than 13,000 at m/z 2722. It has multiple ion sources and can be used with multimode ion sources.", false},
    {MS_6310_Ion_Trap_LC_MS, "MS:1000473", "6310 Ion Trap LC/MS", "The 6310 Ion Trap LC/MS is a Agilent liquid chromatography instrument combined with a 6300 series Agilent ion trap. It has a mass range of 50-2200 between 0.6 to 0.35 resolution and mass range of 200-4000 with resolution of 3-4. The scan speed varies from 1650-27000 for the respective mass ranges.", false},
    {MS_6320_Ion_Trap_LC_MS, "MS:1000474", "6320 Ion Trap LC/MS", "The 6320 Ion Trap LC/MS is a Agilent liquid chromatography instrument combined with a 6300 series Agilent ion trap. It has a mass range of 50-2200 between 0.6 to 0.25 resolution and mass range of 200-4000 with resolution of less than 3. The scan speed varies from 1650-27000 for the respective mass ranges.", false},
    {MS_6330_Ion_Trap_LC_MS, "MS:1000475", "6330 Ion Trap LC/MS", "The 6330 Ion Trap LC/MS is a Agilent liquid chromatography instrument combined with a 6300 series Agilent ion trap. It has a mass range of 50-2200 between 0.6 to 0.25 resolution and mass range of 200-4000 with resolution of less than 3. The scan speed varies from 1650-27000 for the respective mass ranges.", false},
    {MS_6340_Ion_Trap_LC_MS, "MS:1000476", "6340 Ion Trap LC/MS", "The 6340 Ion Trap LC/MS is a Agilent liquid chromatography instrument combined with a 6300 series Agilent ion trap. It has a mass range of 50-2200 between 0.6 to 0.25 resolution and mass range of 200-4000 with resolution of less than 3. The scan speed varies from 1650-27000 for the respective mass ranges.", false},
    {MS_6410_Triple_Quadrupole_LC_MS, "MS:1000477", "6410 Triple Quadrupole LC/MS", "The 6410 Quadrupole LC/MS system is a Agilent liquid chromatography instrument combined with a Agilent triple quadrupole mass spectrometer. Mass range of the mass spectrometer is 15-1650 m/z, resolution is at three settings of 0.7 u (unit), 1.2 u (wide) and 2.5 u (widest). The mass accuracy for 6410 mass spectrometer is 0.1 across the mass range. The collision cell is a hexapole with linear acceleration.", false},
    {MS_1200_series_LC_MSD_VL, "MS:1000478", "1200 series LC/MSD VL", "The LC/MSD VL ion trap is part of the family of Agilent ion trap mass spectrometers. It has ESI, APCI and APPI ion sources and is a useful ion trap when the amount of sample is not the limiting factor.", false},
    {MS_purgatory, "MS:1000479", "purgatory", "Terms that will likely become obsolete unless there are wails of dissent.", false},
    {MS_mass_analyzer_attribute, "MS:1000480", "mass analyzer attribute", "Analyzer properties that are associated with a value.", false},
    {MS_detector_attribute, "MS:1000481", "detector attribute", "Detector attribute recognized as a value.", false},
    {MS_source_attribute, "MS:1000482", "source attribute", "Property of a source device that need a value.", false},
    {MS_Thermo_Fisher_Scientific_instrument_model, "MS:1000483", "Thermo Fisher Scientific instrument model", "Thermo Fisher Scientific instrument model. The company has gone through several names including Thermo Finnigan, Thermo Scientific.", false},
    {MS_orbitrap, "MS:1000484", "orbitrap", "An ion trapping device that consists of an outer barrel-like electrode and a coaxial inner spindle-like electrode that form an electrostatic field with quadro-logarithmic potential distribution. The frequency of harmonic oscillations of the orbitally trapped ions along the axis of the electrostatic field is independent of the ion velocity and is inversely proportional to the square root of m/z so that the trap can be used as a mass analyzer.", false},
    {MS_nanospray_inlet, "MS:1000485", "nanospray inlet", "Nanospray Inlet.", false},
    {MS_source_potential, "MS:1000486", "source potential", "Potential difference at the MS source in volts.", false},
    {MS_ion_optics_attribute, "MS:1000487", "ion optics attribute", "Ion optics involves components that help focus ion streams in mass spectrometry.", false},
    {MS_Hitachi_instrument_model, "MS:1000488", "Hitachi instrument model", "Hitachi instrument model.", false},
    {MS_Varian_instrument_model, "MS:1000489", "Varian instrument model", "Varian instrument model.", false},
    {MS_Agilent_instrument_model, "MS:1000490", "Agilent instrument model", "Agilent instrument model.", false},
    {MS_Dionex_instrument_model, "MS:1000491", "Dionex instrument model", "Dionex instrument model.", false},
    {MS_Thermo_Electron_instrument_model, "MS:1000492", "Thermo Electron instrument model", "Thermo Electron Corporation instrument model.", false},
    {MS_Finnigan_MAT_instrument_model, "MS:1000493", "Finnigan MAT instrument model", "Finnigan MAT instrument model.", false},
    {MS_Thermo_Scientific_instrument_model, "MS:1000494", "Thermo Scientific instrument model", "Thermo Scientific instrument model.", false},
    {MS_Applied_Biosystems_instrument_model, "MS:1000495", "Applied Biosystems instrument model", "Applied Biosystems instrument model.", false},
    {MS_instrument_attribute, "MS:1000496", "instrument attribute", "Instrument properties that are associated with a value.", false},
    {MS_zoom_scan, "MS:1000497", "zoom scan", "Special scan mode, where data with improved resoltuion is acquired. This is typically achieved by scanning a more narrow m/z window or scanning with a lower scan rate.", false},
    {MS_full_scan, "MS:1000498", "full scan", "Feature of the ion trap mass spectrometer where MS data is acquired over a mass range.", false},
    {MS_spectrum_attribute, "MS:1000499", "spectrum attribute", "Spectrum properties that are associated with a value.", false},
    {MS_scan_window_upper_limit, "MS:1000500", "scan window upper limit", "The lower m/z bound of a mass spectrometer scan window.", false},
    {MS_scan_window_lower_limit, "MS:1000501", "scan window lower limit", "The upper m/z bound of a mass spectrometer scan window.", false},
    {MS_dwell_time, "MS:1000502", "dwell time", "The time spent gathering data across a peak.", false},
    {MS_scan_attribute, "MS:1000503", "scan attribute", "Scan properties that are associated with a value.", false},
    {MS_base_peak_m_z, "MS:1000504", "base peak m/z", "M/z value of the signal of highest intensity in the mass spectrum.", false},
    {MS_base_peak_intensity, "MS:1000505", "base peak intensity", "The intensity of the greatest peak in the mass spectrum.", false},
    {MS_ion_role, "MS:1000506", "ion role", "Ion Role.", false},
    {MS_ion_attribute, "MS:1000507", "ion attribute", "Ion properties that are associated with a value.", false},
    {MS_ion_chemical_type, "MS:1000508", "ion chemical type", "Ion Type.", false},
    {MS_activation_energy, "MS:1000509", "activation energy", "Activation Energy.", false},
    {MS_precursor_activation_attribute, "MS:1000510", "precursor activation attribute", "Precursor Activation Attribute.", false},
    {MS_ms_level, "MS:1000511", "ms level", "Stages of ms achieved in a multi stage mass spectrometry experiment.", false},
    {MS_filter_string, "MS:1000512", "filter string", "A string unique to Thermo instrument describing instrument settings for the scan.", false},
    {MS_binary_data_array, "MS:1000513", "binary data array", "A data array of values.", false},
    {MS_m_z_array, "MS:1000514", "m/z array", "A data array of m/z values.", false},
    {MS_intensity_array, "MS:1000515", "intensity array", "A data array of intensity values.", false},
    {MS_charge_array, "MS:1000516", "charge array", "A data array of charge values.", false},
    {MS_signal_to_noise_array, "MS:1000517", "signal to noise array", "A data array of signal-to-noise values.", false},
    {MS_binary_data_type, "MS:1000518", "binary data type", "Encoding type of binary data specifying the binary representation and precision, e.g. 64-bit float.", false},
    {MS_32_bit_integer, "MS:1000519", "32-bit integer", "Signed 32-bit little-endian integer.", false},
    {MS_16_bit_float_OBSOLETE, "MS:1000520", "16-bit float", "Signed 16-bit float.", true},
    {MS_32_bit_float, "MS:1000521", "32-bit float", "32-bit precision little-endian floating point conforming to IEEE-754.", false},
    {MS_64_bit_integer, "MS:1000522", "64-bit integer", "Signed 64-bit little-endian integer.", false},
    {MS_64_bit_float, "MS:1000523", "64-bit float", "64-bit precision little-endian floating point conforming to IEEE-754.", false},
    {MS_data_file_content, "MS:1000524", "data file content", "Describes the data content on the file.", false},
    {MS_spectrum_representation, "MS:1000525", "spectrum representation", "Way in which the spectrum is represented, either with regularly spaced data points or with a list of centroided peaks.", false},
    {MS_Waters_raw_file, "MS:1000526", "Waters raw file", "Waters data file found in a Waters RAW directory, generated from an MS acquisition.", false},
    {MS_highest_observed_m_z, "MS:1000527", "highest observed m/z", "Highest m/z value observed in the m/z array.", false},
    {MS_lowest_observed_m_z, "MS:1000528", "lowest observed m/z", "Lowest m/z value observed in the m/z array.", false},
    {MS_instrument_serial_number, "MS:1000529", "instrument serial number", "Serial Number of the instrument.", false},
    {MS_file_format_conversion, "MS:1000530", "file format conversion", "Conversion of one file format to another.", false},
    {MS_software, "MS:1000531", "software", "Software related to the recording or transformation of spectra.", false},
    {MS_Xcalibur, "MS:1000532", "Xcalibur", "Thermo Finnigan software for data acquisition and analysis.", false},
    {MS_Bioworks, "MS:1000533", "Bioworks", "Thermo Finnigan software for data analysis of peptides and proteins.", false},
    {MS_MassLynx, "MS:1000534", "MassLynx", "Micromass software for data acquisition and analysis.", false},
    {MS_FlexAnalysis, "MS:1000535", "FlexAnalysis", "Bruker software for data analysis.", false},
    {MS_Data_Explorer, "MS:1000536", "Data Explorer", "Applied Biosystems software for data acquisition and analysis.", false},
    {MS_4700_Explorer, "MS:1000537", "4700 Explorer", "Applied Biosystems software for data acquisition and analysis.", false},
    {MS_massWolf, "MS:1000538", "massWolf", "A software for converting Waters raw directory format to mzXML or mzML. massWolf was originally developed at the Institute for Systems Biology.", false},
    {MS_Voyager_Biospectrometry_Workstation_System, "MS:1000539", "Voyager Biospectrometry Workstation System", "Applied Biosystems MALDI-TOF data acquisition and analysis system.", false},
    {MS_FlexControl, "MS:1000540", "FlexControl", "Bruker software for data acquisition.", false},
    {MS_ReAdW, "MS:1000541", "ReAdW", "A software program for converting Thermo Finnigan RAW file format to mzXML or mzML. ReAdW was originally developed at the Institute for Systems Biology. Its whimsical interleaved spelling and capitalization is pronounced \"readraw\".", false},
    {MS_MzStar, "MS:1000542", "MzStar", "A software program for converting Applied Biosystems wiff file format to mzXML format. MzStar was originally developed at the Institute for Systems Biology. It is now obsoleted by the MzWiff program.", false},
    {MS_data_processing_action, "MS:1000543", "data processing action", "Data processing attribute used to describe the type of data processing performed on the data file.", false},
    {MS_Conversion_to_mzML, "MS:1000544", "Conversion to mzML", "Conversion of a file format to Proteomics Standards Initiative mzData file format.", false},
    {MS_Conversion_to_mzXML, "MS:1000545", "Conversion to mzXML", "Conversion of a file format to Institute of Systems Biology mzXML file format.", false},
    {MS_Conversion_to_mzData, "MS:1000546", "Conversion to mzData", "Conversion of a file format to Proteomics Standards Initiative mzData file format.", false},
    {MS_object_attribute, "MS:1000547", "object attribute", "Object Attribute.", false},
    {MS_sample_attribute, "MS:1000548", "sample attribute", "Sample properties that are associated with a value.", false},
    {MS_selection_window_attribute, "MS:1000549", "selection window attribute", "Selection window properties that are associated with a value.", false},
    {MS_time_unit_OBSOLETE, "MS:1000550", "time unit", "Time Unit.", true},
    {MS_Analyst, "MS:1000551", "Analyst", "AB SCIEX or Applied Biosystems|MDS SCIEX software for data acquisition.", false},
    {MS_maldi_spot_identifier, "MS:1000552", "maldi spot identifier", "Maldi Spot Identifier.", false},
    {MS_Trapper, "MS:1000553", "Trapper", "A software program for converting Agilent MassHunter format to mzXML or mzML. Trapper was originally developed at the Institute for Systems Biology.", false},
    {MS_LCQ_Deca, "MS:1000554", "LCQ Deca", "ThermoFinnigan LCQ Deca.", false},
    {MS_LTQ_Orbitrap_Discovery, "MS:1000555", "LTQ Orbitrap Discovery", "LTQ Orbitrap Discovery.", false},
    {MS_LTQ_Orbitrap_XL, "MS:1000556", "LTQ Orbitrap XL", "LTQ Orbitrap XL.", false},
    {MS_LTQ_FT_Ultra, "MS:1000557", "LTQ FT Ultra", "LTQ FT Ultra.", false},
    {MS_GC_Quantum, "MS:1000558", "GC Quantum", "GC Quantum.", false},
    {MS_spectrum_type, "MS:1000559", "spectrum type", "Spectrum type.", false},
    {MS_mass_spectrometer_file_format, "MS:1000560", "mass spectrometer file format", "The format of the file being used. This could be a instrument or vendor specific proprietary file format or a converted open file format.", false},
    {MS_data_file_checksum_type, "MS:1000561", "data file checksum type", "Checksum is a form of redundancy check, a simple way to protect the integrity of data by detecting errors in data.", false},
    {MS_ABI_WIFF_file, "MS:1000562", "ABI WIFF file", "Applied Biosystems WIFF file format.", false},
    {MS_Thermo_RAW_file, "MS:1000563", "Thermo RAW file", "Thermo Scientific RAW file format.", false},
    {MS_PSI_mzData_file, "MS:1000564", "PSI mzData file", "Proteomics Standards Inititative mzData file format.", false},
    {MS_Micromass_PKL_file, "MS:1000565", "Micromass PKL file", "Micromass PKL file format.", false},
    {MS_ISB_mzXML_file, "MS:1000566", "ISB mzXML file", "Institute of Systems Biology mzXML file format.", false},
    {MS_Bruker_Agilent_YEP_file, "MS:1000567", "Bruker/Agilent YEP file", "Bruker/Agilent YEP file format.", false},
    {MS_MD5, "MS:1000568", "MD5", "MD5 (Message-Digest algorithm 5) is a cryptographic hash function with a 128-bit hash value used to check the integrity of files.", false},
    {MS_SHA_1, "MS:1000569", "SHA-1", "SHA-1 (Secure Hash Algorithm-1) is a cryptographic hash function designed by the National Security Agency (NSA) and published by the NIST as a U. S. government standard. It is also used to verify file integrity.", false},
    {MS_spectra_combination, "MS:1000570", "spectra combination", "Method used to combine the mass spectra.", false},
    {MS_sum_of_spectra, "MS:1000571", "sum of spectra", "Spectra Sum.", false},
    {MS_binary_data_compression_type, "MS:1000572", "binary data compression type", "Compression Type.", false},
    {MS_median_of_spectra, "MS:1000573", "median of spectra", "Spectra is combined by calculating the median of the spectra.", false},
    {MS_zlib_compression, "MS:1000574", "zlib compression", "Zlib.", false},
    {MS_mean_of_spectra, "MS:1000575", "mean of spectra", "Spectra is combined by calculating the mean of the spectra.", false},
    {MS_no_compression, "MS:1000576", "no compression", "No Compression.", false},
    {MS_raw_data_file, "MS:1000577", "raw data file", "Describes the type of file and its content.", false},
    {MS_LCQ_Fleet, "MS:1000578", "LCQ Fleet", "LCQ Fleet.", false},
    {MS_MS1_spectrum, "MS:1000579", "MS1 spectrum", "Mass spectrum created by a single-stage MS experiment or the first stage of a multi-stage experiment.", false},
    {MS_MSn_spectrum, "MS:1000580", "MSn spectrum", "MSn refers to multi-stage MS/MS experiments designed to record product ion spectra where n is the number of product ion stages (progeny ions). For ion traps, sequential MS/MS experiments can be undertaken where n > 2 whereas for a simple triple quadrupole system n= 2.", false},
    {MS_CRM_spectrum, "MS:1000581", "CRM spectrum", "Spectrum generated from MSn experiment with three or more stages of m/z separation and in which a particular multi-step reaction path is monitored.", false},
    {MS_SIM_spectrum, "MS:1000582", "SIM spectrum", "Spectrum obtained with the operation of a mass spectrometer in which the abundances of one ion or several ions of specific m/z values are recorded rather than the entire mass spectrum (Selected Ion Monitoring).", false},
    {MS_SRM_spectrum, "MS:1000583", "SRM spectrum", "Spectrum obtained when data are acquired from specific product ions corresponding to m/z values of selected precursor ions a recorded via two or more stages of mass spectrometry. The precursor/product ion pair is called a transition pair.  Data can be obtained for a single transition pair or multiple transition pairs.  Multiple time segments of different transition pairs can exist in a single file. Single precursor ions can have multiple product ions consitituting multiple transition pairs.  Selected reaction monitoring can be performed as tandem mass spectrometry in time or tandem mass spectrometry in space.", false},
    {MS_mzML_file, "MS:1000584", "mzML file", "Proteomics Standards Inititative mzML file format.", false},
    {MS_contact_person_attribute, "MS:1000585", "contact person attribute", "Details about a person to contact in case of concern or dicussion about the file.", false},
    {MS_contact_name, "MS:1000586", "contact name", "Name of a contact person.", false},
    {MS_contact_address, "MS:1000587", "contact address", "Postal address of a contact person.", false},
    {MS_contact_URL, "MS:1000588", "contact URL", "Uniform Resource Locator related to the contact person.", false},
    {MS_contact_email, "MS:1000589", "contact email", "Email adress of the contact person.", false},
    {MS_contact_organization, "MS:1000590", "contact organization", "Home institution of the contact person.", false},
    {MS_MzWiff, "MS:1000591", "MzWiff", "A software program for converting Applied Biosystems wiff file format to the mzXML or mzML format. MzWiff is currently maintained at the Institute for Systems Biology. It replaces the slower mzStar program.", false},
    {MS_smoothing, "MS:1000592", "smoothing", "A process of reducing spikes of intensity in order to reduce noise while preserving real peak signal. Many algorithms can be applied for this process.", false},
    {MS_baseline_reduction, "MS:1000593", "baseline reduction", "A process of removal of varying intensities generated due to variable energy absorption before further processing can take place. Baseline reduction facilitates meaningful comparision between intensities of m/z values.", false},
    {MS_low_intensity_data_point_removal, "MS:1000594", "low intensity data point removal", "The removal of very low intensity data points that are likely to be spurious noise rather than real signal.", false},
    {MS_time_array, "MS:1000595", "time array", "A data array of relative time offset values from a reference time.", false},
    {MS_measurement_method, "MS:1000596", "measurement method", "An attribute of resolution when recording the detector response in absence of the analyte.", false},
    {MS_ion_optics_type, "MS:1000597", "ion optics type", "The electrical potential used to impart kinetic energy to ions in a mass spectrometer.", false},
    {MS_electron_transfer_dissociation, "MS:1000598", "electron transfer dissociation", "A process to fragment ions in a mass spectrometer by inducing fragmentation of cations (e.g. peptides or proteins) by transferring electrons to them.", false},
    {MS_pulsed_q_dissociation, "MS:1000599", "pulsed q dissociation", "A process that involves precursor ion activation at high Q, a time delay to allow the precursor to fragment, then a rapid pulse to low Q where all fragment ions are trapped. The product ions can then be scanned out of the ion trap and detected.", false},
    {MS_Proteios, "MS:1000600", "Proteios", "Database application and analysis platform for proteomics.", false},
    {MS_ProteinLynx_Global_Server, "MS:1000601", "ProteinLynx Global Server", "Waters software for data analysis.", false},
    {MS_Shimadzu_Biotech_instrument_model, "MS:1000602", "Shimadzu Biotech instrument model", "Shimadzu Biotech instrument model.", false},
    {MS_Shimadzu_Scientific_Instruments_instrument_model, "MS:1000603", "Shimadzu Scientific Instruments instrument model", "Shimadzu Scientific Instruments instrument model.", false},
    {MS_LCMS_IT_TOF, "MS:1000604", "LCMS-IT-TOF", "Shimadzu Scientific Instruments LCMS-IT-TOF MS.", false},
    {MS_LCMS_2010EV, "MS:1000605", "LCMS-2010EV", "Shimadzu Scientific Instruments LCMS-2010EV MS.", false},
    {MS_LCMS_2010A, "MS:1000606", "LCMS-2010A", "Shimadzu Scientific Instruments LCMS-2010A MS.", false},
    {MS_AXIMA_CFR_MALDI_TOF, "MS:1000607", "AXIMA CFR MALDI-TOF", "Shimadzu Biotech AXIMA CFR MALDI-TOF MS.", false},
    {MS_AXIMA_QIT, "MS:1000608", "AXIMA-QIT", "Shimadzu Biotech AXIMA-QIT MS.", false},
    {MS_AXIMA_CFR_plus, "MS:1000609", "AXIMA-CFR plus", "Shimadzu Biotech AXIMA-CFR plus MS.", false},
    {MS_AXIMA_Performance_MALDI_TOF_TOF, "MS:1000610", "AXIMA Performance MALDI-TOF/TOF", "Shimadzu Biotech AXIMA Performance MALDI-TOF/TOF MS.", false},
    {MS_AXIMA_Confidence_MALDI_TOF, "MS:1000611", "AXIMA Confidence MALDI-TOF", "Shimadzu Biotech AXIMA Confidence MALDI-TOF (curved field reflectron) MS.", false},
    {MS_AXIMA_Assurance_Linear_MALDI_TOF, "MS:1000612", "AXIMA Assurance Linear MALDI-TOF", "Shimadzu Biotech AXIMA Assurance Linear MALDI-TOF MS.", false},
    {MS_DTA_file, "MS:1000613", "DTA file", "Sequest DTA file format.", false},
    {MS_ProteinLynx_Global_Server_mass_spectrum_XML_file, "MS:1000614", "ProteinLynx Global Server mass spectrum XML file", "Peak list file format used by ProteinLynx Global Server.", false},
    {MS_ProteoWizard, "MS:1000615", "ProteoWizard", "ProteoWizard software for data analysis. Currently developed and maintained by Darren Kessner at Parag Mallick's lab (Center for Applied Molecular Medicine at the University of Southern California).", false},
    {MS_preset_scan_configuration, "MS:1000616", "preset scan configuration", "A user-defined scan configuration that specifies the instrumental settings in which a spectrum is acquired. An instrument may cycle through a list of preset scan configurations to acquire data. This is a more generic term for the Thermo \"scan event\", which is defined in the Thermo Xcalibur glossary as: a mass spectrometer scan that is defined by choosing the necessary scan parameter settings. Multiple scan events can be defined for each segment of time.", false},
    {MS_wavelength_array, "MS:1000617", "wavelength array", "A data array of electromagnetic radiation wavelength values.", false},
    {MS_highest_observed_wavelength, "MS:1000618", "highest observed wavelength", "Highest wavelength observed in an EMR spectrum.", false},
    {MS_lowest_observed_wavelength, "MS:1000619", "lowest observed wavelength", "Lowest wavelength observed in an EMR spectrum.", false},
    {MS_PDA_spectrum_OBSOLETE, "MS:1000620", "PDA spectrum", "Spectrum generated from a photodiode array detector (ultraviolet/visible spectrum).", true},
    {MS_photodiode_array_detector, "MS:1000621", "photodiode array detector", "An array detector used to record spectra in the ultraviolet and visable region of light.", false},
    {MS_Surveyor_PDA, "MS:1000622", "Surveyor PDA", "Surveyor PDA.", false},
    {MS_Accela_PDA, "MS:1000623", "Accela PDA", "Accela PDA.", false},
    {MS_inductive_detector, "MS:1000624", "inductive detector", "Inductive detector.", false},
    {MS_chromatogram, "MS:1000625", "chromatogram", "The representation of detector response versus time.", false},
    {MS_chromatogram_type, "MS:1000626", "chromatogram type", "Broad category or type of a chromatogram.", false},
    {MS_selected_ion_current_chromatogram, "MS:1000627", "selected ion current chromatogram", "Chromatogram created by creating an array of the measurements of a specific single ion current at each time point.", false},
    {MS_basepeak_chromatogram, "MS:1000628", "basepeak chromatogram", "Chromatogram created by creating an array of the most intense peaks at each time point.", false},
    {MS_low_intensity_threshold, "MS:1000629", "low intensity threshold", "Threshold below which some action is taken.", false},
    {MS_data_processing_parameter, "MS:1000630", "data processing parameter", "Data processing parameter used in the data processing performed on the data file.", false},
    {MS_high_intensity_threshold, "MS:1000631", "high intensity threshold", "Threshold above which some action is taken.", false},
    {MS_Q_Tof_Premier, "MS:1000632", "Q-Tof Premier", "Waters Q-Tof Premier MS.", false},
    {MS_possible_charge_state, "MS:1000633", "possible charge state", "A possible charge state of the ion in a situation where the charge of an ion is known to be one of several possible values rather than a completely unknown value or determined to be a specific charge with reasonable certainty.", false},
    {MS_DSQ, "MS:1000634", "DSQ", "ThermoFinnigan DSQ GC-MS", false},
    {MS_ITQ_700, "MS:1000635", "ITQ 700", "Thermo Scientific ITQ 700 GC-MS", false},
    {MS_ITQ_900, "MS:1000636", "ITQ 900", "Thermo Scientific ITQ 900 GC-MS", false},
    {MS_ITQ_1100, "MS:1000637", "ITQ 1100", "Thermo Scientific ITQ 1100 GC-MS", false},
    {MS_LTQ_XL_ETD, "MS:1000638", "LTQ XL ETD", "Thermo Scientific LTQ XL MS with ETD", false},
    {MS_LTQ_Orbitrap_XL_ETD, "MS:1000639", "LTQ Orbitrap XL ETD", "Thermo Scientific LTQ Orbitrap XL MS with ETD", false},
    {MS_DFS, "MS:1000640", "DFS", "Thermo Scientific DFS HR GC-MS", false},
    {MS_DSQ_II, "MS:1000641", "DSQ II", "Thermo Scientific DSQ II GC-MS", false},
    {MS_MALDI_LTQ_XL, "MS:1000642", "MALDI LTQ XL", "Thermo Scientific MALDI LTQ XL MS", false},
    {MS_MALDI_LTQ_Orbitrap, "MS:1000643", "MALDI LTQ Orbitrap", "Thermo Scientific MALDI LTQ Orbitrap MS", false},
    {MS_TSQ_Quantum_Access, "MS:1000644", "TSQ Quantum Access", "Thermo Scientific TSQ Quantum Access MS.", false},
    {MS_Element_XR, "MS:1000645", "Element XR", "Thermo Scientific Element XR HR-ICP-MS", false},
    {MS_Element_2, "MS:1000646", "Element 2", "Thermo Scientific Element 2 HR-ICP-MS", false},
    {MS_Element_GD, "MS:1000647", "Element GD", "Thermo Scientific Element GD Glow Discharge MS", false},
    {MS_GC_IsoLink, "MS:1000648", "GC IsoLink", "Thermo Scientific GC IsoLink Isotope Ratio MS", false},
    {MS_Exactive, "MS:1000649", "Exactive", "Thermo Scientific Exactive MS", false},
    {MS_Proteome_Discoverer, "MS:1000650", "Proteome Discoverer", "Thermo Scientific software for data analysis of peptides and proteins.", false},
    {MS_3200_QTRAP, "MS:1000651", "3200 QTRAP", "AB SCIEX or Applied Biosystems|MDS SCIEX QTRAP 3200.", false},
    {MS_4800_Plus_MALDI_TOF_TOF_Analyzer, "MS:1000652", "4800 Plus MALDI TOF-TOF Analyzer", "AB SCIEX or Applied Biosystems|MDS SCIEX 4800 Plus MALDI TOF-TOF Analyzer.", false},
    {MS_API_3200, "MS:1000653", "API 3200", "AB SCIEX or Applied Biosystems|MDS SCIEX API 3200 MS.", false},
    {MS_API_5000, "MS:1000654", "API 5000", "AB SCIEX or Applied Biosystems|MDS SCIEX API 5000 MS.", false},
    {MS_QSTAR_Elite, "MS:1000655", "QSTAR Elite", "AB SCIEX or Applied Biosystems|MDS SCIEX QSTAR Elite", false},
    {MS_QSTAR_Pulsar, "MS:1000656", "QSTAR Pulsar", "Applied Biosystems|MDS SCIEX QSTAR Pulsar", false},
    {MS_QSTAR_XL, "MS:1000657", "QSTAR XL", "Applied Biosystems|MDS SCIEX QSTAR XL", false},
    {MS_4800_Proteomics_Analyzer, "MS:1000658", "4800 Proteomics Analyzer", "Applied Biosystems|MDS SCIEX 4800 Proteomics Analyzer.", false},
    {MS_4000_Series_Explorer_Software, "MS:1000659", "4000 Series Explorer Software", "AB SCIEX or Applied Biosystems software for data acquisition and analysis.", false},
    {MS_GPS_Explorer, "MS:1000661", "GPS Explorer", "AB SCIEX or Applied Biosystems software for data acquisition and analysis.", false},
    {MS_LightSight_Software, "MS:1000662", "LightSight Software", "AB SCIEX or Applied Biosystems|MDS SCIEX software metabolite identification.", false},
    {MS_ProteinPilot_Software, "MS:1000663", "ProteinPilot Software", "AB SCIEX or Applied Biosystems|MDS SCIEX software for protein ID and quant.", false},
    {MS_TissueView_Software, "MS:1000664", "TissueView Software", "Applied Biosystems|MDS SCIEX software for tissue imaging.", false},
    {MS_MarkerView_Software, "MS:1000665", "MarkerView Software", "Applied Biosystems|MDS SCIEX software for metabolomics and biomarker profiling.", false},
    {MS_MRMPilot_Software, "MS:1000666", "MRMPilot Software", "Applied Biosystems|MDS SCIEX software for MRM assay development.", false},
    {MS_BioAnalyst, "MS:1000667", "BioAnalyst", "Applied Biosystems|MDS SCIEX software for bio-related data exploration.", false},
    {MS_Pro_ID, "MS:1000668", "Pro ID", "Applied Biosystems|MDS SCIEX software for protein identification.", false},
    {MS_Pro_ICAT, "MS:1000669", "Pro ICAT", "Applied Biosystems|MDS SCIEX software for protein ID and quant by ICAT.", false},
    {MS_Pro_Quant, "MS:1000670", "Pro Quant", "Applied Biosystems|MDS SCIEX software for protein ID and quant by iTRAQ.", false},
    {MS_Pro_BLAST, "MS:1000671", "Pro BLAST", "Applied Biosystems|MDS SCIEX software for MS-BLAST identification.", false},
    {MS_Cliquid_, "MS:1000672", "Cliquid?", "AB SCIEX or Applied Biosystems software.", false},
    {MS_MIDAS_Workflow_Designer, "MS:1000673", "MIDAS Workflow Designer", "Applied Biosystems|MDS SCIEX software for MRM assay development.", false},
    {MS_MultiQuant, "MS:1000674", "MultiQuant", "Applied Biosystems|MDS SCIEX software for MRM-based quantitation.", false},
    {MS_6220_Time_of_Flight_LC_MS, "MS:1000675", "6220 Time-of-Flight LC/MS", "The 6220 Time-of-Flight LC/MS is a Agilent liquid chromatography instrument combined with a Agilent time of flight mass spectrometer. This time of flight mass spectrometer has a m/z range of 50-12000, mass accuracy of less than 2 ppm and resolution greater than 13,000 at m/z 2722. It has multiple ion sources and can be used with multimode ion sources.", false},
    {MS_6510_Quadrupole_Time_of_Flight_LC_MS, "MS:1000676", "6510 Quadrupole Time-of-Flight LC/MS", "The 6510 Quadrupole Time-of-Flight LC/MS is a Agilent liquid chromatography instrument combined with a Agilent time of flight mass spectrometer. This time of flight mass spectrometer has a m/z range of 50-12000, mass accuracy of less than 2 ppm and resolution greater than 13,000 at m/z 2722. It has multiple ion sources and can be used with multimode ion sources.", false},
    {MS_6520_Quadrupole_Time_of_Flight_LC_MS, "MS:1000677", "6520 Quadrupole Time-of-Flight LC/MS", "The 6520 Quadrupole Time-of-Flight LC/MS is a Agilent liquid chromatography instrument combined with a Agilent time of flight mass spectrometer. This time of flight mass spectrometer has a m/z range of 50-12000, mass accuracy of less than 2 ppm and resolution greater than 26,000 at m/z 2722. It has multiple ion sources and can be used with multimode ion sources.", false},
    {MS_MassHunter_Data_Acquisition, "MS:1000678", "MassHunter Data Acquisition", "Software for data acquisition of 6000 series instruments.", false},
    {MS_MassHunter_Easy_Access, "MS:1000679", "MassHunter Easy Access", "Software for open access data acquisition.", false},
    {MS_MassHunter_Qualitative_Analysis, "MS:1000680", "MassHunter Qualitative Analysis", "Software for data analysis of data from 6000 series instruments.", false},
    {MS_MassHunter_Quantitative_Analysis, "MS:1000681", "MassHunter Quantitative Analysis", "Software for quantitation of Triple Quadruople and Quadrupole Time-of-Flight data.", false},
    {MS_MassHunter_Metabolite_ID, "MS:1000682", "MassHunter Metabolite ID", "Software for identification of metabolites.", false},
    {MS_MassHunter_BioConfirm, "MS:1000683", "MassHunter BioConfirm", "Software for protein characterization.", false},
    {MS_Genespring_MS, "MS:1000684", "Genespring MS", "Software for quantitation and statistical analysis of TOF and Q-TOF LC/MS data.", false},
    {MS_MassHunter_Mass_Profiler, "MS:1000685", "MassHunter Mass Profiler", "Software for quantitation and statistical analysis of TOF and Q-TOF LC/MS data.", false},
    {MS_METLIN, "MS:1000686", "METLIN", "Personal Metabolite Database for MassHunter Workstation. Software for identification of human metabolites.", false},
    {MS_Spectrum_Mill_for_MassHunter_Workstation, "MS:1000687", "Spectrum Mill for MassHunter Workstation", "Software for protein identification and characterization of complex protein digest mixtures.", false},
    {MS_6300_Series_Ion_Trap_Data_Analysis_Software, "MS:1000688", "6300 Series Ion Trap Data Analysis Software", "Software for data analysis of 6300 series ion trap mass spectrometers.", false},
    {MS_Agilent_software, "MS:1000689", "Agilent software", "Agilent software for data acquisition and analysis.", false},
    {MS_AB_SCIEX_software, "MS:1000690", "AB SCIEX software", "AB SCIEX or Applied Biosystems software for data acquisition and analysis.", false},
    {MS_Applied_Biosystems_software, "MS:1000691", "Applied Biosystems software", "Applied Biosystems|MDS SCIEX software for data acquisition and analysis.", false},
    {MS_Bruker_software, "MS:1000692", "Bruker software", "Bruker software for data acquisition and analysis.", false},
    {MS_Thermo_Finnigan_software, "MS:1000693", "Thermo Finnigan software", "Thermo Finnigan software for data acquisition and analysis.", false},
    {MS_Waters_software, "MS:1000694", "Waters software", "Waters software for data acquisition and analysis.", false},
    {MS_apex_ultra, "MS:1000695", "apex ultra", "Bruker Daltonics' apex ultra: ESI, MALDI, Nanospray, APCI, APPI, Qh-FT_ICR.", false},
    {MS_autoflex_III_smartbeam, "MS:1000696", "autoflex III smartbeam", "Bruker Daltonics' autoflex III smartbeam: MALDI TOF.", false},
    {MS_Bruker_Daltonics_HCT_Series, "MS:1000697", "Bruker Daltonics HCT Series", "Bruker Daltonics HCT Series", false},
    {MS_HCTultra, "MS:1000698", "HCTultra", "Bruker Daltonics' HCTultra: ESI TOF, Nanospray, APCI, APPI.", false},
    {MS_HCTultra_PTM, "MS:1000699", "HCTultra PTM", "Bruker Daltonics' HCTultra PTM: ESI TOF, Nanospray, APCI, APPI, PTR", false},
    {MS_HCTultra_ETD_II, "MS:1000700", "HCTultra ETD II", "Bruker Daltonics' HCTultra ETD II: ESI Q-TOF, Nanospray, APCI, APPI, ETD", false},
    {MS_microflex_LT, "MS:1000701", "microflex LT", "Bruker Daltonics' microflex LT: MALDI TOF.", false},
    {MS_micrOTOF, "MS:1000702", "micrOTOF", "Bruker Daltonics' micrOTOF: ESI TOF, APCI, APPI.", false},
    {MS_micrOTOF_Q, "MS:1000703", "micrOTOF-Q", "Bruker Daltonics' micrOTOF-Q: ESI Q-TOF, Nanospray, APCI, APPI.", false},
    {MS_micrOTOF_Q_II, "MS:1000704", "micrOTOF-Q II", "Bruker Daltonics' micrOTOF-Q II: ESI Q-TOF, Nanospray, APCI, APPI.", false},
    {MS_ultraflex_III_TOF_TOF, "MS:1000705", "ultraflex III TOF/TOF", "Bruker Daltonics' ultraflex III TOF/TOF: MALDI TOF", false},
    {MS_apexControl, "MS:1000706", "apexControl", "Bruker software for data acquisition.", false},
    {MS_BioTools, "MS:1000707", "BioTools", "Bruker software for data analysis.", false},
    {MS_CLINPROT, "MS:1000708", "CLINPROT", "Bruker CLINPROT software.", false},
    {MS_CLINPROT_micro, "MS:1000709", "CLINPROT micro", "Bruker CLINPROT micro software.", false},
    {MS_CLINPROT_robot, "MS:1000710", "CLINPROT robot", "Bruker CLINPROT robot software.", false},
    {MS_ClinProTools, "MS:1000711", "ClinProTools", "Bruker ClinProTools software.", false},
    {MS_Compass, "MS:1000712", "Compass", "Bruker Compass software.", false},
    {MS_Compass_for_HCT_esquire, "MS:1000713", "Compass for HCT/esquire", "Bruker Compass for HCT/esquire software", false},
    {MS_Compass_for_micrOTOF, "MS:1000714", "Compass for micrOTOF", "Bruker Compass for micrOTOF software.", false},
    {MS_Compass_OpenAccess, "MS:1000715", "Compass OpenAccess", "Bruker compass OpenAccess software.", false},
    {MS_Compass_Security_Pack, "MS:1000716", "Compass Security Pack", "Bruker compass Security Pack software.", false},
    {MS_CompassXport, "MS:1000717", "CompassXport", "Bruker stand-alone software for data conversion.", false},
    {MS_CompassXtract, "MS:1000718", "CompassXtract", "Bruker software library for data access.", false},
    {MS_DataAnalysis, "MS:1000719", "DataAnalysis", "Bruker software for data analysis.", false},
    {MS_dpControl, "MS:1000720", "dpControl", "Bruker software for data acquisition.", false},
    {MS_esquireControl, "MS:1000721", "esquireControl", "Bruker software for data acquisition.", false},
    {MS_flexImaging, "MS:1000722", "flexImaging", "Bruker software for data analysis.", false},
    {MS_GENOLINK, "MS:1000723", "GENOLINK", "Bruker GENOLINK software.", false},
    {MS_GenoTools, "MS:1000724", "GenoTools", "Bruker GenoTools software.", false},
    {MS_HCTcontrol, "MS:1000725", "HCTcontrol", "Bruker software for data acquisition.", false},
    {MS_micrOTOFcontrol, "MS:1000726", "micrOTOFcontrol", "Bruker software for data acquisition.", false},
    {MS_PolyTools, "MS:1000727", "PolyTools", "Bruker PolyTools software.", false},
    {MS_ProfileAnalysis, "MS:1000728", "ProfileAnalysis", "Bruker software for data analysis.", false},
    {MS_PROTEINEER, "MS:1000729", "PROTEINEER", "Bruker PROTEINEER software.", false},
    {MS_PROTEINEER_dp, "MS:1000730", "PROTEINEER dp", "Bruker PROTEINEER dp software.", false},
    {MS_PROTEINEER_fc, "MS:1000731", "PROTEINEER fc", "Bruker PROTEINEER fc software.", false},
    {MS_PROTEINEER_spII, "MS:1000732", "PROTEINEER spII", "Bruker PROTEINEER spII software.", false},
    {MS_PROTEINEER_LC, "MS:1000733", "PROTEINEER-LC", "Bruker PROTEINEER-LC software.", false},
    {MS_ProteinScape, "MS:1000734", "ProteinScape", "Bruker ProteinScape software.", false},
    {MS_PureDisk, "MS:1000735", "PureDisk", "BrukerPureDisk software.", false},
    {MS_QuantAnalysis, "MS:1000736", "QuantAnalysis", "Bruker software for data analysis.", false},
    {MS_spControl, "MS:1000737", "spControl", "Bruker software for data acquisition.", false},
    {MS_TargetAnalysis, "MS:1000738", "TargetAnalysis", "Bruker TargetAnalysis software.", false},
    {MS_WARP_LC, "MS:1000739", "WARP-LC", "Bruker WARP-LC software.", false},
    {MS_parameter_file, "MS:1000740", "parameter file", "Parameter file used to configure the acquisition of raw data on the instrument.", false},
    {MS_Conversion_to_dta, "MS:1000741", "Conversion to dta", "Conversion to dta format.", false},
    {MS_Bioworks_SRF_file, "MS:1000742", "Bioworks SRF file", "Thermo Finnigan SRF file format.", false},
    {MS_TSQ_Quantum_Ultra_AM, "MS:1000743", "TSQ Quantum Ultra AM", "Thermo Scientific TSQ Quantum Ultra AM.", false},
    {MS_selected_ion_m_z, "MS:1000744", "selected ion m/z", "Mass-to-charge ratio of the ion selected for fragmentation", false},
    {MS_retention_time_alignment, "MS:1000745", "retention time alignment", "The correction of the spectrum scan times, as used e.g. in label-free proteomics.", false},
    {MS_high_intensity_data_point_removal, "MS:1000746", "high intensity data point removal", "The removal of very high intensity data points.", false},
    {MS_completion_time, "MS:1000747", "completion time", "The time that a data processing action was finished.", false},
    {MS_SSQ_7000, "MS:1000748", "SSQ 7000", "ThermoFinnigan SSQ 7000 MS.", false},
    {MS_TSQ_7000, "MS:1000749", "TSQ 7000", "ThermoFinnigan TSQ 7000 MS.", false},
    {MS_TSQ, "MS:1000750", "TSQ", "ThermoFinnigan TSQ MS.", false},
    {MS_TSQ_Quantum_Ultra, "MS:1000751", "TSQ Quantum Ultra", "Thermo Scientific TSQ Quantum Ultra.", false},
    {MS_TOPP_software, "MS:1000752", "TOPP software", "TOPP (The OpenMS proteomics pipeline) software.", false},
    {MS_BaselineFilter, "MS:1000753", "BaselineFilter", "Removes the baseline from profile spectra using a top-hat filter.", false},
    {MS_DBExporter, "MS:1000754", "DBExporter", "Exports data from an OpenMS database to a file.", false},
    {MS_DBImporter, "MS:1000755", "DBImporter", "Imports data to an OpenMS database.", false},
    {MS_FileConverter, "MS:1000756", "FileConverter", "Converts between different MS file formats.", false},
    {MS_FileFilter, "MS:1000757", "FileFilter", "Extracts or manipulates portions of data from peak, feature or consensus feature files.", false},
    {MS_FileMerger, "MS:1000758", "FileMerger", "Merges several MS files into one file.", false},
    {MS_InternalCalibration, "MS:1000759", "InternalCalibration", "Applies an internal calibration.", false},
    {MS_MapAligner, "MS:1000760", "MapAligner", "Corrects retention time distortions between maps.", false},
    {MS_MapNormalizer, "MS:1000761", "MapNormalizer", "Normalizes peak intensities in an MS run.", false},
    {MS_NoiseFilter, "MS:1000762", "NoiseFilter", "Removes noise from profile spectra by using different smoothing techniques.", false},
    {MS_PeakPicker, "MS:1000763", "PeakPicker", "Finds mass spectrometric peaks in profile mass spectra.", false},
    {MS_Resampler, "MS:1000764", "Resampler", "Transforms an LC/MS map into a resampled map or a png image.", false},
    {MS_SpectraFilter, "MS:1000765", "SpectraFilter", "Applies a filter to peak spectra.", false},
    {MS_TOFCalibration, "MS:1000766", "TOFCalibration", "Applies time of flight calibration.", false},
    {MS_native_spectrum_identifier_format, "MS:1000767", "native spectrum identifier format", "Describes how the native spectrum identifiers are formated.", false},
    {MS_Thermo_nativeID_format, "MS:1000768", "Thermo nativeID format", "controllerType=xsd:nonNegativeInteger controllerNumber=xsd:positiveInteger scan=xsd:positiveInteger.", false},
    {MS_Waters_nativeID_format, "MS:1000769", "Waters nativeID format", "function=xsd:positiveInteger process=xsd:nonNegativeInteger scan=xsd:nonNegativeInteger.", false},
    {MS_WIFF_nativeID_format, "MS:1000770", "WIFF nativeID format", "sample=xsd:nonNegativeInteger period=xsd:nonNegativeInteger cycle=xsd:nonNegativeInteger experiment=xsd:nonNegativeInteger.", false},
    {MS_Bruker_Agilent_YEP_nativeID_format, "MS:1000771", "Bruker/Agilent YEP nativeID format", "scan=xsd:nonNegativeInteger.", false},
    {MS_Bruker_BAF_nativeID_format, "MS:1000772", "Bruker BAF nativeID format", "scan=xsd:nonNegativeInteger.", false},
    {MS_Bruker_FID_nativeID_format, "MS:1000773", "Bruker FID nativeID format", "file=xsd:IDREF", false},
    {MS_multiple_peak_list_nativeID_format, "MS:1000774", "multiple peak list nativeID format", "index=xsd:nonNegativeInteger", false},
    {MS_single_peak_list_nativeID_format, "MS:1000775", "single peak list nativeID format", "file=xsd:IDREF", false},
    {MS_scan_number_only_nativeID_format, "MS:1000776", "scan number only nativeID format", "scan=xsd:nonNegativeInteger", false},
    {MS_spectrum_identifier_nativeID_format, "MS:1000777", "spectrum identifier nativeID format", "spectrum=xsd:nonNegativeInteger", false},
    {MS_charge_state_calculation, "MS:1000778", "charge state calculation", "A process that infers the charge state of an MSn spectrum's precursor(s) by the application of some algorithm.", false},
    {MS_below_precursor_intensity_dominance_charge_state_calculation, "MS:1000779", "below precursor intensity dominance charge state calculation", "Infers charge state as single or amibiguously multiple by determining the fraction of intensity below the precursor m/z.", false},
    {MS_precursor_recalculation, "MS:1000780", "precursor recalculation", "A process that recalculates existing precursor selected ions with one or more algorithmically determined precursor selected ions.", false},
    {MS_msPrefix_precursor_recalculation, "MS:1000781", "msPrefix precursor recalculation", "Recalculates one or more precursor selected ions by peak detection in the isolation windows of high accuracy MS precursor scans.", false},
    {MS_Savitzky_Golay_smoothing, "MS:1000782", "Savitzky-Golay smoothing", "Reduces intensity spikes by applying local polynomial regression (of degree k) on a distribution (of at least k+1 equally spaced points) to determine the smoothed value for each point. It tends to preserve features of the distribution such as relative maxima, minima and width, which are usually 'flattened' by other adjacent averaging techniques.", false},
    {MS_LOWESS_smoothing, "MS:1000783", "LOWESS smoothing", "Reduces intensity spikes by applying a modeling method known as locally weighted polynomial regression. At each point in the data set a low-degree polynomial is fit to a subset of the data, with explanatory variable values near the point whose response is being estimated. The polynomial is fit using weighted least squares, giving more weight to points near the point whose response is being estimated and less weight to points further away. The value of the regression function for the point is then obtained by evaluating the local polynomial using the explanatory variable values for that data point. The LOESS fit is complete after regression function values have been computed for each of the n data points. Many of the details of this method, such as the degree of the polynomial model and the weights, are flexible.", false},
    {MS_Gaussian_smoothing, "MS:1000784", "Gaussian smoothing", "Reduces intensity spikes by convolving the data with a one-dimensional Gaussian function.", false},
    {MS_moving_average_smoothing, "MS:1000785", "moving average smoothing", "Reduces intensity spikes by averaging each point with two or more adjacent points. The more adjacent points that used, the stronger the smoothing effect.", false},
    {MS_non_standard_data_array, "MS:1000786", "non-standard data array", "A data array that contains data not covered by any other term in this group. Please do not use this term, if the binary data array type might be commonly used - contact the PSI-MS working group in order to have another CV term added.", false},
    {MS_inclusive_low_intensity_threshold, "MS:1000787", "inclusive low intensity threshold", "Threshold at or below which some action is taken.", false},
    {MS_inclusive_high_intensity_threshold, "MS:1000788", "inclusive high intensity threshold", "Threshold at or above which some action is taken.", false},
    {MS_enhanced_multiply_charged_spectrum, "MS:1000789", "enhanced multiply charged spectrum", "MS1 spectrum that is enriched in multiply-charged ions compared to singly-charged ions", false},
    {MS_time_delayed_fragmentation_spectrum, "MS:1000790", "time-delayed fragmentation spectrum", "MSn spectrum in which the product ions are collected after a time delay, which allows the observation of lower energy fragmentation processes after precursor ion activation", false},
    {MS_enhanced_resolution_scan_OBSOLETE, "MS:1000791", "enhanced resolution scan", "Scan with enhanced resolution.", true},
    {MS_isolation_window_attribute, "MS:1000792", "isolation window attribute", "Isolation window parameter.", false},
    {MS_isolation_window_upper_limit_OBSOLETE, "MS:1000793", "isolation window upper limit", "The highest m/z being isolated in an isolation window.", true},
    {MS_isolation_window_lower_limit_OBSOLETE, "MS:1000794", "isolation window lower limit", "The lowest m/z being isolated in an isolation window.", true},
    {MS_no_combination, "MS:1000795", "no combination", "Use this term if only one scan was recorded or there is no information about scans available.", false},
    {MS_spectrum_title, "MS:1000796", "spectrum title", "A free-form text title describing a spectrum.", false},
    {MS_peak_list_scans, "MS:1000797", "peak list scans", "A list of scan numbers and or scan ranges associated with a peak list. If possible the list of scans should be converted to native spectrum identifiers instead of using this term.", false},
    {MS_peak_list_raw_scans, "MS:1000798", "peak list raw scans", "A list of raw scans and or scan ranges used to generate a peak list. If possible the list of scans should be converted to native spectrum identifiers instead of using this term.", false},
    {MS_custom_unreleased_software_tool, "MS:1000799", "custom unreleased software tool", "A software tool that has not yet been released. The value should describe the software. Please do not use this term for publicly available software - contact the PSI-MS working group in order to have another CV term added.", false},
    {MS_mass_resolving_power, "MS:1000800", "mass resolving power", "The observed mass divided by the difference between two masses that can be separated: m/dm. The procedure by which dm was obtained and the mass at which the measurement was made should be reported.", false},
    {MS_area_peak_picking, "MS:1000801", "area peak picking", "Spectral peak processing conducted on the acquired data to convert profile data to centroided data. The area defined by all raw data points that belong to the peak is reported.", false},
    {MS_height_peak_picking, "MS:1000802", "height peak picking", "Spectral peak processing conducted on the acquired data to convert profile data to centroided data. The maximum intensity of all raw data points that belong to the peak is reported.", false},
    {MS_analyzer_scan_offset, "MS:1000803", "analyzer scan offset", "Offset between two analyzers in a constant neutral loss or neutral gain scan. The value corresponds to the neutral loss or neutral gain value.", false},
    {MS_electromagnetic_radiation_spectrum, "MS:1000804", "electromagnetic radiation spectrum", "A plot of the relative intensity of electromagnetic radiation as a function of the wavelength.", false},
    {MS_emission_spectrum, "MS:1000805", "emission spectrum", "A plot of the relative intensity of electromagnetic radiation emitted by atoms or molecules when excited.", false},
    {MS_absorption_spectrum, "MS:1000806", "absorption spectrum", "A plot of the relative intensity of electromagnetic radiation absorbed by atoms or molecules when excited.", false},
    {MS_Th_s, "MS:1000807", "Th/s", "Unit describing the scan rate of a spectrum in Thomson per second.", false},
    {MS_chromatogram_attribute, "MS:1000808", "chromatogram attribute", "Chromatogram properties that are associated with a value.", false},
    {MS_chromatogram_title, "MS:1000809", "chromatogram title", "A free-form text title describing a chromatogram.", false},
    {MS_mass_chromatogram, "MS:1000810", "mass chromatogram", "A plot of the relative abundance of a beam or other collection of ions as a function of the retention time.", false},
    {MS_electromagnetic_radiation_chromatogram, "MS:1000811", "electromagnetic radiation chromatogram", "The measurement of electromagnetic properties as a function of the retention time.", false},
    {MS_absorption_chromatogram, "MS:1000812", "absorption chromatogram", "The measurement of light absorbed by the sample as a function of the retention time.", false},
    {MS_emission_chromatogram, "MS:1000813", "emission chromatogram", "The measurement of light emitted by the sample as a function of the retention time.", false},
    {MS_counts_per_second, "MS:1000814", "counts per second", "The number of counted events observed per second in one or a group of elements of a detector.", false},
    {MS_Bruker_BAF_file, "MS:1000815", "Bruker BAF file", "Bruker BAF raw file format.", false},
    {MS_Bruker_U2_file, "MS:1000816", "Bruker U2 file", "Bruker HyStar U2 file format.", false},
    {MS_HyStar, "MS:1000817", "HyStar", "Bruker software for hyphenated experiments.", false},
    {MS_Acquity_UPLC_PDA, "MS:1000818", "Acquity UPLC PDA", "Acquity UPLC Photodiode Array Detector.", false},
    {MS_Acquity_UPLC_FLR, "MS:1000819", "Acquity UPLC FLR", "Acquity UPLC Fluorescence Detector.", false},
    {MS_flow_rate_array, "MS:1000820", "flow rate array", "A data array of flow rate measurements.", false},
    {MS_pressure_array, "MS:1000821", "pressure array", "A data array of pressure measurements.", false},
    {MS_temperature_array, "MS:1000822", "temperature array", "A data array of temperature measurements.", false},
    {MS_Bruker_U2_nativeID_format, "MS:1000823", "Bruker U2 nativeID format", "declaration=xsd:nonNegativeInteger collection=xsd:nonNegativeInteger scan=xsd:nonNegativeInteger.", false},
    {MS_no_nativeID_format, "MS:1000824", "no nativeID format", "No nativeID format indicates that the file tagged with this term does not contain spectra that can have a nativeID format.", false},
    {MS_Bruker_FID_file, "MS:1000825", "Bruker FID file", "Bruker FID file format.", false},
    {MS_elution_time, "MS:1000826", "elution time", "The time of elution from a chromatographic column, relative to the start of the chromatography.", false},
    {MS_isolation_window_target_m_z, "MS:1000827", "isolation window target m/z", "The primary or reference m/z about which the isolation window is defined.", false},
    {MS_isolation_window_lower_offset, "MS:1000828", "isolation window lower offset", "The extent of the isolation window in m/z below the isolation window target m/z. The lower and upper offsets may be asymetric about the target m/z.", false},
    {MS_isolation_window_upper_offset, "MS:1000829", "isolation window upper offset", "The extent of the isolation window in m/z above the isolation window target m/z. The lower and upper offsets may be asymetric about the target m/z.", false},
    {MS_sample_preparation, "MS:1000831", "sample preparation", "Properties of the preparation steps which took place before the measurement was performed.", false},
    {MS_MALDI_matrix_application, "MS:1000832", "MALDI matrix application", "Attributes to describe the technique how the sample is prepared with the matrix solution.", false},
    {MS_matrix_application_type, "MS:1000833", "matrix application type", "Describes the technique how the matrix is put on the sample target.", false},
    {MS_matrix_solution, "MS:1000834", "matrix solution", "Describes the chemical solution used as matrix.", false},
    {MS_matrix_solution_concentration, "MS:1000835", "matrix solution concentration", "Concentration of the chemical solution used as matrix.", false},
    {MS_dried_dropplet, "MS:1000836", "dried dropplet", "Def.", false},
    {MS_printed, "MS:1000837", "printed", "Def.", false},
    {MS_sprayed, "MS:1000838", "sprayed", "Def.", false},
    {MS_precoated_plate, "MS:1000839", "precoated plate", "Def.", false},
    {MS_laser, "MS:1000840", "laser", "Device that emits light (electromagnetic radiation) through a process called stimulated emission. The term is an acronym for Light Amplification by Stimulated Emission of Radiation.", false},
    {MS_laser_attribute, "MS:1000841", "laser attribute", "Laser properties that are associated with a value.", false},
    {MS_laser_type, "MS:1000842", "laser type", "Type of laser used used fpr desorption purpose.", false},
    {MS_wavelength, "MS:1000843", "wavelength", "The distance between two peaks of the emitted laser beam.", false},
    {MS_focus_diameter_x, "MS:1000844", "focus diameter x", "Describes the diameter of the laser beam in x direction.", false},
    {MS_focus_diameter_y, "MS:1000845", "focus diameter y", "Describes the diameter of the laser beam in y direction.", false},
    {MS_pulse_energy, "MS:1000846", "pulse energy", "Describes output energy of the laser system. May be attenuated by filters or other means.", false},
    {MS_pulse_duration, "MS:1000847", "pulse duration", "Describes how long the laser beam was emitted from the laser device.", false},
    {MS_attenuation, "MS:1000848", "attenuation", "Describes the reduction of the intensity of the laser beam energy.", false},
    {MS_impact_angle, "MS:1000849", "impact angle", "Describes the angle between the laser beam and the sample target.", false},
    {MS_gas_laser, "MS:1000850", "gas laser", "Laser which is powered by a gaseous medium.", false},
    {MS_solid_state_laser, "MS:1000851", "solid-state laser", "Solid state laser materials are commonly made by doping a crystalline solid host with ions that provide the required energy states.", false},
    {MS_dye_laser, "MS:1000852", "dye-laser", "Dye lasers use an organic dye as the gain medium.", false},
    {MS_free_electron_laser, "MS:1000853", "free electron laser", "Free electron laser uses a relativistic electron beam as the lasing medium which move freely through a magnetic structure, hence the term.", false},
    {MS_LTQ_XL, "MS:1000854", "LTQ XL", "Thermo Scientific LTQ XL MS.", false},
    {MS_LTQ_Velos, "MS:1000855", "LTQ Velos", "Thermo Scientific LTQ Velos MS.", false},
    {MS_LTQ_Velos_ETD, "MS:1000856", "LTQ Velos ETD", "Thermo Scientific LTQ Velos MS with ETD.", false},
    {MS_run_attribute, "MS:1000857", "run attribute", "Properties of the described run.", false},
    {MS_fraction_identifier, "MS:1000858", "fraction identifier", "Identier string that describes the sample fraction. This identifer should contain the fraction number(s) or similar information.", false},
    {MS_molecule, "MS:1000859", "molecule", "A molecules is a fundamental component of a chemical compound that is the smallest part of the compound that can participate in a chemical reaction.", false},
    {MS_peptide, "MS:1000860", "peptide", "A compound of low molecular weight that is composed of two or more amino acids.", false},
    {MS_chemical_compound_attribute, "MS:1000861", "chemical compound attribute", "A describable property of a chemical compound.", false},
    {MS_isoelectric_point, "MS:1000862", "isoelectric point", "The pH of a solution at which a charged molecule does not migrate in an electric field.", false},
    {MS_predicted_isoelectric_point, "MS:1000863", "predicted isoelectric point", "The pH of a solution at which a charged molecule would not migrate in an electric field, as predicted by a software algorithm.", false},
    {MS_chemical_compound_formula, "MS:1000864", "chemical compound formula", "A combination of symbols used to express the chemical composition of a compound.", false},
    {MS_empirical_formula, "MS:1000865", "empirical formula", "A chemical formula which expresses the proportions of the elements present in a substance.", false},
    {MS_molecular_formula, "MS:1000866", "molecular formula", "A chemical compound formula expressing the number of atoms of each element present in a compound, without indicating how they are linked.", false},
    {MS_structural_formula, "MS:1000867", "structural formula", "A chemical formula showing the number of atoms of each element in a molecule, their spatial arrangement, and their linkage to each other.", false},
    {MS_SMILES_string, "MS:1000868", "SMILES string", "The simplified molecular input line entry specification or SMILES is a specification for unambiguously describing the structure of a chemical compound using a short ASCII string.", false},
    {MS_collision_gas_pressure, "MS:1000869", "collision gas pressure", "The gas pressure of the collision gas used for collisional excitation.", false},
    {MS_4000_QTRAP, "MS:1000870", "4000 QTRAP", "AB SCIEX or Applied Biosystems|MDS SCIEX QTRAP 4000.", false},
    {MS_SRM_software, "MS:1000871", "SRM software", "Software used to predict, select, or optimize transitions or analyze the results of selected reaction monitoring runs.", false},
    {MS_MaRiMba, "MS:1000872", "MaRiMba", "Software used to predict transitions for selected reaction monitoring experiments based on observed spectrum libraries developed and distributed by the Institute for Systems Biology. http://tools.proteomecenter.org/wiki/index.php?title=Software:TPP-MaRiMba.", false},
    {MS_peptide_attribute_calculation_software, "MS:1000873", "peptide attribute calculation software", "Software used to predict or calculate numberical attributes of peptides.", false},
    {MS_SSRCalc, "MS:1000874", "SSRCalc", "Sequence Specific Retention Calculator esimates the retention time of peptides based on their sequence. It is available at http://hs2.proteome.ca/SSRCalc/SSRCalc.html.", false},
    {MS_declustering_potential, "MS:1000875", "declustering potential", "Potential difference between the orifice and the skimmer in volts.", false},
    {MS_cone_voltage, "MS:1000876", "cone voltage", "Potential difference between the sampling cone/orifice and the what? in volts.", false},
    {MS_tube_lens, "MS:1000877", "tube lens", "No ideas.", false},
    {MS_external_reference_identifier, "MS:1000878", "external reference identifier", "An identifier/accession number to an external reference database.", false},
    {MS_PubMed_identifier, "MS:1000879", "PubMed identifier", "A unique identifier for a publication in the PubMed database (MIR:00000015).", false},
    {MS_interchannel_delay, "MS:1000880", "interchannel delay", "The duration of intervals between scanning, during which the instrument configuration is switched.", false},
    {MS_chemical_compound, "MS:1000881", "chemical compound", "A substance formed by chemical union of two or more elements or ingredients in definite proportion by weight.", false},
    {MS_protein, "MS:1000882", "protein", "A compound composed of one or more chains of amino acids in a specific order determined by the base sequence of nucleotides in the DNA coding for the protein.", false},
    {MS_protein_short_name, "MS:1000883", "protein short name", "A short name or symbol of a protein (e.g., HSF 1 or HSF1_HUMAN).", false},
    {MS_protein_attribute, "MS:1000884", "protein attribute", "An nonphysical attribute describing a specific protein.", false},
    {MS_protein_accession, "MS:1000885", "protein accession", "Accession number for a specific protein in a database.", false},
    {MS_protein_name, "MS:1000886", "protein name", "A long name describing the function of the protein.", false},
    {MS_peptide_attribute, "MS:1000887", "peptide attribute", "An nonphysical attribute that can be used to describe a peptide.", false},
    {MS_unmodified_peptide_sequence, "MS:1000888", "unmodified peptide sequence", "A sequence of letter symbols denoting the order of amino acids that compose the peptide, without encoding any amino acid mass modifications that might be present.", false},
    {MS_modified_peptide_sequence, "MS:1000889", "modified peptide sequence", "A sequence of letter symbols denoting the order of amino acids that compose the peptide plus the encoding any amino acid mass modifications that are present using the notation where the total mass of the modified amino acid is specified in square bracketed numbers following the letter (e.g. R[162.10111] indicates an arginine whose final modified mass is 162.10111 amu).", false},
    {MS_peptide_labeling_state, "MS:1000890", "peptide labeling state", "A state description of how a peptide might be isotopically or isobarically labelled.", false},
    {MS_heavy_labeled_peptide, "MS:1000891", "heavy labeled peptide", "A peptide that has been created or labeled with some heavier-than-usual isotopes.", false},
    {MS_unlabeled_peptide, "MS:1000892", "unlabeled peptide", "A peptide that has not been labeled with heavier-than-usual isotopes. This is often referred to as \"light\" to distinguish from \"heavy\".", false},
    {MS_peptide_group_label, "MS:1000893", "peptide group label", "An arbitrary string label used to mark a set of peptides that belong together in a set, whereby the members are differentiated by different isotopic labels. For example, the heavy and light forms of the same peptide will both be assigned the same peptide group label.", false},
    {MS_retention_time, "MS:1000894", "retention time", "A measure of the interval relative to the beginning of a mass spectrometric run when a peptide will exit the chromatographic column.", false},
    {MS_local_retention_time, "MS:1000895", "local retention time", "A measure of the interval relative to the beginning of a mass spectrometric run when a peptide will exit an unspecified local chromatographic column and instrumental setup.", false},
    {MS_normalized_retention_time, "MS:1000896", "normalized retention time", "A measure of the interval relative to the beginning of a mass spectrometric run when a peptide will exit a standardized reference chromatographic column and instrumental setup.", false},
    {MS_predicted_retention_time, "MS:1000897", "predicted retention time", "A time interval relative to the beginning of a mass spectrometric run when a peptide will exit a chromatographic column as predicted by a referenced software application.", false},
    {MS_standard, "MS:1000898", "standard", "Something, such as a practice or a product, that is widely recognized or employed, especially because of its excellence.", false},
    {MS_de_facto_standard, "MS:1000899", "de facto standard", "A practice or product that has become a standard not because it has been approved by a standards organization but because it is widely used and recognized by the industry as being standard.", false},
    {MS_minimum_information_standard, "MS:1000900", "minimum information standard", "A specification of a minimum amount of information needed to reproduce or fully interpret a scientific result.", false},
    {MS_retention_time_normalization_standard, "MS:1000901", "retention time normalization standard", "A standard providing the retention times at which a set of reference compounds exit the reference chromatographic column.", false},
    {MS_H_PINS_retention_time_normalization_standard, "MS:1000902", "H-PINS retention time normalization standard", "The de facto standard providing the retention times at which a set of halogenated reference peptides exit the reference chromatographic column, as published by Mirzaei et al. in Molecular and Cellular Proteomics in early 2009 (Early access: http://www.mcponline.org/cgi/content/abstract/M800569-MCP200v1).", false},
    {MS_product_ion_series_ordinal, "MS:1000903", "product ion series ordinal", "The ordinal of the fragment within a specified ion series. (e.g. 8 for a y8 ion).", false},
    {MS_product_ion_m_z_delta, "MS:1000904", "product ion m/z delta", "The difference in m/z of the predicted m/z based on the assigned product ion minus the actual observed peak m/z.", false},
    {MS_percent_of_base_peak_times_100, "MS:1000905", "percent of base peak times 100", "The magnitude of a peak expressed in terms of the percentage of the magnitude of the base peak intensity multiplied by 100. The base peak is therefore 10000. This unit is common in normalized spectrum libraries.", false},
    {MS_peak_intensity_rank, "MS:1000906", "peak intensity rank", "Ordinal specifying the rank in intensity of a peak in a spectrum. Base peak is 1. The next most intense peak is 2, etc.", false},
    {MS_peak_targeting_suitability_rank, "MS:1000907", "peak targeting suitability rank", "Ordinal specifying the rank of a peak in a spectrum in terms of suitability for targeting. The most suitable peak is 1. The next most suitability peak is 2, etc. Suitability is algorithm and context dependant.", false},
    {MS_transition, "MS:1000908", "transition", "A set of two m/z values corresponding to the precursor m/z and a fragment m/z that in combination can be used to identify or quantify a specific ion, although not necessarily uniquely.", false},
    {MS_transition_validation_method, "MS:1000909", "transition validation method", "The strategy used to validate that a transition is effective.", false},
    {MS_transition_optimized_on_specified_instrument, "MS:1000910", "transition optimized on specified instrument", "The transition has been optimized by direct injection of the peptide into an instrument specified in a separate term, and the optimum voltages and fragmentation energies have been determined.", false},
    {MS_transition_validated_with_an_MS_MS_spectrum_on_specified_instrument, "MS:1000911", "transition validated with an MS/MS spectrum on specified instrument", "The transition has been validated by obtaining an MS/MS spectrum and demonstrating that the peak is detectable on the instrument specified with a separate term.", false},
    {MS_transition_purported_from_an_MS_MS_spectrum_on_a_different__specified_instrument, "MS:1000912", "transition purported from an MS/MS spectrum on a different, specified instrument", "The transition has been purported by obtaining an MS/MS spectrum and demonstrating that the peak is detectable on the instrument specified with a separate term. However, the detecting instrument is of a different type (e.g. ion trap) than the instrument that the transition will eventually be used on (e.g. triple quad).", false},
    {MS_transition_predicted_by_informatic_analysis, "MS:1000913", "transition predicted by informatic analysis", "The transition has been predicted by informatics software without any direct spectral evidence.", false},
    {MS_tab_delimited_text_file, "MS:1000914", "tab delimited text file", "A file that has two or more columns of tabular data where each column is separated by a TAB character.", false},
    {MS_retention_time_window_attribute, "MS:1000915", "retention time window attribute", "An attribute of a window in time about which a peptide might elute from the column.", false},
    {MS_retention_time_window_lower_offset, "MS:1000916", "retention time window lower offset", "The extent of the retention time window in time units below the target retention time. The lower and upper offsets may be asymetric about the target time.", false},
    {MS_retention_time_window_upper_offset, "MS:1000917", "retention time window upper offset", "The extent of the retention time window in time units above the target retention time. The lower and upper offsets may be asymetric about the target time.", false},
    {MS_target_list, "MS:1000918", "target list", "A list of peptides or compounds and their expected m/z coordinates that can be used to cause a mass spectrometry to obtain spectra of those molecules specifically.", false},
    {MS_target_inclusion_exclusion_priority, "MS:1000919", "target inclusion exclusion priority", "A priority setting specifying whether included or excluded targets have priority over the other.", false},
    {MS_includes_supersede_excludes, "MS:1000920", "includes supersede excludes", "A priority setting specifying that included targets have priority over the excluded targets if there is a conflict.", false},
    {MS_excludes_supersede_includes, "MS:1000921", "excludes supersede includes", "A priority setting specifying that excluded targets have priority over the included targets if there is a conflict.", false},
    {MS_Skyline, "MS:1000922", "Skyline", "Software used to predict, select, and optimize transitions as well as analyze the results of selected reaction monitoring runs developed and distributed by the MacCoss lab at the University of Washington. https://brendanx-uw1.gs.washington.edu/labkey/wiki/home/software/Skyline/page.view?name=default.", false},
    {MS_TIQAM, "MS:1000923", "TIQAM", "Software used to predict, select, and optimize transitions for selected reaction monitoring experiments developed and distributed by the Institute for Systems Biology. http://tools.proteomecenter.org/TIQAM/TIQAM.html.", false},
    {MS_MaRiMba_OBSOLETE, "MS:1000924", "MaRiMba", "Software used to predict transitions for selected reaction monitoring experiments based on observed spectrum libraries developed and distributed by the Institute for Systems Biology. http://tools.proteomecenter.org/wiki/index.php?title=Software:TPP-MaRiMba.", true},
    {MS_ATAQS, "MS:1000925", "ATAQS", "Software suite used to predict, select, and optimize transitions as well as analyze the results of selected reaction monitoring runs developed and distributed by the Institute for Systems Biology.", false},
    {MS_product_interpretation_rank, "MS:1000926", "product interpretation rank", "The integer rank given an interpretation of an observed product ion. For example, if y8 is selected as the most likely interpretation of a peak, then it is assigned a rank of 1.", false},
    {MS_ion_injection_time, "MS:1000927", "ion injection time", "The length of time spent filling an ion trapping device.", false},
    {MS_calibration_spectrum, "MS:1000928", "calibration spectrum", "A spectrum derived from a special calibration source, rather than from the primary injected sample. A calibration spectrum is typically derived from a substance that can be used to correct systematic shift in m/z for spectra of the primary inject sample.", false},
    {MS_Shimadzu_Biotech_nativeID_format, "MS:1000929", "Shimadzu Biotech nativeID format", "source=xsd:string start=xsd:nonNegativeInteger end=xsd:nonNegativeInteger.", false},
    {MS_Shimadzu_Biotech_database_entity, "MS:1000930", "Shimadzu Biotech database entity", "Shimadzu Biotech format.", false},
    {MS_AB_SCIEX_QTRAP_5500, "MS:1000931", "AB SCIEX QTRAP 5500", "Applied Biosystems|MDS SCIEX QTRAP 5500.", false},
    {MS_AB_SCIEX_TripleTOF_5600, "MS:1000932", "AB SCIEX TripleTOF 5600", "Applied Biosystems|MDS SCIEX TripleTOF 5500, a quadrupole - quadrupole - time-of-flight mass spectrometer.", false},
    {MS_spectrum_interpretation, "MS:1001000", "spectrum interpretation", "Collection of terms from the PSI Proteome Informatics standards describing the interpretation of spectra.", false},
    {MS_sequest_CleavesAt, "MS:1001005", "sequest:CleavesAt", "", false},
    {MS_sequest_ViewCV, "MS:1001006", "sequest:ViewCV", "Branch containing the CV terms for Sequest View Input Parameters.", false},
    {MS_sequest_OutputLines, "MS:1001007", "sequest:OutputLines", "", false},
    {MS_sequest_DescriptionLines, "MS:1001009", "sequest:DescriptionLines", "", false},
    {MS_de_novo_search, "MS:1001010", "de novo search", "A de novo sequencing search (without database).", false},
    {MS_search_database_details, "MS:1001011", "search database details", "Details about the database searched.", false},
    {MS_database_source, "MS:1001012", "database source", "The organisation, project or laboratory from where the database is obtained (uniprot, ncbi, ebi, other).", false},
    {MS_database_name, "MS:1001013", "database name", "The name of the search database (nr, SwissProt or est_human).", false},
    {MS_database_local_file_path_OBSOLETE, "MS:1001014", "database local file path", "OBSOLETE: Use attribute in mzIdentML instead. Local file path of the search database from the search engine's point of view.", true},
    {MS_database_original_uri, "MS:1001015", "database original uri", "URI, from where the search database was originally downloaded.", false},
    {MS_database_version_OBSOLETE, "MS:1001016", "database version", "OBSOLETE: Use attribute in mzIdentML instead. Version of the search database .", true},
    {MS_database_release_date_OBSOLETE, "MS:1001017", "database release date", "OBSOLETE: Use attribute in mzIdentML instead. Release date of the search database.", true},
    {MS_database_type, "MS:1001018", "database type", "Database containing amino acid or nucleic acid sequences.", false},
    {MS_database_filtering, "MS:1001019", "database filtering", "Was there filtering used on the database.", false},
    {MS_DB_filter_taxonomy, "MS:1001020", "DB filter taxonomy", "A taxonomy filter was to the database search.", false},
    {MS_DB_filter_on_accession_numbers, "MS:1001021", "DB filter on accession numbers", "Filtering applied specifically by accession number pattern.", false},
    {MS_DB_MW_filter, "MS:1001022", "DB MW filter", "Filtering applied specifically by protein molecular weight, specified as either a range or above/below a threshold value.", false},
    {MS_DB_PI_filter, "MS:1001023", "DB PI filter", "Filtering applied specifically by predicted protein isoelectric focussing point (pI), specified as either a range or above/below a threshold value.", false},
    {MS_translation_frame_OBSOLETE, "MS:1001024", "translation frame", "OSBOLETE: use attribute in mzIdentML instead. The translated open reading frames from a nucleotide database considered in the search (range: 1-6).", true},
    {MS_translation_table, "MS:1001025", "translation table", "The translation table used to translate the nucleotides to amino acids.", false},
    {MS_sequest_NormalizeXCorrValues, "MS:1001026", "sequest:NormalizeXCorrValues", "", false},
    {MS_DB_filter_on_sequence_pattern, "MS:1001027", "DB filter on sequence pattern", "Filtering applied specifically by amino acid sequence pattern.", false},
    {MS_sequest_SequenceHeaderFilter, "MS:1001028", "sequest:SequenceHeaderFilter", "", false},
    {MS_number_of_sequences_searched, "MS:1001029", "number of sequences searched", "The number of sequences (proteins / nucleotides) from the database search after filtering.", false},
    {MS_number_of_peptide_seqs_compared_to_each_spectrum, "MS:1001030", "number of peptide seqs compared to each spectrum", "Number of peptide seqs compared to each spectrum.", false},
    {MS_spectral_library_search, "MS:1001031", "spectral library search", "A search using a library of spectra.", false},
    {MS_sequest_SequencePartialFilter, "MS:1001032", "sequest:SequencePartialFilter", "", false},
    {MS_date___time_search_performed_OBSOLETE, "MS:1001035", "date / time search performed", "OBSOLETE: use attribute in mzIdentML instead. Date and time of the actual search run.", true},
    {MS_search_time_taken, "MS:1001036", "search time taken", "The time taken to complete the search in seconds.", false},
    {MS_sequest_ShowFragmentIons, "MS:1001037", "sequest:ShowFragmentIons", "", false},
    {MS_sequest_Consensus, "MS:1001038", "sequest:Consensus", "Specify depth as value of the CVParam!", false},
    {MS_intermediate_analysis_format, "MS:1001040", "intermediate analysis format", "Type of the source file, the  mzIdentML was created from.", false},
    {MS_sequest_sortCV, "MS:1001041", "sequest:sortCV", "Branch containing the CV terms for Sequest View / Sort Input Parameters.", false},
    {MS_sequest_LimitTo, "MS:1001042", "sequest:LimitTo", "Specify \"number of dtas shown\" as value of the CVParam!", false},
    {MS_cleavage_agent_details, "MS:1001044", "cleavage agent details", "Details of cleavage agent (enzyme).", false},
    {MS_cleavage_agent_name, "MS:1001045", "cleavage agent name", "The name of the cleavage agent.", false},
    {MS_sequest_sort_by_dCn, "MS:1001046", "sequest:sort_by_dCn", "", false},
    {MS_sequest_sort_by_dM, "MS:1001047", "sequest:sort_by_dM", "", false},
    {MS_sequest_sort_by_Ions, "MS:1001048", "sequest:sort_by_Ions", "", false},
    {MS_sequest_sort_by_MH_, "MS:1001049", "sequest:sort_by_MH+", "", false},
    {MS_sequest_sort_by_P, "MS:1001050", "sequest:sort_by_P", "", false},
    {MS_multiple_enzyme_combination_rules_OBSOLETE, "MS:1001051", "multiple enzyme combination rules", "OBSOLETE: use attribute independent in mzIdentML instead. Description of multiple enzyme digestion protocol, if any.", true},
    {MS_sequest_sort_by_PreviousAminoAcid, "MS:1001052", "sequest:sort_by_PreviousAminoAcid", "", false},
    {MS_sequest_sort_by_Ref, "MS:1001053", "sequest:sort_by_Ref", "", false},
    {MS_modification_parameters, "MS:1001055", "modification parameters", "Modification parameters for the search engine run.", false},
    {MS_modification_specificity_rule, "MS:1001056", "modification specificity rule", "The specificity rules for the modifications applied by the search engine.", false},
    {MS_tolerance_on_types_OBSOLETE, "MS:1001057", "tolerance on types", "OBSOLETE: Tolerance on types.", true},
    {MS_quality_estimation_by_manual_validation, "MS:1001058", "quality estimation by manual validation", "The quality estimation was done manually.", false},
    {MS_sequest_sort_by_RSp, "MS:1001059", "sequest:sort_by_RSp", "", false},
    {MS_quality_estimation_method_details, "MS:1001060", "quality estimation method details", "Method for quality estimation (manually or wih decoy database).", false},
    {MS_neutral_loss_OBSOLETE, "MS:1001061", "neutral loss", "OBSOLETE: replaced by MS:1000336 (neutral loss): Leave this to PSI-MOD?", true},
    {MS_Mascot_MGF_file, "MS:1001062", "Mascot MGF file", "", false},
    {MS_TODOscoring_model, "MS:1001065", "TODOscoring model", "DELETE. There is Phenyx:ScoringModel for Phenyx! Scoring model (more detailed granularity). TODO: add some child terms!", false},
    {MS_ions_series_considered_in_search, "MS:1001066", "ions series considered in search", "The description of the ion fragment series (including charges and neutral losses) that are considered by the search engine.", false},
    {MS_sequest_sort_by_Sp, "MS:1001068", "sequest:sort_by_Sp", "", false},
    {MS_sequest_sort_by_TIC, "MS:1001069", "sequest:sort_by_TIC", "", false},
    {MS_sequest_sort_by_Scan, "MS:1001070", "sequest:sort_by_Scan", "", false},
    {MS_sequest_sort_by_Sequence, "MS:1001071", "sequest:sort_by_Sequence", "", false},
    {MS_sequest_sort_by_Sf, "MS:1001072", "sequest:sort_by_Sf", "", false},
    {MS_database_type_amino_acid, "MS:1001073", "database type amino acid", "Database contains amino acid sequences.", false},
    {MS_database_type_nucleotide, "MS:1001079", "database type nucleotide", "Database contains nucleid acid sequences.", false},
    {MS_search_type, "MS:1001080", "search type", "Enumeration of type of search value (i.e. from PMF, sequence tag, MS-MS).", false},
    {MS_pmf_search, "MS:1001081", "pmf search", "A peptide mass fingerprint search.", false},
    {MS_tag_search, "MS:1001082", "tag search", "A sequence tag search.", false},
    {MS_ms_ms_search, "MS:1001083", "ms-ms search", "An ms/ms search (with fragment ions).", false},
    {MS_database_nr, "MS:1001084", "database nr", "", false},
    {MS_protein_result_details, "MS:1001085", "protein result details", "Protein level information.", false},
    {MS_sequest_sort_by_XCorr, "MS:1001086", "sequest:sort_by_XCorr", "", false},
    {MS_sequest_ProcessCV, "MS:1001087", "sequest:ProcessCV", "Branch containing the CV terms for Sequest View / Process Input Parameters.", false},
    {MS_protein_description, "MS:1001088", "protein description", "The protein description line from the sequence entry in the source database FASTA file.", false},
    {MS_molecule_taxonomy, "MS:1001089", "molecule taxonomy", "The taxonomy of the resultant molecule from the search.", false},
    {MS_taxonomy_nomenclature_OBSOLETE, "MS:1001090", "taxonomy nomenclature", "OBSOLETE: The system used to indicate taxonomy. There should be an enumerated list of options: latin name, NCBI TaxID, common name, Swiss-Prot species ID (ex. RABIT from the full protein ID ALBU_RABIT).", true},
    {MS_NoEnzyme, "MS:1001091", "NoEnzyme", "", false},
    {MS_peptide_quality_estimation_measure, "MS:1001092", "peptide quality estimation measure", "", false},
    {MS_sequence_coverage, "MS:1001093", "sequence coverage", "The percent coverage for the protein based upon the matched peptide sequences (can be calculated).", false},
    {MS_sequest_sort_by_z, "MS:1001094", "sequest:sort_by_z", "", false},
    {MS_sequest_ProcessAll, "MS:1001095", "sequest:ProcessAll", "", false},
    {MS_sequest_TopPercentMostIntense, "MS:1001096", "sequest:TopPercentMostIntense", "Specify \"percentage\" as value of the CVParam!", false},
    {MS_distinct_peptide_sequences, "MS:1001097", "distinct peptide sequences", "This counts distinct sequences hitting the protein without regard to a minimal confidence threshold.", false},
    {MS_confident_distinct_peptide_sequences, "MS:1001098", "confident distinct peptide sequences", "This counts the number of distinct peptide sequences. Multiple charge states and multiple modification states do NOT count as multiple sequences. The definition of 'confident' must be qualified elsewhere.", false},
    {MS_confident_peptide_qualification, "MS:1001099", "confident peptide qualification", "The point of this entry is to define what is meant by confident for the term Confident distinct peptide sequence and/or Confident peptides. Example 1 - metric=Paragon:Confidence value=95 sense=greater than Example 2 - metric=Mascot:Eval value=0.05 sense=less than.", false},
    {MS_confident_peptide, "MS:1001100", "confident peptide", "This counts the number of peptide sequences without regard to whether they are distinct. Multiple charges states and multiple modification states DO count as multiple peptides. The definition of 'confident' must be qualified elsewhere.", false},
    {MS_protein_group_subset_relationship, "MS:1001101", "protein group/subset relationship", "Branch containing protein group/subset relationships. TODO: add child terms.", false},
    {MS_sequest_Chromatogram, "MS:1001102", "sequest:Chromatogram", "", false},
    {MS_sequest_InfoAndLog, "MS:1001103", "sequest:InfoAndLog", "", false},
    {MS_database_SwissProt, "MS:1001104", "database SwissProt", "", false},
    {MS_peptide_result_details, "MS:1001105", "peptide result details", "Peptide level information.", false},
    {MS_sequest_TopNumber, "MS:1001106", "sequest:TopNumber", "Specify \"number\" as value of the CVParam!", false},
    {MS_data_stored_in_database, "MS:1001107", "data stored in database", "Source file for this mzIdentML was a data set in a database.", false},
    {MS_param__a_ion, "MS:1001108", "param: a ion", "", false},
    {MS_sequest_CullTo, "MS:1001109", "sequest:CullTo", "Specify cull string as value of the CVParam!", false},
    {MS_sequest_modeCV, "MS:1001110", "sequest:modeCV", "Branch containing the CV terms for Sequest Mode Input Parameters.", false},
    {MS_sequest_Full, "MS:1001111", "sequest:Full", "", false},
    {MS_n_terminal_flanking_residue, "MS:1001112", "n-terminal flanking residue", "The residue preceeding the first amino acid in the peptide sequence as it occurs in the protein. Use 'N-term' to denote if the peptide starts at the N terminus of the protein.", false},
    {MS_c_terminal_flanking_residue, "MS:1001113", "c-terminal flanking residue", "The residue following the last amino acid in the peptide sequence as it occurs in the protein. Use 'C-term' to denote if the peptide ends at the C terminus of the protein.", false},
    {MS_retention_time_s_, "MS:1001114", "retention time(s)", "Retention time of the spectrum from the source file", false},
    {MS_scan_number_s__OBSOLETE, "MS:1001115", "scan number(s)", "OBSOLETE: use spectrumID attribute of SpectrumIdentificationResult. Take from mzData.", true},
    {MS_single_protein_result_details, "MS:1001116", "single protein result details", "Results specific for one protein as part of a protein ambiguity group (a result not valid for all the other proteins in the protein ambiguity group).", false},
    {MS_theoretical_mass, "MS:1001117", "theoretical mass", "The theoretical mass of the molecule (e.g. the peptide sequence and its modifications).", false},
    {MS_param__b_ion, "MS:1001118", "param: b ion", "", false},
    {MS_param__c_ion, "MS:1001119", "param: c ion", "", false},
    {MS_sequest_FormatAndLinks, "MS:1001120", "sequest:FormatAndLinks", "", false},
    {MS_number_of_matched_peaks, "MS:1001121", "number of matched peaks", "The number of peaks that were matched as qualified by the ion series considered field. If a peak matches multiple ions then only 1 would be added the count.", false},
    {MS_ions_series_considered, "MS:1001122", "ions series considered", "The ion series that were used during the calculation of the count (e.g. b, y, a, b, c, y, z, b, b-NH3, b-H20, b+, z, z-, z+, y-H3PO4, immonium).", false},
    {MS_number_of_peaks_used, "MS:1001123", "number of peaks used", "The number of peaks from the original peak list that are used to calculate the scores for a particular search engine. All ions that have the opportunity to match or be counted even if they don't.", false},
    {MS_number_of_peaks_submitted, "MS:1001124", "number of peaks submitted", "The number of peaks from the original peaks listed that were submitted to the search engine.", false},
    {MS_manual_validation, "MS:1001125", "manual validation", "Result of quality estimation: decision of a manual validation.", false},
    {MS_sequest_Fast, "MS:1001126", "sequest:Fast", "", false},
    {MS_peptide_sharing_details, "MS:1001127", "peptide sharing details", "Accessions Containing Sequence - Accessions for each protein containing this peptide.", false},
    {MS_sequest_selectCV, "MS:1001128", "sequest:selectCV", "Branch containing the CV terms for Sequest Select Input Parameters.", false},
    {MS_quantification_information, "MS:1001129", "quantification information", "Quantification information.", false},
    {MS_peptide_raw_areas, "MS:1001130", "peptide raw areas", "Peptide raw areas.", false},
    {MS_errors_on_peptide_areas, "MS:1001131", "errors on peptide areas", "Errors on peptide areas.", false},
    {MS_peptide_ratios, "MS:1001132", "peptide ratios", "Peptide ratios.", false},
    {MS_errors_on_peptide_ratios, "MS:1001133", "errors on peptide ratios", "Errors on peptide ratios.", false},
    {MS_protein_ratios, "MS:1001134", "protein ratios", "Protein ratios.", false},
    {MS_errors_on_protein_ratios, "MS:1001135", "errors on protein ratios", "Errors on protein ratios.", false},
    {MS_p_value__protein_diff_from_1_randomly_, "MS:1001136", "p-value (protein diff from 1 randomly)", "P-value (protein diff from 1 randomly).", false},
    {MS_absolute_quantities, "MS:1001137", "absolute quantities", "Absolute quantities.", false},
    {MS_error_on_absolute_quantity, "MS:1001138", "error on absolute quantity", "Error on absolute quantity.", false},
    {MS_quantitation_software_name, "MS:1001139", "quantitation software name", "Quantitation software name.", false},
    {MS_quantitation_software_version, "MS:1001140", "quantitation software version", "Quantitation software version.", false},
    {MS_intensity_of_precursor_ion, "MS:1001141", "intensity of precursor ion", "The intensity of the precursor ion.", false},
    {MS_database_IPI_human, "MS:1001142", "database IPI_human", "", false},
    {MS_search_engine_specific_score_for_peptides, "MS:1001143", "search engine specific score for peptides", "", false},
    {MS_sequest_SelectDefault, "MS:1001144", "sequest:SelectDefault", "", false},
    {MS_TODOsequest_SelectAdvancedCV, "MS:1001145", "TODOsequest:SelectAdvancedCV", "Branch containing the CV terms for Sequest Select Advanced Input Parameters.", false},
    {MS_param__a_ion_NH3, "MS:1001146", "param: a ion-NH3", "", false},
    {MS_protein_ambiguity_group_result_details, "MS:1001147", "protein ambiguity group result details", "", false},
    {MS_param__a_ion_H2O, "MS:1001148", "param: a ion-H2O", "Ion a - H2O if a significant and fragment includes STED.", false},
    {MS_param__b_ion_NH3, "MS:1001149", "param: b ion-NH3", "", false},
    {MS_param__b_ion_H2O, "MS:1001150", "param: b ion-H2O", "Ion b - H2O if b significant and fragment includes STED.", false},
    {MS_param__y_ion_NH3, "MS:1001151", "param: y ion-NH3", "", false},
    {MS_param__y_ion_H2O, "MS:1001152", "param: y ion-H2O", "Ion y - H2O if y significant and fragment includes STED.", false},
    {MS_search_engine_specific_score, "MS:1001153", "search engine specific score", "Search engine specific scores.", false},
    {MS_sequest_probability, "MS:1001154", "sequest:probability", "The SEQUEST result 'Probability'.", false},
    {MS_sequest_xcorr, "MS:1001155", "sequest:xcorr", "The SEQUEST result 'Xcorr'.", false},
    {MS_sequest_deltacn, "MS:1001156", "sequest:deltacn", "The SEQUEST result 'DeltaCn'.", false},
    {MS_sequest_sp, "MS:1001157", "sequest:sp", "The SEQUEST result 'Sp' (protein).", false},
    {MS_sequest_Uniq, "MS:1001158", "sequest:Uniq", "", false},
    {MS_sequest_expectation_value, "MS:1001159", "sequest:expectation value", "The SEQUEST result 'Expectation value'.", false},
    {MS_sequest_sf, "MS:1001160", "sequest:sf", "The SEQUEST result 'Sf'.", false},
    {MS_sequest_matched_ions, "MS:1001161", "sequest:matched ions", "The SEQUEST result 'Matched Ions'.", false},
    {MS_sequest_total_ions, "MS:1001162", "sequest:total ions", "The SEQUEST result 'Total Ions'.", false},
    {MS_sequest_consensus_score, "MS:1001163", "sequest:consensus score", "The SEQUEST result 'Consensus Score'.", false},
    {MS_paragon_unused_protscore, "MS:1001164", "paragon:unused protscore", "The Paragon result 'Unused ProtScore'.", false},
    {MS_paragon_total_protscore, "MS:1001165", "paragon:total protscore", "The Paragon result 'Total ProtScore'.", false},
    {MS_paragon_score, "MS:1001166", "paragon:score", "The Paragon result 'Score'.", false},
    {MS_paragon_confidence, "MS:1001167", "paragon:confidence", "The Paragon result 'Confidence'.", false},
    {MS_paragon_expression_error_factor, "MS:1001168", "paragon:expression error factor", "The Paragon result 'Expression Error Factor'.", false},
    {MS_paragon_expression_change_p_value, "MS:1001169", "paragon:expression change p-value", "The Paragon result 'Expression change P-value'.", false},
    {MS_paragon_contrib, "MS:1001170", "paragon:contrib", "The Paragon result 'Contrib'.", false},
    {MS_mascot_score, "MS:1001171", "mascot:score", "The Mascot result 'Score'.", false},
    {MS_mascot_expectation_value, "MS:1001172", "mascot:expectation value", "The Mascot result 'expectation value'.", false},
    {MS_mascot_matched_ions, "MS:1001173", "mascot:matched ions", "The Mascot result 'Matched ions'.", false},
    {MS_mascot_total_ions, "MS:1001174", "mascot:total ions", "The Mascot result 'Total ions'.", false},
    {MS_peptide_shared_in_multiple_proteins, "MS:1001175", "peptide shared in multiple proteins", "", false},
    {MS______KR_____P_, "MS:1001176", "(?<=[KR])(?!P)", "", false},
    {MS_number_of_molecular_hypothesis_considered, "MS:1001177", "number of molecular hypothesis considered", "Number of Molecular Hypothesis Considered - This is the number of molecules (e.g. peptides for proteomics) considered for a particular search.", false},
    {MS_database_EST, "MS:1001178", "database EST", "", false},
    {MS_Cleavage_agent_regular_expression, "MS:1001180", "Cleavage agent regular expression", "Branch containing regular expressions for cleavage enzymes.", false},
    {MS_search_statistics, "MS:1001184", "search statistics", "The details of the actual run of the search.", false},
    {MS_modification_specificity_N_term, "MS:1001189", "modification specificity N-term", "As parameter for search engine: apply the modification only N-terminal.", false},
    {MS_modification_specificity_C_term, "MS:1001190", "modification specificity C-term", "As parameter for search engine: apply the modification only C-terminal.", false},
    {MS_p_value, "MS:1001191", "p-value", "Quality estimation by p-value.", false},
    {MS_Expect_value, "MS:1001192", "Expect value", "Result of quality estimation: Expect value.", false},
    {MS_confidence_score, "MS:1001193", "confidence score", "Result of quality estimation: confidence score.", false},
    {MS_quality_estimation_with_decoy_database, "MS:1001194", "quality estimation with decoy database", "Quality estimation by decoy database.", false},
    {MS_decoy_DB_type_reverse, "MS:1001195", "decoy DB type reverse", "Decoy type: Amino acids of protein sequences are used in reverse order.", false},
    {MS_decoy_DB_type_randomized, "MS:1001196", "decoy DB type randomized", "Decoy type: Amino acids of protein sequences are randomized (keeping the original protein mass).", false},
    {MS_DB_composition_target_decoy, "MS:1001197", "DB composition target+decoy", "Decoy database composition: database contains original (target) and decoy entries.", false},
    {MS_protein_quality_estimation_measure, "MS:1001198", "protein quality estimation measure", "Quality estimation score for a protein (p-value, Expect value, confidence, local FDR).", false},
    {MS_Mascot_DAT_file, "MS:1001199", "Mascot DAT file", "Source file for this mzIdentML was a Mascot DAT file.", false},
    {MS_Sequest_out_file, "MS:1001200", "Sequest out file", "Source file for this mzIdentML was ONE Sequest out file.", false},
    {MS_DB_MW_filter_maximum, "MS:1001201", "DB MW filter maximum", "", false},
    {MS_DB_MW_filter_minimum, "MS:1001202", "DB MW filter minimum", "", false},
    {MS_DB_PI_filter_maximum, "MS:1001203", "DB PI filter maximum", "", false},
    {MS_DB_PI_filter_minimum, "MS:1001204", "DB PI filter minimum", "", false},
    {MS_Mascot, "MS:1001207", "Mascot", "", false},
    {MS_Sequest, "MS:1001208", "Sequest", "", false},
    {MS_Phenyx, "MS:1001209", "Phenyx", "", false},
    {MS_mass_type_settings, "MS:1001210", "mass type settings", "The type of mass difference value to be considered by the search engine (monoisotopic or average).", false},
    {MS_parent_mass_type_mono, "MS:1001211", "parent mass type mono", "Mass type setting for parent mass was monoisotopic.", false},
    {MS_parent_mass_type_average, "MS:1001212", "parent mass type average", "Mass type setting for parent mass was average isotopic.", false},
    {MS_search_result_details____OBSOLETE, "MS:1001213", "search result details 	 ", "OBSOLETE: Scores and global result characteristics.", true},
    {MS_prot_global_FDR, "MS:1001214", "prot:global FDR", "Estimation of global false discovery rate of the proteins.", false},
    {MS_sequest_PeptideSp, "MS:1001215", "sequest:PeptideSp", "The SEQUEST result 'Sp' in out file (peptide).", false},
    {MS_sequest_PeptideRankSp, "MS:1001217", "sequest:PeptideRankSp", "The SEQUEST result 'Sp' of 'Rank/Sp' in out file (peptide). Also called 'rsp'.", false},
    {MS_sequest_PeptideNumber, "MS:1001218", "sequest:PeptideNumber", "The SEQUEST result '#' in out file (peptide).", false},
    {MS_sequest_PeptideIdnumber, "MS:1001219", "sequest:PeptideIdnumber", "The SEQUEST result 'Id#' in out file (peptide).", false},
    {MS_frag__y_ion, "MS:1001220", "frag: y ion", "Fragmentation information, type of product: y ion.", false},
    {MS_fragmentation_information, "MS:1001221", "fragmentation information", "Fragmentation information like ion types.", false},
    {MS_frag__b_ion___H2O, "MS:1001222", "frag: b ion - H2O", "Fragmentation information, type of product: b ion without water.", false},
    {MS_frag__y_ion___H2O, "MS:1001223", "frag: y ion - H2O", "Fragmentation information, type of product: y ion without water.", false},
    {MS_frag__b_ion, "MS:1001224", "frag: b ion", "Fragmentation information, type of product: b ion.", false},
    {MS_product_ion_m_z, "MS:1001225", "product ion m/z", "The m/z of the product ion.", false},
    {MS_product_ion_intensity, "MS:1001226", "product ion intensity", "The intensity of the product ion.", false},
    {MS_product_ion_m_z_error, "MS:1001227", "product ion m/z error", "The product ion m/z error.", false},
    {MS_frag__x_ion, "MS:1001228", "frag: x ion", "Fragmentation information, type of product: x ion.", false},
    {MS_frag__a_ion, "MS:1001229", "frag: a ion", "Fragmentation information, type of product: a ion.", false},
    {MS_frag__z_ion, "MS:1001230", "frag: z ion", "Fragmentation information, type of product: z ion.", false},
    {MS_frag__c_ion, "MS:1001231", "frag: c ion", "Fragmentation information, type of product: c ion.", false},
    {MS_frag__b_ion___NH3, "MS:1001232", "frag: b ion - NH3", "Fragmentation information, type of product: b ion without ammonium ion.", false},
    {MS_frag__y_ion___NH3, "MS:1001233", "frag: y ion - NH3", "Fragmentation information, type of product: y ion without ammonium ion.", false},
    {MS_frag__a_ion___H2O, "MS:1001234", "frag: a ion - H2O", "Fragmentation information, type of product: a ion without water.", false},
    {MS_frag__a_ion___NH3, "MS:1001235", "frag: a ion - NH3", "Fragmentation information, type of product: a ion without ammonium.", false},
    {MS_frag__d_ion, "MS:1001236", "frag: d ion", "Fragmentation information, type of product: d ion.", false},
    {MS_frag__v_ion, "MS:1001237", "frag: v ion", "Fragmentation information, type of product: v ion.", false},
    {MS_frag__w_ion, "MS:1001238", "frag: w ion", "Fragmentation information, type of product: w ion.", false},
    {MS_frag__immonium_ion, "MS:1001239", "frag: immonium ion", "Fragmentation information, type of product: immonium ion.", false},
    {MS_non_identified_ion, "MS:1001240", "non-identified ion", "Non-identified ion.", false},
    {MS_co_eluting_ion, "MS:1001241", "co-eluting ion", "Co-eluting ion.", false},
    {MS_Sequest_out_folder, "MS:1001242", "Sequest out folder", "Source file for this mzIdentML was a Sequest folder with its out files.", false},
    {MS_Sequest_summary, "MS:1001243", "Sequest summary", "Source file for this mzIdentML was a Sequest summary page (proteins).", false},
    {MS_PerSeptive_PKS_file, "MS:1001245", "PerSeptive PKS file", "", false},
    {MS_Sciex_API_III_file, "MS:1001246", "Sciex API III file", "", false},
    {MS_Bruker_XML_file, "MS:1001247", "Bruker XML file", "Bruker data exchange xml.", false},
    {MS_search_input_details, "MS:1001249", "search input details", "", false},
    {MS_local_FDR, "MS:1001250", "local FDR", "Result of quality estimation: the local FDR at the current position of a sorted list.", false},
    {MS_Trypsin, "MS:1001251", "Trypsin", "", false},
    {MS_DB_source_EBI, "MS:1001252", "DB source EBI", "", false},
    {MS_DB_source_NCBI, "MS:1001253", "DB source NCBI", "", false},
    {MS_DB_source_UniProt, "MS:1001254", "DB source UniProt", "", false},
    {MS_fragment_mass_type_average, "MS:1001255", "fragment mass type average", "Mass type setting for fragment mass was average isotopic.", false},
    {MS_fragment_mass_type_mono, "MS:1001256", "fragment mass type mono", "Mass type setting for fragment mass was monoisotopic.", false},
    {MS_param__v_ion, "MS:1001257", "param: v ion", "", false},
    {MS_param__d_ion, "MS:1001258", "param: d ion", "", false},
    {MS_param__immonium_ion, "MS:1001259", "param: immonium ion", "", false},
    {MS_param__w_ion, "MS:1001260", "param: w ion", "", false},
    {MS_param__x_ion, "MS:1001261", "param: x ion", "", false},
    {MS_param__y_ion, "MS:1001262", "param: y ion", "", false},
    {MS_param__z_ion, "MS:1001263", "param: z ion", "", false},
    {MS_role_type, "MS:1001266", "role type", "Role of a Person or Organization.", false},
    {MS_software_vendor, "MS:1001267", "software vendor", "", false},
    {MS_programmer, "MS:1001268", "programmer", "", false},
    {MS_instrument_vendor, "MS:1001269", "instrument vendor", "", false},
    {MS_lab_personnel, "MS:1001270", "lab personnel", "", false},
    {MS_researcher, "MS:1001271", "researcher", "", false},
    {MS_____R____P_, "MS:1001272", "(?<=R)(?!P)", "", false},
    {MS_____BD__, "MS:1001273", "(?=[BD])", "", false},
    {MS_____DE__, "MS:1001274", "(?=[DE])", "", false},
    {MS_ProteinScape_SearchEvent, "MS:1001275", "ProteinScape SearchEvent", "Source data for this mzIdentML was a ProteinScape SearchEvent.", false},
    {MS_ProteinScape_Gel, "MS:1001276", "ProteinScape Gel", "Source data for this mzIdentML was a ProteinScape Gel.", false},
    {MS_decoy_DB_accession_regexp, "MS:1001283", "decoy DB accession regexp", "Specify the regular expression for decoy accession numbers.", false},
    {MS_decoy_DB_derived_from, "MS:1001284", "decoy DB derived from", "The name of the database, the search database was derived from.", false},
    {MS_database_IPI_mouse, "MS:1001285", "database IPI_mouse", "", false},
    {MS_database_IPI_rat, "MS:1001286", "database IPI_rat", "", false},
    {MS_database_IPI_zebrafish, "MS:1001287", "database IPI_zebrafish", "", false},
    {MS_database_IPI_chicken, "MS:1001288", "database IPI_chicken", "", false},
    {MS_database_IPI_cow, "MS:1001289", "database IPI_cow", "", false},
    {MS_database_IPI_arabidopsis, "MS:1001290", "database IPI_arabidopsis", "", false},
    {MS_decoy_DB_from_nr, "MS:1001291", "decoy DB from nr", "", false},
    {MS_decoy_DB_from_IPI_rat, "MS:1001292", "decoy DB from IPI_rat", "", false},
    {MS_decoy_DB_from_IPI_mouse, "MS:1001293", "decoy DB from IPI_mouse", "", false},
    {MS_decoy_DB_from_IPI_arabidopsis, "MS:1001294", "decoy DB from IPI_arabidopsis", "", false},
    {MS_decoy_DB_from_EST, "MS:1001295", "decoy DB from EST", "", false},
    {MS_decoy_DB_from_IPI_zebrafish, "MS:1001296", "decoy DB from IPI_zebrafish", "", false},
    {MS_decoy_DB_from_SwissProt, "MS:1001297", "decoy DB from SwissProt", "", false},
    {MS_decoy_DB_from_IPI_chicken, "MS:1001298", "decoy DB from IPI_chicken", "", false},
    {MS_decoy_DB_from_IPI_cow, "MS:1001299", "decoy DB from IPI_cow", "", false},
    {MS_decoy_DB_from_IPI_human, "MS:1001300", "decoy DB from IPI_human", "", false},
    {MS_protein_rank, "MS:1001301", "protein rank", "The rank of the protein in a list sorted by the search engine.", false},
    {MS_search_engine_specific_input_parameter, "MS:1001302", "search engine specific input parameter", "This branch contains search engine specific input parameters (e.g. Mascot Sig Threshold).", false},
    {MS_Arg_C, "MS:1001303", "Arg-C", "", false},
    {MS_Asp_N, "MS:1001304", "Asp-N", "", false},
    {MS_Asp_N_ambic, "MS:1001305", "Asp-N_ambic", "", false},
    {MS_Chymotrypsin, "MS:1001306", "Chymotrypsin", "", false},
    {MS_CNBr, "MS:1001307", "CNBr", "", false},
    {MS_Formic_acid, "MS:1001308", "Formic_acid", "", false},
    {MS_Lys_C, "MS:1001309", "Lys-C", "", false},
    {MS_Lys_C_P, "MS:1001310", "Lys-C/P", "", false},
    {MS_PepsinA, "MS:1001311", "PepsinA", "", false},
    {MS_TrypChymo, "MS:1001312", "TrypChymo", "", false},
    {MS_Trypsin_P, "MS:1001313", "Trypsin/P", "", false},
    {MS_V8_DE, "MS:1001314", "V8-DE", "", false},
    {MS_V8_E, "MS:1001315", "V8-E", "", false},
    {MS_mascot_SigThreshold, "MS:1001316", "mascot:SigThreshold", "", false},
    {MS_mascot_MaxProteinHits, "MS:1001317", "mascot:MaxProteinHits", "", false},
    {MS_mascot_ProteinScoringMethod, "MS:1001318", "mascot:ProteinScoringMethod", "", false},
    {MS_mascot_MinMSMSThreshold, "MS:1001319", "mascot:MinMSMSThreshold", "", false},
    {MS_mascot_ShowHomologousProteinsWithSamePeptides, "MS:1001320", "mascot:ShowHomologousProteinsWithSamePeptides", "", false},
    {MS_mascot_ShowHomologousProteinsWithSubsetOfPeptides, "MS:1001321", "mascot:ShowHomologousProteinsWithSubsetOfPeptides", "", false},
    {MS_mascot_RequireBoldRed, "MS:1001322", "mascot:RequireBoldRed", "", false},
    {MS_mascot_UseUnigeneClustering, "MS:1001323", "mascot:UseUnigeneClustering", "", false},
    {MS_mascot_IncludeErrorTolerantMatches, "MS:1001324", "mascot:IncludeErrorTolerantMatches", "", false},
    {MS_mascot_ShowDecoyMatches, "MS:1001325", "mascot:ShowDecoyMatches", "", false},
    {MS_TODO_add_others_OBSOLETE, "MS:1001326", "TODO_add_others", "", true},
    {MS_OMSSA_evalue, "MS:1001328", "OMSSA:evalue", "OMSSA E-value.", false},
    {MS_OMSSA_pvalue, "MS:1001329", "OMSSA:pvalue", "OMSSA p-value.", false},
    {MS_xtandem_expect, "MS:1001330", "xtandem:expect", "The X!Tandem expectation value.", false},
    {MS_xtandem_hyperscore, "MS:1001331", "xtandem:hyperscore", "The X!Tandem hyperscore.", false},
    {MS______FYWL_____P_, "MS:1001332", "(?<=[FYWL])(?!P)", "", false},
    {MS_____M_, "MS:1001333", "(?<=M)", "", false},
    {MS______D_______D__, "MS:1001334", "((?<=D))|((?=D))", "", false},
    {MS_____K____P_, "MS:1001335", "(?<=K)(?!P)", "", false},
    {MS_____K_, "MS:1001336", "(?<=K)", "", false},
    {MS______FL__, "MS:1001337", "(?<=[FL])", "", false},
    {MS______FYWLKR_____P_, "MS:1001338", "(?<=[FYWLKR])(?!P)", "", false},
    {MS______KR__, "MS:1001339", "(?<=[KR])", "", false},
    {MS______BDEZ_____P_, "MS:1001340", "(?<=[BDEZ])(?!P)", "", false},
    {MS______EZ_____P_, "MS:1001341", "(?<=[EZ])(?!P)", "", false},
    {MS_database_sequence_details, "MS:1001342", "database sequence details", "Details about a single database sequence.", false},
    {MS_NA_sequence, "MS:1001343", "NA sequence", "The sequence is a nucleic acid sequence.", false},
    {MS_AA_sequence, "MS:1001344", "AA sequence", "The sequence is a amino acid sequence.", false},
    {MS_mass_table_source, "MS:1001345", "mass table source", "Children of this term specify the source of the mass table used.", false},
    {MS_AAIndex_mass_table, "MS:1001346", "AAIndex mass table", "The masses used in the mass table are taken from AAIndex.", false},
    {MS_database_file_formats, "MS:1001347", "database file formats", "The children of this term define file formats of the sequence database used.", false},
    {MS_FASTA_format, "MS:1001348", "FASTA format", "The sequence database was stored in the FASTA format.", false},
    {MS_ASN_1, "MS:1001349", "ASN.1", "The sequence database was storen in the ASN.1 format.", false},
    {MS_NCBI___p_, "MS:1001350", "NCBI *.p*", "The sequence database was stored in the NCBI formatdb (*.p*) format.", false},
    {MS_clustal_aln, "MS:1001351", "clustal aln", "ClustalW ALN (multiple alignment) format.", false},
    {MS_embl_em, "MS:1001352", "embl em", "EMBL entry format.", false},
    {MS_NBRF_PIR, "MS:1001353", "NBRF PIR", "The NBRF PIR was used as format.", false},
    {MS_mass_table_options, "MS:1001354", "mass table options", "Root node for options for the mass table used.", false},
    {MS_peptide_descriptions, "MS:1001355", "peptide descriptions", "Descriptions of peptides. TODO: What does this mean?", false},
    {MS_spectrum_descriptions, "MS:1001356", "spectrum descriptions", "Descriptions of the input spectra. TODO: really needed?", false},
    {MS_spectrum_quality_descriptions, "MS:1001357", "spectrum quality descriptions", "Description of the quality of the input spectrum.", false},
    {MS_msmsEval_quality, "MS:1001358", "msmsEval quality", "This term reports the quality of the spectrum assigned by msmsEval.", false},
    {MS_ambiguous_residues, "MS:1001359", "ambiguous residues", "Children of this term describe abiguous residues.", false},
    {MS_alternate_single_letter_codes, "MS:1001360", "alternate single letter codes", "List of standard residue one letter codes which are used to replace a non-standard.", false},
    {MS_alternate_mass, "MS:1001361", "alternate mass", "List of masses a non-standard letter code is replaced with.", false},
    {MS_number_of_unmatched_peaks, "MS:1001362", "number of unmatched peaks", "The number of unmatched peaks.", false},
    {MS_peptide_unique_to_one_protein, "MS:1001363", "peptide unique to one protein", "", false},
    {MS_pep_global_FDR, "MS:1001364", "pep:global FDR", "Estimation of global false discovery rate of the peptides.", false},
    {MS_frag__internal_yb_ion, "MS:1001365", "frag: internal yb ion", "", false},
    {MS_frag__internal_ya_ion, "MS:1001366", "frag: internal ya ion", "", false},
    {MS_frag__z_1_ion, "MS:1001367", "frag: z+1 ion", "", false},
    {MS_frag__z_2_ion, "MS:1001368", "frag: z+2 ion", "", false},
    {MS_text_file, "MS:1001369", "text file", "Simple text file of \"m/z [intensity]\" values for a PMF (or single MS-MS) search.", false},
    {MS_mascot_homology_threshold, "MS:1001370", "mascot:homology threshold", "The Mascot result 'homology threshold'.", false},
    {MS_mascot_identity_threshold, "MS:1001371", "mascot:identity threshold", "The Mascot result 'identity threshold'.", false},
    {MS_sequest_Sequences, "MS:1001372", "sequest:Sequences", "", false},
    {MS_sequest_TIC, "MS:1001373", "sequest:TIC", "", false},
    {MS_sequest_Sum, "MS:1001374", "sequest:Sum", "", false},
    {MS_Phenyx_Instrument_Type, "MS:1001375", "Phenyx:Instrument Type", "", false},
    {MS_Phenyx_Scoring_Model, "MS:1001376", "Phenyx:Scoring Model", "", false},
    {MS_Phenyx_Default_Parent_Charge, "MS:1001377", "Phenyx:Default Parent Charge", "", false},
    {MS_Phenyx_Trust_Parent_Charge, "MS:1001378", "Phenyx:Trust Parent Charge", "", false},
    {MS_Phenyx_Turbo, "MS:1001379", "Phenyx:Turbo", "", false},
    {MS_Phenyx_Turbo_ErrorTol, "MS:1001380", "Phenyx:Turbo:ErrorTol", "", false},
    {MS_Phenyx_Turbo_Coverage, "MS:1001381", "Phenyx:Turbo:Coverage", "", false},
    {MS_Phenyx_Turbo_Series, "MS:1001382", "Phenyx:Turbo:Series", "", false},
    {MS_Phenyx_MinPepLength, "MS:1001383", "Phenyx:MinPepLength", "", false},
    {MS_Phenyx_MinPepzscore, "MS:1001384", "Phenyx:MinPepzscore", "", false},
    {MS_Phenyx_MaxPepPvalue, "MS:1001385", "Phenyx:MaxPepPvalue", "", false},
    {MS_Phenyx_AC_Score, "MS:1001386", "Phenyx:AC Score", "", false},
    {MS_Phenyx_Conflict_Resolution, "MS:1001387", "Phenyx:Conflict Resolution", "", false},
    {MS_Phenyx_AC, "MS:1001388", "Phenyx:AC", "", false},
    {MS_Phenyx_ID, "MS:1001389", "Phenyx:ID", "", false},
    {MS_Phenyx_Score, "MS:1001390", "Phenyx:Score", "", false},
    {MS_Phenyx_Peptides1, "MS:1001391", "Phenyx:Peptides1", "First number of phenyx result \"#Peptides\".", false},
    {MS_Phenyx_Peptides2, "MS:1001392", "Phenyx:Peptides2", "Second number of phenyx result \"#Peptides\".", false},
    {MS_Phenyx_Auto, "MS:1001393", "Phenyx:Auto", "", false},
    {MS_Phenyx_User, "MS:1001394", "Phenyx:User", "", false},
    {MS_Phenyx_Pepzscore, "MS:1001395", "Phenyx:Pepzscore", "", false},
    {MS_Phenyx_PepPvalue, "MS:1001396", "Phenyx:PepPvalue", "", false},
    {MS_Phenyx_NumberOfMC, "MS:1001397", "Phenyx:NumberOfMC", "", false},
    {MS_Phenyx_Modif, "MS:1001398", "Phenyx:Modif", "", false},
    {MS_OMSSA_csv_file, "MS:1001399", "OMSSA csv file", "Source file for this mzIdentML was an OMSSA csv file.", false},
    {MS_OMSSA_xml_file, "MS:1001400", "OMSSA xml file", "Source file for this mzIdentML was an OMSSA xml file.", false},
    {MS_xtandem_xml_file, "MS:1001401", "xtandem xml file", "Source file for this mzIdentML was an X!Tandem xml file.", false},
    {MS_spectrum_identification_result_details, "MS:1001405", "spectrum identification result details", "This subsection describes terms which can describe details of spectrum identification results.", false},
    {MS_param__internal_yb_ion, "MS:1001406", "param: internal yb ion", "", false},
    {MS_param__internal_ya_ion, "MS:1001407", "param: internal ya ion", "", false},
    {MS_param__z_1_ion, "MS:1001408", "param: z+1 ion", "", false},
    {MS_param__z_2_ion, "MS:1001409", "param: z+2 ion", "", false},
    {MS_translation_start_codons, "MS:1001410", "translation start codons", "The translation start codons used to translate the nucleotides to amino acids.", false},
    {MS_search_tolerance_specification, "MS:1001411", "search tolerance specification", "", false},
    {MS_search_tolerance_plus_value, "MS:1001412", "search tolerance plus value", "", false},
    {MS_search_tolerance_minus_value, "MS:1001413", "search tolerance minus value", "", false},
    {MS_MGF_scans_OBSOLETE, "MS:1001414", "MGF scans", "OBSOLETE: replaced by MS:1000797 (peak list scans): This term can hold the scans attribute from an MGF input file.", true},
    {MS_MGF_raw_scans_OBSOLETE, "MS:1001415", "MGF raw scans", "OBSOLETE: replaced by MS:1000798 (peak list raw scans): This term can hold the raw scans attribute from an MGF input file.", true},
    {MS_spectrum_title_OBSOLETE, "MS:1001416", "spectrum title", "OBSOLETE: replaced by MS:1000796 (spectrum title): Holds the spectrum title from different input file formats, e.g. MGF TITLE.", true},
    {MS_SpectraST_dot, "MS:1001417", "SpectraST:dot", "SpectraST dot product of two spectra, measuring spectral similarity.", false},
    {MS_SpectraST_dot_bias, "MS:1001418", "SpectraST:dot_bias", "SpectraST measure of how much of the dot product is dominated by a few peaks.", false},
    {MS_SpectraST_discriminant_score_F, "MS:1001419", "SpectraST:discriminant score F", "SpectraST spectrum score.", false},
    {MS_SpectraST_delta, "MS:1001420", "SpectraST:delta", "SpectraST normalised difference between dot product of top hit and runner-up.", false},
    {MS_pepXML_file, "MS:1001421", "pepXML file", "Source file for this mzIdentML was a pepXML file.", false},
    {MS_protXML_file, "MS:1001422", "protXML file", "Source file for this mzIdentML was a protXML file.", false},
    {MS_translation_table_description, "MS:1001423", "translation table description", "A URL that describes the translation table used to translate the nucleotides to amino acids.", false},
    {MS_ProteinExtractor_Methodname, "MS:1001424", "ProteinExtractor:Methodname", "", false},
    {MS_ProteinExtractor_GenerateNonRedundant, "MS:1001425", "ProteinExtractor:GenerateNonRedundant", "", false},
    {MS_ProteinExtractor_IncludeIdentified, "MS:1001426", "ProteinExtractor:IncludeIdentified", "", false},
    {MS_ProteinExtractor_MaxNumberOfProteins, "MS:1001427", "ProteinExtractor:MaxNumberOfProteins", "", false},
    {MS_ProteinExtractor_MaxProteinMass, "MS:1001428", "ProteinExtractor:MaxProteinMass", "", false},
    {MS_ProteinExtractor_MinNumberOfPeptides, "MS:1001429", "ProteinExtractor:MinNumberOfPeptides", "", false},
    {MS_ProteinExtractor_UseMascot, "MS:1001430", "ProteinExtractor:UseMascot", "", false},
    {MS_ProteinExtractor_MascotPeptideScoreThreshold, "MS:1001431", "ProteinExtractor:MascotPeptideScoreThreshold", "", false},
    {MS_ProteinExtractor_MascotUniqueScore, "MS:1001432", "ProteinExtractor:MascotUniqueScore", "", false},
    {MS_ProteinExtractor_MascotUseIdentityScore, "MS:1001433", "ProteinExtractor:MascotUseIdentityScore", "", false},
    {MS_ProteinExtractor_MascotWeighting, "MS:1001434", "ProteinExtractor:MascotWeighting", "", false},
    {MS_ProteinExtractor_UseSequest, "MS:1001435", "ProteinExtractor:UseSequest", "", false},
    {MS_ProteinExtractor_SequestPeptideScoreThreshold, "MS:1001436", "ProteinExtractor:SequestPeptideScoreThreshold", "", false},
    {MS_ProteinExtractor_SequestUniqueScore, "MS:1001437", "ProteinExtractor:SequestUniqueScore", "", false},
    {MS_ProteinExtractor_SequestWeighting, "MS:1001438", "ProteinExtractor:SequestWeighting", "", false},
    {MS_ProteinExtractor_UseProteinSolver, "MS:1001439", "ProteinExtractor:UseProteinSolver", "", false},
    {MS_ProteinExtractor_ProteinSolverPeptideScoreThreshold, "MS:1001440", "ProteinExtractor:ProteinSolverPeptideScoreThreshold", "", false},
    {MS_ProteinExtractor_ProteinSolverUniqueScore, "MS:1001441", "ProteinExtractor:ProteinSolverUniqueScore", "", false},
    {MS_ProteinExtractor_ProteinSolverWeighting, "MS:1001442", "ProteinExtractor:ProteinSolverWeighting", "", false},
    {MS_ProteinExtractor_UsePhenyx, "MS:1001443", "ProteinExtractor:UsePhenyx", "", false},
    {MS_ProteinExtractor_PhenyxPeptideScoreThreshold, "MS:1001444", "ProteinExtractor:PhenyxPeptideScoreThreshold", "", false},
    {MS_ProteinExtractor_PhenyxUniqueScore, "MS:1001445", "ProteinExtractor:PhenyxUniqueScore", "", false},
    {MS_ProteinExtractor_PhenyxWeighting, "MS:1001446", "ProteinExtractor:PhenyxWeighting", "", false},
    {MS_prot_FDR_threshold, "MS:1001447", "prot:FDR threshold", "False-discovery rate threshold for proteins.", false},
    {MS_pep_FDR_threshold, "MS:1001448", "pep:FDR threshold", "False-discovery rate threshold for peptides.", false},
    {MS_OMSSA_e_value_threshold, "MS:1001449", "OMSSA e-value threshold", "Threshold for OMSSA e-value for quality estimation.", false},
    {MS_decoy_DB_details, "MS:1001450", "decoy DB details", "Details of decoy generation and database structure.", false},
    {MS_decoy_DB_generation_algorithm, "MS:1001451", "decoy DB generation algorithm", "Name of algorithm used for decoy generation.", false},
    {MS_decoy_DB_type_shuffle, "MS:1001452", "decoy DB type shuffle", "Decoy type: Amino acids of protein sequences are used in a random order.", false},
    {MS_DB_composition_only_decoy, "MS:1001453", "DB composition only decoy", "Decoy database composition: database contains only decoy entries.", false},
    {MS_quality_estimation_with_implicite_decoy_sequences, "MS:1001454", "quality estimation with implicite decoy sequences", "Decoy entries are generated during the search, not explicitly stored in a database (like Mascot Decoy).", false},
    {MS_acquisition_software, "MS:1001455", "acquisition software", "Acquisition software.", false},
    {MS_analysis_software, "MS:1001456", "analysis software", "Analysis software.", false},
    {MS_data_processing_software, "MS:1001457", "data processing software", "Conversion software.", false},
    {MS_spectrum_generation_information, "MS:1001458", "spectrum generation information", "Vocabularies describing the spectrum generation information.", false},
    {MS_file_format, "MS:1001459", "file format", "Format of data files.", false},
    {MS_unknown_modification, "MS:1001460", "unknown modification", "This term should be given if the modification was unknown.", false},
    {MS_greylag, "MS:1001461", "greylag", "greylag identification software, wee greylag.org.", false},
    {MS_PEFF_format, "MS:1001462", "PEFF format", "The sequence database was stored in the PEFF (PSI enhanced FastA file) format.", false},
    {MS_Phenyx_XML_format, "MS:1001463", "Phenyx XML format", "", false},
    {MS_DTASelect_file, "MS:1001464", "DTASelect file", "", false},
    {MS_MS2_file, "MS:1001466", "MS2 file", "MS2 file.", false},
    {MS_taxonomy__NCBI_TaxID, "MS:1001467", "taxonomy: NCBI TaxID", "This term is used if a NCBI TaxID is specified, e.g. 9606 for Homo sapiens.", false},
    {MS_taxonomy__common_name, "MS:1001468", "taxonomy: common name", "This term is used if a common name is specified, e.g. human. Recommend using MS:1001467 (taxonomy: NCBI TaxID) where possible.", false},
    {MS_taxonomy__scientific_name, "MS:1001469", "taxonomy: scientific name", "This term is used if a scientific name is specified, e.g. Homo sapiens. Recommend using MS:1001467 (taxonomy: NCBI TaxID) where possible.", false},
    {MS_taxonomy__Swiss_Prot_ID, "MS:1001470", "taxonomy: Swiss-Prot ID", "This term is used if a swiss prot taxonomy id is specified, e.g. Human. Recommend using MS:1001467 (taxonomy: NCBI TaxID) where possible.", false},
    {MS_peptide_modification_details, "MS:1001471", "peptide modification details", "The children of this term can be used to describe modifications.", false},
    {MS_selected_ion_monitoring_chromatogram, "MS:1001472", "selected ion monitoring chromatogram", "Chromatogram created by creating an array of the measurements of a selectively monitored ion at each time point.", false},
    {MS_selected_reaction_monitoring_chromatogram, "MS:1001473", "selected reaction monitoring chromatogram", "Chromatogram created by creating an array of the measurements of a selectively monitored reaction at each time point.", false},
    {MS_consecutive_reaction_monitoring_chromatogram_OBSOLETE, "MS:1001474", "consecutive reaction monitoring chromatogram", "Chromatogram created by creating an array of the measurements of a series of monitored reactions at each time point.", true},
    {MS_OMSSA, "MS:1001475", "OMSSA", "Open Mass Spectrometry Search Algorithm was used to analyze the spectra.", false},
    {MS_xtandem, "MS:1001476", "xtandem", "X!Tandem was used to analyze the spectra.", false},
    {MS_SpectraST, "MS:1001477", "SpectraST", "SpectraST was used to analyze the spectra.", false},
    {MS_Mascot_Parser, "MS:1001478", "Mascot Parser", "Mascot Parser was used to analyze the spectra.", false},
    {MS_null_terminated_ASCII_string, "MS:1001479", "null-terminated ASCII string", "Sequence of zero or more non-zero ASCII characters terminated by a single null (0) byte.", false},
    {MS_AB_SCIEX_TOF_TOF_nativeID_format, "MS:1001480", "AB SCIEX TOF/TOF nativeID format", "jobRun=xsd:nonNegativeInteger spotLabel=xsd:string spectrum=xsd:nonNegativeInteger.", false},
    {MS_AB_SCIEX_TOF_TOF_database, "MS:1001481", "AB SCIEX TOF/TOF database", "Applied Biosystems/MDS Analytical Technologies TOF/TOF instrument database.", false},
    {MS_AB_SCIEX_TOF_TOF_5800, "MS:1001482", "AB SCIEX TOF/TOF 5800", "AB SCIEX or Applied Biosystems|MDS Analytical Technologies AB SCIEX TOF/TOF 5800 Analyzer.", false},
    {MS_AB_SCIEX_TOF_TOF_Series_Explorer_Software, "MS:1001483", "AB SCIEX TOF/TOF Series Explorer Software", "AB SCIEX or Applied Biosystems software for TOF/TOF data acquisition and analysis.", false},
    {MS_intensity_normalization, "MS:1001484", "intensity normalization", "Normalization of data point intensities.", false},
    {MS_m_z_calibration, "MS:1001485", "m/z calibration", "Calibration of data point m/z positions.", false},
    {MS_data_filtering, "MS:1001486", "data filtering", "Filtering out part of the data.", false},
    {MS_ProteinExtractor, "MS:1001487", "ProteinExtractor", "An algorithm for protein determination/assembly integrated into Bruker's ProteinScape.", false},
    {MS_Mascot_Distiller_, "MS:1001488", "Mascot Distiller ", "Mascot Distiller.", false},
    {MS_Mascot_Integra_, "MS:1001489", "Mascot Integra ", "Mascot Integra.", false},
    {MS_Percolator_, "MS:1001490", "Percolator ", "Percolator.", false},
    {MS_percolator_Q_value, "MS:1001491", "percolator:Q value", "percolator:Q value.", false},
    {MS_percolator_score_, "MS:1001492", "percolator:score ", "percolator:score.", false},
    {MS_percolaror_PEP_, "MS:1001493", "percolaror:PEP ", "Posterior error probability.", false},
    {MS_no_threshold, "MS:1001494", "no threshold", "In case no threshold was used.", false},
    {MS_ProteinScape_SearchResultId, "MS:1001495", "ProteinScape:SearchResultId", "The SearchResultId of this peptide as SearchResult in the ProteinScape database.", false},
    {MS_ProteinScape_SearchEventId, "MS:1001496", "ProteinScape:SearchEventId", "The SearchEventId of the SearchEvent in the ProteinScape database.", false},
    {MS_Profound_z_value, "MS:1001498", "Profound:z value", "The Profound z value.", false},
    {MS_Profound_Cluster, "MS:1001499", "Profound:Cluster", "The Profound cluster score.", false},
    {MS_Profound_ClusterRank, "MS:1001500", "Profound:ClusterRank", "The Profound cluster rank.", false},
    {MS_MSFit_Mowse_score, "MS:1001501", "MSFit:Mowse score", "The MSFit Mowse score.", false},
    {MS_Sonar_Score, "MS:1001502", "Sonar:Score", "The Sonar score.", false},
    {MS_ProteinScape_PFFSolverExp, "MS:1001503", "ProteinScape:PFFSolverExp", "The ProteinSolver exp value stored by ProteinScape.", false},
    {MS_ProteinScape_PFFSolverScore, "MS:1001504", "ProteinScape:PFFSolverScore", "The ProteinSolver score stored by ProteinScape.", false},
    {MS_ProteinScape_IntensityCoverage, "MS:1001505", "ProteinScape:IntensityCoverage", "The intensity coverage of the identified peaks in the spectrum calculated by ProteinScape.", false},
    {MS_ProteinScape_SequestMetaScore, "MS:1001506", "ProteinScape:SequestMetaScore", "The Sequest meta score calculated by ProteinScape from the original Sequest scores.", false},
    {MS_ProteinExtractor_Score, "MS:1001507", "ProteinExtractor:Score", "The score calculated by ProteinExtractor.", false},
    {MS_Agilent_MassHunter_nativeID_format, "MS:1001508", "Agilent MassHunter nativeID format", "scanId=xsd:nonNegativeInteger.", false},
    {MS_Agilent_MassHunter_file, "MS:1001509", "Agilent MassHunter file", "A data file found in an Agilent MassHunter directory which contains raw data acquired by an Agilent mass spectrometer.", false},
    {MS_TSQ_Vantage, "MS:1001510", "TSQ Vantage", "TSQ Vantage.", false},
    {MS_Sequence_database_filter_types, "MS:1001511", "Sequence database filter types", "Filter types which are used to filter a sequence database.", false},
    {MS_Sequence_database_filters, "MS:1001512", "Sequence database filters", "Sequence database filters which actually can contains values, e.g. to limit PI value of the sequences used to search.", false},
    {MS_DB_sequence_filter_pattern, "MS:1001513", "DB sequence filter pattern", "", false},
    {MS_DB_accession_filter_string, "MS:1001514", "DB accession filter string", "", false},
    {MS_frag__c_ion___H2O, "MS:1001515", "frag: c ion - H2O", "Fragmentation information, type of product: c ion without water.", false},
    {MS_frag__c_ion___NH3, "MS:1001516", "frag: c ion - NH3", "Fragmentation information, type of product: c ion without ammonia.", false},
    {MS_frag__z_ion___H2O, "MS:1001517", "frag: z ion - H2O", "Fragmentation information, type of product: z ion without water.", false},
    {MS_frag__z_ion___NH3, "MS:1001518", "frag: z ion - NH3", "Fragmentation information, type of product: z ion without ammonia.", false},
    {MS_frag__x_ion___H2O, "MS:1001519", "frag: x ion - H2O", "Fragmentation information, type of product: x ion without water.", false},
    {MS_frag__x_ion___NH3, "MS:1001520", "frag: x ion - NH3", "Fragmentation information, type of product: x ion without ammonia.", false},
    {MS_frag__precursor_ion___H2O, "MS:1001521", "frag: precursor ion - H2O", "Fragmentation information, type of product: precursor ion without water.", false},
    {MS_frag__precursor_ion___NH3, "MS:1001522", "frag: precursor ion - NH3", "Fragmentation information, type of product: precursor ion without ammonia.", false},
    {MS_frag__precursor_ion, "MS:1001523", "frag: precursor ion", "Fragmentation information, type of product: precursor ion.", false},
    {MS_fragment_neutral_loss, "MS:1001524", "fragment neutral loss", "This term can describe a neutral loss m/z value that is lost from an ion.", false},
    {MS_precursor_neutral_loss_, "MS:1001525", "precursor neutral loss ", "This term can describe a neutral loss m/z value that is lost from an ion.", false},
    {MS_spectrum_from_database_nativeID_format_1001526, "MS:1001526", "spectrum from database nativeID format (MS:1001526)", "databasekey=xsd:Long", false},
    {MS_Proteinscape_spectra, "MS:1001527", "Proteinscape spectra", "Spectra from Bruker/Protagen Proteinscape database.", false},
    {MS_Mascot_query_number, "MS:1001528", "Mascot query number", "query=xsd:nonNegativeInteger", false},
    {MS_spectra_data_details, "MS:1001529", "spectra data details", "Child-terms contain information to map the results back to spectra.", false},
    {MS_mzML_unique_identifier, "MS:1001530", "mzML unique identifier", "mzMLid=xsd:IDREF", false},
    {MS_spectrum_from_ProteinScape_database_nativeID_format, "MS:1001531", "spectrum from ProteinScape database nativeID format", "databasekey=xsd:long", false},
    {MS_spectrum_from_database_nativeID_format_1001532, "MS:1001532", "spectrum from database nativeID format (MS:1001532)", "databasekey=xsd:string", false},
    {MS_Bruker_Daltonics_esquire_series, "MS:1001533", "Bruker Daltonics esquire series", "", false},
    {MS_Bruker_Daltonics_flex_series, "MS:1001534", "Bruker Daltonics flex series", "", false},
    {MS_Bruker_Daltonics_BioTOF_series, "MS:1001535", "Bruker Daltonics BioTOF series", "", false},
    {MS_Bruker_Daltonics_micrOTOF_series, "MS:1001536", "Bruker Daltonics micrOTOF series", "", false},
    {MS_BioTOF, "MS:1001537", "BioTOF", "Bruker Daltonics' BioTOF: ESI TOF", false},
    {MS_BioTOF_III, "MS:1001538", "BioTOF III", "Bruker Daltonics' BioTOF III: ESI TOF", false},
    {MS_UltroTOF_Q, "MS:1001539", "UltroTOF-Q", "Bruker Daltonics' UltroTOF-Q: ESI Q-TOF (MALDI optional).", false},
    {MS_micrOTOF_II, "MS:1001540", "micrOTOF II", "Bruker Daltonics' micrOTOF II: ESI TOF, Nanospray, APCI, APPI.", false},
    {MS_maXis, "MS:1001541", "maXis", "Bruker Daltonics' maXis: ESI Q-TOF, Nanospray, APCI, APPI.", false},
    {MS_amaZon_ETD, "MS:1001542", "amaZon ETD", "Bruker Daltonics' amaZon ETD: ESI quadrupole ion trap, Nanospray, APCI, APPI, ETD, PTR.", false},
    {MS_microflex_LRF, "MS:1001543", "microflex LRF", "Bruker Daltonics' microflex LRF: MALDI TOF.", false},
    {MS_ultrafleXtreme, "MS:1001544", "ultrafleXtreme", "Bruker Daltonics' ultrafleXtreme: MALDI TOF.", false},
    {MS_Bruker_Daltonics_amaZon_series, "MS:1001545", "Bruker Daltonics amaZon series", "", false},
    {MS_amaZon_X, "MS:1001546", "amaZon X", "Bruker Daltonics' amaZon X: ESI quadrupole ion trap, APCI, APPI, ETD, PTR.", false},
    {MS_Bruker_Daltonics_maXis_series, "MS:1001547", "Bruker Daltonics maXis series", "", false},
    {MS_Bruker_Daltonics_solarix_series, "MS:1001548", "Bruker Daltonics solarix series", "Bruker Daltonics' solarix: ESI quadrupole ion trap, APCI, APPI, ETD, PTR.", false},
    {MS_solariX, "MS:1001549", "solariX", "Bruker Daltonics' solariX: ESI, MALDI, Qh-FT_ICR.", false},
    {MS_microflex_II, "MS:1001550", "microflex II", "Bruker Daltonics' microflex II: MALDI TOF.", false},
    {MS_autoflex_II_TOF_TOF, "MS:1001553", "autoflex II TOF/TOF", "Bruker Daltonics' autoflex II TOF/TOF: MALDI TOF.", false},
    {MS_autoflex_III_TOF_TOF_smartbeam, "MS:1001554", "autoflex III TOF/TOF smartbeam", "Bruker Daltonics' autoflex III TOF/TOF smartbeam: MALDI TOF.", false},
    {MS_autoflex, "MS:1001555", "autoflex", "Bruker Daltonics' autoflex: MALDI TOF.", false},
    {MS_Bruker_Daltonics_apex_series, "MS:1001556", "Bruker Daltonics apex series", "", false},
    {MS_Shimadzu_Biotech_software, "MS:1001557", "Shimadzu Biotech software", "", false},
    {MS_MALDI_Solutions, "MS:1001558", "MALDI Solutions", "Shimadzu Biotech software for data acquisition, processing, and analysis.", false},
    {MS_AB_SCIEX_TOF_TOF_T2D_nativeID_format, "MS:1001559", "AB SCIEX TOF/TOF T2D nativeID format", "file=xsd:IDREF.", false},
    {MS_AB_SCIEX_TOF_TOF_T2D_file, "MS:1001560", "AB SCIEX TOF/TOF T2D file", "Applied Biosystems/MDS Analytical Technologies TOF/TOF instrument export format.", false},
    {MS_Scaffold, "MS:1001561", "Scaffold", "Scaffold analysis software, see www.proteomesoftware.com.", false},
    {MS_Scaffold_nativeID_format, "MS:1001562", "Scaffold nativeID format", "Scaffold native ID format.", false},
    {MS_Sequest_SQT, "MS:1001563", "Sequest SQT", "Source file for this mzIdentML was a Sequest SQT.", false},
    {MS_Discoverer_MSF, "MS:1001564", "Discoverer MSF", "Source file for this mzIdentML was in Thermo Scientific Discoverer MSF format.", false},
    {MS_IdentityE_XML, "MS:1001565", "IdentityE XML", "Source file for this mzIdentML was in Waters IdentityE XML format.", false},
    {MS_ProteinLynx_XML, "MS:1001566", "ProteinLynx XML", "Source file for this mzIdentML was in Waters ProteinLynx XML format.", false},
    {MS_SpectrumMill_directories, "MS:1001567", "SpectrumMill directories", "Source file for this mzIdentML was in Agilent SpectrumMill directory format.", false},
    {MS_Scaffold__Peptide_Probability, "MS:1001568", "Scaffold: Peptide Probability", "Scaffold peptide probability score.", false},
    {MS_IdentityE_Score, "MS:1001569", "IdentityE Score", "Waters IdentityE peptide score.", false},
    {MS_ProteinLynx__Log_Likelihood, "MS:1001570", "ProteinLynx: Log Likelihood", "ProteinLynx log likelihood score.", false},
    {MS_ProteinLynx__Ladder_Score, "MS:1001571", "ProteinLynx: Ladder Score", "Waters ProteinLynx Ladder score.", false},
    {MS_SpectrumMill__Score, "MS:1001572", "SpectrumMill: Score", "Spectrum mill peptide score.", false},
    {MS_SpectrumMill__SPI, "MS:1001573", "SpectrumMill: SPI", "SpectrumMill SPI score (%).", false},
    {MS_report_only_spectra_assigned_to_identified_proteins, "MS:1001574", "report only spectra assigned to identified proteins", ".", false},
    {MS_Scaffold__Minimum_Peptide_Count, "MS:1001575", "Scaffold: Minimum Peptide Count", "Minimum number of peptides a protein must have to be accepted.", false},
    {MS_Scaffold__Minimum_Protein_Probability, "MS:1001576", "Scaffold: Minimum Protein Probability", "Minimum protein probability a protein must have to be accepted.", false},
    {MS_Scaffold__Minimum_Peptide_Probability, "MS:1001577", "Scaffold: Minimum Peptide Probability", "Minimum probability a peptide must have to be accepted for protein scoring.", false},
    {MS_minimum_number_of_enzymatic_termini, "MS:1001578", "minimum number of enzymatic termini", "Minimum number of enzymatic termini a pepide must have to be accepted.", false},
    {MS_Scaffold__Protein_Probability, "MS:1001579", "Scaffold: Protein Probability", "Scaffold protein probability score.", false},
    {MS_SpectrumMill__Discriminant_Score, "MS:1001580", "SpectrumMill: Discriminant Score", "Discriminant score from Agilent SpectrumMill software.", false},
    {MS_FAIMS_compensation_voltage, "MS:1001581", "FAIMS compensation voltage", "The DC potential applied to the asymmetric waveform in FAIMS that compensates for the difference between high and low field mobility of an ion.", false},
    {MS_XCMS, "MS:1001582", "XCMS", "Bioconductor package XCMS for preprocessing high-throughput, untargeted analyte profiling data.", false},
    {MS_MaxQuant, "MS:1001583", "MaxQuant", "MaxQuant is a quantitative proteomics software package designed for analyzing large mass spectrometric data sets. It is specifically aimed at high resolution MS data.", false},
    {MS_combined_pmf___ms_ms_search, "MS:1001584", "combined pmf + ms-ms search", "Search that includes data from Peptide Mass Fingerprint (PMF) and MS/MS (aka Peptide Fragment Fingerprint - PFF).", false},
    {MS_ProteinScape_ProfoundProbability, "MS:1001597", "ProteinScape:ProfoundProbability", "The Profound probability score stored by ProteinScape.", false},
    {UO_unit, "UO:0000000", "unit", "A unit of measurement is a standardized quantity of a physical quality.", false},
    {UO_length_unit, "UO:0000001", "length unit", "A base unit which is a standard measure of the distance between two points.", false},
    {UO_mass_unit, "UO:0000002", "mass unit", "A base unit which is a standard measure of the amount of matter/energy of a physical object.", false},
    {UO_time_unit, "UO:0000003", "time unit", "A base unit which is a standard measure of the dimension in which events occur in sequence.", false},
    {UO_electric_current_unit, "UO:0000004", "electric current unit", "A base unit which is a standard measure of the flow of electric charge.", false},
    {UO_temperature_unit, "UO:0000005", "temperature unit", "A base unit which is a standard measure of the average kinetic energy of the particles in a sample of matter.", false},
    {UO_substance_unit, "UO:0000006", "substance unit", "A base unit which is a standardized quantity of an element or compound with uniform composition.", false},
    {UO_luminous_intensity_unit, "UO:0000007", "luminous intensity unit", "A base unit which is a standard measure of the wavelength-weighted power emitted by a light source in a particular direction.", false},
    {UO_meter, "UO:0000008", "meter", "A length unit which is equal to the length of the path traveled by light in vacuum during a time interval of 1/299 792 458 of a second.", false},
    {UO_kilogram, "UO:0000009", "kilogram", "A mass unit which is equal to the mass of the International Prototype Kilogram kept by the BIPM at Svres, France.", false},
    {UO_second, "UO:0000010", "second", "A time unit which is equal to the duration of 9 192 631 770 periods of the radiation corresponding to the transition between the two hyperfine levels of the ground state of the caesium 133 atom.", false},
    {UO_ampere, "UO:0000011", "ampere", "An electric current unit which is equal to the constant current which, if maintained in two straight parallel conductors of infinite length, of negligible circular cross-section, and placed 1 m apart in vacuum, would produce between these conductors a force equal to 2 x 10^[-7] newton per meter of length.", false},
    {UO_kelvin, "UO:0000012", "kelvin", "A thermodynamic temperature unit which is equal to the fraction 1/273.16 of the thermodynamic temperature of the triple point of water.", false},
    {UO_mole, "UO:0000013", "mole", "A substance unit which is equal to the amount of substance of a molecular system which contains as many elementary entities as there are atoms in 0.012 kilogram of carbon 12.", false},
    {UO_candela, "UO:0000014", "candela", "A luminous intensity unit which equal to the luminous intensity, in a given direction, of a source that emits monochromatic radiation of frequency 540 x 1012 hertz and that has a radiant intensity in that direction of 1/683 watt per steradian.", false},
    {UO_centimeter, "UO:0000015", "centimeter", "A length unit which is equal to one hundredth of a meter or 10^[-2] m.", false},
    {UO_millimeter, "UO:0000016", "millimeter", "A length unit which is equal to one thousandth of a meter or 10^[-3] m.", false},
    {UO_micrometer, "UO:0000017", "micrometer", "A length unit which is equal to one millionth of a meter or 10^[-6] m.", false},
    {UO_nanometer, "UO:0000018", "nanometer", "A length unit which is equal to one thousandth of one millionth of a meter or 10^[-9] m.", false},
    {UO_angstrom, "UO:0000019", "angstrom", "A length unit which is equal to 10 [-10] m.", false},
    {UO_picometer, "UO:0000020", "picometer", "A length unit which is equal to 10^[-12] m.", false},
    {UO_gram, "UO:0000021", "gram", "A mass unit which is equal to one thousandth of a kilogram or 10^[-3] kg.", false},
    {UO_milligram, "UO:0000022", "milligram", "A mass unit which is equal to one thousandth of a gram or 10^[-3] g.", false},
    {UO_microgram, "UO:0000023", "microgram", "A mass unit which is equal to one millionth of a gram or 10^[-6] g.", false},
    {UO_nanogram, "UO:0000024", "nanogram", "A mass unit which is equal to one thousandth of one millionth of a gram or 10^[-9] g.", false},
    {UO_picogram, "UO:0000025", "picogram", "A mass unit which is equal to 10^[-12] g.", false},
    {UO_femtogram, "UO:0000026", "femtogram", "A mass unit which is equal to 10^[-15] g.", false},
    {UO_degree_celsius, "UO:0000027", "degree celsius", "A temperature derived unit which is equal to one Kelvin degree. However, they have their zeros at different points. The Centigrade scale has its zero at 273.15 K.", false},
    {UO_millisecond, "UO:0000028", "millisecond", "A time unit which is equal to one thousandth of a second or 10^[-3] s.", false},
    {UO_microsecond, "UO:0000029", "microsecond", "A time unit which is equal to one millionth of a second or 10^[-6] s.", false},
    {UO_picosecond, "UO:0000030", "picosecond", "A time unit which is equal to 10^[-12] s.", false},
    {UO_minute, "UO:0000031", "minute", "A time unit which is equal to 60 seconds.", false},
    {UO_hour, "UO:0000032", "hour", "A time unit which is equal to 3600 seconds or 60 minutes.", false},
    {UO_day, "UO:0000033", "day", "A time unit which is equal to 24 hours.", false},
    {UO_week, "UO:0000034", "week", "A time unit which is equal to 7 days.", false},
    {UO_month, "UO:0000035", "month", "A time unit which is approximately equal to the length of time of one of cycle of the moon's phases which is science is taken to be equal to 30 days.", false},
    {UO_year, "UO:0000036", "year", "A time unit which is equal to 12 months which is science is taken to be equal to 365.25 days.", false},
    {UO_milliampere, "UO:0000037", "milliampere", "An electric current unit current which is equal to one thousandth of an ampere or 10^[-3] A.", false},
    {UO_microampere, "UO:0000038", "microampere", "An electric current unit current which is equal to one millionth of an ampere or 10^[-6] A.", false},
    {UO_micromole, "UO:0000039", "micromole", "A substance unit equal to a millionth of a mol or 10^[-6] mol.", false},
    {UO_millimole, "UO:0000040", "millimole", "A substance unit equal to a thousandth of a mol or 10^[-3] mol.", false},
    {UO_nanomole, "UO:0000041", "nanomole", "A substance unit equal to one thousandth of one millionth of a mole or 10^[-9] mol.", false},
    {UO_picomole, "UO:0000042", "picomole", "A substance unit equal to 10^[-12] mol.", false},
    {UO_femtomole, "UO:0000043", "femtomole", "A substance unit equal to 10^[-15] mol.", false},
    {UO_attomole, "UO:0000044", "attomole", "A substance unit equal to 10^[-18] mol.", false},
    {UO_base_unit, "UO:0000045", "base unit", "A unit which is one of a particular measure to which all measures of that type can be related.", false},
    {UO_derived_unit, "UO:0000046", "derived unit", "A unit which is derived from base units.", false},
    {UO_area_unit, "UO:0000047", "area unit", "A derived unit which is a standard measure of the amount of a 2-dimensional flat surface.", false},
    {UO_acceleration_unit, "UO:0000048", "acceleration unit", "A derived unit which is a standard measure of the rate of change of velocity in either speed or direction.", false},
    {UO_angular_velocity_unit, "UO:0000049", "angular velocity unit", "A derived unit which is a standard measure of the rate of angular movement about an axis; the angle rotated in a given time.", false},
    {UO_angular_acceleration_unit, "UO:0000050", "angular acceleration unit", "A derived unit which is a standard measure of the rate of change of angular velocity.", false},
    {UO_concentration_unit, "UO:0000051", "concentration unit", "A derived unit which represents a standard measurement of how much of a given substance there is mixed with another substance.", false},
    {UO_mass_density_unit, "UO:0000052", "mass density unit", "A density unit which is a standard measure of the mass of a substance in a given volume.", false},
    {UO_luminance_unit, "UO:0000053", "luminance unit", "A derived unit which is a standard measure of the luminous intensity impinging on a given area.", false},
    {UO_area_density_unit, "UO:0000054", "area density unit", "A density unit which is a standard measure of the mass exerting an influence on a given area.", false},
    {UO_molar_mass_unit, "UO:0000055", "molar mass unit", "A derived unit which is a standard measure of the mass of a homogeneous substance containing 6.02 x 1023 atoms or molecules.", false},
    {UO_molar_volume_unit, "UO:0000056", "molar volume unit", "A derived unit which is a standard measure of the volume of a homogeneous substance containing 6.02 x 1023 atoms or molecules.", false},
    {UO_momentum_unit, "UO:0000057", "momentum unit", "A derived unit which is a standard measure of the quantity of motion measured by the product of mass and velocity.", false},
    {UO_rotational_frequency_unit, "UO:0000058", "rotational frequency unit", "A derived unit which is a standard measure of the number of rotations in a given time.", false},
    {UO_specific_volume_unit, "UO:0000059", "specific volume unit", "A derived unit which is a standard measure of the volume of a given mass of substance (the reciprocal of density).", false},
    {UO_speed_velocity_unit, "UO:0000060", "speed/velocity unit", "A derived unit which is a standard measure of the rate of movement. Speed is measured in the same physical units of measurement as velocity, but does not contain the element of direction that velocity has. Speed is thus the magnitude component of velocity.", false},
    {UO_unit_of_molarity, "UO:0000061", "unit of molarity", "A derived concentration unit which is a standard measure of the number of moles of a given substance per liter of solution.", false},
    {UO_molar, "UO:0000062", "molar", "A unit of concentration which expresses a concentration of 1 mole of solute per liter of solution (mol/L).", false},
    {UO_millimolar, "UO:0000063", "millimolar", "A unit of molarity which is equal to one thousandth of a molar or 10^[-3] M.", false},
    {UO_micromolar, "UO:0000064", "micromolar", "A unit of molarity which is equal to one millionth of a molar or 10^[-6] M.", false},
    {UO_nanomolar, "UO:0000065", "nanomolar", "A unit of molarity which is equal to one thousandth of one millionth of a molar or 10^[-9] M.", false},
    {UO_picomolar, "UO:0000066", "picomolar", "A unit of molarity which is equal to 10^[-12] M.", false},
    {UO_unit_of_molality, "UO:0000067", "unit of molality", "A derived concentration unit which is a standard measure of the number of moles of a given substance per kilogram of solvent.", false},
    {UO_molal, "UO:0000068", "molal", "A unit of concentration which expresses a concentration of a solution of 1 mole per kilogram of solvent (mol/kg).", false},
    {UO_millimolal, "UO:0000069", "millimolal", "A molality unit which is equal to one thousandth of a molal or 10^[-3] m.", false},
    {UO_micromolal, "UO:0000070", "micromolal", "A molality unit which is equal to one millionth of a molal or 10^[-6] m.", false},
    {UO_nanomolal, "UO:0000071", "nanomolal", "A molality unit which is equal to one thousandth of one millionth of a molal or 10^[-9] m.", false},
    {UO_picomolal, "UO:0000072", "picomolal", "A molality unit which is equal to 10^[-12] m.", false},
    {UO_femtomolar, "UO:0000073", "femtomolar", "A unit of molarity which is equal to 10^[-15] M.", false},
    {UO_unit_of_normality, "UO:0000074", "unit of normality", "A unit of concentration which highlights the chemical nature of salts.", false},
    {UO_normal, "UO:0000075", "normal", "A unit of concentration which is one gram equivalent of a solute per liter of solution. A gram equivalent weight or equivalent is a measure of the reactive capacity of a given molecule.", false},
    {UO_mole_fraction, "UO:0000076", "mole fraction", "A concentration unit which denotes the number of moles of solute as a proportion of the total number of moles in a solution.", false},
    {UO_meter_per_second_per_second, "UO:0000077", "meter per second per second", "An acceleration unit which is equal to the acceleration an object changing its velocity by 1meter/s over a time period that equals one second.", false},
    {UO_radian_per_second_per_second, "UO:0000078", "radian per second per second", "An angular unit acceleration which is equal to the angular acceleration of an object changing its angular velocity by 1rad/s over a time period that equals one second.", false},
    {UO_radian_per_second, "UO:0000079", "radian per second", "An angular unit velocity which is equal to about 9.54930 rpm (revolutions per minute).", false},
    {UO_square_meter, "UO:0000080", "square meter", "An area unit which is equal to an area enclosed by a square with sides each 1 meter long.", false},
    {UO_square_centimeter, "UO:0000081", "square centimeter", "An area unit which is equal to one thousand of square meter or 10^[-3] m^[2].", false},
    {UO_square_millimeter, "UO:0000082", "square millimeter", "An area unit which is equal to one millionth of a square meter or 10^[-6] m^[2].", false},
    {UO_kilogram_per_cubic_meter, "UO:0000083", "kilogram per cubic meter", "A mass unit density which is equal to mass of an object in kilograms divided by the volume in cubic meters.", false},
    {UO_gram_per_cubic_centimeter, "UO:0000084", "gram per cubic centimeter", "A mass unit density which is equal to mass of an object in grams divided by the volume in cubic centimeters.", false},
    {UO_candela_per_square_meter, "UO:0000085", "candela per square meter", "A luminance unit which is equal to a luminous intensity of one candela radiating from a surface whose area is one square meter.", false},
    {UO_kilogram_per_square_meter, "UO:0000086", "kilogram per square meter", "An area density unit which is equal to the mass of an object in kilograms divided by the surface area in meters squared.", false},
    {UO_kilogram_per_mole, "UO:0000087", "kilogram per mole", "A molar mass unit which is equal to one kilogram of mass of one mole of chemical element or chemical compound.", false},
    {UO_gram_per_mole, "UO:0000088", "gram per mole", "A molar mass unit which is equal to one gram of mass of one mole of chemical element or chemical compound.", false},
    {UO_cubic_meter_per_mole, "UO:0000089", "cubic meter per mole", "A molar volume unit which is equal to 1 cubic meter occupied by one mole of a substance in the form of a solid, liquid, or gas.", false},
    {UO_cubic_centimeter_per_mole, "UO:0000090", "cubic centimeter per mole", "A molar volume unit which is equal to 1 cubic centimeter occupied by one mole of a substance in the form of a solid, liquid, or gas.", false},
    {UO_kilogram_meter_per_second, "UO:0000091", "kilogram meter per second", "A momentum unit which is equal to the momentum of a one kilogram mass object with a speed of one meter per second.", false},
    {UO_one_turn_per_second, "UO:0000092", "one turn per second", "A rotational frequency unit which is equal to 1 complete turn in a period of time that equals to 1 second.", false},
    {UO_cubic_meter_per_kilogram, "UO:0000093", "cubic meter per kilogram", "A specific volume unit which is equal to one cubic meter volume occupied by one kilogram of a particular substance.", false},
    {UO_meter_per_second, "UO:0000094", "meter per second", "A speed/velocity unit which is equal to the speed of an object traveling 1 meter distance in one second.", false},
    {UO_volume_unit, "UO:0000095", "volume unit", "A derived unit which is a standard measure of the amount of space occupied by any substance, whether solid, liquid, or gas.", false},
    {UO_cubic_meter, "UO:0000096", "cubic meter", "A volume unit which is equal to the volume of a cube with edges one meter in length. One cubic meter equals to 1000 liters.", false},
    {UO_cubic_centimeter, "UO:0000097", "cubic centimeter", "A volume unit which is equal to one millionth of a cubic meter or 10^[-9] m^[3], or to 1 ml.", false},
    {UO_milliliter, "UO:0000098", "milliliter", "A volume unit which is equal to one thousandth of a liter or 10^[-3] L, or to 1 cubic centimeter.", false},
    {UO_liter, "UO:0000099", "liter", "A volume unit which is equal to one thousandth of a cubic meter or 10^[-3] m^[3], or to 1 decimeter.", false},
    {UO_cubic_decimeter, "UO:0000100", "cubic decimeter", "A volume unit which is equal to one thousand of a cubic meter or 10^[-3] m^[3], or to 1 L.", false},
    {UO_microliter, "UO:0000101", "microliter", "A volume unit which is equal to one millionth of a liter or 10^[-6] L.", false},
    {UO_nanoliter, "UO:0000102", "nanoliter", "A volume unit which is equal to one thousandth of one millionth of a liter or 10^[-9] L.", false},
    {UO_picoliter, "UO:0000103", "picoliter", "A volume unit which is equal to 10^[-12] L.", false},
    {UO_femtoliter, "UO:0000104", "femtoliter", "A volume unit which is equal to 10^[-15] L.", false},
    {UO_frequency_unit, "UO:0000105", "frequency unit", "A derived unit which is a standard measure of the number of repetitive actions in a particular time.", false},
    {UO_hertz, "UO:0000106", "hertz", "A frequency unit which is equal to 1 complete cycle of a recurring phenomenon in 1 second.", false},
    {UO_force_unit, "UO:0000107", "force unit", "A derived unit which is a standard measure of the force is applied when a mass is accelerated.", false},
    {UO_newton, "UO:0000108", "newton", "A force unit which is equal to the force required to cause an acceleration of 1m/s2 of a mass of 1 Kg in the direction of the force.", false},
    {UO_pressure_unit, "UO:0000109", "pressure unit", "A derived unit which is a standard measure of the force applied to a given area.", false},
    {UO_pascal, "UO:0000110", "pascal", "A pressure unit which is equal to the pressure or stress on a surface caused by a force of 1 newton spread over a surface of 1 m^[2].", false},
    {UO_energy_unit, "UO:0000111", "energy unit", "A derived unit which is a standard measure of the work done by a certain force (gravitational, electric, magnetic, force of inertia, etc).", false},
    {UO_joule, "UO:0000112", "joule", "An energy unit which is equal to the energy required when a force of 1 newton moves an object 1 meter in the direction of the force.", false},
    {UO_power_unit, "UO:0000113", "power unit", "A derived unit which is a standard measure power or the rate of doing work.", false},
    {UO_watt, "UO:0000114", "watt", "A power unit which is equal to the power used when work is done at the rate of 1 joule per second.", false},
    {UO_illuminance_unit, "UO:0000115", "illuminance unit", "A derived unit which is a standard measure of the luminous flux incident on a unit area.", false},
    {UO_lux, "UO:0000116", "lux", "An illuminance unit which is equal to the illuminance produced by 1 lumen evenly spread over an area 1 m^[2].", false},
    {UO_luminous_flux_unit, "UO:0000117", "luminous flux unit", "A derived unit which is a standard measure of the flow of radiant energy.", false},
    {UO_lumen, "UO:0000118", "lumen", "A luminous flux unit which is equal to the luminous flux emitted into 1 steradian by a point source of 1 candela.", false},
    {UO_catalytic_activity_unit, "UO:0000119", "catalytic activity unit", "A derived unit which is a standard measure of the amount of the action of a catalyst.", false},
    {UO_katal, "UO:0000120", "katal", "A catalytic unit activity which is equal to the activity of a catalyst in moles per second, such as the amount of an enzyme needed to transform one mole of substrate per second.", false},
    {UO_angle_unit, "UO:0000121", "angle unit", "A derived unit which is a standard measure of the figure or space formed by the junction of two lines or planes.", false},
    {UO_plane_angle_unit, "UO:0000122", "plane angle unit", "A derived unit which is a standard measure of the angle formed by two straight lines in the same plane.", false},
    {UO_radian, "UO:0000123", "radian", "A plane angle unit which is equal to the angle subtended at the center of a circle by an arc equal in length to the radius of the circle, approximately 57 degrees 17 minutes and 44.6 seconds.", false},
    {UO_solid_angle_unit, "UO:0000124", "solid angle unit", "A derived unit which is a standard measure of the angle formed by three or more planes intersecting at a common point.", false},
    {UO_steradian, "UO:0000125", "steradian", "A solid angle unit which is equal to the solid angle subtended at the center of a sphere by an area on the surface of the sphere that is equal to the radius squared.", false},
    {UO_temperature_derived_unit, "UO:0000126", "temperature derived unit", "A derived unit which represents a standard measurement of temperature in a particular temperature scale.", false},
    {UO_radiation_unit, "UO:0000127", "radiation unit", "A derived unit which is a standard measure of the amount of radiation emitted by a given radiation source as well as the amount of radiation absorbed or deposited in a specific material by a radiation source.", false},
    {UO_activity__of_a_radionuclide__unit, "UO:0000128", "activity (of a radionuclide) unit", "A derived unit which is a standard measure of the transformation (disintegration) rate of a radioactive substance.", false},
    {UO_absorbed_dose_unit, "UO:0000129", "absorbed dose unit", "A derived unit which is a standard measure of the energy imparted by ionizing radiation to unit mass of matter such as tissue.", false},
    {UO_dose_equivalent_unit, "UO:0000130", "dose equivalent unit", "A derived unit which is a standard measure of the expression of dose in terms of its biological effect.", false},
    {UO_exposure_unit, "UO:0000131", "exposure unit", "A derived unit which is a standard measure of the quantity that expresses the ability of radiation to ionize air and thereby create electric charges which can be collected and measured.", false},
    {UO_becquerel, "UO:0000132", "becquerel", "An activity (of a radionuclide) unit which is equal to the activity of a quantity of radioactive material in which one nucleus decays per second or there is one atom disintegration per second (dps).", false},
    {UO_curie, "UO:0000133", "curie", "An activity (of a radionuclide) unit which is equal to the activity of a quantity of radioactive material in which there are 3.7 x 10^[10] atom disintegration per second (dps).", false},
    {UO_gray, "UO:0000134", "gray", "An absorbed dose unit which is equal to the absorption of one joule of radiation energy by one kilogram of matter.", false},
    {UO_rad, "UO:0000135", "rad", "An absorbed dose unit which is equal to 0.01 gray (Gy).", false},
    {UO_roentgen, "UO:0000136", "roentgen", "An exposure unit which is equal to the amount of radiation required to liberate positive and negative charges of one electrostatic unit of charge in 1 cm^[3] of air at standard temperature and pressure (STP). This corresponds to the generation of approximately 2.0810^[9] ion pairs.", false},
    {UO_sievert, "UO:0000137", "sievert", "A dose equivalent unit which is equal to the absorption of one joule of radiation energy by one kilogram of matter.", false},
    {UO_millisievert, "UO:0000138", "millisievert", "A dose equivalent unit which is equal to one thousandth of a sievert or 10^[-3] Sv.", false},
    {UO_microsievert, "UO:0000139", "microsievert", "A dose equivalent unit which is equal to one millionth of a sievert or 10^[-6] Sv.", false},
    {UO_Roentgen_equivalent_man, "UO:0000140", "Roentgen equivalent man", "A dose equivalent unit which when multiplied by hundred is equal to one sievert or 1 Sv. 1 Sv is equal to 100 rem.", false},
    {UO_microgray, "UO:0000141", "microgray", "An absorbed dose unit which is equal to one millionth of a gray or 10^[-6] Gy.", false},
    {UO_milligray, "UO:0000142", "milligray", "An absorbed dose unit which is equal to one thousandth of a gray or 10^[-3] Gy.", false},
    {UO_nanogray, "UO:0000143", "nanogray", "An absorbed dose unit which is equal to one thousandth of a millionth of a gray or 10^[-9] Gy.", false},
    {UO_nanosievert, "UO:0000144", "nanosievert", "A dose equivalent unit which is equal to one thousandth of a millionth of a sievert or 10^[-9] Sv.", false},
    {UO_millicurie, "UO:0000145", "millicurie", "An activity (of a radionuclide) unit which is equal to one thousandth of a curie or 10^[-3] Ci.", false},
    {UO_microcurie, "UO:0000146", "microcurie", "An activity (of a radionuclide) unit which is equal to one millionth of a curie or 10^[-6] Ci.", false},
    {UO_disintegrations_per_minute, "UO:0000147", "disintegrations per minute", "An activity (of a radionuclide) unit which is equal to the activity of a quantity of radioactive material in which one nucleus decays per minute or there is one atom disintegration per minute.", false},
    {UO_counts_per_minute, "UO:0000148", "counts per minute", "An activity (of a radionuclide) unit which is equal to the number of light emissions produced by ionizing radiation in one minute.", false},
    {UO_time_derived_unit, "UO:0000149", "time derived unit", "A derived unit which is a standard measure of the dimension in which events occur in sequence.", false},
    {UO_nanosecond, "UO:0000150", "nanosecond", "A time unit which is equal to one thousandth of one millionth of a second or 10^[-9] s.", false},
    {UO_century, "UO:0000151", "century", "A time unit which is equal to 100 years.", false},
    {UO_half_life, "UO:0000152", "half life", "A time unit which represents the period over which the activity or concentration of a specified chemical or element falls to half its original activity or concentration.", false},
    {UO_foot_candle, "UO:0000153", "foot candle", "An illuminance unit which is equal to the illuminance produced by 1 lumen evenly spread over an area 1 foot^[2]. One footcandle is equal to 10.76 lux.", false},
    {UO_irradiance_unit, "UO:0000154", "irradiance unit", "A derived unit which is a standard measure of the power of electromagnetic radiation at a surface, per unit area.", false},
    {UO_watt_per_square_meter, "UO:0000155", "watt per square meter", "An irradiance unit which is equal to 1 watt of radiant power incident per one square meter surface area.", false},
    {UO_einstein_per_square_meter_per_second, "UO:0000156", "einstein per square meter per second", "An irradiance unit which is equal to one einstein per square meter per second. One einstein is one mole of photons, regardless of their frequency. Therefore, the number of photons in an einstein is Avogadro's number.", false},
    {UO_light_unit, "UO:0000157", "light unit", "A derived unit which is a standard measure of the intensity of light.", false},
    {UO_watt_per_steradian_per_square_meter, "UO:0000158", "watt per steradian per square meter", "A radiance unit which is equal to one watt of radiant power incident per steradian solid angle per one square meter projected area of the source, as viewed from the given direction.", false},
    {UO_radiant_intensity_unit, "UO:0000159", "radiant intensity unit", "A derived unit which is a standard measure of the intensity of electromagnetic radiation.", false},
    {UO_microeinstein_per_square_meter_per_second, "UO:0000160", "microeinstein per square meter per second", "An irradiance unit which is equal to one microeinstein per square meter per second or 10^[-6] microeinstein/sm^[2].", false},
    {UO_radiance_unit, "UO:0000161", "radiance unit", "A derived unit which is a standard measure of the power of electromagnetic radiation through space or through a material medium in the form of electromagnetic waves.", false},
    {UO_watt_per_steradian, "UO:0000162", "watt per steradian", "A radiant intensity unit which is equal to one kilogram meter squared per second cubed per steradian.", false},
    {UO_mass_percentage, "UO:0000163", "mass percentage", "A dimensionless concentration unit which denotes the mass of a substance in a mixture as a percentage of the mass of the entire mixture.", false},
    {UO_mass_volume_percentage, "UO:0000164", "mass volume percentage", "A dimensionless concentration unit which denotes the mass of the substance in a mixture as a percentage of the volume of the entire mixture.", false},
    {UO_volume_percentage, "UO:0000165", "volume percentage", "A dimensionless concentration unit which denotes the volume of the solute in mL per 100 mL of the resulting solution.", false},
    {UO_parts_per_notation, "UO:0000166", "parts per notation", "A dimensionless concentration notation which describes the amount of one substance in another. It is the ratio of the amount of the substance of interest to the amount of that substance plus the amount of the substance.", false},
    {UO_parts_per_hundred, "UO:0000167", "parts per hundred", "A dimensionless concentration notation which denotes the amount of a given substance in a total amount of 100 regardless of the units of measure as long as they are the same.", false},
    {UO_parts_per_thousand, "UO:0000168", "parts per thousand", "A dimensionless concentration notation which denotes the amount of a given substance in a total amount of 1000 regardless of the units of measure as long as they are the same.", false},
    {UO_parts_per_million, "UO:0000169", "parts per million", "A dimensionless concentration notation which denotes the amount of a given substance in a total amount of 1,000,000 regardless of the units of measure used as long as they are the same or 1 part in 10^[6].", false},
    {UO_parts_per_billion, "UO:0000170", "parts per billion", "A dimensionless concentration notation which denotes the amount of a given substance in a total amount of 1,000,000,000 regardless of the units of measure as long as they are the same or 1 part in 10^[9].", false},
    {UO_parts_per_trillion, "UO:0000171", "parts per trillion", "A dimensionless concentration notation which denotes the amount of a given substance in a total amount of 1,000,000,000 regardless of the units of measure used as long as they are the same or 1 part in 10^[12].", false},
    {UO_parts_per_quadrillion, "UO:0000172", "parts per quadrillion", "A dimensionless concentration notation which denotes the amount of a given substance in a total amount of 1,000,000,000,000 regardless of the units of measure used as long as they are the same or 1 part in 10^[15].", false},
    {UO_gram_per_milliliter, "UO:0000173", "gram per milliliter", "A mass unit density which is equal to mass of an object in grams divided by the volume in milliliter.", false},
    {UO_kilogram_per_liter, "UO:0000174", "kilogram per liter", "A mass unit density which is equal to mass of an object in kilograms divided by the volume in liters.", false},
    {UO_gram_per_liter, "UO:0000175", "gram per liter", "A mass unit density which is equal to mass of an object in grams divided by the volume in liters.", false},
    {UO_milligram_per_milliliter, "UO:0000176", "milligram per milliliter", "A mass unit density which is equal to mass of an object in milligrams divided by the volume in milliliters.", false},
    {UO_unit_per_volume_unit, "UO:0000177", "unit per volume unit", "A derived concentration unit which is a standard measure of the number of units, as an agreed arbitrary amount, of a given substance per a specific volume of solution.", false},
    {UO_unit_per_milliliter, "UO:0000178", "unit per milliliter", "A unit per milliliter unit which is equal to one unit of an agreed arbitrary amount per one milliliter.", false},
    {UO_unit_per_liter, "UO:0000179", "unit per liter", "A unit per milliliter unit which is equal to one unit of an agreed arbitrary amount per one liter.", false},
    {UO_mass_per_unit_volume, "UO:0000180", "mass per unit volume", "A concentration unit which is a standard measure of the mass of a substance in a given volume (density).", false},
    {UO_enzyme_unit, "UO:0000181", "enzyme unit", "A catalytic unit activity which is equal to the amount of the enzyme that catalyzes the conversion of 1 micro mole of substrate per minute.", false},
    {UO_density_unit, "UO:0000182", "density unit", "A derived unit which is a standard measure of the influence exerted by some mass.", false},
    {UO_linear_density_unit, "UO:0000183", "linear density unit", "A density unit which is a standard measure of the mass exerting an influence on a one-dimensional object.", false},
    {UO_kilogram_per_meter, "UO:0000184", "kilogram per meter", "An area density unit which is equal to the mass of an object in kilograms divided by one meter.", false},
    {UO_degree, "UO:0000185", "degree", "A plane angle unit which is equal to 1/360 of a full rotation or 1.7453310^[-2] rad.", false},
    {UO_dimensionless_unit, "UO:0000186", "dimensionless unit", "A derived unit which is a standard measure of physical quantity consisting of only a numerical number without any units.", false},
    {UO_percent, "UO:0000187", "percent", "A dimensionless ratio unit which denotes numbers as fractions of 100.", false},
    {UO_pi, "UO:0000188", "pi", "A dimensionless unit which denoted an irrational real number, approximately equal to 3.14159 which is the ratio of a circle's circumference to its diameter in Euclidean geometry.", false},
    {UO_count_unit, "UO:0000189", "count unit", "A dimensionless unit which denotes a simple count of things.", false},
    {UO_ratio, "UO:0000190", "ratio", "A dimensionless unit which denotes an amount or magnitude of one quantity relative to another.", false},
    {UO_fraction, "UO:0000191", "fraction", "A dimensionless ratio unit which relates the part (the numerator) to the whole (the denominator).", false},
    {UO_molecule_count, "UO:0000192", "molecule count", "A dimensionless count unit which denotes the number of molecules.", false},
    {UO_purity_percentage, "UO:0000193", "purity percentage", "A dimensionless percent unit which denotes the homogeneity of a biomaterial.", false},
    {UO_confluence_percentage, "UO:0000194", "confluence percentage", "A dimensionless percent unit which denotes the density of an attached or monolayer culture (e.g., cell culture).", false},
    {UO_degree_fahrenheit, "UO:0000195", "degree fahrenheit", "A temperature derived unit which is equal to 5/9ths of a kelvin. Negative 40 degrees Fahrenheit is equal to negative 40 degrees Celsius.", false},
    {UO_pH, "UO:0000196", "pH", "A dimensionless concentration notation which denotes the acidity of a solution in terms of activity of hydrogen ions (H+).", false},
    {UO_liter_per_kilogram, "UO:0000197", "liter per kilogram", "A specific volume unit which is equal to one liter volume occupied by one kilogram of a particular substance.", false},
    {UO_milliliter_per_kilogram, "UO:0000198", "milliliter per kilogram", "A specific volume unit which is equal to a thousandth of a liter per kilogram or 10^[-3] l/kg.", false},
    {UO_microliter_per_kilogram, "UO:0000199", "microliter per kilogram", "A specific volume unit which is equal to one millionth of a liter per kilogram or 10^[-6] l/kg.", false},
    {UO_cell_concentration_unit, "UO:0000200", "cell concentration unit", "A concentration unit which denotes the average cell number in a given volume.", false},
    {UO_cells_per_milliliter, "UO:0000201", "cells per milliliter", "A unit of cell concentration which is equal to one cell in a volume of 1 milliliter.", false},
    {UO_catalytic__activity__concentration_unit, "UO:0000202", "catalytic (activity) concentration unit", "A concentration unit which is a standard measure of the amount of the action of a catalyst in a given volume.", false},
    {UO_katal_per_cubic_meter, "UO:0000203", "katal per cubic meter", "A catalytic (activity) concentration unit which is equal to 1 katal activity of a catalyst in a given volume of one cubic meter.", false},
    {UO_katal_per_liter, "UO:0000204", "katal per liter", "A catalytic (activity) concentration unit which is equal to 1 katal activity of a catalyst in a given volume of one thousandth of a cubic meter.", false},
    {UO_volume_per_unit_volume, "UO:0000205", "volume per unit volume", "A dimensionless concentration unit which denotes the given volume of the solute in the total volume of the resulting solution.", false},
    {UO_milliliter_per_cubic_meter, "UO:0000206", "milliliter per cubic meter", "A volume per unit volume unit which is equal to one millionth of a liter of solute in one cubic meter of solution.", false},
    {UO_milliliter_per_liter, "UO:0000207", "milliliter per liter", "A volume per unit volume unit which is equal to one millionth of a liter of solute in one liter of solution.", false},
    {UO_gram_per_deciliter, "UO:0000208", "gram per deciliter", "A mass density unit which is equal to mass of an object in grams divided by the volume in deciliters.", false},
    {UO_deciliter, "UO:0000209", "deciliter", "A volume unit which is equal to one tenth of a liter or 10^[-1] L.", false},
    {UO_colony_forming_unit, "UO:0000210", "colony forming unit", "A dimensionless count unit which a measure of viable bacterial numbers.", false},
    {UO_plaque_forming_unit, "UO:0000211", "plaque forming unit", "A dimensionless count unit which a measure of plague forming units in a given volume.", false},
    {UO_colony_forming_unit_per_volume, "UO:0000212", "colony forming unit per volume", "A concentration unit which a measure of viable bacterial numbers in a given volume.", false},
    {UO_colony_forming_unit_per_milliliter, "UO:0000213", "colony forming unit per milliliter", "A colony forming unit which a measure of viable bacterial numbers in one milliliter.", false},
    {UO_plaque_forming_unit_per_volume, "UO:0000214", "plaque forming unit per volume", "A concentration unit which a measure of plague forming units in a given volume.", false},
    {UO_plaque_forming_unit_per_milliliter, "UO:0000215", "plaque forming unit per milliliter", "A concentration unit which a measure of plague forming units in one milliliter.", false},
    {UO_disintegrations_per_second, "UO:0000216", "disintegrations per second", "An activity (of a radionuclide) unit which is equal to the activity of a quantity of radioactive material in which one nucleus decays per second or there is one atom disintegration per second.", false},
    {UO_electric_potential_difference, "UO:0000217", "electric potential difference", "A derived unit which is a standard measure of the work done per unit charge as a charge is moved between two points in an electric field.", false},
    {UO_volt, "UO:0000218", "volt", "An electric potential difference unit which is equal to the work per unit charge. One volt is the potential difference required to move one coulomb of charge between two points in a circuit while using one joule of energy.", false},
    {UO_electric_charge, "UO:0000219", "electric charge", "A derived unit which is a standard measure of the quantity of unbalanced electricity in a body (either positive or negative) and construed as an excess or deficiency of electrons.", false},
    {UO_coulomb, "UO:0000220", "coulomb", "An electrical charge unit which is equal to the amount of charge transferred by a current of 1 ampere in 1 second.", false},
    {UO_dalton, "UO:0000221", "dalton", "An independently to the base SI units defined mass unit which is equal to one twelfth of the mass of an unbound atom of the carbon-12 nuclide, at rest and in its ground state.", false},
    {UO_kilodalton, "UO:0000222", "kilodalton", "A mass unit which is equal to one thousand daltons.", false},
    {UO_watt_hour, "UO:0000223", "watt-hour", "An energy unit which is equal to the amount of electrical energy equivalent to a one-watt load drawing power for one hour.", false},
    {UO_kilowatt_hour, "UO:0000224", "kilowatt-hour", "An energy unit which is equal to 1,000 watt-hours.", false},
    {UO_magnetic_flux_unit, "UO:0000225", "magnetic flux unit", "A derived unit which is a standard measure of quantity of magnetism, taking account of the strength and the extent of a magnetic field.", false},
    {UO_weber, "UO:0000226", "weber", "A magnetic flux unit which is equal to the amount of flux that when linked with a single turn of wire for an interval of one second will induce an electromotive force of one volt.", false},
    {UO_magnetic_flux_density, "UO:0000227", "magnetic flux density", "A derived unit which is a standard measure of the strength of a magnetic field.", false},
    {UO_tesla, "UO:0000228", "tesla", "A magnetic flux density unit which is equal to one weber per square meter.", false},
    {UO_volt_hour, "UO:0000229", "volt-hour", "A magnetic flux unit which is equal to 3600 Wb.", false},
    {UO_kilovolt_hour, "UO:0000230", "kilovolt-hour", "A magnetic flux unit which is equal to one thousand volt-hours.", false},
    {UO_information_unit, "UO:0000231", "information unit", "A unit which is a standard measure of the amount of information.", false},
    {UO_bit, "UO:0000232", "bit", "An information unit which refers to a digit in the binary numeral system, which consists of base 2 digits (ie there are only 2 possible values: 0 or 1).", false},
    {UO_byte, "UO:0000233", "byte", "An information unit which is equal to 8 bits.", false},
    {UO_kilobyte, "UO:0000234", "kilobyte", "An information unit which is equal to 1000 bytes.", false},
    {UO_megabyte, "UO:0000235", "megabyte", "An information unit which is equal to 1000 kB.", false},
    {UO_image_resolution_unit, "UO:0000236", "image resolution unit", "An information unit which is a standard measure of the detail an image holds.", false},
    {UO_chroma_sampling_unit, "UO:0000237", "chroma sampling unit", "An image resolution unit which is a standard measure of the amount of spatial detail in an image.", false},
    {UO_dynamic_range_unit, "UO:0000238", "dynamic range unit", "An image resolution unit which is a standard measure of the amount of contrast available in a pixel.", false},
    {UO_spatial_resolution_unit, "UO:0000239", "spatial resolution unit", "An image resolution unit which is a standard measure of the way luminance and chrominance may be sampled at different levels.", false},
    {UO_dots_per_inch, "UO:0000240", "dots per inch", "A spatial resolution unit which is a standard measure of the printing resolution, in particular the number of individual dots of ink a printer or toner can produce within a linear one-inch space.", false},
    {UO_micron, "UO:0000241", "micron", "A spatial resolution unit which is equal to a pixel size of one micrometer.", false},
    {UO_pixels_per_inch, "UO:0000242", "pixels per inch", "A spatial resolution unit which is a standard measure of the resolution of a computer display, related to the size of the display in inches and the total number of pixels in the horizontal and vertical directions.", false},
    {UO_pixels_per_millimeter, "UO:0000243", "pixels per millimeter", "A spatial resolution unit which is a standard measure of the number of pixels in one millimeter length or width of a digital image divided by the physical length or width of a printed image.", false},
    {UO_base_pair, "UO:0000244", "base pair", "A count unit which contains one nucleotide.", false},
    {UO_kibibyte, "UO:0000245", "kibibyte", "An information unit which is equal to 1024 B.", false},
    {UO_mebibyte, "UO:0000246", "mebibyte", "An information unit which is equal to 1024 KiB.", false},
    {UO_millivolt, "UO:0000247", "millivolt", "An electric potential difference unit which is equal to one thousandth of a volt or 10^[-3] V.", false},
    {UO_kilovolt, "UO:0000248", "kilovolt", "An electric potential difference unit which is equal to one thousand volts or 10^[3] V.", false},
    {UO_microvolt, "UO:0000249", "microvolt", "An electric potential difference unit which is equal to one millionth of a volt or 10^[-6] V.", false},
    {UO_nanovolt, "UO:0000250", "nanovolt", "An electric potential difference unit which is equal to one billionth of a volt or 10^[-12] V.", false},
    {UO_picovolt, "UO:0000251", "picovolt", "An electric potential difference unit which is equal to one trillionth of a volt or 10^[-12] V.", false},
    {UO_megavolt, "UO:0000252", "megavolt", "An electric potential difference unit which is equal to one million volts or 10^[6] V.", false},
    {UO_surface_tension_unit, "UO:0000253", "surface tension unit", "A unit which is a standard measure of the ability of a liguid to attraction of molecules at its surface as a result of unbalanced molecular cohesive forces.", false},
    {UO_newton_per_meter, "UO:0000254", "newton per meter", "A surface tension unit which is equal to one newton per meter.", false},
    {UO_dyne_per_cm, "UO:0000255", "dyne per cm", "A surface tension unit which is equal to one dyne per centimeter.", false},
    {UO_viscosity_unit, "UO:0000256", "viscosity unit", "A derived unit which is a standard measure of the internal resistance of fluids to flow.", false},
    {UO_pascal_second, "UO:0000257", "pascal second", "A viscosity unit which is equal to one pascale per second.", false},
    {UO_poise, "UO:0000258", "poise", "A viscosity unit which is equal to one dyne second per square centimeter.", false},
    {UO_decibel, "UO:0000259", "decibel", "An ratio unit which is an indicator of sound power per unit area.", false},
    {UO_effective_dose_unit, "UO:0000260", "effective dose unit", "", false},
    {UO_conduction_unit, "UO:0000261", "conduction unit", "A derived unit which represents a standard measurement of the transmission of an entity through a medium.", false},
    {UO_electrical_conduction_unit, "UO:0000262", "electrical conduction unit", "A derived unit which represents a standard measurement of the movement of electrically charged particles through a transmission medium (electrical conductor).", false},
    {UO_heat_conduction_unit, "UO:0000263", "heat conduction unit", "A derived unit which represents a standard measurement of the spontaneous transfer of thermal energy through matter, from a region of higher temperature to a region of lower temperature.", false},
    {UO_siemens, "UO:0000264", "siemens", "An electrical conduction unit which is equal to A/V.", false},
    {UO_watt_per_meter_kelvin, "UO:0000265", "watt per meter kelvin", "An heat conduction unit which is equal to one watt divided by meter kelvin.", false},
    {UO_electronvolt, "UO:0000266", "electronvolt", "A non-SI unit of energy (eV) defined as the energy acquired by a single unbound electron when it passes through an electrostatic potential difference of one volt. An electronvolt is equal to 1.602 176 53(14) x 10^-19 J.", false},
    {UO_electric_field_strength_unit, "UO:0000267", "electric field strength unit", "The electric field strength is a derived unit which is a measure of the potential difference between two points some distance apart.", false},
    {UO_volt_per_meter, "UO:0000268", "volt per meter", "The volt per meter is a unit of electric field strength equal to the a potential difference of 1 volt existing between two points that are 1 meter apart.", false},
    {UO_absorbance_unit, "UO:0000269", "absorbance unit", "A dimensionless logarithmic unit assigned to a measure of absorbance of light through a partially absorbing substance, defined as -log10(I/I_0) where I = transmitted light and I_0 = incident light.", false},
    {UO_microgram_per_liter, "UO:0000301", "microgram per liter", "A mass unit density which is equal to mass of an object in micrograms divided by the volume in liters.", false},
    {UNIMOD_unimod_root_node, "UNIMOD:0", "unimod root node", "The root node of the unimod modifications ontology.", false},
    {UNIMOD_Acetyl, "UNIMOD:1", "Acetyl", "Acetylation", false},
    {UNIMOD_Amidated, "UNIMOD:2", "Amidated", "Amidation", false},
    {UNIMOD_Biotin, "UNIMOD:3", "Biotin", "Biotinylation", false},
    {UNIMOD_Carbamidomethyl, "UNIMOD:4", "Carbamidomethyl", "Iodoacetamide derivative", false},
    {UNIMOD_Carbamyl, "UNIMOD:5", "Carbamyl", "Carbamylation", false},
    {UNIMOD_Carboxymethyl, "UNIMOD:6", "Carboxymethyl", "Iodoacetic acid derivative", false},
    {UNIMOD_Deamidated, "UNIMOD:7", "Deamidated", "Deamidation", false},
    {UNIMOD_ICAT_G, "UNIMOD:8", "ICAT-G", "Gygi ICAT(TM) d0", false},
    {UNIMOD_ICAT_G_2H_8_, "UNIMOD:9", "ICAT-G:2H(8)", "Gygi ICAT(TM) d8", false},
    {UNIMOD_Met__Hse, "UNIMOD:10", "Met->Hse", "Homoserine", false},
    {UNIMOD_Met__Hsl, "UNIMOD:11", "Met->Hsl", "Homoserine lactone", false},
    {UNIMOD_ICAT_D_2H_8_, "UNIMOD:12", "ICAT-D:2H(8)", "Applied Biosystems original ICAT(TM) d8", false},
    {UNIMOD_ICAT_D, "UNIMOD:13", "ICAT-D", "Applied Biosystems original ICAT(TM) d0", false},
    {UNIMOD_NIPCAM, "UNIMOD:17", "NIPCAM", "N-isopropylcarboxamidomethyl", false},
    {UNIMOD_PEO_Iodoacetyl_LC_Biotin, "UNIMOD:20", "PEO-Iodoacetyl-LC-Biotin", "Biotinyl-iodoacetamidyl-3,6-dioxaoctanediamine", false},
    {UNIMOD_Phospho, "UNIMOD:21", "Phospho", "Phosphorylation", false},
    {UNIMOD_Dehydrated, "UNIMOD:23", "Dehydrated", "Dehydration", false},
    {UNIMOD_Propionamide, "UNIMOD:24", "Propionamide", "Acrylamide adduct", false},
    {UNIMOD_Pyridylacetyl, "UNIMOD:25", "Pyridylacetyl", "pyridylacetyl", false},
    {UNIMOD_Pyro_carbamidomethyl, "UNIMOD:26", "Pyro-carbamidomethyl", "S-carbamoylmethylcysteine cyclization (N-terminus)", false},
    {UNIMOD_Glu__pyro_Glu, "UNIMOD:27", "Glu->pyro-Glu", "Pyro-glu from E", false},
    {UNIMOD_Gln__pyro_Glu, "UNIMOD:28", "Gln->pyro-Glu", "Pyro-glu from Q", false},
    {UNIMOD_SMA, "UNIMOD:29", "SMA", "N-Succinimidyl-3-morpholine acetate", false},
    {UNIMOD_Cation_Na, "UNIMOD:30", "Cation:Na", "Sodium adduct", false},
    {UNIMOD_Pyridylethyl, "UNIMOD:31", "Pyridylethyl", "S-pyridylethylation", false},
    {UNIMOD_Methyl, "UNIMOD:34", "Methyl", "Methylation", false},
    {UNIMOD_Oxidation, "UNIMOD:35", "Oxidation", "Oxidation or Hydroxylation", false},
    {UNIMOD_Dimethyl, "UNIMOD:36", "Dimethyl", "di-Methylation", false},
    {UNIMOD_Trimethyl, "UNIMOD:37", "Trimethyl", "tri-Methylation", false},
    {UNIMOD_Methylthio, "UNIMOD:39", "Methylthio", "Beta-methylthiolation", false},
    {UNIMOD_Sulfo, "UNIMOD:40", "Sulfo", "O-Sulfonation", false},
    {UNIMOD_Hex, "UNIMOD:41", "Hex", "Hexose", false},
    {UNIMOD_Lipoyl, "UNIMOD:42", "Lipoyl", "Lipoyl", false},
    {UNIMOD_HexNAc, "UNIMOD:43", "HexNAc", "N-Acetylhexosamine", false},
    {UNIMOD_Farnesyl, "UNIMOD:44", "Farnesyl", "Farnesylation", false},
    {UNIMOD_Myristoyl, "UNIMOD:45", "Myristoyl", "Myristoylation", false},
    {UNIMOD_PyridoxalPhosphate, "UNIMOD:46", "PyridoxalPhosphate", "Pyridoxal phosphate", false},
    {UNIMOD_Palmitoyl, "UNIMOD:47", "Palmitoyl", "Palmitoylation", false},
    {UNIMOD_GeranylGeranyl, "UNIMOD:48", "GeranylGeranyl", "Geranyl-geranyl", false},
    {UNIMOD_Phosphopantetheine, "UNIMOD:49", "Phosphopantetheine", "Phosphopantetheine", false},
    {UNIMOD_FAD, "UNIMOD:50", "FAD", "Flavin adenine dinucleotide", false},
    {UNIMOD_Tripalmitate, "UNIMOD:51", "Tripalmitate", "N-acyl diglyceride cysteine", false},
    {UNIMOD_Guanidinyl, "UNIMOD:52", "Guanidinyl", "Guanidination", false},
    {UNIMOD_HNE, "UNIMOD:53", "HNE", "4-hydroxynonenal (HNE)", false},
    {UNIMOD_Glucuronyl, "UNIMOD:54", "Glucuronyl", "N-glucuronylation", false},
    {UNIMOD_Glutathione, "UNIMOD:55", "Glutathione", "glutathione disulfide", false},
    {UNIMOD_Acetyl_2H_3_, "UNIMOD:56", "Acetyl:2H(3)", "Acetate labeling reagent (N-term & K) (heavy form, +3amu)", false},
    {UNIMOD_Propionyl, "UNIMOD:58", "Propionyl", "Propionate labeling reagent light form (N-term & K)", false},
    {UNIMOD_Propionyl_13C_3_, "UNIMOD:59", "Propionyl:13C(3)", "Propionate labeling reagent heavy form (+3amu), N-term & K", false},
    {UNIMOD_GIST_Quat, "UNIMOD:60", "GIST-Quat", "Quaternary amine labeling reagent light form (N-term & K)", false},
    {UNIMOD_GIST_Quat_2H_3_, "UNIMOD:61", "GIST-Quat:2H(3)", "Quaternary amine labeling reagent heavy (+3amu) form, N-term & K", false},
    {UNIMOD_GIST_Quat_2H_6_, "UNIMOD:62", "GIST-Quat:2H(6)", "Quaternary amine labeling reagent heavy form (+6amu), N-term & K", false},
    {UNIMOD_GIST_Quat_2H_9_, "UNIMOD:63", "GIST-Quat:2H(9)", "Quaternary amine labeling reagent heavy form (+9amu), N-term & K", false},
    {UNIMOD_Succinyl, "UNIMOD:64", "Succinyl", "Succinic anhydride labeling reagent light form (N-term & K)", false},
    {UNIMOD_Succinyl_2H_4_, "UNIMOD:65", "Succinyl:2H(4)", "Succinic anhydride labeling reagent, heavy form (+4amu, 4H2), N-term & K", false},
    {UNIMOD_Succinyl_13C_4_, "UNIMOD:66", "Succinyl:13C(4)", "Succinic anhydride labeling reagent, heavy form (+4amu, 4C13), N-term & K", false},
    {UNIMOD_Iminobiotin, "UNIMOD:89", "Iminobiotin", "Iminobiotinylation", false},
    {UNIMOD_ESP, "UNIMOD:90", "ESP", "ESP-Tag light d0", false},
    {UNIMOD_ESP_2H_10_, "UNIMOD:91", "ESP:2H(10)", "ESP-Tag heavy d10", false},
    {UNIMOD_NHS_LC_Biotin, "UNIMOD:92", "NHS-LC-Biotin", "NHS-LC-Biotin", false},
    {UNIMOD_EDT_maleimide_PEO_biotin, "UNIMOD:93", "EDT-maleimide-PEO-biotin", "EDT-maleimide-PEO-biotin", false},
    {UNIMOD_IMID, "UNIMOD:94", "IMID", "IMID d0", false},
    {UNIMOD_IMID_2H_4_, "UNIMOD:95", "IMID:2H(4)", "IMID d4", false},
    {UNIMOD_Propionamide_2H_3_, "UNIMOD:97", "Propionamide:2H(3)", "Acrylamide d3", false},
    {UNIMOD_ICAT_C, "UNIMOD:105", "ICAT-C", "Applied Biosystems cleavable ICAT(TM) light", false},
    {UNIMOD_ICAT_C_13C_9_, "UNIMOD:106", "ICAT-C:13C(9)", "Applied Biosystems cleavable ICAT(TM) heavy", false},
    {UNIMOD_FormylMet, "UNIMOD:107", "FormylMet", "Addition of N-formyl met", false},
    {UNIMOD_Nethylmaleimide, "UNIMOD:108", "Nethylmaleimide", "N-ethylmaleimide on cysteines", false},
    {UNIMOD_OxLysBiotinRed, "UNIMOD:112", "OxLysBiotinRed", "Oxidized lysine biotinylated with biotin-LC-hydrazide, reduced", false},
    {UNIMOD_OxLysBiotin, "UNIMOD:113", "OxLysBiotin", "Oxidized lysine biotinylated with biotin-LC-hydrazide", false},
    {UNIMOD_OxProBiotinRed, "UNIMOD:114", "OxProBiotinRed", "Oxidized proline biotinylated with biotin-LC-hydrazide, reduced", false},
    {UNIMOD_OxProBiotin, "UNIMOD:115", "OxProBiotin", "Oxidized Proline biotinylated with biotin-LC-hydrazide", false},
    {UNIMOD_OxArgBiotin, "UNIMOD:116", "OxArgBiotin", "Oxidized arginine biotinylated with biotin-LC-hydrazide", false},
    {UNIMOD_OxArgBiotinRed, "UNIMOD:117", "OxArgBiotinRed", "Oxidized arginine biotinylated with biotin-LC-hydrazide, reduced", false},
    {UNIMOD_EDT_iodoacetyl_PEO_biotin, "UNIMOD:118", "EDT-iodoacetyl-PEO-biotin", "EDT-iodo-PEO-biotin", false},
    {UNIMOD_IBTP, "UNIMOD:119", "IBTP", "Thio Ether Formation - BTP Adduct", false},
    {UNIMOD_GlyGly, "UNIMOD:121", "GlyGly", "ubiquitinylation residue", false},
    {UNIMOD_Formyl, "UNIMOD:122", "Formyl", "Formylation", false},
    {UNIMOD_ICAT_H, "UNIMOD:123", "ICAT-H", "N-iodoacetyl, p-chlorobenzyl-12C6-glucamine", false},
    {UNIMOD_ICAT_H_13C_6_, "UNIMOD:124", "ICAT-H:13C(6)", "N-iodoacetyl, p-chlorobenzyl-13C6-glucamine", false},
    {UNIMOD_Thioacyl, "UNIMOD:126", "Thioacyl", "thioacylation of primary amines (N-term and Lys)", false},
    {UNIMOD_Fluoro, "UNIMOD:127", "Fluoro", "fluorophenylalanine replacement of phenylalanine", false},
    {UNIMOD_Fluorescein, "UNIMOD:128", "Fluorescein", "5-Iodoacetamidofluorescein (Molecular Probe, Eugene, OR)", false},
    {UNIMOD_Iodo, "UNIMOD:129", "Iodo", "Iodination", false},
    {UNIMOD_Diiodo, "UNIMOD:130", "Diiodo", "di-Iodination", false},
    {UNIMOD_Triiodo, "UNIMOD:131", "Triiodo", "tri-Iodination", false},
    {UNIMOD_Myristoleyl, "UNIMOD:134", "Myristoleyl", "(cis-delta 5)-tetradecaenoyl", false},
    {UNIMOD_Myristoyl_Delta_H__4_, "UNIMOD:135", "Myristoyl+Delta:H(-4)", "(cis,cis-delta 5, delta 8)-tetradecadienoyl", false},
    {UNIMOD_Benzoyl, "UNIMOD:136", "Benzoyl", "labeling reagent light form (N-term & K)", false},
    {UNIMOD_Hex_5_HexNAc_2_, "UNIMOD:137", "Hex(5)HexNAc(2)", "N-linked glycan core", false},
    {UNIMOD_Dansyl, "UNIMOD:139", "Dansyl", "5-dimethylaminonaphthalene-1-sulfonyl", false},
    {UNIMOD_a_type_ion, "UNIMOD:140", "a-type-ion", "ISD a-series (C-Term)", false},
    {UNIMOD_Amidine, "UNIMOD:141", "Amidine", "amidination of lysines or N-terminal amines with methyl acetimidate", false},
    {UNIMOD_HexNAc_1_dHex_1_, "UNIMOD:142", "HexNAc(1)dHex(1)", "HexNAc1dHex1", false},
    {UNIMOD_HexNAc_2_, "UNIMOD:143", "HexNAc(2)", "HexNAc2", false},
    {UNIMOD_Hex_3_, "UNIMOD:144", "Hex(3)", "Hex3", false},
    {UNIMOD_HexNAc_1_dHex_2_, "UNIMOD:145", "HexNAc(1)dHex(2)", "HexNAc1dHex2", false},
    {UNIMOD_Hex_1_HexNAc_1_dHex_1_, "UNIMOD:146", "Hex(1)HexNAc(1)dHex(1)", "Hex1HexNAc1dHex1", false},
    {UNIMOD_HexNAc_2_dHex_1_, "UNIMOD:147", "HexNAc(2)dHex(1)", "HexNAc2dHex1", false},
    {UNIMOD_Hex_1_HexNAc_2_, "UNIMOD:148", "Hex(1)HexNAc(2)", "Hex1HexNAc2", false},
    {UNIMOD_Hex_1_HexNAc_1_NeuAc_1_, "UNIMOD:149", "Hex(1)HexNAc(1)NeuAc(1)", "Hex1HexNAc1NeuAc1", false},
    {UNIMOD_HexNAc_2_dHex_2_, "UNIMOD:150", "HexNAc(2)dHex(2)", "HexNAc2dHex2", false},
    {UNIMOD_Hex_1_HexNAc_2_Pent_1_, "UNIMOD:151", "Hex(1)HexNAc(2)Pent(1)", "Hex1HexNAc2Pent1", false},
    {UNIMOD_Hex_1_HexNAc_2_dHex_1_, "UNIMOD:152", "Hex(1)HexNAc(2)dHex(1)", "Hex1HexNAc2dHex1", false},
    {UNIMOD_Hex_2_HexNAc_2_, "UNIMOD:153", "Hex(2)HexNAc(2)", "Hex2HexNAc2", false},
    {UNIMOD_Hex_3_HexNAc_1_Pent_1_, "UNIMOD:154", "Hex(3)HexNAc(1)Pent(1)", "Hex3HexNAc1Pent1", false},
    {UNIMOD_Hex_1_HexNAc_2_dHex_1_Pent_1_, "UNIMOD:155", "Hex(1)HexNAc(2)dHex(1)Pent(1)", "Hex1HexNAc2dHex1Pent1", false},
    {UNIMOD_Hex_1_HexNAc_2_dHex_2_, "UNIMOD:156", "Hex(1)HexNAc(2)dHex(2)", "Hex1HexNAc2dHex2", false},
    {UNIMOD_Hex_2_HexNAc_2_Pent_1_, "UNIMOD:157", "Hex(2)HexNAc(2)Pent(1)", "Hex2HexNAc2Pent1", false},
    {UNIMOD_Hex_2_HexNAc_2_dHex_1_, "UNIMOD:158", "Hex(2)HexNAc(2)dHex(1)", "Hex2HexNAc2dHex1", false},
    {UNIMOD_Hex_3_HexNAc_2_, "UNIMOD:159", "Hex(3)HexNAc(2)", "Hex3HexNAc2", false},
    {UNIMOD_Hex_1_HexNAc_1_NeuAc_2_, "UNIMOD:160", "Hex(1)HexNAc(1)NeuAc(2)", "Hex1HexNAc1NeuAc2", false},
    {UNIMOD_Hex_3_HexNAc_2_P_1_, "UNIMOD:161", "Hex(3)HexNAc(2)P(1)", "Hex3HexNAc2P1", false},
    {UNIMOD_Delta_S__1_Se_1_, "UNIMOD:162", "Delta:S(-1)Se(1)", "Selenium replaces sulphur", false},
    {UNIMOD_Delta_H_1_O__1_18O_1_, "UNIMOD:170", "Delta:H(1)O(-1)18O(1)", "glycosylated asparagine 18O labeling", false},
    {UNIMOD_NBS_13C_6_, "UNIMOD:171", "NBS:13C(6)", "Shimadzu NBS-13C", false},
    {UNIMOD_NBS, "UNIMOD:172", "NBS", "Shimadzu NBS-12C", false},
    {UNIMOD_BHT, "UNIMOD:176", "BHT", "Michael addition of BHT quinone methide to Cysteine and Lysine", false},
    {UNIMOD_DAET, "UNIMOD:178", "DAET", "phosphorylation to amine thiol", false},
    {UNIMOD_Label_13C_9_, "UNIMOD:184", "Label:13C(9)", "13C(9) Silac label", false},
    {UNIMOD_Label_13C_9__Phospho, "UNIMOD:185", "Label:13C(9)+Phospho", "C13 label (Phosphotyrosine)", false},
    {UNIMOD_HPG, "UNIMOD:186", "HPG", "Hydroxyphenylglyoxal arginine", false},
    {UNIMOD_2HPG, "UNIMOD:187", "2HPG", "bis(hydroxphenylglyoxal) arginine", false},
    {UNIMOD_Label_13C_6_, "UNIMOD:188", "Label:13C(6)", "13C(6) Silac label", false},
    {UNIMOD_Label_18O_2_, "UNIMOD:193", "Label:18O(2)", "O18 label at both C-terminal oxygens", false},
    {UNIMOD_AccQTag, "UNIMOD:194", "AccQTag", "6-aminoquinolyl-N-hydroxysuccinimidyl carbamate", false},
    {UNIMOD_QAT, "UNIMOD:195", "QAT", "APTA-d0", false},
    {UNIMOD_QAT_2H_3_, "UNIMOD:196", "QAT:2H(3)", "APTA d3", false},
    {UNIMOD_EQAT, "UNIMOD:197", "EQAT", "EAPTA d0", false},
    {UNIMOD_EQAT_2H_5_, "UNIMOD:198", "EQAT:2H(5)", "EAPTA d5", false},
    {UNIMOD_Dimethyl_2H_4_, "UNIMOD:199", "Dimethyl:2H(4)", "DiMethyl-CHD2", false},
    {UNIMOD_Ethanedithiol, "UNIMOD:200", "Ethanedithiol", "EDT", false},
    {UNIMOD_Delta_H_6_C_6_O_1_, "UNIMOD:205", "Delta:H(6)C(6)O(1)", "Acrolein addition +94", false},
    {UNIMOD_Delta_H_4_C_3_O_1_, "UNIMOD:206", "Delta:H(4)C(3)O(1)", "Acrolein addition +56", false},
    {UNIMOD_Delta_H_2_C_3_, "UNIMOD:207", "Delta:H(2)C(3)", "Acrolein addition +38", false},
    {UNIMOD_Delta_H_4_C_6_, "UNIMOD:208", "Delta:H(4)C(6)", "Acrolein addition +76", false},
    {UNIMOD_Delta_H_8_C_6_O_2_, "UNIMOD:209", "Delta:H(8)C(6)O(2)", "Acrolein addition +112", false},
    {UNIMOD_NEIAA, "UNIMOD:211", "NEIAA", "N-ethyl iodoacetamide-d0", false},
    {UNIMOD_NEIAA_2H_5_, "UNIMOD:212", "NEIAA:2H(5)", "N-ethyl iodoacetamide-d5", false},
    {UNIMOD_ADP_Ribosyl, "UNIMOD:213", "ADP-Ribosyl", "ADP  Ribose addition", false},
    {UNIMOD_iTRAQ4plex, "UNIMOD:214", "iTRAQ4plex", "Representative mass and accurate mass for 116 & 117", false},
    {UNIMOD_IGBP, "UNIMOD:243", "IGBP", "Light IDBEST tag for quantitation", false},
    {UNIMOD_Crotonaldehyde, "UNIMOD:253", "Crotonaldehyde", "Crotonaldehyde", false},
    {UNIMOD_Delta_H_2_C_2_, "UNIMOD:254", "Delta:H(2)C(2)", "Acetaldehyde +26", false},
    {UNIMOD_Delta_H_4_C_2_, "UNIMOD:255", "Delta:H(4)C(2)", "Acetaldehyde +28", false},
    {UNIMOD_Delta_H_4_C_3_, "UNIMOD:256", "Delta:H(4)C(3)", "Propionaldehyde +40", false},
    {UNIMOD_Label_18O_1_, "UNIMOD:258", "Label:18O(1)", "O18 Labeling", false},
    {UNIMOD_Label_13C_6_15N_2_, "UNIMOD:259", "Label:13C(6)15N(2)", "13C(6) 15N(2) Silac label", false},
    {UNIMOD_Thiophospho, "UNIMOD:260", "Thiophospho", "Thiophosphorylation", false},
    {UNIMOD_SPITC, "UNIMOD:261", "SPITC", "4-sulfophenyl isothiocyanate", false},
    {UNIMOD_Label_2H_3_, "UNIMOD:262", "Label:2H(3)", "Trideuteration", false},
    {UNIMOD_PET, "UNIMOD:264", "PET", "phosphorylation to pyridyl thiol", false},
    {UNIMOD_Label_13C_6_15N_4_, "UNIMOD:267", "Label:13C(6)15N(4)", "13C(6) 15N(4) Silac label", false},
    {UNIMOD_Label_13C_5_15N_1_, "UNIMOD:268", "Label:13C(5)15N(1)", "13C(5) 15N(1) Silac label", false},
    {UNIMOD_Label_13C_9_15N_1_, "UNIMOD:269", "Label:13C(9)15N(1)", "13C(9) 15N(1) Silac label", false},
    {UNIMOD_Cytopiloyne, "UNIMOD:270", "Cytopiloyne", "nucleophilic addtion to cytopiloyne", false},
    {UNIMOD_Cytopiloyne_water, "UNIMOD:271", "Cytopiloyne+water", "nucleophilic addition to cytopiloyne+H2O", false},
    {UNIMOD_CAF, "UNIMOD:272", "CAF", "sulfonation of N-terminus", false},
    {UNIMOD_Xlink_SSD, "UNIMOD:273", "Xlink:SSD", "covalent modification of lysine by cross-linking reagent", false},
    {UNIMOD_Nitrosyl, "UNIMOD:275", "Nitrosyl", "S-nitrosylation", false},
    {UNIMOD_AEBS, "UNIMOD:276", "AEBS", "Aminoethylbenzenesulfonylation", false},
    {UNIMOD_Ethanolyl, "UNIMOD:278", "Ethanolyl", "Ethanolation of Cys", false},
    {UNIMOD_Ethyl, "UNIMOD:280", "Ethyl", "Ethylation", false},
    {UNIMOD_CoenzymeA, "UNIMOD:281", "CoenzymeA", "Cysteine modified Coenzyme A", false},
    {UNIMOD_Methyl_2H_2_, "UNIMOD:284", "Methyl:2H(2)", "Deuterium Methylation of Lysine", false},
    {UNIMOD_SulfanilicAcid, "UNIMOD:285", "SulfanilicAcid", "Light Sulfanilic Acid (SA) C12", false},
    {UNIMOD_SulfanilicAcid_13C_6_, "UNIMOD:286", "SulfanilicAcid:13C(6)", "Heavy Sulfanilic Acid (SA) C13", false},
    {UNIMOD_Trp__Oxolactone, "UNIMOD:288", "Trp->Oxolactone", "Tryptophan oxidation to oxolactone", false},
    {UNIMOD_Biotin_PEO_Amine, "UNIMOD:289", "Biotin-PEO-Amine", "Biotin polyethyleneoxide amine", false},
    {UNIMOD_Biotin_HPDP, "UNIMOD:290", "Biotin-HPDP", "Pierce EZ-Link Biotin-HPDP", false},
    {UNIMOD_Delta_Hg_1_, "UNIMOD:291", "Delta:Hg(1)", "Mercury Mercaptan", false},
    {UNIMOD_IodoU_AMP, "UNIMOD:292", "IodoU-AMP", "Cross-link of (Iodo)-uracil MP with W,F,Y", false},
    {UNIMOD_CAMthiopropanoyl, "UNIMOD:293", "CAMthiopropanoyl", "3-(carbamidomethylthio)propanoyl", false},
    {UNIMOD_IED_Biotin, "UNIMOD:294", "IED-Biotin", "biotinoyl-iodoacetyl-ethylenediamine", false},
    {UNIMOD_dHex, "UNIMOD:295", "dHex", "Fucose", false},
    {UNIMOD_Methyl_2H_3_, "UNIMOD:298", "Methyl:2H(3)", "deuterated methyl ester", false},
    {UNIMOD_Carboxy, "UNIMOD:299", "Carboxy", "Carboxylation", false},
    {UNIMOD_Bromobimane, "UNIMOD:301", "Bromobimane", "Monobromobimane derivative", false},
    {UNIMOD_Menadione, "UNIMOD:302", "Menadione", "Menadione quinone derivative", false},
    {UNIMOD_DeStreak, "UNIMOD:303", "DeStreak", "Cysteine mercaptoethanol", false},
    {UNIMOD_dHex_1_Hex_3_HexNAc_4_, "UNIMOD:305", "dHex(1)Hex(3)HexNAc(4)", "Fucosylated biantennary (-2 galactose)", false},
    {UNIMOD_dHex_1_Hex_4_HexNAc_4_, "UNIMOD:307", "dHex(1)Hex(4)HexNAc(4)", "Fucosylated biantennary (-1 galactose)", false},
    {UNIMOD_dHex_1_Hex_5_HexNAc_4_, "UNIMOD:308", "dHex(1)Hex(5)HexNAc(4)", "Fucosylated biantennary", false},
    {UNIMOD_Hex_3_HexNAc_4_, "UNIMOD:309", "Hex(3)HexNAc(4)", "Biantennary (-2 galactose)", false},
    {UNIMOD_Hex_4_HexNAc_4_, "UNIMOD:310", "Hex(4)HexNAc(4)", "Biantennary (-1 galactose)", false},
    {UNIMOD_Hex_5_HexNAc_4_, "UNIMOD:311", "Hex(5)HexNAc(4)", "Biantennary", false},
    {UNIMOD_Cysteinyl, "UNIMOD:312", "Cysteinyl", "Cysteinylation", false},
    {UNIMOD_Lys_loss, "UNIMOD:313", "Lys-loss", "Loss of C-terminal K from Heavy Chain of MAb", false},
    {UNIMOD_Nmethylmaleimide, "UNIMOD:314", "Nmethylmaleimide", "Nmethylmaleimide", false},
    {UNIMOD_DimethylpyrroleAdduct, "UNIMOD:316", "DimethylpyrroleAdduct", "2,5-dimethypyrrole", false},
    {UNIMOD_Delta_H_2_C_5_, "UNIMOD:318", "Delta:H(2)C(5)", "MDA adduct +62", false},
    {UNIMOD_Delta_H_2_C_3_O_1_, "UNIMOD:319", "Delta:H(2)C(3)O(1)", "MDA adduct +54", false},
    {UNIMOD_Nethylmaleimide_water, "UNIMOD:320", "Nethylmaleimide+water", "Nethylmaleimidehydrolysis", false},
    {UNIMOD_Xlink_B10621, "UNIMOD:323", "Xlink:B10621", "bis-N-I-sulfonerahodamine", false},
    {UNIMOD_DTBP, "UNIMOD:324", "DTBP", "dimethyl 3,3\'-dithiobispropionimidate", false},
    {UNIMOD_FP_Biotin, "UNIMOD:325", "FP-Biotin", "10-ethoxyphosphinyl-N-(biotinamidopentyl)decanamide", false},
    {UNIMOD_Delta_H_4_C_2_O__1_S_1_, "UNIMOD:327", "Delta:H(4)C(2)O(-1)S(1)", "S-Ethylcystine from Serine", false},
    {UNIMOD_Methyl_2H_3_13C_1_, "UNIMOD:329", "Methyl:2H(3)13C(1)", "monomethylated arginine", false},
    {UNIMOD_Dimethyl_2H_6_13C_2_, "UNIMOD:330", "Dimethyl:2H(6)13C(2)", "dimethylated arginine", false},
    {UNIMOD_Thiophos_S_S_biotin, "UNIMOD:332", "Thiophos-S-S-biotin", "thiophosphate labeled with biotin-HPDP", false},
    {UNIMOD_Can_FP_biotin, "UNIMOD:333", "Can-FP-biotin", "6-N-biotinylaminohexyl isopropyl phosphate", false},
    {UNIMOD_HNE_Delta_H_2_, "UNIMOD:335", "HNE+Delta:H(2)", "reduced 4-Hydroxynonenal", false},
    {UNIMOD_Methylamine, "UNIMOD:337", "Methylamine", "Michael addition with methylamine", false},
    {UNIMOD_Bromo, "UNIMOD:340", "Bromo", "bromination", false},
    {UNIMOD_Amino, "UNIMOD:342", "Amino", "Tyrosine oxidation to 2-aminotyrosine", false},
    {UNIMOD_Argbiotinhydrazide, "UNIMOD:343", "Argbiotinhydrazide", "oxidized Arginine biotinylated with biotin hydrazide", false},
    {UNIMOD_Arg__GluSA, "UNIMOD:344", "Arg->GluSA", "Arginine oxidation to glutamic semialdehyde", false},
    {UNIMOD_Trioxidation, "UNIMOD:345", "Trioxidation", "cysteine oxidation to cysteic acid", false},
    {UNIMOD_His__Asn, "UNIMOD:348", "His->Asn", "histidine oxidation to aspargine", false},
    {UNIMOD_His__Asp, "UNIMOD:349", "His->Asp", "histidine oxidation to aspartic acid", false},
    {UNIMOD_Trp__Hydroxykynurenin, "UNIMOD:350", "Trp->Hydroxykynurenin", "tryptophan oxidation to hydroxykynurenin", false},
    {UNIMOD_Trp__Kynurenin, "UNIMOD:351", "Trp->Kynurenin", "tryptophan oxidation to kynurenin", false},
    {UNIMOD_Lys__Allysine, "UNIMOD:352", "Lys->Allysine", "Lysine oxidation to aminoadipic semialdehyde", false},
    {UNIMOD_Lysbiotinhydrazide, "UNIMOD:353", "Lysbiotinhydrazide", "oxidized Lysine biotinylated with biotin hydrazide", false},
    {UNIMOD_Nitro, "UNIMOD:354", "Nitro", "Oxidation to nitro", false},
    {UNIMOD_probiotinhydrazide, "UNIMOD:357", "probiotinhydrazide", "oxidized proline biotinylated with biotin hydrazide", false},
    {UNIMOD_Pro__pyro_Glu, "UNIMOD:359", "Pro->pyro-Glu", "proline oxidation to pyroglutamic acid", false},
    {UNIMOD_Pro__Pyrrolidinone, "UNIMOD:360", "Pro->Pyrrolidinone", "Proline oxidation to pyrrolidinone", false},
    {UNIMOD_Thrbiotinhydrazide, "UNIMOD:361", "Thrbiotinhydrazide", "oxidized Threonine biotinylated with biotin hydrazide", false},
    {UNIMOD_Diisopropylphosphate, "UNIMOD:362", "Diisopropylphosphate", "O-Diisopropylphosphorylation", false},
    {UNIMOD_Isopropylphospho, "UNIMOD:363", "Isopropylphospho", "O-Isopropylphosphorylation", false},
    {UNIMOD_ICPL_13C_6_, "UNIMOD:364", "ICPL:13C(6)", "Bruker Daltonics SERVA-ICPL(TM) quantification chemistry, heavy form", false},
    {UNIMOD_ICPL, "UNIMOD:365", "ICPL", "Bruker Daltonics SERVA-ICPL(TM) quantification chemistry, light form", false},
    {UNIMOD_Deamidated_18O_1_, "UNIMOD:366", "Deamidated:18O(1)", "Deamidation in presence of O18", false},
    {UNIMOD_Cys__Dha, "UNIMOD:368", "Cys->Dha", "Dehydroalanine (from Cysteine)", false},
    {UNIMOD_Pro__Pyrrolidone, "UNIMOD:369", "Pro->Pyrrolidone", "Pyrrolidone from Proline", false},
    {UNIMOD_HMVK, "UNIMOD:371", "HMVK", "Michael addition of hydroxymethylvinyl ketone to cysteine", false},
    {UNIMOD_Arg__Orn, "UNIMOD:372", "Arg->Orn", "Ornithine from Arginine", false},
    {UNIMOD_Dehydro, "UNIMOD:374", "Dehydro", "Half of a disulfide bridge", false},
    {UNIMOD_Diphthamide, "UNIMOD:375", "Diphthamide", "Diphthamide", false},
    {UNIMOD_Hydroxyfarnesyl, "UNIMOD:376", "Hydroxyfarnesyl", "hydroxyfarnesyl", false},
    {UNIMOD_Diacylglycerol, "UNIMOD:377", "Diacylglycerol", "diacylglycerol", false},
    {UNIMOD_Carboxyethyl, "UNIMOD:378", "Carboxyethyl", "carboxyethyl", false},
    {UNIMOD_Hypusine, "UNIMOD:379", "Hypusine", "hypusine", false},
    {UNIMOD_Retinylidene, "UNIMOD:380", "Retinylidene", "retinal", false},
    {UNIMOD_Lys__AminoadipicAcid, "UNIMOD:381", "Lys->AminoadipicAcid", "alpha-amino adipic acid", false},
    {UNIMOD_Cys__PyruvicAcid, "UNIMOD:382", "Cys->PyruvicAcid", "pyruvic acid from N-term cys", false},
    {UNIMOD_Ammonia_loss, "UNIMOD:385", "Ammonia-loss", "Loss of ammonia", false},
    {UNIMOD_Phycocyanobilin, "UNIMOD:387", "Phycocyanobilin", "phycocyanobilin", false},
    {UNIMOD_Phycoerythrobilin, "UNIMOD:388", "Phycoerythrobilin", "phycoerythrobilin", false},
    {UNIMOD_Phytochromobilin, "UNIMOD:389", "Phytochromobilin", "phytochromobilin", false},
    {UNIMOD_Heme, "UNIMOD:390", "Heme", "heme", false},
    {UNIMOD_Molybdopterin, "UNIMOD:391", "Molybdopterin", "molybdopterin", false},
    {UNIMOD_Quinone, "UNIMOD:392", "Quinone", "quinone", false},
    {UNIMOD_Glucosylgalactosyl, "UNIMOD:393", "Glucosylgalactosyl", "glucosylgalactosyl hydroxylysine", false},
    {UNIMOD_GPIanchor, "UNIMOD:394", "GPIanchor", "glycosylphosphatidylinositol", false},
    {UNIMOD_PhosphoribosyldephosphoCoA, "UNIMOD:395", "PhosphoribosyldephosphoCoA", "phosphoribosyl dephospho-coenzyme A", false},
    {UNIMOD_GlycerylPE, "UNIMOD:396", "GlycerylPE", "glycerylphosphorylethanolamine", false},
    {UNIMOD_Triiodothyronine, "UNIMOD:397", "Triiodothyronine", "triiodo", false},
    {UNIMOD_Thyroxine, "UNIMOD:398", "Thyroxine", "tetraiodo", false},
    {UNIMOD_Tyr__Dha, "UNIMOD:400", "Tyr->Dha", "Dehydroalanine (from Tyrosine)", false},
    {UNIMOD_Didehydro, "UNIMOD:401", "Didehydro", "2-amino-3-oxo-butanoic_acid", false},
    {UNIMOD_Cys__Oxoalanine, "UNIMOD:402", "Cys->Oxoalanine", "oxoalanine", false},
    {UNIMOD_Ser__LacticAcid, "UNIMOD:403", "Ser->LacticAcid", "lactic acid from N-term Ser", false},
    {UNIMOD_Phosphoadenosine, "UNIMOD:405", "Phosphoadenosine", "AMP binding site", false},
    {UNIMOD_Hydroxycinnamyl, "UNIMOD:407", "Hydroxycinnamyl", "hydroxycinnamyl", false},
    {UNIMOD_Glycosyl, "UNIMOD:408", "Glycosyl", "glycosyl-L-hydroxyproline", false},
    {UNIMOD_FMNH, "UNIMOD:409", "FMNH", "flavin mononucleotide", false},
    {UNIMOD_Archaeol, "UNIMOD:410", "Archaeol", "S-diphytanylglycerol diether", false},
    {UNIMOD_Phenylisocyanate, "UNIMOD:411", "Phenylisocyanate", "phenyl isocyanate", false},
    {UNIMOD_Phenylisocyanate_2H_5_, "UNIMOD:412", "Phenylisocyanate:2H(5)", "d5-phenyl isocyanate", false},
    {UNIMOD_Phosphoguanosine, "UNIMOD:413", "Phosphoguanosine", "phospho-guanosine", false},
    {UNIMOD_Hydroxymethyl, "UNIMOD:414", "Hydroxymethyl", "hydroxymethyl", false},
    {UNIMOD_MolybdopterinGD_Delta_S__1_Se_1_, "UNIMOD:415", "MolybdopterinGD+Delta:S(-1)Se(1)", "L-selenocysteinyl molybdenum bis(molybdopterin guanine dinucleotide)", false},
    {UNIMOD_Dipyrrolylmethanemethyl, "UNIMOD:416", "Dipyrrolylmethanemethyl", "dipyrrolylmethanemethyl", false},
    {UNIMOD_PhosphoUridine, "UNIMOD:417", "PhosphoUridine", "uridine phosphodiester", false},
    {UNIMOD_Glycerophospho, "UNIMOD:419", "Glycerophospho", "glycerophospho", false},
    {UNIMOD_Carboxy__Thiocarboxy, "UNIMOD:420", "Carboxy->Thiocarboxy", "thiocarboxylic acid", false},
    {UNIMOD_Sulfide, "UNIMOD:421", "Sulfide", "persulfide", false},
    {UNIMOD_PyruvicAcidIminyl, "UNIMOD:422", "PyruvicAcidIminyl", "N-pyruvic acid 2-iminyl", false},
    {UNIMOD_Delta_Se_1_, "UNIMOD:423", "Delta:Se(1)", "selenyl", false},
    {UNIMOD_MolybdopterinGD, "UNIMOD:424", "MolybdopterinGD", "molybdenum bis(molybdopterin guanine dinucleotide)", false},
    {UNIMOD_Dioxidation, "UNIMOD:425", "Dioxidation", "dihydroxy", false},
    {UNIMOD_Octanoyl, "UNIMOD:426", "Octanoyl", "octanoyl", false},
    {UNIMOD_PhosphoHexNAc, "UNIMOD:428", "PhosphoHexNAc", "N-acetylglucosamine-1-phosphoryl", false},
    {UNIMOD_PhosphoHex, "UNIMOD:429", "PhosphoHex", "phosphoglycosyl-D-mannose-1-phosphoryl", false},
    {UNIMOD_Palmitoleyl, "UNIMOD:431", "Palmitoleyl", "palmitoleyl", false},
    {UNIMOD_Cholesterol, "UNIMOD:432", "Cholesterol", "cholesterol ester", false},
    {UNIMOD_Didehydroretinylidene, "UNIMOD:433", "Didehydroretinylidene", "3,4-didehydroretinylidene", false},
    {UNIMOD_CHDH, "UNIMOD:434", "CHDH", "cis-14-hydroxy-10,13-dioxo-7-heptadecenoic ester", false},
    {UNIMOD_Methylpyrroline, "UNIMOD:435", "Methylpyrroline", "4-methyl-delta-1-pyrroline-5-carboxyl", false},
    {UNIMOD_Hydroxyheme, "UNIMOD:436", "Hydroxyheme", "hydroxyheme", false},
    {UNIMOD_MicrocinC7, "UNIMOD:437", "MicrocinC7", "(3-aminopropyl)(L-aspartyl-1-amino)phosphoryl-5-adenosine", false},
    {UNIMOD_Cyano, "UNIMOD:438", "Cyano", "cyano", false},
    {UNIMOD_Diironsubcluster, "UNIMOD:439", "Diironsubcluster", "hydrogenase diiron subcluster", false},
    {UNIMOD_Amidino, "UNIMOD:440", "Amidino", "amidino", false},
    {UNIMOD_FMN, "UNIMOD:442", "FMN", "O3-(riboflavin phosphoryl)", false},
    {UNIMOD_FMNC, "UNIMOD:443", "FMNC", "S-(4a-FMN)", false},
    {UNIMOD_CuSMo, "UNIMOD:444", "CuSMo", "copper sulfido molybdopterin cytosine dinuncleotide", false},
    {UNIMOD_Hydroxytrimethyl, "UNIMOD:445", "Hydroxytrimethyl", "5-hydroxy-N6,N6,N6-trimethyl", false},
    {UNIMOD_Deoxy, "UNIMOD:447", "Deoxy", "reduction", false},
    {UNIMOD_Microcin, "UNIMOD:448", "Microcin", "microcin E492 siderophore ester from serine", false},
    {UNIMOD_Decanoyl, "UNIMOD:449", "Decanoyl", "lipid", false},
    {UNIMOD_Glu, "UNIMOD:450", "Glu", "monoglutamyl", false},
    {UNIMOD_GluGlu, "UNIMOD:451", "GluGlu", "diglutamyl", false},
    {UNIMOD_GluGluGlu, "UNIMOD:452", "GluGluGlu", "triglutamyl", false},
    {UNIMOD_GluGluGluGlu, "UNIMOD:453", "GluGluGluGlu", "tetraglutamyl", false},
    {UNIMOD_HexN, "UNIMOD:454", "HexN", "Hexosamine", false},
    {UNIMOD_Xlink_DMP_s, "UNIMOD:455", "Xlink:DMP-s", "One end of crosslink attached, one end free", false},
    {UNIMOD_Xlink_DMP, "UNIMOD:456", "Xlink:DMP", "Both ends of crosslink attached to same peptide", false},
    {UNIMOD_NDA, "UNIMOD:457", "NDA", "naphthalene-2,3-dicarboxaldehyde", false},
    {UNIMOD_SPITC_13C_6_, "UNIMOD:464", "SPITC:13C(6)", "4-sulfophenyl isothiocyanate (Heavy C13)", false},
    {UNIMOD_AEC_MAEC, "UNIMOD:472", "AEC-MAEC", "aminoethylcysteine", false},
    {UNIMOD_TMAB, "UNIMOD:476", "TMAB", "4-trimethyllammoniumbutyryl-", false},
    {UNIMOD_TMAB_2H_9_, "UNIMOD:477", "TMAB:2H(9)", "d9-4-trimethyllammoniumbutyryl-", false},
    {UNIMOD_FTC, "UNIMOD:478", "FTC", "fluorescein-5-thiosemicarbazide", false},
    {UNIMOD_Label_2H_4_, "UNIMOD:481", "Label:2H(4)", "4,4,5,5-D4 Lysine", false},
    {UNIMOD_DHP, "UNIMOD:488", "DHP", "Dehydropyrrolizidine alkaloid (dehydroretronecine) on cysteines", false},
    {UNIMOD_Hep, "UNIMOD:490", "Hep", "Heptose", false},
    {UNIMOD_BADGE, "UNIMOD:493", "BADGE", "Bisphenol A diglycidyl ether derivative", false},
    {UNIMOD_CyDye_Cy3, "UNIMOD:494", "CyDye-Cy3", "Cy3 CyDye DIGE Fluor saturation dye", false},
    {UNIMOD_CyDye_Cy5, "UNIMOD:495", "CyDye-Cy5", "Cy5 CyDye DIGE Fluor saturation dye", false},
    {UNIMOD_BHTOH, "UNIMOD:498", "BHTOH", "Michael addition of t-butyl hydroxylated BHT (BHTOH) to C, H or K", false},
    {UNIMOD_IGBP_13C_2_, "UNIMOD:499", "IGBP:13C(2)", "Heavy IDBEST tag for quantitation", false},
    {UNIMOD_Nmethylmaleimide_water, "UNIMOD:500", "Nmethylmaleimide+water", "Nmethylmaleimidehydrolysis", false},
    {UNIMOD_PyMIC, "UNIMOD:501", "PyMIC", "3-methyl-2-pyridyl isocyanate", false},
    {UNIMOD_LG_lactam_K, "UNIMOD:503", "LG-lactam-K", "Levuglandinyl - lysine lactam adduct", false},
    {UNIMOD_LG_Hlactam_K, "UNIMOD:504", "LG-Hlactam-K", "Levuglandinyl - lysine hydroxylactam adduct", false},
    {UNIMOD_LG_lactam_R, "UNIMOD:505", "LG-lactam-R", "Levuglandinyl - arginine lactam adduct", false},
    {UNIMOD_LG_Hlactam_R, "UNIMOD:506", "LG-Hlactam-R", "Levuglandinyl - arginine hydroxylactam adduct", false},
    {UNIMOD_Dimethyl_2H_4_13C_2_, "UNIMOD:510", "Dimethyl:2H(4)13C(2)", "DiMethyl-C13HD2", false},
    {UNIMOD_Hex_2_, "UNIMOD:512", "Hex(2)", "Lactosylation", false},
    {UNIMOD_C8_QAT, "UNIMOD:513", "C8-QAT", "[3-(2,5)-Dioxopyrrolidin-1-yloxycarbonyl)-propyl]dimethyloctylammonium", false},
    {UNIMOD_PropylNAGthiazoline, "UNIMOD:514", "PropylNAGthiazoline", "propyl-1,2-dideoxy-2\'-methyl-alpha-D-glucopyranoso-[2,1-d]-Delta2\'-thiazoline", false},
    {UNIMOD_FNEM, "UNIMOD:515", "FNEM", "fluorescein-5-maleimide", false},
    {UNIMOD_Diethyl, "UNIMOD:518", "Diethyl", "Diethylation, analogous to Dimethylation", false},
    {UNIMOD_BisANS, "UNIMOD:519", "BisANS", "4,4\'-dianilino-1,1\'-binaphthyl-5,5\'-disulfonic acid", false},
    {UNIMOD_Piperidine, "UNIMOD:520", "Piperidine", "Piperidination", false},
    {UNIMOD_Maleimide_PEO2_Biotin, "UNIMOD:522", "Maleimide-PEO2-Biotin", "Maleimide-PEO2-Biotin", false},
    {UNIMOD_Sulfo_NHS_LC_LC_Biotin, "UNIMOD:523", "Sulfo-NHS-LC-LC-Biotin", "Sulfo-NHS-LC-LC-Biotin", false},
    {UNIMOD_CLIP_TRAQ_1, "UNIMOD:524", "CLIP_TRAQ_1", "CLIP_TRAQ_1", false},
    {UNIMOD_CLIP_TRAQ_2, "UNIMOD:525", "CLIP_TRAQ_2", "CLIP_TRAQ_2", false},
    {UNIMOD_Dethiomethyl, "UNIMOD:526", "Dethiomethyl", "Prompt loss of side chain from oxidised Met", false},
    {UNIMOD_Methyl_Deamidated, "UNIMOD:528", "Methyl+Deamidated", "Deamidation followed by a methylation", false},
    {UNIMOD_Delta_H_5_C_2_, "UNIMOD:529", "Delta:H(5)C(2)", "Dimethylation of proline residue", false},
    {UNIMOD_Cation_K, "UNIMOD:530", "Cation:K", "Replacement of proton by potassium", false},
    {UNIMOD_Cation_Cu_I_, "UNIMOD:531", "Cation:Cu[I]", "Replacement of proton by copper", false},
    {UNIMOD_iTRAQ4plex114, "UNIMOD:532", "iTRAQ4plex114", "Accurate mass for 114", false},
    {UNIMOD_iTRAQ4plex115, "UNIMOD:533", "iTRAQ4plex115", "Accurate mass for 115", false},
    {UNIMOD_Dibromo, "UNIMOD:534", "Dibromo", "Dibromo", false},
    {UNIMOD_LeuArgGlyGly, "UNIMOD:535", "LeuArgGlyGly", "Ubiquitination", false},
    {UNIMOD_CLIP_TRAQ_3, "UNIMOD:536", "CLIP_TRAQ_3", "CLIP_TRAQ_3", false},
    {UNIMOD_CLIP_TRAQ_4, "UNIMOD:537", "CLIP_TRAQ_4", "CLIP_TRAQ_4", false},
    {UNIMOD_15dB_biotin, "UNIMOD:538", "15dB-biotin", "15-deoxy-delta 12,14-Prostaglandin J2-biotinimide", false},
    {UNIMOD_PGA1_biotin, "UNIMOD:539", "PGA1-biotin", "Prostaglandin A1-biotinimide", false},
    {UNIMOD_Ala__Ser, "UNIMOD:540", "Ala->Ser", "Ala->Ser substitution", false},
    {UNIMOD_Ala__Thr, "UNIMOD:541", "Ala->Thr", "Ala->Thr substitution", false},
    {UNIMOD_Ala__Asp, "UNIMOD:542", "Ala->Asp", "Ala->Asp substitution", false},
    {UNIMOD_Ala__Pro, "UNIMOD:543", "Ala->Pro", "Ala->Pro substitution", false},
    {UNIMOD_Ala__Gly, "UNIMOD:544", "Ala->Gly", "Ala->Gly substitution", false},
    {UNIMOD_Ala__Glu, "UNIMOD:545", "Ala->Glu", "Ala->Glu substitution", false},
    {UNIMOD_Ala__Val, "UNIMOD:546", "Ala->Val", "Ala->Val substitution", false},
    {UNIMOD_Cys__Phe, "UNIMOD:547", "Cys->Phe", "Cys->Phe substitution", false},
    {UNIMOD_Cys__Ser, "UNIMOD:548", "Cys->Ser", "Cys->Ser substitution", false},
    {UNIMOD_Cys__Trp, "UNIMOD:549", "Cys->Trp", "Cys->Trp substitution", false},
    {UNIMOD_Cys__Tyr, "UNIMOD:550", "Cys->Tyr", "Cys->Tyr substitution", false},
    {UNIMOD_Cys__Arg, "UNIMOD:551", "Cys->Arg", "Cys->Arg substitution", false},
    {UNIMOD_Cys__Gly, "UNIMOD:552", "Cys->Gly", "Cys->Gly substitution", false},
    {UNIMOD_Asp__Ala, "UNIMOD:553", "Asp->Ala", "Asp->Ala substitution", false},
    {UNIMOD_Asp__His, "UNIMOD:554", "Asp->His", "Asp->His substitution", false},
    {UNIMOD_Asp__Asn, "UNIMOD:555", "Asp->Asn", "Asp->Asn substitution", false},
    {UNIMOD_Asp__Gly, "UNIMOD:556", "Asp->Gly", "Asp->Gly substitution", false},
    {UNIMOD_Asp__Tyr, "UNIMOD:557", "Asp->Tyr", "Asp->Tyr substitution", false},
    {UNIMOD_Asp__Glu, "UNIMOD:558", "Asp->Glu", "Asp->Glu substitution", false},
    {UNIMOD_Asp__Val, "UNIMOD:559", "Asp->Val", "Asp->Val substitution", false},
    {UNIMOD_Glu__Ala, "UNIMOD:560", "Glu->Ala", "Glu->Ala substitution", false},
    {UNIMOD_Glu__Gln, "UNIMOD:561", "Glu->Gln", "Glu->Gln substitution", false},
    {UNIMOD_Glu__Asp, "UNIMOD:562", "Glu->Asp", "Glu->Asp substitution", false},
    {UNIMOD_Glu__Lys, "UNIMOD:563", "Glu->Lys", "Glu->Lys substitution", false},
    {UNIMOD_Glu__Gly, "UNIMOD:564", "Glu->Gly", "Glu->Gly substitution", false},
    {UNIMOD_Glu__Val, "UNIMOD:565", "Glu->Val", "Glu->Val substitution", false},
    {UNIMOD_Phe__Ser, "UNIMOD:566", "Phe->Ser", "Phe->Ser substitution", false},
    {UNIMOD_Phe__Cys, "UNIMOD:567", "Phe->Cys", "Phe->Cys substitution", false},
    {UNIMOD_Phe__Ile, "UNIMOD:568", "Phe->Ile", "Phe->Ile or Phe->Leu substitution", false},
    {UNIMOD_Phe__Tyr, "UNIMOD:569", "Phe->Tyr", "Phe->Tyr substitution", false},
    {UNIMOD_Phe__Val, "UNIMOD:570", "Phe->Val", "Phe->Val substitution", false},
    {UNIMOD_Gly__Ala, "UNIMOD:571", "Gly->Ala", "Gly->Ala substitution", false},
    {UNIMOD_Gly__Ser, "UNIMOD:572", "Gly->Ser", "Gly->Ser substitution", false},
    {UNIMOD_Gly__Trp, "UNIMOD:573", "Gly->Trp", "Gly->Trp substitution", false},
    {UNIMOD_Gly__Glu, "UNIMOD:574", "Gly->Glu", "Gly->Glu substitution", false},
    {UNIMOD_Gly__Val, "UNIMOD:575", "Gly->Val", "Gly->Val substitution", false},
    {UNIMOD_Gly__Asp, "UNIMOD:576", "Gly->Asp", "Gly->Asp substitution", false},
    {UNIMOD_Gly__Cys, "UNIMOD:577", "Gly->Cys", "Gly->Cys substitution", false},
    {UNIMOD_Gly__Arg, "UNIMOD:578", "Gly->Arg", "Gly->Arg substitution", false},
    {UNIMOD_His__Pro, "UNIMOD:580", "His->Pro", "His->Pro substitution", false},
    {UNIMOD_His__Tyr, "UNIMOD:581", "His->Tyr", "His->Tyr substitution", false},
    {UNIMOD_His__Gln, "UNIMOD:582", "His->Gln", "His->Gln substitution", false},
    {UNIMOD_His__Arg, "UNIMOD:584", "His->Arg", "His->Arg substitution", false},
    {UNIMOD_His__Leu, "UNIMOD:585", "His->Leu", "His->Leu substitution", false},
    {UNIMOD_Ile__Phe, "UNIMOD:586", "Ile->Phe", "Ile->Phe substitution", false},
    {UNIMOD_Ile__Ser, "UNIMOD:587", "Ile->Ser", "Ile->Ser substitution", false},
    {UNIMOD_Ile__Thr, "UNIMOD:588", "Ile->Thr", "Ile->Thr substitution", false},
    {UNIMOD_Ile__Asn, "UNIMOD:589", "Ile->Asn", "Ile->Asn substitution", false},
    {UNIMOD_Ile__Lys, "UNIMOD:590", "Ile->Lys", "Ile->Lys substitution", false},
    {UNIMOD_Ile__Val, "UNIMOD:591", "Ile->Val", "Ile->Val substitution", false},
    {UNIMOD_Ile__Met, "UNIMOD:592", "Ile->Met", "Ile->Met substitution", false},
    {UNIMOD_Ile__Arg, "UNIMOD:593", "Ile->Arg", "Ile->Arg substitution", false},
    {UNIMOD_Lys__Thr, "UNIMOD:594", "Lys->Thr", "Lys->Thr substitution", false},
    {UNIMOD_Lys__Asn, "UNIMOD:595", "Lys->Asn", "Lys->Asn substitution", false},
    {UNIMOD_Lys__Glu, "UNIMOD:596", "Lys->Glu", "Lys->Glu substitution", false},
    {UNIMOD_Lys__Gln, "UNIMOD:597", "Lys->Gln", "Lys->Gln substitution", false},
    {UNIMOD_Lys__Met, "UNIMOD:598", "Lys->Met", "Lys->Met substitution", false},
    {UNIMOD_Lys__Arg, "UNIMOD:599", "Lys->Arg", "Lys->Arg substitution", false},
    {UNIMOD_Lys__Ile, "UNIMOD:600", "Lys->Ile", "Lys->Ile substitution", false},
    {UNIMOD_Leu__Ser, "UNIMOD:601", "Leu->Ser", "Leu->Ser substitution", false},
    {UNIMOD_Leu__Phe, "UNIMOD:602", "Leu->Phe", "Leu->Phe substitution", false},
    {UNIMOD_Leu__Trp, "UNIMOD:603", "Leu->Trp", "Leu->Trp substitution", false},
    {UNIMOD_Leu__Pro, "UNIMOD:604", "Leu->Pro", "Leu->Pro substitution", false},
    {UNIMOD_Leu__Val, "UNIMOD:605", "Leu->Val", "Leu->Val substitution", false},
    {UNIMOD_Leu__His, "UNIMOD:606", "Leu->His", "Leu->His substitution", false},
    {UNIMOD_Leu__Gln, "UNIMOD:607", "Leu->Gln", "Leu->Gln substitution", false},
    {UNIMOD_Leu__Met, "UNIMOD:608", "Leu->Met", "Leu->Met substitution", false},
    {UNIMOD_Leu__Arg, "UNIMOD:609", "Leu->Arg", "Leu->Arg substitution", false},
    {UNIMOD_Met__Thr, "UNIMOD:610", "Met->Thr", "Met->Thr substitution", false},
    {UNIMOD_Met__Arg, "UNIMOD:611", "Met->Arg", "Met->Arg substitution", false},
    {UNIMOD_Met__Ile, "UNIMOD:612", "Met->Ile", "Met->Ile substitution", false},
    {UNIMOD_Met__Lys, "UNIMOD:613", "Met->Lys", "Met->Lys substitution", false},
    {UNIMOD_Met__Leu, "UNIMOD:614", "Met->Leu", "Met->Leu substitution", false},
    {UNIMOD_Met__Val, "UNIMOD:615", "Met->Val", "Met->Val substitution", false},
    {UNIMOD_Asn__Ser, "UNIMOD:616", "Asn->Ser", "Asn->Ser substitution", false},
    {UNIMOD_Asn__Thr, "UNIMOD:617", "Asn->Thr", "Asn->Thr substitution", false},
    {UNIMOD_Asn__Lys, "UNIMOD:618", "Asn->Lys", "Asn->Lys substitution", false},
    {UNIMOD_Asn__Tyr, "UNIMOD:619", "Asn->Tyr", "Asn->Tyr substitution", false},
    {UNIMOD_Asn__His, "UNIMOD:620", "Asn->His", "Asn->His substitution", false},
    {UNIMOD_Asn__Asp, "UNIMOD:621", "Asn->Asp", "Asn->Asp substitution", false},
    {UNIMOD_Asn__Ile, "UNIMOD:622", "Asn->Ile", "Asn->Ile substitution", false},
    {UNIMOD_Pro__Ser, "UNIMOD:623", "Pro->Ser", "Pro->Ser substitution", false},
    {UNIMOD_Pro__Ala, "UNIMOD:624", "Pro->Ala", "Pro->Ala substitution", false},
    {UNIMOD_Pro__His, "UNIMOD:625", "Pro->His", "Pro->His substitution", false},
    {UNIMOD_Pro__Gln, "UNIMOD:626", "Pro->Gln", "Pro->Gln substitution", false},
    {UNIMOD_Pro__Thr, "UNIMOD:627", "Pro->Thr", "Pro->Thr substitution", false},
    {UNIMOD_Pro__Arg, "UNIMOD:628", "Pro->Arg", "Pro->Arg substitution", false},
    {UNIMOD_Pro__Leu, "UNIMOD:629", "Pro->Leu", "Pro->Leu substitution", false},
    {UNIMOD_Gln__Pro, "UNIMOD:630", "Gln->Pro", "Gln->Pro substitution", false},
    {UNIMOD_Gln__Lys, "UNIMOD:631", "Gln->Lys", "Gln->Lys substitution", false},
    {UNIMOD_Gln__Glu, "UNIMOD:632", "Gln->Glu", "Gln->Glu substitution", false},
    {UNIMOD_Gln__His, "UNIMOD:633", "Gln->His", "Gln->His substitution", false},
    {UNIMOD_Gln__Arg, "UNIMOD:634", "Gln->Arg", "Gln->Arg substitution", false},
    {UNIMOD_Gln__Leu, "UNIMOD:635", "Gln->Leu", "Gln->Leu substitution", false},
    {UNIMOD_Arg__Ser, "UNIMOD:636", "Arg->Ser", "Arg->Ser substitution", false},
    {UNIMOD_Arg__Trp, "UNIMOD:637", "Arg->Trp", "Arg->Trp substitution", false},
    {UNIMOD_Arg__Thr, "UNIMOD:638", "Arg->Thr", "Arg->Thr substitution", false},
    {UNIMOD_Arg__Pro, "UNIMOD:639", "Arg->Pro", "Arg->Pro substitution", false},
    {UNIMOD_Arg__Lys, "UNIMOD:640", "Arg->Lys", "Arg->Lys substitution", false},
    {UNIMOD_Arg__His, "UNIMOD:641", "Arg->His", "Arg->His substitution", false},
    {UNIMOD_Arg__Gln, "UNIMOD:642", "Arg->Gln", "Arg->Gln substitution", false},
    {UNIMOD_Arg__Met, "UNIMOD:643", "Arg->Met", "Arg->Met substitution", false},
    {UNIMOD_Arg__Cys, "UNIMOD:644", "Arg->Cys", "Arg->Cys substitution", false},
    {UNIMOD_Arg__Ile, "UNIMOD:645", "Arg->Ile", "Arg->Ile or Arg->Leu substitution", false},
    {UNIMOD_Arg__Gly, "UNIMOD:646", "Arg->Gly", "Arg->Gly substitution", false},
    {UNIMOD_Ser__Phe, "UNIMOD:647", "Ser->Phe", "Ser->Phe substitution", false},
    {UNIMOD_Ser__Ala, "UNIMOD:648", "Ser->Ala", "Ser->Ala substitution", false},
    {UNIMOD_Ser__Trp, "UNIMOD:649", "Ser->Trp", "Ser->Trp substitution", false},
    {UNIMOD_Ser__Thr, "UNIMOD:650", "Ser->Thr", "Ser->Thr substitution", false},
    {UNIMOD_Ser__Asn, "UNIMOD:651", "Ser->Asn", "Ser->Asn substitution", false},
    {UNIMOD_Ser__Pro, "UNIMOD:652", "Ser->Pro", "Ser->Pro substitution", false},
    {UNIMOD_Ser__Tyr, "UNIMOD:653", "Ser->Tyr", "Ser->Tyr substitution", false},
    {UNIMOD_Ser__Cys, "UNIMOD:654", "Ser->Cys", "Ser->Cys substitution", false},
    {UNIMOD_Ser__Arg, "UNIMOD:655", "Ser->Arg", "Ser->Arg substitution", false},
    {UNIMOD_Ser__Ile, "UNIMOD:656", "Ser->Ile", "Ser->Ile or Ser->Leu substitution", false},
    {UNIMOD_Ser__Gly, "UNIMOD:657", "Ser->Gly", "Ser->Gly substitution", false},
    {UNIMOD_Thr__Ser, "UNIMOD:658", "Thr->Ser", "Thr->Ser substitution", false},
    {UNIMOD_Thr__Ala, "UNIMOD:659", "Thr->Ala", "Thr->Ala substitution", false},
    {UNIMOD_Thr__Asn, "UNIMOD:660", "Thr->Asn", "Thr->Asn substitution", false},
    {UNIMOD_Thr__Lys, "UNIMOD:661", "Thr->Lys", "Thr->Lys substitution", false},
    {UNIMOD_Thr__Pro, "UNIMOD:662", "Thr->Pro", "Thr->Pro substitution", false},
    {UNIMOD_Thr__Met, "UNIMOD:663", "Thr->Met", "Thr->Met substitution", false},
    {UNIMOD_Thr__Ile, "UNIMOD:664", "Thr->Ile", "Thr->Ile substitution", false},
    {UNIMOD_Thr__Arg, "UNIMOD:665", "Thr->Arg", "Thr->Arg substitution", false},
    {UNIMOD_Val__Phe, "UNIMOD:666", "Val->Phe", "Val->Phe substitution", false},
    {UNIMOD_Val__Ala, "UNIMOD:667", "Val->Ala", "Val->Ala substitution", false},
    {UNIMOD_Val__Glu, "UNIMOD:668", "Val->Glu", "Val->Glu substitution", false},
    {UNIMOD_Val__Met, "UNIMOD:669", "Val->Met", "Val->Met substitution", false},
    {UNIMOD_Val__Asp, "UNIMOD:670", "Val->Asp", "Val->Asp substitution", false},
    {UNIMOD_Val__Ile, "UNIMOD:671", "Val->Ile", "Val->Ile or Val->Leu substitution", false},
    {UNIMOD_Val__Gly, "UNIMOD:672", "Val->Gly", "Val->Gly substitution", false},
    {UNIMOD_Trp__Ser, "UNIMOD:673", "Trp->Ser", "Trp->Ser substitution", false},
    {UNIMOD_Trp__Cys, "UNIMOD:674", "Trp->Cys", "Trp->Cys substitution", false},
    {UNIMOD_Trp__Arg, "UNIMOD:675", "Trp->Arg", "Trp->Arg substitution", false},
    {UNIMOD_Trp__Gly, "UNIMOD:676", "Trp->Gly", "Trp->Gly substitution", false},
    {UNIMOD_Trp__Leu, "UNIMOD:677", "Trp->Leu", "Trp->Leu substitution", false},
    {UNIMOD_Tyr__Phe, "UNIMOD:678", "Tyr->Phe", "Tyr->Phe substitution", false},
    {UNIMOD_Tyr__Ser, "UNIMOD:679", "Tyr->Ser", "Tyr->Ser substitution", false},
    {UNIMOD_Tyr__Asn, "UNIMOD:680", "Tyr->Asn", "Tyr->Asn substitution", false},
    {UNIMOD_Tyr__His, "UNIMOD:681", "Tyr->His", "Tyr->His substitution", false},
    {UNIMOD_Tyr__Asp, "UNIMOD:682", "Tyr->Asp", "Tyr->Asp substitution", false},
    {UNIMOD_Tyr__Cys, "UNIMOD:683", "Tyr->Cys", "Tyr->Cys substitution", false},
    {UNIMOD_BDMAPP, "UNIMOD:684", "BDMAPP", "Mass Defect Tag on lysine e-amino", false},
    {UNIMOD_NA_LNO2, "UNIMOD:685", "NA-LNO2", "Nitroalkylation by Nitro Linoleic Acid", false},
    {UNIMOD_NA_OA_NO2, "UNIMOD:686", "NA-OA-NO2", "Nitroalkylation by Nitro Oleic Acid", false},
    {UNIMOD_ICPL_2H_4_, "UNIMOD:687", "ICPL:2H(4)", "Bruker Daltonics SERVA-ICPL(TM) quantification chemistry, medium form", false},
    {UNIMOD_Label_13C_6_15N_1_, "UNIMOD:695", "Label:13C(6)15N(1)", "13C(6) 15N(1) Silac label", false},
    {UNIMOD_Label_2H_9_13C_6_15N_2_, "UNIMOD:696", "Label:2H(9)13C(6)15N(2)", "13C(6) 15N(2) (D)9 SILAC label", false},
    {UNIMOD_NIC, "UNIMOD:697", "NIC", "Nicotinic Acid", false},
    {UNIMOD_dNIC, "UNIMOD:698", "dNIC", "deuterated Nicotinic Acid", false},
    {UNIMOD_HNE_Delta_H_2_O, "UNIMOD:720", "HNE-Delta:H(2)O", "Dehydrated 4-hydroxynonenal", false},
    {UNIMOD_4_ONE, "UNIMOD:721", "4-ONE", "4-Oxononenal (ONE)", false},
    {UNIMOD_O_Dimethylphosphate, "UNIMOD:723", "O-Dimethylphosphate", "O-Dimethylphosphorylation", false},
    {UNIMOD_O_Methylphosphate, "UNIMOD:724", "O-Methylphosphate", "O-Methylphosphorylation", false},
    {UNIMOD_O_Diethylphosphate, "UNIMOD:725", "O-Diethylphosphate", "O-Diethylphosphorylation", false},
    {UNIMOD_O_Ethylphosphate, "UNIMOD:726", "O-Ethylphosphate", "O-Ethylphosphorylation", false},
    {UNIMOD_O_pinacolylmethylphosphonate, "UNIMOD:727", "O-pinacolylmethylphosphonate", "O-pinacolylmethylphosphonylation", false},
    {UNIMOD_Methylphosphonate, "UNIMOD:728", "Methylphosphonate", "Methylphosphonylation", false},
    {UNIMOD_O_Isopropylmethylphosphonate, "UNIMOD:729", "O-Isopropylmethylphosphonate", "O-Isopropylmethylphosphonylation", false},
    {UNIMOD_iTRAQ8plex, "UNIMOD:730", "iTRAQ8plex", "Representative mass and accurate mass for 113, 114, 116 & 117", false},
    {UNIMOD_iTRAQ8plex_13C_6_15N_2_, "UNIMOD:731", "iTRAQ8plex:13C(6)15N(2)", "Accurate mass for 115, 118, 119 & 121", false},
    {UNIMOD_Ethanolamine, "UNIMOD:734", "Ethanolamine", "Carboxyl modification with ethanolamine", false},
    {UNIMOD_DTT_ST, "UNIMOD:735", "DTT_ST", "Dithiothreitol (DTT)", false},
    {UNIMOD_DTT_C, "UNIMOD:736", "DTT_C", "Dithiothreitol (DTT) on Cys", false},
    {UNIMOD_TMT6plex, "UNIMOD:737", "TMT6plex", "Sixplex Tandem Mass Tag®", false},
    {UNIMOD_TMT2plex, "UNIMOD:738", "TMT2plex", "Duplex Tandem Mass Tag®", false},
    {UNIMOD_TMT, "UNIMOD:739", "TMT", "Native Tandem Mass Tag®", false},
    {UNIMOD_ExacTagThiol, "UNIMOD:740", "ExacTagThiol", "ExacTag Thiol label mass for 2-4-7-10 plex", false},
    {UNIMOD_ExacTagAmine, "UNIMOD:741", "ExacTagAmine", "ExacTag Amine label mass for 2-4-7-10 plex", false},
    {UNIMOD_4_ONE_Delta_H__2_O__1_, "UNIMOD:743", "4-ONE+Delta:H(-2)O(-1)", "Dehydrated 4-Oxononenal Michael adduct", false},
    {UNIMOD_NO_SMX_SEMD, "UNIMOD:744", "NO_SMX_SEMD", "Nitroso Sulfamethoxazole Sulphenamide thiol adduct", false},
    {UNIMOD_NO_SMX_SMCT, "UNIMOD:745", "NO_SMX_SMCT", "Nitroso Sulfamethoxazole semimercaptal thiol adduct", false},
    {UNIMOD_NO_SMX_SIMD, "UNIMOD:746", "NO_SMX_SIMD", "Nitroso Sulfamethoxazole Sulfinamide thiol adduct", false},
    {UNIMOD_Malonyl, "UNIMOD:747", "Malonyl", "Malonylation of C and S residues", false},
    {UNIMOD_3sulfo, "UNIMOD:748", "3sulfo", "derivatization by N-term modification using 3-Sulfobenzoic succinimidyl ester", false},
    {UNIMOD_trifluoro, "UNIMOD:750", "trifluoro", "trifluoroleucine replacement of leucine", false},
    {UNIMOD_TNBS, "UNIMOD:751", "TNBS", "tri nitro benzene", false},
    {UNIMOD_IDEnT, "UNIMOD:762", "IDEnT", "Isotope Distribution Encoded Tag", false},
    {UNIMOD_DTT_ST_2H_6_, "UNIMOD:763", "DTT_ST:2H(6)", "Isotopically labeled Dithiothreitol (DTT) modification of serines or threonines", false},
    {UNIMOD_DTT_C_2H_6_, "UNIMOD:764", "DTT_C:2H(6)", "Isotopically labeled Dithiothreitol (DTT) modification of cysteines", false},
    {UNIMOD_Met_loss, "UNIMOD:765", "Met-loss", "Removal of initiator methionine from protein N-terminus", false},
    {UNIMOD_Met_loss_Acetyl, "UNIMOD:766", "Met-loss+Acetyl", "Removal of initiator methionine from protein N-terminus, then acetylation of the new N-terminus", false},
    {UNIMOD_Menadione_HQ, "UNIMOD:767", "Menadione-HQ", "Menadione hydroquinone derivative", false},
    {UNIMOD_Methyl_Acetyl_2H_3_, "UNIMOD:768", "Methyl+Acetyl:2H(3)", "Mono-methylated lysine labelled with Acetyl_heavy", false},
    {UNIMOD_lapachenole, "UNIMOD:771", "lapachenole", "lapachenole photochemically added to cysteine", false},
    {UNIMOD_Label_13C_5_, "UNIMOD:772", "Label:13C(5)", "13C(5) Silac label", false},
    {UNIMOD_maleimide, "UNIMOD:773", "maleimide", "maleimide", false},
    {UNIMOD_Biotin_phenacyl, "UNIMOD:774", "Biotin-phenacyl", "Alkylation by biotinylated form of phenacyl bromide", false},
    {UNIMOD_Carboxymethyl_13C_2_, "UNIMOD:775", "Carboxymethyl:13C(2)", "Iodoacetic acid derivative w/ 13C label", false},
    {UNIMOD_NEM_2H_5_, "UNIMOD:776", "NEM:2H(5)", "D5 N-ethylmaleimide on cysteines", false},
    {UNIMOD_AEC_MAEC_2H_4_, "UNIMOD:792", "AEC-MAEC:2H(4)", "deuterium cysteamine modification to S or T", false},
    {UNIMOD_Hex1HexNAc1, "UNIMOD:793", "Hex1HexNAc1", "Hex1HexNAc1", false},
    {UNIMOD_Label_13C_6__GlyGly, "UNIMOD:799", "Label:13C(6)+GlyGly", "13C6 labeled ubiquitinylation residue", false},
    {UNIMOD_PentylamineBiotin, "UNIMOD:800", "PentylamineBiotin", "Used for labeling glutamine-donor substrate of transglutaminase", false},
    {UNIMOD_Pentylamine, "UNIMOD:801", "Pentylamine", "Labeling transglutaminase substrate on glutamine side chain", false},
    {UNIMOD_Biotin_PEO4_hydrazide, "UNIMOD:811", "Biotin-PEO4-hydrazide", "Pierce EZ link biotin hydrazide prod no. 21360", false},
    {UNIMOD_Cy3b_maleimide, "UNIMOD:821", "Cy3b-maleimide", "fluorescent dye that labels cysteines", false},
    {UNIMOD_Gly_loss_Amide, "UNIMOD:822", "Gly-loss+Amide", "Enzymatic glycine removal leaving an amidated C-terminus", false},
    {UNIMOD_BMOE, "UNIMOD:824", "BMOE", "Addition of BMOE crosslinker", false},
    {UNIMOD_DFDNB, "UNIMOD:825", "DFDNB", "Addition of DFDNB crosslinker", false},
    {UNIMOD_TMPP_Ac, "UNIMOD:827", "TMPP-Ac", "tris(2,4,6-trimethoxyphenyl)phosphonium acetic acid N-hydroxysuccinimide ester derivative", false},
    {UNIMOD_Dihydroxyimidazolidine, "UNIMOD:830", "Dihydroxyimidazolidine", "Dihydroxy methylglyoxal adduct", false},
    {UNIMOD_Label_2H_4__Acetyl, "UNIMOD:834", "Label:2H(4)+Acetyl", "Acetyl 4,4,5,5-D4 Lysine", false},
    {UNIMOD_Label_13C_6__Acetyl, "UNIMOD:835", "Label:13C(6)+Acetyl", "Acetyl 13C(6) Silac label", false},
    {UNIMOD_Label_13C_6_15N_2__Acetyl, "UNIMOD:836", "Label:13C(6)15N(2)+Acetyl", "Acetyl_13C(6) 15N(2) Silac label", false},
    {UNIMOD_Arg__Npo, "UNIMOD:837", "Arg->Npo", "Arginine replacement by Nitropyrimidyl ornithine", false},
    {UNIMOD_EQIGG, "UNIMOD:846", "EQIGG", "Sumo mutant Smt3-WT tail following trypsin digestion", false},
    {UNIMOD_Arg2PG, "UNIMOD:848", "Arg2PG", "Adduct of phenylglyoxal with Arg", false},
    {UNIMOD_cGMP, "UNIMOD:849", "cGMP", "S-guanylation", false},
    {UNIMOD_cGMP_RMP_loss, "UNIMOD:851", "cGMP+RMP-loss", "S-guanylation-2", false},
    {UNIMOD_Label_2H_4__GlyGly, "UNIMOD:853", "Label:2H(4)+GlyGly", "Ubiquitination 2H4 lysine", false},
    {UNIMOD_Label_13C_8_15N_2_, "UNIMOD:854", "Label:13C(8)15N(2)", "13C(8) 15N(2) Silac label", false},
    {UNIMOD_MG_H1, "UNIMOD:859", "MG-H1", "Methylglyoxal-derived hydroimidazolone", false},
    {UNIMOD_G_H1, "UNIMOD:860", "G-H1", "Glyoxal-derived hydroimiadazolone", false},
    {UNIMOD_ZGB, "UNIMOD:861", "ZGB", "NHS ester linked Green Fluorescent Bodipy Dye", false},
    {UNIMOD_Label_13C_1_2H_3_, "UNIMOD:862", "Label:13C(1)2H(3)", "SILAC", false},
    {UNIMOD_Label_13C_6_15N_2__GlyGly, "UNIMOD:864", "Label:13C(6)15N(2)+GlyGly", "13C(6) 15N(2) Lysine glygly", false},
    {UNIMOD_ICPL_13C_6_2H_4_, "UNIMOD:866", "ICPL:13C(6)2H(4)", "Bruker Daltonics SERVA-ICPL(TM) quantification chemistry, +10 Da form", false},
    {UNIMOD_QEQTGG, "UNIMOD:876", "QEQTGG", "SUMOylation by SUMO-1", false},
    {UNIMOD_QQQTGG, "UNIMOD:877", "QQQTGG", "SUMOylation by SUMO-2/3", false},
    {UNIMOD_Bodipy, "UNIMOD:878", "Bodipy", "Bodipy modifications onto cysteine", false},
    {UNIMOD_ChromoBiotin, "UNIMOD:884", "ChromoBiotin", "EZ-Link NHS-Chromogenic Biotin", false},
    {UNIMOD_Label_13C_1_2H_3__Oxidation, "UNIMOD:885", "Label:13C(1)2H(3)+Oxidation", "Oxidised methionine 13C(1)2H(3) SILAC label", false},
    {UNIMOD_HydroxymethylOP, "UNIMOD:886", "HydroxymethylOP", "2-ammonio-6-[4-(hydroxymethyl)-3-oxidopyridinium-1-yl]- hexanoate", false},
    {UNIMOD_MDCC, "UNIMOD:887", "MDCC", "covalent linkage of maleimidyl coumarin probe (Molecular Probes D-10253)", false},
    {UNIMOD_mTRAQ, "UNIMOD:888", "mTRAQ", "mTRAQ light", false},
    {UNIMOD_mTRAQ_13C_3_15N_1_, "UNIMOD:889", "mTRAQ:13C(3)15N(1)", "mTRAQ heavy", false},
    {UNIMOD_DyLight_maleimide, "UNIMOD:890", "DyLight-maleimide", "Thiol-reactive dye for fluorescence labelling of proteins", false},
    {UNIMOD_Methyl_PEO12_Maleimide, "UNIMOD:891", "Methyl-PEO12-Maleimide", "Methyl-PEO12-Maleimide", false},
    {UNIMOD_CarbamidomethylDTT, "UNIMOD:893", "CarbamidomethylDTT", "Carbamidomethylated DTT modification of cysteine", false},
    {UNIMOD_CarboxymethylDTT, "UNIMOD:894", "CarboxymethylDTT", "Carboxymethylated DTT modification of cysteine", false},
    {UNIMOD_Biotin_PEG_PRA, "UNIMOD:895", "Biotin-PEG-PRA", "Biotin polyethyleneoxide (n=3) alkyne", false},
    {UNIMOD_Met__Aha, "UNIMOD:896", "Met->Aha", "Methionine replacement by azido homoalanine", false},
    {UNIMOD_Label_15N_4_, "UNIMOD:897", "Label:15N(4)", "SILAC 15N(4)", false},
    {UNIMOD_pyrophospho, "UNIMOD:898", "pyrophospho", "pyrophosphorylation of Ser/Thr", false},
    {UNIMOD_Met__Hpg, "UNIMOD:899", "Met->Hpg", "methionine replacement by homopropargylglycine", false},
    {UNIMOD_4AcAllylGal, "UNIMOD:901", "4AcAllylGal", "2,3,4,6-tetra-O-Acetyl-1-allyl-α-D-galactopyranoside modification of cysteine", false},
    {UNIMOD_DimethylArsino, "UNIMOD:902", "DimethylArsino", "Reaction with dimethylarsinous (AsIII) acid", false},
    {UNIMOD_Lys__CamCys, "UNIMOD:903", "Lys->CamCys", "Lys->Cys substitution and carbamidomethylation", false},
    {UNIMOD_Phe__CamCys, "UNIMOD:904", "Phe->CamCys", "Phe->Cys substitution and carbamidomethylation", false},
    {UNIMOD_Leu__MetOx, "UNIMOD:905", "Leu->MetOx", "Leu->Met substitution and sulfoxidation", false},
    {UNIMOD_Lys__MetOx, "UNIMOD:906", "Lys->MetOx", "Lys->Met substitution and sulfoxidation", false},
    {UNIMOD_Galactosyl, "UNIMOD:907", "Galactosyl", "Galactosyl hydroxylysine", false},
    {UNIMOD_SMCC_maleimide, "UNIMOD:908", "SMCC-maleimide", "Modified SMCC maleimide with 3-(dimethylamino)-1-propylamine", false},
    {UNIMOD_Bacillosamine, "UNIMOD:910", "Bacillosamine", "2,4-diacetamido-2,4,6-trideoxyglucopyranose", false},
    {UNIMOD_MTSL, "UNIMOD:911", "MTSL", "Cys modification by (1-oxyl-2,2,5,5-tetramethyl-3-pyrroline-3-methyl)methanesulfonate (MTSL)", false},
    {UNIMOD_HNE_BAHAH, "UNIMOD:912", "HNE-BAHAH", "4-hydroxy-2-nonenal and biotinamidohexanoic acid hydrazide, reduced", false},
    {UNIMOD_Methylmalonylation, "UNIMOD:914", "Methylmalonylation", "Methylmalonylation on Serine", false},
}; // termInfos_


const size_t termInfosSize_ = sizeof(termInfos_)/sizeof(TermInfo);


struct CVIDPair
{
    CVID first;
    CVID second;
};


CVIDPair relationsIsA_[] =
{
    {MS_sample_number, MS_sample_attribute},
    {MS_sample_state, MS_sample_attribute},
    {MS_sample_mass, MS_sample_attribute},
    {MS_sample_volume, MS_sample_attribute},
    {MS_sample_concentration, MS_sample_attribute},
    {MS_mass_resolution, MS_scan_attribute},
    {MS_resolution_measurement_method, MS_measurement_method},
    {MS_accuracy, MS_mass_analyzer_attribute},
    {MS_scan_rate, MS_scan_attribute},
    {MS_scan_start_time, MS_scan_attribute},
    {MS_reflectron_state, MS_mass_analyzer_attribute},
    {MS_TOF_Total_Path_Length, MS_mass_analyzer_attribute},
    {MS_isolation_width, MS_purgatory},
    {MS_final_MS_exponent, MS_mass_analyzer_attribute},
    {MS_magnetic_field_strength, MS_mass_analyzer_attribute},
    {MS_detector_resolution, MS_detector_attribute},
    {MS_sampling_frequency, MS_detector_attribute},
    {MS_customization, MS_instrument_attribute},
    {MS_deisotoping, MS_data_processing_action},
    {MS_charge_deconvolution, MS_data_processing_action},
    {MS_peak_picking, MS_data_processing_action},
    {MS_m_z, MS_unit},
    {MS_charge_state, MS_ion_selection_attribute},
    {MS_peak_intensity, MS_ion_selection_attribute},
    {MS_intensity_unit, MS_unit},
    {MS_collision_energy, MS_precursor_activation_attribute},
    {MS_energy_unit_OBSOLETE, MS_unit},
    {MS_emulsion, MS_sample_state},
    {MS_gas, MS_sample_state},
    {MS_liquid, MS_sample_state},
    {MS_solid, MS_sample_state},
    {MS_solution, MS_sample_state},
    {MS_suspension, MS_sample_state},
    {MS_sample_batch, MS_sample_attribute},
    {MS_chromatography, MS_purgatory},
    {MS_continuous_flow_fast_atom_bombardment, MS_inlet_type},
    {MS_direct_inlet, MS_inlet_type},
    {MS_electrospray_inlet, MS_inlet_type},
    {MS_flow_injection_analysis, MS_inlet_type},
    {MS_inductively_coupled_plasma, MS_inlet_type},
    {MS_infusion, MS_inlet_type},
    {MS_jet_separator, MS_inlet_type},
    {MS_membrane_separator, MS_inlet_type},
    {MS_moving_belt, MS_inlet_type},
    {MS_moving_wire, MS_inlet_type},
    {MS_open_split, MS_inlet_type},
    {MS_particle_beam, MS_inlet_type},
    {MS_reservoir, MS_inlet_type},
    {MS_septum, MS_inlet_type},
    {MS_thermospray_inlet, MS_inlet_type},
    {MS_atmospheric_pressure_chemical_ionization, MS_atmospheric_pressure_ionization},
    {MS_chemical_ionization, MS_ionization_type},
    {MS_electrospray_ionization, MS_ionization_type},
    {MS_fast_atom_bombardment_ionization, MS_ionization_type},
    {MS_matrix_assisted_laser_desorption_ionization, MS_desorption_ionization},
    {MS_axial_ejection_linear_ion_trap, MS_ion_trap},
    {MS_fourier_transform_ion_cyclotron_resonance_mass_spectrometer, MS_mass_analyzer_type},
    {MS_magnetic_sector, MS_mass_analyzer_type},
    {MS_quadrupole, MS_mass_analyzer_type},
    {MS_quadrupole_ion_trap, MS_ion_trap},
    {MS_radial_ejection_linear_ion_trap, MS_ion_trap},
    {MS_time_of_flight, MS_mass_analyzer_type},
    {MS_baseline, MS_resolution_measurement_method},
    {MS_full_width_at_half_maximum, MS_resolution_measurement_method},
    {MS_ten_percent_valley, MS_resolution_measurement_method},
    {MS_constant, MS_resolution_type},
    {MS_proportional, MS_resolution_type},
    {MS_mass_scan, MS_Scan_Function},
    {MS_selected_ion_detection, MS_Scan_Function},
    {MS_decreasing_m_z_scan, MS_scan_direction},
    {MS_increasing_m_z_scan, MS_scan_direction},
    {MS_exponential, MS_scan_law},
    {MS_linear, MS_scan_law},
    {MS_quadratic, MS_scan_law},
    {MS_constant_neutral_mass_loss, MS_purgatory},
    {MS_multiple_ion_monitoring, MS_purgatory},
    {MS_precursor_ion_scan, MS_purgatory},
    {MS_product_ion_scan, MS_purgatory},
    {MS_reflectron_off, MS_reflectron_state},
    {MS_reflectron_on, MS_reflectron_state},
    {MS_channeltron, MS_detector_type},
    {MS_conversion_dynode_electron_multiplier, MS_conversion_dynode},
    {MS_conversion_dynode_photomultiplier, MS_conversion_dynode},
    {MS_daly_detector, MS_detector_type},
    {MS_electron_multiplier_tube, MS_electron_multiplier},
    {MS_faraday_cup, MS_detector_type},
    {MS_focal_plane_array, MS_focal_plane_collector},
    {MS_microchannel_plate_detector, MS_detector_type},
    {MS_multi_collector, MS_detector_type},
    {MS_photomultiplier, MS_detector_type},
    {MS_analog_digital_converter, MS_detector_acquisition_mode},
    {MS_pulse_counting, MS_detector_acquisition_mode},
    {MS_time_digital_converter, MS_detector_acquisition_mode},
    {MS_transient_recorder, MS_detector_acquisition_mode},
    {MS_AB_SCIEX_instrument_model, MS_instrument_model},
    {MS_Bruker_Daltonics_instrument_model, MS_instrument_model},
    {MS_IonSpec_instrument_model, MS_Varian_instrument_model},
    {MS_Shimadzu_instrument_model, MS_instrument_model},
    {MS_Thermo_Finnigan_instrument_model, MS_Thermo_Fisher_Scientific_instrument_model},
    {MS_Waters_instrument_model, MS_instrument_model},
    {MS_centroid_spectrum, MS_spectrum_representation},
    {MS_profile_spectrum, MS_spectrum_representation},
    {MS_negative_scan, MS_polarity},
    {MS_negative_scan, MS_scan_polarity},
    {MS_positive_scan, MS_polarity},
    {MS_positive_scan, MS_scan_polarity},
    {MS_number_of_counts, MS_intensity_unit},
    {MS_percent_of_base_peak, MS_intensity_unit},
    {MS_collision_induced_dissociation, MS_dissociation_method},
    {MS_plasma_desorption, MS_dissociation_method},
    {MS_post_source_decay, MS_dissociation_method},
    {MS_surface_induced_dissociation, MS_dissociation_method},
    {MS_percent_collision_energy, MS_precursor_activation_attribute},
    {MS_4000_Q_TRAP, MS_AB_SCIEX_instrument_model},
    {MS_4700_Proteomics_Analyzer, MS_Applied_Biosystems_instrument_model},
    {MS_apex_IV, MS_Bruker_Daltonics_apex_series},
    {MS_apex_Q, MS_Bruker_Daltonics_apex_series},
    {MS_API_150EX, MS_AB_SCIEX_instrument_model},
    {MS_API_150EX_Prep, MS_AB_SCIEX_instrument_model},
    {MS_API_2000, MS_AB_SCIEX_instrument_model},
    {MS_API_3000, MS_AB_SCIEX_instrument_model},
    {MS_API_4000, MS_AB_SCIEX_instrument_model},
    {MS_autoflex_II, MS_Bruker_Daltonics_flex_series},
    {MS_autoflex_TOF_TOF, MS_Bruker_Daltonics_flex_series},
    {MS_Auto_Spec_Ultima_NT, MS_Waters_instrument_model},
    {MS_BioTOF_II, MS_Bruker_Daltonics_BioTOF_series},
    {MS_BioTOF_Q, MS_Bruker_Daltonics_BioTOF_series},
    {MS_DELTA_plusAdvantage, MS_Thermo_Finnigan_instrument_model},
    {MS_DELTAplusXP, MS_Thermo_Finnigan_instrument_model},
    {MS_esquire_4000, MS_Bruker_Daltonics_esquire_series},
    {MS_esquire_6000, MS_Bruker_Daltonics_esquire_series},
    {MS_explorer, MS_IonSpec_instrument_model},
    {MS_GCT, MS_Waters_instrument_model},
    {MS_HCT, MS_Bruker_Daltonics_HCT_Series},
    {MS_HCTplus, MS_Bruker_Daltonics_HCT_Series},
    {MS_HiRes_ESI, MS_IonSpec_instrument_model},
    {MS_HiRes_MALDI, MS_IonSpec_instrument_model},
    {MS_IsoPrime, MS_Waters_instrument_model},
    {MS_IsoProbe, MS_Waters_instrument_model},
    {MS_IsoProbe_T, MS_Waters_instrument_model},
    {MS_LCQ_Advantage, MS_Thermo_Finnigan_instrument_model},
    {MS_LCQ_Classic, MS_Thermo_Finnigan_instrument_model},
    {MS_LCQ_Deca_XP_Plus, MS_Thermo_Finnigan_instrument_model},
    {MS_M_LDI_L, MS_Waters_instrument_model},
    {MS_M_LDI_LR, MS_Waters_instrument_model},
    {MS_MAT253, MS_Finnigan_MAT_instrument_model},
    {MS_MAT900XP, MS_Finnigan_MAT_instrument_model},
    {MS_MAT900XP_Trap, MS_Finnigan_MAT_instrument_model},
    {MS_MAT95XP, MS_Finnigan_MAT_instrument_model},
    {MS_MAT95XP_Trap, MS_Finnigan_MAT_instrument_model},
    {MS_microflex, MS_Bruker_Daltonics_flex_series},
    {MS_microTOF_LC, MS_Bruker_Daltonics_micrOTOF_series},
    {MS_neptune, MS_Thermo_Finnigan_instrument_model},
    {MS_NG_5400, MS_Waters_instrument_model},
    {MS_OMEGA, MS_IonSpec_instrument_model},
    {MS_OMEGA_2001, MS_IonSpec_instrument_model},
    {MS_OmniFlex, MS_Bruker_Daltonics_flex_series},
    {MS_Platform_ICP, MS_Waters_instrument_model},
    {MS_PolarisQ, MS_Thermo_Finnigan_instrument_model},
    {MS_proteomics_solution_1, MS_AB_SCIEX_instrument_model},
    {MS_Q_TRAP, MS_AB_SCIEX_instrument_model},
    {MS_Q_Tof_micro, MS_Waters_instrument_model},
    {MS_Q_Tof_ultima, MS_Waters_instrument_model},
    {MS_QSTAR, MS_AB_SCIEX_instrument_model},
    {MS_quattro_micro, MS_Waters_instrument_model},
    {MS_Quattro_UItima, MS_Waters_instrument_model},
    {MS_Surveyor_MSQ, MS_Thermo_Finnigan_instrument_model},
    {MS_SymBiot_I, MS_AB_SCIEX_instrument_model},
    {MS_SymBiot_XVI, MS_AB_SCIEX_instrument_model},
    {MS_TEMPUS_TOF, MS_Thermo_Finnigan_instrument_model},
    {MS_TRACE_DSQ, MS_Thermo_Finnigan_instrument_model},
    {MS_TRITON, MS_Thermo_Finnigan_instrument_model},
    {MS_TSQ_Quantum, MS_Thermo_Finnigan_instrument_model},
    {MS_ultima, MS_IonSpec_instrument_model},
    {MS_ultraflex, MS_Bruker_Daltonics_flex_series},
    {MS_ultraflex_TOF_TOF, MS_Bruker_Daltonics_flex_series},
    {MS_Voyager_DE_PRO, MS_Applied_Biosystems_instrument_model},
    {MS_Voyager_DE_STR, MS_Applied_Biosystems_instrument_model},
    {MS_selected_ion_monitoring, MS_purgatory},
    {MS_selected_reaction_monitoring, MS_purgatory},
    {MS_accurate_mass, MS_ion_attribute},
    {MS_average_mass, MS_ion_attribute},
    {MS_appearance_energy, MS_ion_attribute},
    {MS_base_peak, MS_peak},
    {MS_OBSOLETE_charge_number_OBSOLETE, MS_ion_attribute},
    {MS_electron_affinity, MS_ion_attribute},
    {MS_exact_mass, MS_ion_attribute},
    {MS_field_free_region, MS_ion_optics_attribute},
    {MS_ionization_cross_section, MS_ion_reaction},
    {MS_ionization_energy, MS_ion_attribute},
    {MS_isotope_dilution_mass_spectrometry, MS_mass_spectrometry},
    {MS_magnetic_deflection, MS_ion_optics_type},
    {MS_mass_defect, MS_ion_attribute},
    {MS_mass_number, MS_ion_attribute},
    {MS_molecular_mass, MS_ion_attribute},
    {MS_monoisotopic_mass, MS_ion_attribute},
    {MS_molecular_beam_mass_spectrometry, MS_mass_spectrometer},
    {MS_multiphoton_ionization, MS_ionization_type},
    {MS_nitrogen_rule, MS_ion_reaction},
    {MS_nominal_mass, MS_ion_attribute},
    {MS_odd_electron_rule, MS_ion_reaction},
    {MS_proton_affinity, MS_ion_attribute},
    {MS_mass_resolving_power_OBSOLETE, MS_m_z_Separation_Method},
    {MS_total_ion_current_chromatogram, MS_data_file_content},
    {MS_total_ion_current_chromatogram, MS_mass_chromatogram},
    {MS_transmission, MS_instrument_attribute},
    {MS_accelerator_mass_spectrometry, MS_mass_spectrometer},
    {MS_atmospheric_pressure_matrix_assisted_laser_desorption_ionization, MS_atmospheric_pressure_ionization},
    {MS_atmospheric_pressure_ionization, MS_ionization_type},
    {MS_blackbody_infrared_radiative_dissociation, MS_dissociation_method},
    {MS_blackbody_infrared_radiative_dissociation, MS_ion_reaction},
    {MS_charge_remote_fragmentation, MS_ion_reaction},
    {MS_consecutive_reaction_monitoring, MS_purgatory},
    {MS_charge_stripping, MS_precursor_activation_attribute},
    {MS_delayed_extraction, MS_ion_optics_type},
    {MS_desorption_ionization, MS_ionization_type},
    {MS_direct_insertion_probe, MS_inlet_type},
    {MS_direct_liquid_introduction, MS_inlet_type},
    {MS_electron_capture_dissociation, MS_dissociation_method},
    {MS_electron_capture_dissociation, MS_ion_reaction},
    {MS_even_electron_ion, MS_ion_chemical_type},
    {MS_electron_induced_excitation_in_organics, MS_ion_reaction},
    {MS_electron_multiplier, MS_detector_type},
    {MS_electrostatic_energy_analyzer, MS_mass_analyzer_type},
    {MS_flowing_afterglow, MS_ionization_type},
    {MS_high_field_asymmetric_waveform_ion_mobility_spectrometry, MS_mass_spectrometer},
    {MS_field_desorption, MS_desorption_ionization},
    {MS_field_ionization, MS_ionization_type},
    {MS_glow_discharge_ionization, MS_ionization_type},
    {MS_ion_kinetic_energy_spectrometry, MS_mass_spectrometer},
    {MS_ion_mobility_spectrometry, MS_mass_spectrometer},
    {MS_infrared_multiphoton_dissociation, MS_dissociation_method},
    {MS_isotope_ratio_mass_spectrometry, MS_mass_spectrometry},
    {MS_ion_trap, MS_mass_analyzer_type},
    {MS_kinetic_energy_release_distribution, MS_ion_reaction},
    {MS_mass_analyzed_ion_kinetic_energy_spectrometry, MS_mass_spectrometer},
    {MS_mass_spectrometry_mass_spectrometry, MS_mass_spectrometer},
    {MS_multiple_stage_mass_spectrometry, MS_sequential_m_z_separation_method__},
    {MS_Negative_Ion_chemical_ionization, MS_ionization_type},
    {MS_neutralization_reionization_mass_spectrometry, MS_ionization_type},
    {MS_photoionization, MS_ionization_type},
    {MS_pyrolysis_mass_spectrometry, MS_ionization_type},
    {MS_collision_quadrupole, MS_ion_optics_type},
    {MS_resonance_enhanced_multiphoton_ionization, MS_ionization_type},
    {MS_residual_gas_analyzer, MS_mass_spectrometer},
    {MS_surface_enhanced_laser_desorption_ionization, MS_surface_ionization},
    {MS_surface_enhanced_neat_desorption, MS_surface_ionization},
    {MS_selected_ion_flow_tube, MS_ion_optics_type},
    {MS_sustained_off_resonance_irradiation, MS_dissociation_method},
    {MS_stored_waveform_inverse_fourier_transform, MS_mass_analyzer_type},
    {MS_total_ion_current, MS_spectrum_attribute},
    {MS_time_lag_focusing, MS_ion_optics_type},
    {MS_time_of_flight_mass_spectrometer, MS_mass_spectrometer},
    {MS_cyclotron, MS_mass_analyzer_type},
    {MS_double_focusing_mass_spectrometer, MS_mass_spectrometer},
    {MS_hybrid_mass_spectrometer, MS_mass_spectrometer},
    {MS_linear_ion_trap, MS_ion_trap},
    {MS_mass_spectrograph_obsolete, MS_purgatory},
    {MS_mass_spectrometer, MS_purgatory},
    {MS_mass_spectrum, MS_data_file_content},
    {MS_mass_spectrum, MS_spectrum_type},
    {MS_mattauch_herzog_geometry, MS_purgatory},
    {MS_nier_johnson_geometry, MS_purgatory},
    {MS_paul_ion_trap, MS_purgatory},
    {MS_prolate_traochoidal_mass_spectrometer, MS_mass_spectrometer},
    {MS_quistor, MS_purgatory},
    {MS_reflectron, MS_ion_optics_type},
    {MS_sector_mass_spectrometer, MS_mass_spectrometer},
    {MS_tandem_mass_spectrometer, MS_mass_spectrometer},
    {MS_transmission_quadrupole_mass_spectrometer, MS_mass_spectrometer},
    {MS_accelerating_voltage, MS_ion_optics_attribute},
    {MS_cyclotron_motion, MS_m_z_Separation_Method},
    {MS_dynamic_mass_spectrometry, MS_mass_spectrometer},
    {MS_einzel_lens, MS_ion_optics_type},
    {MS_electric_field_strength, MS_ion_optics_attribute},
    {MS_first_stability_region, MS_ion_optics_type},
    {MS_fringing_field, MS_ion_optics_type},
    {MS_kinetic_energy_analyzer, MS_ion_optics_type},
    {MS_mass_limit, MS_purgatory},
    {MS_mass_selective_axial_ejection, MS_m_z_Separation_Method},
    {MS_mass_selective_instability, MS_m_z_Separation_Method},
    {MS_mathieu_stability_diagram, MS_m_z_Separation_Method},
    {MS_orthogonal_extraction, MS_m_z_Separation_Method},
    {MS_resonance_ion_ejection, MS_m_z_Separation_Method},
    {MS_space_charge_effect, MS_ion_optics_attribute},
    {MS_static_field, MS_ion_optics_type},
    {MS_2E_Mass_Spectrum, MS_sequential_m_z_separation_method__},
    {MS_charge_inversion_mass_spectrum, MS_mass_spectrum},
    {MS_charge_inversion_mass_spectrum, MS_data_file_content},
    {MS_constant_neutral_loss_scan, MS_purgatory},
    {MS_constant_neutral_gain_scan, MS_purgatory},
    {MS_constant_neutral_gain_spectrum, MS_mass_spectrum},
    {MS_constant_neutral_gain_spectrum, MS_data_file_content},
    {MS_constant_neutral_loss_spectrum, MS_mass_spectrum},
    {MS_constant_neutral_loss_spectrum, MS_data_file_content},
    {MS_e_2_mass_spectrum, MS_mass_spectrum},
    {MS_linked_scan, MS_purgatory},
    {MS_linked_scan_at_constant_b_e, MS_linked_scan},
    {MS_Linked_Scan_at_Constant_E2_V, MS_linked_scan},
    {MS_Linked_Scan_at_Constant_B2_E, MS_linked_scan},
    {MS_Linked_Scan_at_Constant_B_1__E_E0___1_2___E, MS_linked_scan},
    {MS_MS_MS_in_Time, MS_sequential_m_z_separation_method__},
    {MS_MS_MS_in_Space, MS_sequential_m_z_separation_method__},
    {MS_neutral_loss, MS_sequential_m_z_separation_method__},
    {MS_neutral_loss, MS_modification_parameters},
    {MS_nth_generation_product_ion, MS_product_ion},
    {MS_nth_generation_product_ion_scan, MS_purgatory},
    {MS_nth_generation_product_ion_spectrum_OBSOLETE, MS_product_ion_spectrum_OBSOLETE},
    {MS_precursor_ion, MS_ion_role},
    {MS_precursor_ion_spectrum, MS_mass_spectrum},
    {MS_precursor_ion_spectrum, MS_data_file_content},
    {MS_product_ion, MS_ion_role},
    {MS_product_ion_spectrum_OBSOLETE, MS_mass_spectrum},
    {MS_product_ion_spectrum_OBSOLETE, MS_data_file_content},
    {MS_progeny_ion, MS_ion_chemical_type},
    {MS_array_detector, MS_detector_type},
    {MS_conversion_dynode, MS_detector_type},
    {MS_dynode, MS_detector_type},
    {MS_focal_plane_collector, MS_detector_type},
    {MS_ion_to_photon_detector, MS_detector_type},
    {MS_point_collector, MS_detector_type},
    {MS_postacceleration_detector, MS_detector_type},
    {MS_secondary_electron, MS_purgatory},
    {MS_adduct_ion, MS_ion_chemical_type},
    {MS_aromatic_ion, MS_ion_chemical_type},
    {MS_analog_ion, MS_ion_chemical_type},
    {MS_anti_aromatic_ion, MS_ion_chemical_type},
    {MS_cationized_molecule, MS_ion_chemical_type},
    {MS_cluster_ion, MS_ion_chemical_type},
    {MS_Conventional_ion, MS_ion_chemical_type},
    {MS_diagnostic_ion, MS_ion_chemical_type},
    {MS_dimeric_ion, MS_ion_chemical_type},
    {MS_distonic_ion, MS_ion_chemical_type},
    {MS_enium_ion, MS_ion_chemical_type},
    {MS_Isotopologue_ion, MS_ion_chemical_type},
    {MS_Isotopomeric_ion, MS_ion_chemical_type},
    {MS_metastable_ion, MS_purgatory},
    {MS_molecular_ion, MS_ion_chemical_type},
    {MS_negative_ion, MS_ion_chemical_type},
    {MS_non_classical_ion, MS_ion_chemical_type},
    {MS_onium_ion, MS_ion_chemical_type},
    {MS_principal_ion, MS_ion_chemical_type},
    {MS_positive_ion, MS_ion_chemical_type},
    {MS_protonated_molecule, MS_ion_chemical_type},
    {MS_radical_ion, MS_ion_chemical_type},
    {MS_reference_ion, MS_ion_chemical_type},
    {MS_stable_ion, MS_purgatory},
    {MS_unstable_ion, MS_purgatory},
    {MS_adiabatic_ionization, MS_ionization_type},
    {MS_associative_ionization, MS_ionization_type},
    {MS_atmospheric_pressure_photoionization, MS_atmospheric_pressure_ionization},
    {MS_autodetachment, MS_ionization_type},
    {MS_autoionization, MS_ionization_type},
    {MS_charge_exchange_ionization, MS_ionization_type},
    {MS_chemi_ionization, MS_ionization_type},
    {MS_desorption_ionization_on_silicon, MS_desorption_ionization},
    {MS_dissociative_ionization, MS_ionization_type},
    {MS_electron_ionization, MS_ionization_type},
    {MS_ion_desolvation, MS_ion_reaction},
    {MS_ion_pair_formation, MS_ion_reaction},
    {MS_ionization_efficiency, MS_source_attribute},
    {MS_laser_desorption_ionization, MS_desorption_ionization},
    {MS_liquid_secondary_ionization, MS_ionization_type},
    {MS_membrane_inlet, MS_inlet_type},
    {MS_microelectrospray, MS_electrospray_ionization},
    {MS_nanoelectrospray, MS_electrospray_ionization},
    {MS_penning_ionization, MS_ionization_type},
    {MS_plasma_desorption_ionization, MS_ionization_type},
    {MS_pre_ionization_state, MS_ion_reaction},
    {MS_secondary_ionization, MS_ionization_type},
    {MS_soft_ionization, MS_ionization_type},
    {MS_spark_ionization, MS_ionization_type},
    {MS_surface_assisted_laser_desorption_ionization, MS_desorption_ionization},
    {MS_surface_ionization, MS_ionization_type},
    {MS_thermal_ionization, MS_ionization_type},
    {MS_vertical_ionization, MS_ionization_type},
    {MS_association_reaction, MS_ion_reaction},
    {MS_alpha_cleavage, MS_ion_reaction},
    {MS_beta_cleavage, MS_ion_reaction},
    {MS_buffer_gas, MS_precursor_activation_attribute},
    {MS_charge_induced_fragmentation, MS_ion_reaction},
    {MS_charge_inversion_reaction, MS_ion_reaction},
    {MS_charge_permutation_reaction, MS_ion_reaction},
    {MS_charge_stripping_reaction, MS_ion_reaction},
    {MS_charge_transfer_reaction, MS_ion_reaction},
    {MS_collisional_excitation, MS_ion_reaction},
    {MS_collision_gas, MS_precursor_activation_attribute},
    {MS_heterolytic_cleavage, MS_ion_reaction},
    {MS_high_energy_collision, MS_ion_reaction},
    {MS_high_energy_collision_induced_dissociation, MS_dissociation_method},
    {MS_homolytic_cleavage, MS_ion_reaction},
    {MS_hydrogen_deuterium_exchange, MS_ion_reaction},
    {MS_ion_energy_loss_spectrum, MS_purgatory},
    {MS_ionizing_collision, MS_ion_reaction},
    {MS_ion_molecule_reaction, MS_ion_reaction},
    {MS_ion_neutral_complex, MS_ion_reaction},
    {MS_ion_neutral_species_reaction, MS_ion_reaction},
    {MS_ion_neutral_species_exchange_reaction, MS_ion_reaction},
    {MS_kinetic_method, MS_ion_reaction},
    {MS_low_energy_collisions, MS_ion_reaction},
    {MS_low_energy_collision_induced_dissociation, MS_dissociation_method},
    {MS_McLafferty_Rearrangement, MS_ion_reaction},
    {MS_photodissociation, MS_dissociation_method},
    {MS_partial_charge_transfer_reaction, MS_ion_reaction},
    {MS_superelastic_collision, MS_ion_reaction},
    {MS_surface_induced_reaction, MS_ion_reaction},
    {MS_unimolecular_dissociation, MS_ion_reaction},
    {MS_fast_ion_bombardment, MS_ionization_type},
    {MS_LTQ, MS_Thermo_Scientific_instrument_model},
    {MS_LTQ_FT, MS_Thermo_Scientific_instrument_model},
    {MS_LTQ_Orbitrap, MS_Thermo_Scientific_instrument_model},
    {MS_LXQ, MS_Thermo_Scientific_instrument_model},
    {MS_ion_selection_attribute, MS_object_attribute},
    {MS_1200_series_LC_MSD_SL, MS_Agilent_instrument_model},
    {MS_6110_Quadrupole_LC_MS, MS_Agilent_instrument_model},
    {MS_6120_Quadrupole_LC_MS, MS_Agilent_instrument_model},
    {MS_6130_Quadrupole_LC_MS, MS_Agilent_instrument_model},
    {MS_6140_Quadrupole_LC_MS, MS_Agilent_instrument_model},
    {MS_6210_Time_of_Flight_LC_MS, MS_Agilent_instrument_model},
    {MS_6310_Ion_Trap_LC_MS, MS_Agilent_instrument_model},
    {MS_6320_Ion_Trap_LC_MS, MS_Agilent_instrument_model},
    {MS_6330_Ion_Trap_LC_MS, MS_Agilent_instrument_model},
    {MS_6340_Ion_Trap_LC_MS, MS_Agilent_instrument_model},
    {MS_6410_Triple_Quadrupole_LC_MS, MS_Agilent_instrument_model},
    {MS_1200_series_LC_MSD_VL, MS_Agilent_instrument_model},
    {MS_Thermo_Fisher_Scientific_instrument_model, MS_instrument_model},
    {MS_orbitrap, MS_mass_analyzer_type},
    {MS_nanospray_inlet, MS_electrospray_inlet},
    {MS_source_potential, MS_source_attribute},
    {MS_ion_optics_attribute, MS_ion_optics},
    {MS_Hitachi_instrument_model, MS_instrument_model},
    {MS_Varian_instrument_model, MS_instrument_model},
    {MS_Agilent_instrument_model, MS_instrument_model},
    {MS_Dionex_instrument_model, MS_instrument_model},
    {MS_Thermo_Electron_instrument_model, MS_Thermo_Fisher_Scientific_instrument_model},
    {MS_Finnigan_MAT_instrument_model, MS_Thermo_Fisher_Scientific_instrument_model},
    {MS_Thermo_Scientific_instrument_model, MS_Thermo_Fisher_Scientific_instrument_model},
    {MS_Applied_Biosystems_instrument_model, MS_instrument_model},
    {MS_instrument_attribute, MS_object_attribute},
    {MS_zoom_scan, MS_spectrum_attribute},
    {MS_full_scan, MS_scanning_method},
    {MS_spectrum_attribute, MS_object_attribute},
    {MS_scan_window_upper_limit, MS_selection_window_attribute},
    {MS_scan_window_lower_limit, MS_selection_window_attribute},
    {MS_dwell_time, MS_scan_attribute},
    {MS_scan_attribute, MS_object_attribute},
    {MS_base_peak_m_z, MS_spectrum_attribute},
    {MS_base_peak_intensity, MS_spectrum_attribute},
    {MS_activation_energy, MS_precursor_activation_attribute},
    {MS_ms_level, MS_spectrum_attribute},
    {MS_filter_string, MS_scan_attribute},
    {MS_m_z_array, MS_binary_data_array},
    {MS_intensity_array, MS_binary_data_array},
    {MS_charge_array, MS_binary_data_array},
    {MS_signal_to_noise_array, MS_binary_data_array},
    {MS_32_bit_integer, MS_binary_data_type},
    {MS_16_bit_float_OBSOLETE, MS_binary_data_type},
    {MS_32_bit_float, MS_binary_data_type},
    {MS_64_bit_integer, MS_binary_data_type},
    {MS_64_bit_float, MS_binary_data_type},
    {MS_Waters_raw_file, MS_mass_spectrometer_file_format},
    {MS_highest_observed_m_z, MS_spectrum_attribute},
    {MS_highest_observed_m_z, MS_chromatogram_attribute},
    {MS_lowest_observed_m_z, MS_spectrum_attribute},
    {MS_lowest_observed_m_z, MS_chromatogram_attribute},
    {MS_instrument_serial_number, MS_instrument_attribute},
    {MS_file_format_conversion, MS_data_transformation},
    {MS_Xcalibur, MS_Thermo_Finnigan_software},
    {MS_Xcalibur, MS_acquisition_software},
    {MS_Xcalibur, MS_analysis_software},
    {MS_Xcalibur, MS_data_processing_software},
    {MS_Bioworks, MS_Thermo_Finnigan_software},
    {MS_Bioworks, MS_analysis_software},
    {MS_Bioworks, MS_data_processing_software},
    {MS_MassLynx, MS_acquisition_software},
    {MS_MassLynx, MS_analysis_software},
    {MS_MassLynx, MS_data_processing_software},
    {MS_FlexAnalysis, MS_Bruker_software},
    {MS_FlexAnalysis, MS_analysis_software},
    {MS_FlexAnalysis, MS_data_processing_software},
    {MS_Data_Explorer, MS_Applied_Biosystems_software},
    {MS_Data_Explorer, MS_acquisition_software},
    {MS_Data_Explorer, MS_analysis_software},
    {MS_Data_Explorer, MS_data_processing_software},
    {MS_4700_Explorer, MS_Applied_Biosystems_software},
    {MS_4700_Explorer, MS_acquisition_software},
    {MS_4700_Explorer, MS_analysis_software},
    {MS_4700_Explorer, MS_data_processing_software},
    {MS_massWolf, MS_data_processing_software},
    {MS_Voyager_Biospectrometry_Workstation_System, MS_Applied_Biosystems_software},
    {MS_Voyager_Biospectrometry_Workstation_System, MS_acquisition_software},
    {MS_Voyager_Biospectrometry_Workstation_System, MS_analysis_software},
    {MS_Voyager_Biospectrometry_Workstation_System, MS_data_processing_software},
    {MS_FlexControl, MS_Bruker_software},
    {MS_FlexControl, MS_acquisition_software},
    {MS_ReAdW, MS_data_processing_software},
    {MS_MzStar, MS_data_processing_software},
    {MS_data_processing_action, MS_data_transformation},
    {MS_Conversion_to_mzML, MS_file_format_conversion},
    {MS_Conversion_to_mzXML, MS_file_format_conversion},
    {MS_Conversion_to_mzData, MS_file_format_conversion},
    {MS_sample_attribute, MS_object_attribute},
    {MS_selection_window_attribute, MS_object_attribute},
    {MS_Analyst, MS_AB_SCIEX_software},
    {MS_Analyst, MS_acquisition_software},
    {MS_Analyst, MS_analysis_software},
    {MS_Analyst, MS_data_processing_software},
    {MS_Trapper, MS_data_processing_software},
    {MS_LCQ_Deca, MS_Thermo_Finnigan_instrument_model},
    {MS_LTQ_Orbitrap_Discovery, MS_Thermo_Scientific_instrument_model},
    {MS_LTQ_Orbitrap_XL, MS_Thermo_Scientific_instrument_model},
    {MS_LTQ_FT_Ultra, MS_Thermo_Scientific_instrument_model},
    {MS_GC_Quantum, MS_Thermo_Finnigan_instrument_model},
    {MS_mass_spectrometer_file_format, MS_file_format},
    {MS_ABI_WIFF_file, MS_mass_spectrometer_file_format},
    {MS_Thermo_RAW_file, MS_mass_spectrometer_file_format},
    {MS_PSI_mzData_file, MS_mass_spectrometer_file_format},
    {MS_Micromass_PKL_file, MS_mass_spectrometer_file_format},
    {MS_ISB_mzXML_file, MS_mass_spectrometer_file_format},
    {MS_Bruker_Agilent_YEP_file, MS_mass_spectrometer_file_format},
    {MS_MD5, MS_data_file_checksum_type},
    {MS_SHA_1, MS_data_file_checksum_type},
    {MS_sum_of_spectra, MS_spectra_combination},
    {MS_median_of_spectra, MS_spectra_combination},
    {MS_zlib_compression, MS_binary_data_compression_type},
    {MS_mean_of_spectra, MS_spectra_combination},
    {MS_no_compression, MS_binary_data_compression_type},
    {MS_LCQ_Fleet, MS_Thermo_Finnigan_instrument_model},
    {MS_MS1_spectrum, MS_mass_spectrum},
    {MS_MS1_spectrum, MS_data_file_content},
    {MS_MSn_spectrum, MS_mass_spectrum},
    {MS_MSn_spectrum, MS_data_file_content},
    {MS_CRM_spectrum, MS_mass_spectrum},
    {MS_CRM_spectrum, MS_data_file_content},
    {MS_SIM_spectrum, MS_mass_spectrum},
    {MS_SIM_spectrum, MS_data_file_content},
    {MS_SRM_spectrum, MS_mass_spectrum},
    {MS_SRM_spectrum, MS_data_file_content},
    {MS_mzML_file, MS_mass_spectrometer_file_format},
    {MS_contact_person_attribute, MS_object_attribute},
    {MS_contact_name, MS_contact_person_attribute},
    {MS_contact_address, MS_contact_person_attribute},
    {MS_contact_URL, MS_contact_person_attribute},
    {MS_contact_email, MS_contact_person_attribute},
    {MS_contact_organization, MS_contact_person_attribute},
    {MS_MzWiff, MS_data_processing_software},
    {MS_smoothing, MS_data_processing_action},
    {MS_baseline_reduction, MS_data_processing_action},
    {MS_low_intensity_data_point_removal, MS_data_filtering},
    {MS_time_array, MS_binary_data_array},
    {MS_ion_optics_type, MS_ion_optics},
    {MS_electron_transfer_dissociation, MS_dissociation_method},
    {MS_electron_transfer_dissociation, MS_ion_reaction},
    {MS_pulsed_q_dissociation, MS_dissociation_method},
    {MS_pulsed_q_dissociation, MS_ion_reaction},
    {MS_Proteios, MS_analysis_software},
    {MS_Proteios, MS_data_processing_software},
    {MS_ProteinLynx_Global_Server, MS_Waters_software},
    {MS_ProteinLynx_Global_Server, MS_analysis_software},
    {MS_ProteinLynx_Global_Server, MS_data_processing_software},
    {MS_Shimadzu_Biotech_instrument_model, MS_Shimadzu_instrument_model},
    {MS_Shimadzu_Scientific_Instruments_instrument_model, MS_Shimadzu_instrument_model},
    {MS_LCMS_IT_TOF, MS_Shimadzu_Scientific_Instruments_instrument_model},
    {MS_LCMS_2010EV, MS_Shimadzu_Scientific_Instruments_instrument_model},
    {MS_LCMS_2010A, MS_Shimadzu_Scientific_Instruments_instrument_model},
    {MS_AXIMA_CFR_MALDI_TOF, MS_Shimadzu_Biotech_instrument_model},
    {MS_AXIMA_QIT, MS_Shimadzu_Biotech_instrument_model},
    {MS_AXIMA_CFR_plus, MS_Shimadzu_Biotech_instrument_model},
    {MS_AXIMA_Performance_MALDI_TOF_TOF, MS_Shimadzu_Biotech_instrument_model},
    {MS_AXIMA_Confidence_MALDI_TOF, MS_Shimadzu_Biotech_instrument_model},
    {MS_AXIMA_Assurance_Linear_MALDI_TOF, MS_Shimadzu_Biotech_instrument_model},
    {MS_DTA_file, MS_mass_spectrometer_file_format},
    {MS_ProteinLynx_Global_Server_mass_spectrum_XML_file, MS_mass_spectrometer_file_format},
    {MS_ProteoWizard, MS_analysis_software},
    {MS_ProteoWizard, MS_data_processing_software},
    {MS_preset_scan_configuration, MS_scan_attribute},
    {MS_wavelength_array, MS_binary_data_array},
    {MS_highest_observed_wavelength, MS_spectrum_attribute},
    {MS_highest_observed_wavelength, MS_chromatogram_attribute},
    {MS_lowest_observed_wavelength, MS_spectrum_attribute},
    {MS_lowest_observed_wavelength, MS_chromatogram_attribute},
    {MS_PDA_spectrum_OBSOLETE, MS_data_file_content},
    {MS_PDA_spectrum_OBSOLETE, MS_spectrum_type},
    {MS_photodiode_array_detector, MS_detector_type},
    {MS_Surveyor_PDA, MS_Thermo_Scientific_instrument_model},
    {MS_Accela_PDA, MS_Thermo_Scientific_instrument_model},
    {MS_inductive_detector, MS_detector_type},
    {MS_selected_ion_current_chromatogram, MS_data_file_content},
    {MS_selected_ion_current_chromatogram, MS_mass_chromatogram},
    {MS_basepeak_chromatogram, MS_data_file_content},
    {MS_basepeak_chromatogram, MS_mass_chromatogram},
    {MS_low_intensity_threshold, MS_data_processing_parameter},
    {MS_high_intensity_threshold, MS_data_processing_parameter},
    {MS_Q_Tof_Premier, MS_Waters_instrument_model},
    {MS_possible_charge_state, MS_ion_selection_attribute},
    {MS_DSQ, MS_Thermo_Finnigan_instrument_model},
    {MS_ITQ_700, MS_Thermo_Scientific_instrument_model},
    {MS_ITQ_900, MS_Thermo_Scientific_instrument_model},
    {MS_ITQ_1100, MS_Thermo_Scientific_instrument_model},
    {MS_LTQ_XL_ETD, MS_Thermo_Scientific_instrument_model},
    {MS_LTQ_Orbitrap_XL_ETD, MS_Thermo_Scientific_instrument_model},
    {MS_DFS, MS_Thermo_Scientific_instrument_model},
    {MS_DSQ_II, MS_Thermo_Scientific_instrument_model},
    {MS_MALDI_LTQ_XL, MS_Thermo_Scientific_instrument_model},
    {MS_MALDI_LTQ_Orbitrap, MS_Thermo_Scientific_instrument_model},
    {MS_TSQ_Quantum_Access, MS_Thermo_Scientific_instrument_model},
    {MS_Element_XR, MS_Thermo_Scientific_instrument_model},
    {MS_Element_2, MS_Thermo_Scientific_instrument_model},
    {MS_Element_GD, MS_Thermo_Scientific_instrument_model},
    {MS_GC_IsoLink, MS_Thermo_Scientific_instrument_model},
    {MS_Exactive, MS_Thermo_Scientific_instrument_model},
    {MS_Proteome_Discoverer, MS_Thermo_Finnigan_software},
    {MS_Proteome_Discoverer, MS_analysis_software},
    {MS_Proteome_Discoverer, MS_data_processing_software},
    {MS_3200_QTRAP, MS_AB_SCIEX_instrument_model},
    {MS_4800_Plus_MALDI_TOF_TOF_Analyzer, MS_AB_SCIEX_instrument_model},
    {MS_API_3200, MS_AB_SCIEX_instrument_model},
    {MS_API_5000, MS_AB_SCIEX_instrument_model},
    {MS_QSTAR_Elite, MS_AB_SCIEX_instrument_model},
    {MS_QSTAR_Pulsar, MS_AB_SCIEX_instrument_model},
    {MS_QSTAR_XL, MS_AB_SCIEX_instrument_model},
    {MS_4800_Proteomics_Analyzer, MS_Applied_Biosystems_instrument_model},
    {MS_4000_Series_Explorer_Software, MS_AB_SCIEX_software},
    {MS_4000_Series_Explorer_Software, MS_acquisition_software},
    {MS_4000_Series_Explorer_Software, MS_analysis_software},
    {MS_4000_Series_Explorer_Software, MS_data_processing_software},
    {MS_GPS_Explorer, MS_AB_SCIEX_software},
    {MS_GPS_Explorer, MS_acquisition_software},
    {MS_GPS_Explorer, MS_analysis_software},
    {MS_GPS_Explorer, MS_data_processing_software},
    {MS_LightSight_Software, MS_AB_SCIEX_software},
    {MS_LightSight_Software, MS_analysis_software},
    {MS_LightSight_Software, MS_data_processing_software},
    {MS_ProteinPilot_Software, MS_AB_SCIEX_software},
    {MS_ProteinPilot_Software, MS_analysis_software},
    {MS_ProteinPilot_Software, MS_data_processing_software},
    {MS_TissueView_Software, MS_AB_SCIEX_software},
    {MS_TissueView_Software, MS_analysis_software},
    {MS_TissueView_Software, MS_data_processing_software},
    {MS_MarkerView_Software, MS_AB_SCIEX_software},
    {MS_MarkerView_Software, MS_analysis_software},
    {MS_MarkerView_Software, MS_data_processing_software},
    {MS_MRMPilot_Software, MS_AB_SCIEX_software},
    {MS_MRMPilot_Software, MS_analysis_software},
    {MS_MRMPilot_Software, MS_data_processing_software},
    {MS_BioAnalyst, MS_AB_SCIEX_software},
    {MS_BioAnalyst, MS_analysis_software},
    {MS_BioAnalyst, MS_data_processing_software},
    {MS_Pro_ID, MS_AB_SCIEX_software},
    {MS_Pro_ID, MS_analysis_software},
    {MS_Pro_ID, MS_data_processing_software},
    {MS_Pro_ICAT, MS_AB_SCIEX_software},
    {MS_Pro_ICAT, MS_analysis_software},
    {MS_Pro_ICAT, MS_data_processing_software},
    {MS_Pro_Quant, MS_AB_SCIEX_software},
    {MS_Pro_Quant, MS_analysis_software},
    {MS_Pro_Quant, MS_data_processing_software},
    {MS_Pro_BLAST, MS_AB_SCIEX_software},
    {MS_Pro_BLAST, MS_analysis_software},
    {MS_Pro_BLAST, MS_data_processing_software},
    {MS_Cliquid_, MS_AB_SCIEX_software},
    {MS_MIDAS_Workflow_Designer, MS_AB_SCIEX_software},
    {MS_MultiQuant, MS_AB_SCIEX_software},
    {MS_MultiQuant, MS_analysis_software},
    {MS_MultiQuant, MS_data_processing_software},
    {MS_6220_Time_of_Flight_LC_MS, MS_Agilent_instrument_model},
    {MS_6510_Quadrupole_Time_of_Flight_LC_MS, MS_Agilent_instrument_model},
    {MS_6520_Quadrupole_Time_of_Flight_LC_MS, MS_Agilent_instrument_model},
    {MS_MassHunter_Data_Acquisition, MS_Agilent_software},
    {MS_MassHunter_Data_Acquisition, MS_acquisition_software},
    {MS_MassHunter_Easy_Access, MS_Agilent_software},
    {MS_MassHunter_Easy_Access, MS_acquisition_software},
    {MS_MassHunter_Qualitative_Analysis, MS_Agilent_software},
    {MS_MassHunter_Qualitative_Analysis, MS_analysis_software},
    {MS_MassHunter_Qualitative_Analysis, MS_data_processing_software},
    {MS_MassHunter_Quantitative_Analysis, MS_Agilent_software},
    {MS_MassHunter_Quantitative_Analysis, MS_analysis_software},
    {MS_MassHunter_Quantitative_Analysis, MS_data_processing_software},
    {MS_MassHunter_Metabolite_ID, MS_Agilent_software},
    {MS_MassHunter_Metabolite_ID, MS_analysis_software},
    {MS_MassHunter_Metabolite_ID, MS_data_processing_software},
    {MS_MassHunter_BioConfirm, MS_Agilent_software},
    {MS_MassHunter_BioConfirm, MS_analysis_software},
    {MS_MassHunter_BioConfirm, MS_data_processing_software},
    {MS_Genespring_MS, MS_Agilent_software},
    {MS_Genespring_MS, MS_analysis_software},
    {MS_Genespring_MS, MS_data_processing_software},
    {MS_MassHunter_Mass_Profiler, MS_Agilent_software},
    {MS_MassHunter_Mass_Profiler, MS_analysis_software},
    {MS_MassHunter_Mass_Profiler, MS_data_processing_software},
    {MS_METLIN, MS_Agilent_software},
    {MS_METLIN, MS_analysis_software},
    {MS_METLIN, MS_data_processing_software},
    {MS_Spectrum_Mill_for_MassHunter_Workstation, MS_Agilent_software},
    {MS_Spectrum_Mill_for_MassHunter_Workstation, MS_analysis_software},
    {MS_Spectrum_Mill_for_MassHunter_Workstation, MS_data_processing_software},
    {MS_6300_Series_Ion_Trap_Data_Analysis_Software, MS_Agilent_software},
    {MS_6300_Series_Ion_Trap_Data_Analysis_Software, MS_acquisition_software},
    {MS_6300_Series_Ion_Trap_Data_Analysis_Software, MS_analysis_software},
    {MS_6300_Series_Ion_Trap_Data_Analysis_Software, MS_data_processing_software},
    {MS_Agilent_software, MS_software},
    {MS_AB_SCIEX_software, MS_software},
    {MS_Applied_Biosystems_software, MS_software},
    {MS_Bruker_software, MS_software},
    {MS_Thermo_Finnigan_software, MS_software},
    {MS_Waters_software, MS_software},
    {MS_apex_ultra, MS_Bruker_Daltonics_apex_series},
    {MS_autoflex_III_smartbeam, MS_Bruker_Daltonics_flex_series},
    {MS_Bruker_Daltonics_HCT_Series, MS_Bruker_Daltonics_instrument_model},
    {MS_HCTultra, MS_Bruker_Daltonics_HCT_Series},
    {MS_HCTultra_PTM, MS_Bruker_Daltonics_HCT_Series},
    {MS_HCTultra_ETD_II, MS_Bruker_Daltonics_HCT_Series},
    {MS_microflex_LT, MS_Bruker_Daltonics_flex_series},
    {MS_micrOTOF, MS_Bruker_Daltonics_micrOTOF_series},
    {MS_micrOTOF_Q, MS_Bruker_Daltonics_micrOTOF_series},
    {MS_micrOTOF_Q_II, MS_Bruker_Daltonics_micrOTOF_series},
    {MS_ultraflex_III_TOF_TOF, MS_Bruker_Daltonics_flex_series},
    {MS_apexControl, MS_Bruker_software},
    {MS_apexControl, MS_acquisition_software},
    {MS_BioTools, MS_Bruker_software},
    {MS_BioTools, MS_analysis_software},
    {MS_BioTools, MS_data_processing_software},
    {MS_CLINPROT, MS_Bruker_software},
    {MS_CLINPROT, MS_analysis_software},
    {MS_CLINPROT, MS_data_processing_software},
    {MS_CLINPROT_micro, MS_Bruker_software},
    {MS_CLINPROT_micro, MS_analysis_software},
    {MS_CLINPROT_micro, MS_data_processing_software},
    {MS_CLINPROT_robot, MS_Bruker_software},
    {MS_ClinProTools, MS_Bruker_software},
    {MS_Compass, MS_Bruker_software},
    {MS_Compass, MS_analysis_software},
    {MS_Compass, MS_data_processing_software},
    {MS_Compass_for_HCT_esquire, MS_Bruker_software},
    {MS_Compass_for_HCT_esquire, MS_analysis_software},
    {MS_Compass_for_HCT_esquire, MS_data_processing_software},
    {MS_Compass_for_micrOTOF, MS_Bruker_software},
    {MS_Compass_for_micrOTOF, MS_analysis_software},
    {MS_Compass_for_micrOTOF, MS_data_processing_software},
    {MS_Compass_OpenAccess, MS_Bruker_software},
    {MS_Compass_OpenAccess, MS_analysis_software},
    {MS_Compass_OpenAccess, MS_data_processing_software},
    {MS_Compass_Security_Pack, MS_Bruker_software},
    {MS_CompassXport, MS_Bruker_software},
    {MS_CompassXport, MS_data_processing_software},
    {MS_CompassXtract, MS_Bruker_software},
    {MS_CompassXtract, MS_data_processing_software},
    {MS_DataAnalysis, MS_Bruker_software},
    {MS_DataAnalysis, MS_analysis_software},
    {MS_DataAnalysis, MS_data_processing_software},
    {MS_dpControl, MS_Bruker_software},
    {MS_dpControl, MS_acquisition_software},
    {MS_esquireControl, MS_Bruker_software},
    {MS_esquireControl, MS_acquisition_software},
    {MS_flexImaging, MS_Bruker_software},
    {MS_flexImaging, MS_analysis_software},
    {MS_flexImaging, MS_data_processing_software},
    {MS_GENOLINK, MS_Bruker_software},
    {MS_GenoTools, MS_Bruker_software},
    {MS_HCTcontrol, MS_Bruker_software},
    {MS_HCTcontrol, MS_acquisition_software},
    {MS_micrOTOFcontrol, MS_Bruker_software},
    {MS_micrOTOFcontrol, MS_acquisition_software},
    {MS_PolyTools, MS_Bruker_software},
    {MS_ProfileAnalysis, MS_Bruker_software},
    {MS_ProfileAnalysis, MS_analysis_software},
    {MS_ProfileAnalysis, MS_data_processing_software},
    {MS_PROTEINEER, MS_Bruker_software},
    {MS_PROTEINEER_dp, MS_Bruker_software},
    {MS_PROTEINEER_fc, MS_Bruker_software},
    {MS_PROTEINEER_spII, MS_Bruker_software},
    {MS_PROTEINEER_LC, MS_Bruker_software},
    {MS_ProteinScape, MS_Bruker_software},
    {MS_ProteinScape, MS_analysis_software},
    {MS_PureDisk, MS_Bruker_software},
    {MS_QuantAnalysis, MS_Bruker_software},
    {MS_QuantAnalysis, MS_analysis_software},
    {MS_QuantAnalysis, MS_data_processing_software},
    {MS_spControl, MS_Bruker_software},
    {MS_spControl, MS_acquisition_software},
    {MS_TargetAnalysis, MS_Bruker_software},
    {MS_WARP_LC, MS_Bruker_software},
    {MS_parameter_file, MS_mass_spectrometer_file_format},
    {MS_Conversion_to_dta, MS_file_format_conversion},
    {MS_Bioworks_SRF_file, MS_mass_spectrometer_file_format},
    {MS_Bioworks_SRF_file, MS_intermediate_analysis_format},
    {MS_TSQ_Quantum_Ultra_AM, MS_Thermo_Scientific_instrument_model},
    {MS_selected_ion_m_z, MS_ion_selection_attribute},
    {MS_retention_time_alignment, MS_data_processing_action},
    {MS_high_intensity_data_point_removal, MS_data_filtering},
    {MS_completion_time, MS_data_processing_parameter},
    {MS_SSQ_7000, MS_Finnigan_MAT_instrument_model},
    {MS_TSQ_7000, MS_Finnigan_MAT_instrument_model},
    {MS_TSQ, MS_Finnigan_MAT_instrument_model},
    {MS_TSQ_Quantum_Ultra, MS_Thermo_Scientific_instrument_model},
    {MS_TOPP_software, MS_analysis_software},
    {MS_TOPP_software, MS_data_processing_software},
    {MS_BaselineFilter, MS_TOPP_software},
    {MS_DBExporter, MS_TOPP_software},
    {MS_DBImporter, MS_TOPP_software},
    {MS_FileConverter, MS_TOPP_software},
    {MS_FileFilter, MS_TOPP_software},
    {MS_FileMerger, MS_TOPP_software},
    {MS_InternalCalibration, MS_TOPP_software},
    {MS_MapAligner, MS_TOPP_software},
    {MS_MapNormalizer, MS_TOPP_software},
    {MS_NoiseFilter, MS_TOPP_software},
    {MS_PeakPicker, MS_TOPP_software},
    {MS_Resampler, MS_TOPP_software},
    {MS_SpectraFilter, MS_TOPP_software},
    {MS_TOFCalibration, MS_TOPP_software},
    {MS_Thermo_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_Waters_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_WIFF_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_Bruker_Agilent_YEP_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_Bruker_BAF_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_Bruker_FID_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_multiple_peak_list_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_single_peak_list_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_scan_number_only_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_spectrum_identifier_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_charge_state_calculation, MS_data_processing_action},
    {MS_below_precursor_intensity_dominance_charge_state_calculation, MS_charge_state_calculation},
    {MS_precursor_recalculation, MS_data_processing_action},
    {MS_msPrefix_precursor_recalculation, MS_precursor_recalculation},
    {MS_Savitzky_Golay_smoothing, MS_smoothing},
    {MS_LOWESS_smoothing, MS_smoothing},
    {MS_Gaussian_smoothing, MS_smoothing},
    {MS_moving_average_smoothing, MS_smoothing},
    {MS_non_standard_data_array, MS_binary_data_array},
    {MS_inclusive_low_intensity_threshold, MS_data_processing_parameter},
    {MS_inclusive_high_intensity_threshold, MS_data_processing_parameter},
    {MS_enhanced_multiply_charged_spectrum, MS_data_file_content},
    {MS_enhanced_multiply_charged_spectrum, MS_MS1_spectrum},
    {MS_time_delayed_fragmentation_spectrum, MS_data_file_content},
    {MS_time_delayed_fragmentation_spectrum, MS_MSn_spectrum},
    {MS_enhanced_resolution_scan_OBSOLETE, MS_scanning_method},
    {MS_isolation_window_attribute, MS_object_attribute},
    {MS_isolation_window_upper_limit_OBSOLETE, MS_isolation_window_attribute},
    {MS_isolation_window_lower_limit_OBSOLETE, MS_isolation_window_attribute},
    {MS_no_combination, MS_spectra_combination},
    {MS_spectrum_title, MS_spectrum_attribute},
    {MS_spectrum_title, MS_spectrum_identification_result_details},
    {MS_peak_list_scans, MS_spectrum_attribute},
    {MS_peak_list_scans, MS_spectrum_identification_result_details},
    {MS_peak_list_raw_scans, MS_spectrum_attribute},
    {MS_peak_list_raw_scans, MS_spectrum_identification_result_details},
    {MS_custom_unreleased_software_tool, MS_software},
    {MS_mass_resolving_power, MS_scan_attribute},
    {MS_area_peak_picking, MS_peak_picking},
    {MS_height_peak_picking, MS_peak_picking},
    {MS_analyzer_scan_offset, MS_scan_attribute},
    {MS_electromagnetic_radiation_spectrum, MS_data_file_content},
    {MS_electromagnetic_radiation_spectrum, MS_spectrum_type},
    {MS_emission_spectrum, MS_data_file_content},
    {MS_emission_spectrum, MS_spectrum_type},
    {MS_absorption_spectrum, MS_data_file_content},
    {MS_absorption_spectrum, MS_spectrum_type},
    {MS_Th_s, MS_unit},
    {MS_chromatogram_attribute, MS_object_attribute},
    {MS_chromatogram_title, MS_chromatogram_attribute},
    {MS_mass_chromatogram, MS_data_file_content},
    {MS_mass_chromatogram, MS_chromatogram_type},
    {MS_electromagnetic_radiation_chromatogram, MS_data_file_content},
    {MS_electromagnetic_radiation_chromatogram, MS_chromatogram_type},
    {MS_absorption_chromatogram, MS_data_file_content},
    {MS_absorption_chromatogram, MS_electromagnetic_radiation_chromatogram},
    {MS_emission_chromatogram, MS_data_file_content},
    {MS_emission_chromatogram, MS_electromagnetic_radiation_chromatogram},
    {MS_counts_per_second, MS_intensity_unit},
    {MS_Bruker_BAF_file, MS_mass_spectrometer_file_format},
    {MS_Bruker_U2_file, MS_mass_spectrometer_file_format},
    {MS_HyStar, MS_Bruker_software},
    {MS_Acquity_UPLC_PDA, MS_Waters_instrument_model},
    {MS_Acquity_UPLC_FLR, MS_Waters_instrument_model},
    {MS_flow_rate_array, MS_binary_data_array},
    {MS_pressure_array, MS_binary_data_array},
    {MS_temperature_array, MS_binary_data_array},
    {MS_Bruker_U2_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_no_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_Bruker_FID_file, MS_mass_spectrometer_file_format},
    {MS_elution_time, MS_scan_attribute},
    {MS_isolation_window_target_m_z, MS_isolation_window_attribute},
    {MS_isolation_window_lower_offset, MS_isolation_window_attribute},
    {MS_isolation_window_upper_offset, MS_isolation_window_attribute},
    {MS_sample_preparation, MS_object_attribute},
    {MS_matrix_solution, MS_MALDI_matrix_application},
    {MS_matrix_solution_concentration, MS_MALDI_matrix_application},
    {MS_dried_dropplet, MS_matrix_application_type},
    {MS_printed, MS_matrix_application_type},
    {MS_sprayed, MS_matrix_application_type},
    {MS_precoated_plate, MS_matrix_application_type},
    {MS_wavelength, MS_laser_attribute},
    {MS_focus_diameter_x, MS_laser_attribute},
    {MS_focus_diameter_y, MS_laser_attribute},
    {MS_pulse_energy, MS_laser_attribute},
    {MS_pulse_duration, MS_laser_attribute},
    {MS_attenuation, MS_laser_attribute},
    {MS_impact_angle, MS_laser_attribute},
    {MS_gas_laser, MS_laser_type},
    {MS_solid_state_laser, MS_laser_type},
    {MS_dye_laser, MS_laser_type},
    {MS_free_electron_laser, MS_laser_type},
    {MS_LTQ_XL, MS_Thermo_Scientific_instrument_model},
    {MS_LTQ_Velos, MS_Thermo_Scientific_instrument_model},
    {MS_LTQ_Velos_ETD, MS_Thermo_Scientific_instrument_model},
    {MS_fraction_identifier, MS_run_attribute},
    {MS_peptide, MS_chemical_compound},
    {MS_isoelectric_point, MS_chemical_compound_attribute},
    {MS_predicted_isoelectric_point, MS_isoelectric_point},
    {MS_empirical_formula, MS_chemical_compound_formula},
    {MS_molecular_formula, MS_chemical_compound_formula},
    {MS_structural_formula, MS_chemical_compound_formula},
    {MS_SMILES_string, MS_chemical_compound_formula},
    {MS_collision_gas_pressure, MS_precursor_activation_attribute},
    {MS_4000_QTRAP, MS_AB_SCIEX_instrument_model},
    {MS_SRM_software, MS_software},
    {MS_MaRiMba, MS_SRM_software},
    {MS_peptide_attribute_calculation_software, MS_software},
    {MS_SSRCalc, MS_peptide_attribute_calculation_software},
    {MS_declustering_potential, MS_source_attribute},
    {MS_cone_voltage, MS_source_attribute},
    {MS_tube_lens, MS_source_attribute},
    {MS_PubMed_identifier, MS_external_reference_identifier},
    {MS_interchannel_delay, MS_scan_attribute},
    {MS_protein, MS_chemical_compound},
    {MS_protein_short_name, MS_protein_attribute},
    {MS_protein_accession, MS_protein_attribute},
    {MS_protein_name, MS_protein_attribute},
    {MS_unmodified_peptide_sequence, MS_peptide_attribute},
    {MS_modified_peptide_sequence, MS_peptide_attribute},
    {MS_peptide_labeling_state, MS_peptide_attribute},
    {MS_heavy_labeled_peptide, MS_peptide_labeling_state},
    {MS_unlabeled_peptide, MS_peptide_labeling_state},
    {MS_peptide_group_label, MS_peptide_attribute},
    {MS_retention_time, MS_peptide_attribute},
    {MS_local_retention_time, MS_retention_time},
    {MS_normalized_retention_time, MS_retention_time},
    {MS_predicted_retention_time, MS_retention_time},
    {MS_de_facto_standard, MS_standard},
    {MS_minimum_information_standard, MS_standard},
    {MS_retention_time_normalization_standard, MS_standard},
    {MS_H_PINS_retention_time_normalization_standard, MS_retention_time_normalization_standard},
    {MS_product_ion_series_ordinal, MS_fragmentation_information},
    {MS_product_ion_m_z_delta, MS_fragmentation_information},
    {MS_percent_of_base_peak_times_100, MS_intensity_unit},
    {MS_peak_intensity_rank, MS_ion_selection_attribute},
    {MS_peak_targeting_suitability_rank, MS_ion_selection_attribute},
    {MS_transition_optimized_on_specified_instrument, MS_transition_validation_method},
    {MS_transition_validated_with_an_MS_MS_spectrum_on_specified_instrument, MS_transition_validation_method},
    {MS_transition_purported_from_an_MS_MS_spectrum_on_a_different__specified_instrument, MS_transition_validation_method},
    {MS_transition_predicted_by_informatic_analysis, MS_transition_validation_method},
    {MS_tab_delimited_text_file, MS_file_format},
    {MS_retention_time_window_lower_offset, MS_retention_time_window_attribute},
    {MS_retention_time_window_upper_offset, MS_retention_time_window_attribute},
    {MS_includes_supersede_excludes, MS_target_inclusion_exclusion_priority},
    {MS_excludes_supersede_includes, MS_target_inclusion_exclusion_priority},
    {MS_Skyline, MS_SRM_software},
    {MS_TIQAM, MS_SRM_software},
    {MS_ATAQS, MS_SRM_software},
    {MS_product_interpretation_rank, MS_fragmentation_information},
    {MS_ion_injection_time, MS_scan_attribute},
    {MS_calibration_spectrum, MS_spectrum_type},
    {MS_Shimadzu_Biotech_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_Shimadzu_Biotech_database_entity, MS_mass_spectrometer_file_format},
    {MS_AB_SCIEX_QTRAP_5500, MS_AB_SCIEX_instrument_model},
    {MS_AB_SCIEX_TripleTOF_5600, MS_AB_SCIEX_instrument_model},
    {MS_sequest_CleavesAt, MS_search_engine_specific_input_parameter},
    {MS_sequest_ViewCV, MS_search_engine_specific_input_parameter},
    {MS_sequest_OutputLines, MS_search_engine_specific_input_parameter},
    {MS_sequest_DescriptionLines, MS_search_engine_specific_input_parameter},
    {MS_de_novo_search, MS_search_type},
    {MS_search_database_details, MS_search_input_details},
    {MS_database_source, MS_search_database_details},
    {MS_database_name, MS_search_database_details},
    {MS_database_local_file_path_OBSOLETE, MS_search_database_details},
    {MS_database_original_uri, MS_search_database_details},
    {MS_database_version_OBSOLETE, MS_search_database_details},
    {MS_database_release_date_OBSOLETE, MS_search_database_details},
    {MS_database_type, MS_search_database_details},
    {MS_database_filtering, MS_search_database_details},
    {MS_DB_filter_taxonomy, MS_Sequence_database_filter_types},
    {MS_DB_filter_on_accession_numbers, MS_Sequence_database_filter_types},
    {MS_DB_MW_filter, MS_Sequence_database_filter_types},
    {MS_DB_PI_filter, MS_Sequence_database_filter_types},
    {MS_translation_frame_OBSOLETE, MS_search_database_details},
    {MS_translation_table, MS_search_database_details},
    {MS_sequest_NormalizeXCorrValues, MS_search_engine_specific_input_parameter},
    {MS_DB_filter_on_sequence_pattern, MS_Sequence_database_filter_types},
    {MS_sequest_SequenceHeaderFilter, MS_search_engine_specific_input_parameter},
    {MS_number_of_sequences_searched, MS_search_database_details},
    {MS_number_of_peptide_seqs_compared_to_each_spectrum, MS_search_database_details},
    {MS_number_of_peptide_seqs_compared_to_each_spectrum, MS_spectrum_identification_result_details},
    {MS_spectral_library_search, MS_search_type},
    {MS_sequest_SequencePartialFilter, MS_search_engine_specific_input_parameter},
    {MS_date___time_search_performed_OBSOLETE, MS_search_statistics},
    {MS_search_time_taken, MS_search_statistics},
    {MS_sequest_ShowFragmentIons, MS_search_engine_specific_input_parameter},
    {MS_sequest_Consensus, MS_sequest_ViewCV},
    {MS_intermediate_analysis_format, MS_file_format},
    {MS_sequest_sortCV, MS_sequest_ViewCV},
    {MS_sequest_LimitTo, MS_search_engine_specific_input_parameter},
    {MS_cleavage_agent_details, MS_search_input_details},
    {MS_cleavage_agent_name, MS_cleavage_agent_details},
    {MS_sequest_sort_by_dCn, MS_sequest_sortCV},
    {MS_sequest_sort_by_dM, MS_sequest_sortCV},
    {MS_sequest_sort_by_Ions, MS_sequest_sortCV},
    {MS_sequest_sort_by_MH_, MS_sequest_sortCV},
    {MS_sequest_sort_by_P, MS_sequest_sortCV},
    {MS_sequest_sort_by_PreviousAminoAcid, MS_sequest_sortCV},
    {MS_sequest_sort_by_Ref, MS_sequest_sortCV},
    {MS_modification_specificity_rule, MS_modification_parameters},
    {MS_tolerance_on_types_OBSOLETE, MS_modification_parameters},
    {MS_quality_estimation_by_manual_validation, MS_quality_estimation_method_details},
    {MS_sequest_sort_by_RSp, MS_sequest_sortCV},
    {MS_quality_estimation_method_details, MS_search_input_details},
    {MS_neutral_loss_OBSOLETE, MS_modification_parameters},
    {MS_Mascot_MGF_file, MS_mass_spectrometer_file_format},
    {MS_TODOscoring_model, MS_search_input_details},
    {MS_ions_series_considered_in_search, MS_search_input_details},
    {MS_sequest_sort_by_Sp, MS_sequest_sortCV},
    {MS_sequest_sort_by_TIC, MS_sequest_sortCV},
    {MS_sequest_sort_by_Scan, MS_sequest_sortCV},
    {MS_sequest_sort_by_Sequence, MS_sequest_sortCV},
    {MS_sequest_sort_by_Sf, MS_sequest_sortCV},
    {MS_database_type_amino_acid, MS_database_type},
    {MS_database_type_nucleotide, MS_database_type},
    {MS_search_type, MS_search_input_details},
    {MS_pmf_search, MS_search_type},
    {MS_tag_search, MS_search_type},
    {MS_ms_ms_search, MS_search_type},
    {MS_database_nr, MS_database_name},
    {MS_protein_result_details, MS_spectrum_identification_result_details},
    {MS_sequest_sort_by_XCorr, MS_sequest_sortCV},
    {MS_sequest_ProcessCV, MS_search_engine_specific_input_parameter},
    {MS_protein_description, MS_single_protein_result_details},
    {MS_protein_description, MS_database_sequence_details},
    {MS_molecule_taxonomy, MS_protein_result_details},
    {MS_molecule_taxonomy, MS_database_sequence_details},
    {MS_molecule_taxonomy, MS_Sequence_database_filters},
    {MS_taxonomy_nomenclature_OBSOLETE, MS_molecule_taxonomy},
    {MS_NoEnzyme, MS_cleavage_agent_name},
    {MS_peptide_quality_estimation_measure, MS_peptide_result_details},
    {MS_sequence_coverage, MS_single_protein_result_details},
    {MS_sequest_sort_by_z, MS_sequest_sortCV},
    {MS_sequest_ProcessAll, MS_sequest_ProcessCV},
    {MS_sequest_TopPercentMostIntense, MS_sequest_ProcessCV},
    {MS_distinct_peptide_sequences, MS_single_protein_result_details},
    {MS_confident_distinct_peptide_sequences, MS_single_protein_result_details},
    {MS_confident_peptide_qualification, MS_single_protein_result_details},
    {MS_confident_peptide, MS_single_protein_result_details},
    {MS_protein_group_subset_relationship, MS_protein_result_details},
    {MS_sequest_Chromatogram, MS_sequest_ViewCV},
    {MS_sequest_InfoAndLog, MS_sequest_ViewCV},
    {MS_database_SwissProt, MS_database_name},
    {MS_peptide_result_details, MS_spectrum_identification_result_details},
    {MS_sequest_TopNumber, MS_sequest_ProcessCV},
    {MS_data_stored_in_database, MS_intermediate_analysis_format},
    {MS_param__a_ion, MS_ions_series_considered_in_search},
    {MS_sequest_CullTo, MS_sequest_ProcessCV},
    {MS_sequest_modeCV, MS_search_engine_specific_input_parameter},
    {MS_sequest_Full, MS_sequest_modeCV},
    {MS_n_terminal_flanking_residue, MS_peptide_result_details},
    {MS_c_terminal_flanking_residue, MS_peptide_result_details},
    {MS_retention_time_s_, MS_peptide_result_details},
    {MS_retention_time_s_, MS_spectrum_identification_result_details},
    {MS_single_protein_result_details, MS_protein_result_details},
    {MS_theoretical_mass, MS_peptide_result_details},
    {MS_param__b_ion, MS_ions_series_considered_in_search},
    {MS_param__c_ion, MS_ions_series_considered_in_search},
    {MS_sequest_FormatAndLinks, MS_sequest_modeCV},
    {MS_number_of_matched_peaks, MS_peptide_result_details},
    {MS_ions_series_considered, MS_peptide_result_details},
    {MS_number_of_peaks_used, MS_peptide_result_details},
    {MS_number_of_peaks_submitted, MS_peptide_result_details},
    {MS_manual_validation, MS_peptide_quality_estimation_measure},
    {MS_manual_validation, MS_protein_quality_estimation_measure},
    {MS_sequest_Fast, MS_sequest_modeCV},
    {MS_peptide_sharing_details, MS_peptide_result_details},
    {MS_sequest_selectCV, MS_search_engine_specific_input_parameter},
    {MS_peptide_raw_areas, MS_quantification_information},
    {MS_errors_on_peptide_areas, MS_quantification_information},
    {MS_peptide_ratios, MS_quantification_information},
    {MS_errors_on_peptide_ratios, MS_quantification_information},
    {MS_protein_ratios, MS_quantification_information},
    {MS_errors_on_protein_ratios, MS_quantification_information},
    {MS_p_value__protein_diff_from_1_randomly_, MS_quantification_information},
    {MS_absolute_quantities, MS_quantification_information},
    {MS_error_on_absolute_quantity, MS_quantification_information},
    {MS_quantitation_software_name, MS_software},
    {MS_quantitation_software_name, MS_quantification_information},
    {MS_quantitation_software_version, MS_quantification_information},
    {MS_intensity_of_precursor_ion, MS_quantification_information},
    {MS_database_IPI_human, MS_database_name},
    {MS_search_engine_specific_score_for_peptides, MS_peptide_result_details},
    {MS_sequest_SelectDefault, MS_sequest_selectCV},
    {MS_TODOsequest_SelectAdvancedCV, MS_sequest_selectCV},
    {MS_param__a_ion_NH3, MS_ions_series_considered_in_search},
    {MS_protein_ambiguity_group_result_details, MS_protein_result_details},
    {MS_param__a_ion_H2O, MS_ions_series_considered_in_search},
    {MS_param__b_ion_NH3, MS_ions_series_considered_in_search},
    {MS_param__b_ion_H2O, MS_ions_series_considered_in_search},
    {MS_param__y_ion_NH3, MS_ions_series_considered_in_search},
    {MS_param__y_ion_H2O, MS_ions_series_considered_in_search},
    {MS_search_engine_specific_score, MS_spectrum_identification_result_details},
    {MS_sequest_probability, MS_search_engine_specific_score_for_peptides},
    {MS_sequest_probability, MS_search_engine_specific_score},
    {MS_sequest_xcorr, MS_search_engine_specific_score_for_peptides},
    {MS_sequest_xcorr, MS_search_engine_specific_score},
    {MS_sequest_deltacn, MS_search_engine_specific_score_for_peptides},
    {MS_sequest_deltacn, MS_search_engine_specific_score},
    {MS_sequest_sp, MS_single_protein_result_details},
    {MS_sequest_sp, MS_search_engine_specific_score},
    {MS_sequest_Uniq, MS_single_protein_result_details},
    {MS_sequest_Uniq, MS_search_engine_specific_score},
    {MS_sequest_expectation_value, MS_search_engine_specific_score},
    {MS_sequest_sf, MS_search_engine_specific_score_for_peptides},
    {MS_sequest_sf, MS_search_engine_specific_score},
    {MS_sequest_matched_ions, MS_search_engine_specific_score_for_peptides},
    {MS_sequest_matched_ions, MS_search_engine_specific_score},
    {MS_sequest_total_ions, MS_search_engine_specific_score_for_peptides},
    {MS_sequest_total_ions, MS_search_engine_specific_score},
    {MS_sequest_consensus_score, MS_search_engine_specific_score},
    {MS_paragon_unused_protscore, MS_protein_ambiguity_group_result_details},
    {MS_paragon_unused_protscore, MS_search_engine_specific_score},
    {MS_paragon_total_protscore, MS_protein_ambiguity_group_result_details},
    {MS_paragon_total_protscore, MS_search_engine_specific_score},
    {MS_paragon_score, MS_search_engine_specific_score},
    {MS_paragon_confidence, MS_search_engine_specific_score},
    {MS_paragon_expression_error_factor, MS_search_engine_specific_score},
    {MS_paragon_expression_change_p_value, MS_search_engine_specific_score},
    {MS_paragon_contrib, MS_search_engine_specific_score},
    {MS_mascot_score, MS_single_protein_result_details},
    {MS_mascot_score, MS_search_engine_specific_score_for_peptides},
    {MS_mascot_score, MS_search_engine_specific_score},
    {MS_mascot_expectation_value, MS_single_protein_result_details},
    {MS_mascot_expectation_value, MS_search_engine_specific_score_for_peptides},
    {MS_mascot_expectation_value, MS_search_engine_specific_score},
    {MS_mascot_matched_ions, MS_search_engine_specific_score_for_peptides},
    {MS_mascot_matched_ions, MS_search_engine_specific_score},
    {MS_mascot_total_ions, MS_search_engine_specific_score_for_peptides},
    {MS_mascot_total_ions, MS_search_engine_specific_score},
    {MS_peptide_shared_in_multiple_proteins, MS_peptide_sharing_details},
    {MS______KR_____P_, MS_Cleavage_agent_regular_expression},
    {MS_number_of_molecular_hypothesis_considered, MS_search_statistics},
    {MS_database_EST, MS_database_type_nucleotide},
    {MS_search_statistics, MS_spectrum_identification_result_details},
    {MS_modification_specificity_N_term, MS_modification_specificity_rule},
    {MS_modification_specificity_C_term, MS_modification_specificity_rule},
    {MS_p_value, MS_peptide_quality_estimation_measure},
    {MS_p_value, MS_protein_quality_estimation_measure},
    {MS_Expect_value, MS_peptide_quality_estimation_measure},
    {MS_Expect_value, MS_protein_quality_estimation_measure},
    {MS_confidence_score, MS_peptide_quality_estimation_measure},
    {MS_confidence_score, MS_protein_quality_estimation_measure},
    {MS_quality_estimation_with_decoy_database, MS_quality_estimation_method_details},
    {MS_decoy_DB_type_reverse, MS_decoy_DB_details},
    {MS_decoy_DB_type_randomized, MS_decoy_DB_details},
    {MS_DB_composition_target_decoy, MS_decoy_DB_details},
    {MS_protein_quality_estimation_measure, MS_protein_result_details},
    {MS_Mascot_DAT_file, MS_intermediate_analysis_format},
    {MS_Sequest_out_file, MS_intermediate_analysis_format},
    {MS_DB_MW_filter_maximum, MS_Sequence_database_filters},
    {MS_DB_MW_filter_minimum, MS_Sequence_database_filters},
    {MS_DB_PI_filter_maximum, MS_Sequence_database_filters},
    {MS_DB_PI_filter_minimum, MS_Sequence_database_filters},
    {MS_Mascot, MS_analysis_software},
    {MS_Sequest, MS_analysis_software},
    {MS_Phenyx, MS_analysis_software},
    {MS_mass_type_settings, MS_search_input_details},
    {MS_parent_mass_type_mono, MS_mass_type_settings},
    {MS_parent_mass_type_average, MS_mass_type_settings},
    {MS_prot_global_FDR, MS_spectrum_identification_result_details},
    {MS_sequest_PeptideSp, MS_search_engine_specific_score_for_peptides},
    {MS_sequest_PeptideSp, MS_search_engine_specific_score},
    {MS_sequest_PeptideRankSp, MS_search_engine_specific_score_for_peptides},
    {MS_sequest_PeptideRankSp, MS_search_engine_specific_score},
    {MS_sequest_PeptideNumber, MS_search_engine_specific_score_for_peptides},
    {MS_sequest_PeptideNumber, MS_search_engine_specific_score},
    {MS_sequest_PeptideIdnumber, MS_search_engine_specific_score_for_peptides},
    {MS_sequest_PeptideIdnumber, MS_search_engine_specific_score},
    {MS_frag__y_ion, MS_fragmentation_information},
    {MS_fragmentation_information, MS_peptide_result_details},
    {MS_frag__b_ion___H2O, MS_fragmentation_information},
    {MS_frag__y_ion___H2O, MS_fragmentation_information},
    {MS_frag__b_ion, MS_fragmentation_information},
    {MS_product_ion_m_z, MS_fragmentation_information},
    {MS_product_ion_intensity, MS_fragmentation_information},
    {MS_product_ion_m_z_error, MS_fragmentation_information},
    {MS_frag__x_ion, MS_fragmentation_information},
    {MS_frag__a_ion, MS_fragmentation_information},
    {MS_frag__z_ion, MS_fragmentation_information},
    {MS_frag__c_ion, MS_fragmentation_information},
    {MS_frag__b_ion___NH3, MS_fragmentation_information},
    {MS_frag__y_ion___NH3, MS_fragmentation_information},
    {MS_frag__a_ion___H2O, MS_fragmentation_information},
    {MS_frag__a_ion___NH3, MS_fragmentation_information},
    {MS_frag__d_ion, MS_fragmentation_information},
    {MS_frag__v_ion, MS_fragmentation_information},
    {MS_frag__w_ion, MS_fragmentation_information},
    {MS_frag__immonium_ion, MS_fragmentation_information},
    {MS_non_identified_ion, MS_fragmentation_information},
    {MS_co_eluting_ion, MS_fragmentation_information},
    {MS_Sequest_out_folder, MS_intermediate_analysis_format},
    {MS_Sequest_summary, MS_intermediate_analysis_format},
    {MS_PerSeptive_PKS_file, MS_mass_spectrometer_file_format},
    {MS_Sciex_API_III_file, MS_mass_spectrometer_file_format},
    {MS_Bruker_XML_file, MS_mass_spectrometer_file_format},
    {MS_local_FDR, MS_peptide_quality_estimation_measure},
    {MS_local_FDR, MS_protein_quality_estimation_measure},
    {MS_Trypsin, MS_cleavage_agent_name},
    {MS_DB_source_EBI, MS_database_source},
    {MS_DB_source_NCBI, MS_database_source},
    {MS_DB_source_UniProt, MS_database_source},
    {MS_fragment_mass_type_average, MS_mass_type_settings},
    {MS_fragment_mass_type_mono, MS_mass_type_settings},
    {MS_param__v_ion, MS_ions_series_considered_in_search},
    {MS_param__d_ion, MS_ions_series_considered_in_search},
    {MS_param__immonium_ion, MS_ions_series_considered_in_search},
    {MS_param__w_ion, MS_ions_series_considered_in_search},
    {MS_param__x_ion, MS_ions_series_considered_in_search},
    {MS_param__y_ion, MS_ions_series_considered_in_search},
    {MS_param__z_ion, MS_ions_series_considered_in_search},
    {MS_role_type, MS_contact_person_attribute},
    {MS_software_vendor, MS_role_type},
    {MS_programmer, MS_role_type},
    {MS_instrument_vendor, MS_role_type},
    {MS_lab_personnel, MS_role_type},
    {MS_researcher, MS_role_type},
    {MS_____R____P_, MS_Cleavage_agent_regular_expression},
    {MS_____BD__, MS_Cleavage_agent_regular_expression},
    {MS_____DE__, MS_Cleavage_agent_regular_expression},
    {MS_ProteinScape_SearchEvent, MS_intermediate_analysis_format},
    {MS_ProteinScape_Gel, MS_intermediate_analysis_format},
    {MS_decoy_DB_accession_regexp, MS_decoy_DB_details},
    {MS_decoy_DB_derived_from, MS_decoy_DB_details},
    {MS_database_IPI_mouse, MS_database_name},
    {MS_database_IPI_rat, MS_database_name},
    {MS_database_IPI_zebrafish, MS_database_name},
    {MS_database_IPI_chicken, MS_database_name},
    {MS_database_IPI_cow, MS_database_name},
    {MS_database_IPI_arabidopsis, MS_database_name},
    {MS_decoy_DB_from_nr, MS_decoy_DB_derived_from},
    {MS_decoy_DB_from_IPI_rat, MS_decoy_DB_derived_from},
    {MS_decoy_DB_from_IPI_mouse, MS_decoy_DB_derived_from},
    {MS_decoy_DB_from_IPI_arabidopsis, MS_decoy_DB_derived_from},
    {MS_decoy_DB_from_EST, MS_decoy_DB_derived_from},
    {MS_decoy_DB_from_IPI_zebrafish, MS_decoy_DB_derived_from},
    {MS_decoy_DB_from_SwissProt, MS_decoy_DB_derived_from},
    {MS_decoy_DB_from_IPI_chicken, MS_decoy_DB_derived_from},
    {MS_decoy_DB_from_IPI_cow, MS_decoy_DB_derived_from},
    {MS_decoy_DB_from_IPI_human, MS_decoy_DB_derived_from},
    {MS_protein_rank, MS_protein_ambiguity_group_result_details},
    {MS_search_engine_specific_input_parameter, MS_search_input_details},
    {MS_Arg_C, MS_cleavage_agent_name},
    {MS_Asp_N, MS_cleavage_agent_name},
    {MS_Asp_N_ambic, MS_cleavage_agent_name},
    {MS_Chymotrypsin, MS_cleavage_agent_name},
    {MS_CNBr, MS_cleavage_agent_name},
    {MS_Formic_acid, MS_cleavage_agent_name},
    {MS_Lys_C, MS_cleavage_agent_name},
    {MS_Lys_C_P, MS_cleavage_agent_name},
    {MS_PepsinA, MS_cleavage_agent_name},
    {MS_TrypChymo, MS_cleavage_agent_name},
    {MS_Trypsin_P, MS_cleavage_agent_name},
    {MS_V8_DE, MS_cleavage_agent_name},
    {MS_V8_E, MS_cleavage_agent_name},
    {MS_mascot_SigThreshold, MS_search_engine_specific_input_parameter},
    {MS_mascot_MaxProteinHits, MS_search_engine_specific_input_parameter},
    {MS_mascot_ProteinScoringMethod, MS_search_engine_specific_input_parameter},
    {MS_mascot_MinMSMSThreshold, MS_search_engine_specific_input_parameter},
    {MS_mascot_ShowHomologousProteinsWithSamePeptides, MS_search_engine_specific_input_parameter},
    {MS_mascot_ShowHomologousProteinsWithSubsetOfPeptides, MS_search_engine_specific_input_parameter},
    {MS_mascot_RequireBoldRed, MS_search_engine_specific_input_parameter},
    {MS_mascot_UseUnigeneClustering, MS_search_engine_specific_input_parameter},
    {MS_mascot_IncludeErrorTolerantMatches, MS_search_engine_specific_input_parameter},
    {MS_mascot_ShowDecoyMatches, MS_search_engine_specific_input_parameter},
    {MS_OMSSA_evalue, MS_search_engine_specific_score_for_peptides},
    {MS_OMSSA_evalue, MS_search_engine_specific_score},
    {MS_OMSSA_pvalue, MS_search_engine_specific_score_for_peptides},
    {MS_OMSSA_pvalue, MS_search_engine_specific_score},
    {MS_xtandem_expect, MS_search_engine_specific_score_for_peptides},
    {MS_xtandem_expect, MS_search_engine_specific_score},
    {MS_xtandem_hyperscore, MS_search_engine_specific_score_for_peptides},
    {MS_xtandem_hyperscore, MS_search_engine_specific_score},
    {MS______FYWL_____P_, MS_Cleavage_agent_regular_expression},
    {MS_____M_, MS_Cleavage_agent_regular_expression},
    {MS______D_______D__, MS_Cleavage_agent_regular_expression},
    {MS_____K____P_, MS_Cleavage_agent_regular_expression},
    {MS_____K_, MS_Cleavage_agent_regular_expression},
    {MS______FL__, MS_Cleavage_agent_regular_expression},
    {MS______FYWLKR_____P_, MS_Cleavage_agent_regular_expression},
    {MS______KR__, MS_Cleavage_agent_regular_expression},
    {MS______BDEZ_____P_, MS_Cleavage_agent_regular_expression},
    {MS______EZ_____P_, MS_Cleavage_agent_regular_expression},
    {MS_database_sequence_details, MS_search_database_details},
    {MS_NA_sequence, MS_database_sequence_details},
    {MS_AA_sequence, MS_database_sequence_details},
    {MS_mass_table_source, MS_mass_table_options},
    {MS_AAIndex_mass_table, MS_mass_table_source},
    {MS_database_file_formats, MS_search_database_details},
    {MS_FASTA_format, MS_database_file_formats},
    {MS_ASN_1, MS_database_file_formats},
    {MS_NCBI___p_, MS_database_file_formats},
    {MS_clustal_aln, MS_database_file_formats},
    {MS_embl_em, MS_database_file_formats},
    {MS_NBRF_PIR, MS_database_file_formats},
    {MS_peptide_descriptions, MS_peptide_result_details},
    {MS_spectrum_descriptions, MS_search_input_details},
    {MS_spectrum_quality_descriptions, MS_spectrum_descriptions},
    {MS_msmsEval_quality, MS_spectrum_quality_descriptions},
    {MS_alternate_single_letter_codes, MS_ambiguous_residues},
    {MS_alternate_mass, MS_ambiguous_residues},
    {MS_number_of_unmatched_peaks, MS_single_protein_result_details},
    {MS_number_of_unmatched_peaks, MS_spectrum_identification_result_details},
    {MS_peptide_unique_to_one_protein, MS_peptide_sharing_details},
    {MS_pep_global_FDR, MS_spectrum_identification_result_details},
    {MS_frag__internal_yb_ion, MS_fragmentation_information},
    {MS_frag__internal_ya_ion, MS_fragmentation_information},
    {MS_frag__z_1_ion, MS_fragmentation_information},
    {MS_frag__z_2_ion, MS_fragmentation_information},
    {MS_text_file, MS_mass_spectrometer_file_format},
    {MS_mascot_homology_threshold, MS_search_engine_specific_score_for_peptides},
    {MS_mascot_homology_threshold, MS_search_engine_specific_score},
    {MS_mascot_homology_threshold, MS_spectrum_identification_result_details},
    {MS_mascot_identity_threshold, MS_single_protein_result_details},
    {MS_mascot_identity_threshold, MS_search_engine_specific_score_for_peptides},
    {MS_mascot_identity_threshold, MS_search_engine_specific_score},
    {MS_mascot_identity_threshold, MS_spectrum_identification_result_details},
    {MS_sequest_Sequences, MS_single_protein_result_details},
    {MS_sequest_Sequences, MS_search_engine_specific_score},
    {MS_sequest_TIC, MS_single_protein_result_details},
    {MS_sequest_TIC, MS_search_engine_specific_score},
    {MS_sequest_Sum, MS_single_protein_result_details},
    {MS_sequest_Sum, MS_search_engine_specific_score},
    {MS_Phenyx_Instrument_Type, MS_search_engine_specific_input_parameter},
    {MS_Phenyx_Scoring_Model, MS_search_engine_specific_input_parameter},
    {MS_Phenyx_Default_Parent_Charge, MS_search_engine_specific_input_parameter},
    {MS_Phenyx_Trust_Parent_Charge, MS_search_engine_specific_input_parameter},
    {MS_Phenyx_Turbo, MS_search_engine_specific_input_parameter},
    {MS_Phenyx_Turbo_ErrorTol, MS_search_engine_specific_input_parameter},
    {MS_Phenyx_Turbo_Coverage, MS_search_engine_specific_input_parameter},
    {MS_Phenyx_Turbo_Series, MS_search_engine_specific_input_parameter},
    {MS_Phenyx_MinPepLength, MS_search_engine_specific_input_parameter},
    {MS_Phenyx_MinPepzscore, MS_search_engine_specific_input_parameter},
    {MS_Phenyx_MaxPepPvalue, MS_search_engine_specific_input_parameter},
    {MS_Phenyx_AC_Score, MS_search_engine_specific_input_parameter},
    {MS_Phenyx_Conflict_Resolution, MS_search_engine_specific_input_parameter},
    {MS_Phenyx_AC, MS_single_protein_result_details},
    {MS_Phenyx_AC, MS_search_engine_specific_score},
    {MS_Phenyx_ID, MS_single_protein_result_details},
    {MS_Phenyx_ID, MS_search_engine_specific_score},
    {MS_Phenyx_Score, MS_single_protein_result_details},
    {MS_Phenyx_Score, MS_search_engine_specific_score},
    {MS_Phenyx_Peptides1, MS_single_protein_result_details},
    {MS_Phenyx_Peptides1, MS_search_engine_specific_score},
    {MS_Phenyx_Peptides2, MS_single_protein_result_details},
    {MS_Phenyx_Peptides2, MS_search_engine_specific_score},
    {MS_Phenyx_Auto, MS_search_engine_specific_score_for_peptides},
    {MS_Phenyx_Auto, MS_search_engine_specific_score},
    {MS_Phenyx_User, MS_search_engine_specific_score_for_peptides},
    {MS_Phenyx_User, MS_search_engine_specific_score},
    {MS_Phenyx_Pepzscore, MS_search_engine_specific_score_for_peptides},
    {MS_Phenyx_Pepzscore, MS_search_engine_specific_score},
    {MS_Phenyx_PepPvalue, MS_search_engine_specific_score_for_peptides},
    {MS_Phenyx_PepPvalue, MS_search_engine_specific_score},
    {MS_Phenyx_NumberOfMC, MS_search_engine_specific_score_for_peptides},
    {MS_Phenyx_NumberOfMC, MS_search_engine_specific_score},
    {MS_Phenyx_Modif, MS_search_engine_specific_score_for_peptides},
    {MS_Phenyx_Modif, MS_search_engine_specific_score},
    {MS_OMSSA_csv_file, MS_intermediate_analysis_format},
    {MS_OMSSA_xml_file, MS_intermediate_analysis_format},
    {MS_xtandem_xml_file, MS_intermediate_analysis_format},
    {MS_param__internal_yb_ion, MS_ions_series_considered_in_search},
    {MS_param__internal_ya_ion, MS_ions_series_considered_in_search},
    {MS_param__z_1_ion, MS_ions_series_considered_in_search},
    {MS_param__z_2_ion, MS_ions_series_considered_in_search},
    {MS_translation_start_codons, MS_search_database_details},
    {MS_search_tolerance_specification, MS_search_input_details},
    {MS_search_tolerance_plus_value, MS_search_tolerance_specification},
    {MS_search_tolerance_minus_value, MS_search_tolerance_specification},
    {MS_MGF_scans_OBSOLETE, MS_spectrum_identification_result_details},
    {MS_MGF_raw_scans_OBSOLETE, MS_spectrum_identification_result_details},
    {MS_spectrum_title_OBSOLETE, MS_spectrum_identification_result_details},
    {MS_SpectraST_dot, MS_search_engine_specific_score_for_peptides},
    {MS_SpectraST_dot, MS_search_engine_specific_score},
    {MS_SpectraST_dot_bias, MS_search_engine_specific_score_for_peptides},
    {MS_SpectraST_dot_bias, MS_search_engine_specific_score},
    {MS_SpectraST_discriminant_score_F, MS_search_engine_specific_score_for_peptides},
    {MS_SpectraST_discriminant_score_F, MS_search_engine_specific_score},
    {MS_SpectraST_delta, MS_search_engine_specific_score_for_peptides},
    {MS_SpectraST_delta, MS_search_engine_specific_score},
    {MS_pepXML_file, MS_intermediate_analysis_format},
    {MS_protXML_file, MS_intermediate_analysis_format},
    {MS_translation_table_description, MS_search_database_details},
    {MS_ProteinExtractor_Methodname, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_GenerateNonRedundant, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_IncludeIdentified, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_MaxNumberOfProteins, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_MaxProteinMass, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_MinNumberOfPeptides, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_UseMascot, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_MascotPeptideScoreThreshold, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_MascotUniqueScore, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_MascotUseIdentityScore, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_MascotWeighting, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_UseSequest, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_SequestPeptideScoreThreshold, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_SequestUniqueScore, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_SequestWeighting, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_UseProteinSolver, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_ProteinSolverPeptideScoreThreshold, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_ProteinSolverUniqueScore, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_ProteinSolverWeighting, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_UsePhenyx, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_PhenyxPeptideScoreThreshold, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_PhenyxUniqueScore, MS_search_engine_specific_input_parameter},
    {MS_ProteinExtractor_PhenyxWeighting, MS_search_engine_specific_input_parameter},
    {MS_prot_FDR_threshold, MS_quality_estimation_method_details},
    {MS_pep_FDR_threshold, MS_quality_estimation_method_details},
    {MS_OMSSA_e_value_threshold, MS_search_engine_specific_input_parameter},
    {MS_decoy_DB_details, MS_search_database_details},
    {MS_decoy_DB_generation_algorithm, MS_decoy_DB_details},
    {MS_decoy_DB_type_shuffle, MS_decoy_DB_details},
    {MS_DB_composition_only_decoy, MS_decoy_DB_details},
    {MS_quality_estimation_with_implicite_decoy_sequences, MS_quality_estimation_method_details},
    {MS_acquisition_software, MS_software},
    {MS_analysis_software, MS_software},
    {MS_data_processing_software, MS_software},
    {MS_unknown_modification, MS_peptide_modification_details},
    {MS_greylag, MS_analysis_software},
    {MS_PEFF_format, MS_database_file_formats},
    {MS_Phenyx_XML_format, MS_mass_spectrometer_file_format},
    {MS_Phenyx_XML_format, MS_intermediate_analysis_format},
    {MS_DTASelect_file, MS_intermediate_analysis_format},
    {MS_MS2_file, MS_intermediate_analysis_format},
    {MS_taxonomy__NCBI_TaxID, MS_molecule_taxonomy},
    {MS_taxonomy__common_name, MS_molecule_taxonomy},
    {MS_taxonomy__scientific_name, MS_molecule_taxonomy},
    {MS_taxonomy__Swiss_Prot_ID, MS_molecule_taxonomy},
    {MS_selected_ion_monitoring_chromatogram, MS_data_file_content},
    {MS_selected_ion_monitoring_chromatogram, MS_mass_chromatogram},
    {MS_selected_reaction_monitoring_chromatogram, MS_data_file_content},
    {MS_selected_reaction_monitoring_chromatogram, MS_mass_chromatogram},
    {MS_consecutive_reaction_monitoring_chromatogram_OBSOLETE, MS_data_file_content},
    {MS_consecutive_reaction_monitoring_chromatogram_OBSOLETE, MS_mass_chromatogram},
    {MS_OMSSA, MS_analysis_software},
    {MS_xtandem, MS_analysis_software},
    {MS_SpectraST, MS_analysis_software},
    {MS_Mascot_Parser, MS_analysis_software},
    {MS_null_terminated_ASCII_string, MS_binary_data_type},
    {MS_AB_SCIEX_TOF_TOF_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_AB_SCIEX_TOF_TOF_database, MS_mass_spectrometer_file_format},
    {MS_AB_SCIEX_TOF_TOF_5800, MS_AB_SCIEX_instrument_model},
    {MS_AB_SCIEX_TOF_TOF_Series_Explorer_Software, MS_AB_SCIEX_software},
    {MS_AB_SCIEX_TOF_TOF_Series_Explorer_Software, MS_acquisition_software},
    {MS_AB_SCIEX_TOF_TOF_Series_Explorer_Software, MS_analysis_software},
    {MS_AB_SCIEX_TOF_TOF_Series_Explorer_Software, MS_data_processing_software},
    {MS_intensity_normalization, MS_data_processing_action},
    {MS_m_z_calibration, MS_data_processing_action},
    {MS_data_filtering, MS_data_processing_action},
    {MS_ProteinExtractor, MS_analysis_software},
    {MS_ProteinExtractor, MS_Bruker_software},
    {MS_Mascot_Distiller_, MS_analysis_software},
    {MS_Mascot_Integra_, MS_analysis_software},
    {MS_Percolator_, MS_analysis_software},
    {MS_percolator_Q_value, MS_search_engine_specific_score},
    {MS_percolator_Q_value, MS_search_engine_specific_score_for_peptides},
    {MS_percolator_score_, MS_search_engine_specific_score},
    {MS_percolator_score_, MS_search_engine_specific_score_for_peptides},
    {MS_percolaror_PEP_, MS_search_engine_specific_score},
    {MS_percolaror_PEP_, MS_search_engine_specific_score_for_peptides},
    {MS_no_threshold, MS_quality_estimation_method_details},
    {MS_ProteinScape_SearchResultId, MS_search_engine_specific_score_for_peptides},
    {MS_ProteinScape_SearchResultId, MS_search_engine_specific_score},
    {MS_ProteinScape_SearchEventId, MS_search_engine_specific_score_for_peptides},
    {MS_ProteinScape_SearchEventId, MS_search_engine_specific_score},
    {MS_Profound_z_value, MS_search_engine_specific_score_for_peptides},
    {MS_Profound_z_value, MS_search_engine_specific_score},
    {MS_Profound_Cluster, MS_search_engine_specific_score_for_peptides},
    {MS_Profound_Cluster, MS_search_engine_specific_score},
    {MS_Profound_ClusterRank, MS_search_engine_specific_score_for_peptides},
    {MS_Profound_ClusterRank, MS_search_engine_specific_score},
    {MS_MSFit_Mowse_score, MS_search_engine_specific_score_for_peptides},
    {MS_MSFit_Mowse_score, MS_search_engine_specific_score},
    {MS_Sonar_Score, MS_search_engine_specific_score_for_peptides},
    {MS_Sonar_Score, MS_search_engine_specific_score},
    {MS_ProteinScape_PFFSolverExp, MS_search_engine_specific_score_for_peptides},
    {MS_ProteinScape_PFFSolverExp, MS_search_engine_specific_score},
    {MS_ProteinScape_PFFSolverScore, MS_search_engine_specific_score_for_peptides},
    {MS_ProteinScape_PFFSolverScore, MS_search_engine_specific_score},
    {MS_ProteinScape_IntensityCoverage, MS_search_engine_specific_score_for_peptides},
    {MS_ProteinScape_IntensityCoverage, MS_search_engine_specific_score},
    {MS_ProteinScape_SequestMetaScore, MS_search_engine_specific_score_for_peptides},
    {MS_ProteinScape_SequestMetaScore, MS_search_engine_specific_score},
    {MS_ProteinExtractor_Score, MS_single_protein_result_details},
    {MS_ProteinExtractor_Score, MS_search_engine_specific_score},
    {MS_Agilent_MassHunter_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_Agilent_MassHunter_file, MS_mass_spectrometer_file_format},
    {MS_TSQ_Vantage, MS_Thermo_Scientific_instrument_model},
    {MS_Sequence_database_filter_types, MS_database_filtering},
    {MS_Sequence_database_filters, MS_database_filtering},
    {MS_DB_sequence_filter_pattern, MS_Sequence_database_filters},
    {MS_DB_accession_filter_string, MS_Sequence_database_filters},
    {MS_frag__c_ion___H2O, MS_fragmentation_information},
    {MS_frag__c_ion___NH3, MS_fragmentation_information},
    {MS_frag__z_ion___H2O, MS_fragmentation_information},
    {MS_frag__z_ion___NH3, MS_fragmentation_information},
    {MS_frag__x_ion___H2O, MS_fragmentation_information},
    {MS_frag__x_ion___NH3, MS_fragmentation_information},
    {MS_frag__precursor_ion___H2O, MS_fragmentation_information},
    {MS_frag__precursor_ion___NH3, MS_fragmentation_information},
    {MS_frag__precursor_ion, MS_fragmentation_information},
    {MS_fragment_neutral_loss, MS_peptide_modification_details},
    {MS_precursor_neutral_loss_, MS_peptide_modification_details},
    {MS_spectrum_from_database_nativeID_format_1001526, MS_native_spectrum_identifier_format},
    {MS_Proteinscape_spectra, MS_mass_spectrometer_file_format},
    {MS_Mascot_query_number, MS_native_spectrum_identifier_format},
    {MS_Mascot_query_number, MS_spectrum_identification_result_details},
    {MS_spectra_data_details, MS_search_input_details},
    {MS_mzML_unique_identifier, MS_spectra_data_details},
    {MS_spectrum_from_ProteinScape_database_nativeID_format, MS_spectra_data_details},
    {MS_spectrum_from_ProteinScape_database_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_spectrum_from_database_nativeID_format_1001532, MS_spectra_data_details},
    {MS_spectrum_from_database_nativeID_format_1001532, MS_native_spectrum_identifier_format},
    {MS_Bruker_Daltonics_esquire_series, MS_Bruker_Daltonics_instrument_model},
    {MS_Bruker_Daltonics_flex_series, MS_Bruker_Daltonics_instrument_model},
    {MS_Bruker_Daltonics_BioTOF_series, MS_Bruker_Daltonics_instrument_model},
    {MS_Bruker_Daltonics_micrOTOF_series, MS_Bruker_Daltonics_instrument_model},
    {MS_BioTOF, MS_Bruker_Daltonics_BioTOF_series},
    {MS_BioTOF_III, MS_Bruker_Daltonics_BioTOF_series},
    {MS_UltroTOF_Q, MS_Bruker_Daltonics_BioTOF_series},
    {MS_micrOTOF_II, MS_Bruker_Daltonics_micrOTOF_series},
    {MS_maXis, MS_Bruker_Daltonics_maXis_series},
    {MS_amaZon_ETD, MS_Bruker_Daltonics_amaZon_series},
    {MS_microflex_LRF, MS_Bruker_Daltonics_flex_series},
    {MS_ultrafleXtreme, MS_Bruker_Daltonics_flex_series},
    {MS_Bruker_Daltonics_amaZon_series, MS_Bruker_Daltonics_instrument_model},
    {MS_amaZon_X, MS_Bruker_Daltonics_amaZon_series},
    {MS_Bruker_Daltonics_maXis_series, MS_Bruker_Daltonics_instrument_model},
    {MS_Bruker_Daltonics_solarix_series, MS_Bruker_Daltonics_instrument_model},
    {MS_solariX, MS_Bruker_Daltonics_solarix_series},
    {MS_microflex_II, MS_Bruker_Daltonics_flex_series},
    {MS_autoflex_II_TOF_TOF, MS_Bruker_Daltonics_flex_series},
    {MS_autoflex_III_TOF_TOF_smartbeam, MS_Bruker_Daltonics_flex_series},
    {MS_autoflex, MS_Bruker_Daltonics_flex_series},
    {MS_Bruker_Daltonics_apex_series, MS_Bruker_Daltonics_instrument_model},
    {MS_Shimadzu_Biotech_software, MS_software},
    {MS_MALDI_Solutions, MS_Shimadzu_Biotech_software},
    {MS_MALDI_Solutions, MS_acquisition_software},
    {MS_MALDI_Solutions, MS_analysis_software},
    {MS_MALDI_Solutions, MS_data_processing_software},
    {MS_AB_SCIEX_TOF_TOF_T2D_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_AB_SCIEX_TOF_TOF_T2D_file, MS_mass_spectrometer_file_format},
    {MS_Scaffold, MS_analysis_software},
    {MS_Scaffold_nativeID_format, MS_native_spectrum_identifier_format},
    {MS_Sequest_SQT, MS_intermediate_analysis_format},
    {MS_Discoverer_MSF, MS_intermediate_analysis_format},
    {MS_IdentityE_XML, MS_intermediate_analysis_format},
    {MS_ProteinLynx_XML, MS_intermediate_analysis_format},
    {MS_SpectrumMill_directories, MS_intermediate_analysis_format},
    {MS_Scaffold__Peptide_Probability, MS_search_engine_specific_score_for_peptides},
    {MS_Scaffold__Peptide_Probability, MS_search_engine_specific_score},
    {MS_IdentityE_Score, MS_search_engine_specific_score_for_peptides},
    {MS_IdentityE_Score, MS_search_engine_specific_score},
    {MS_ProteinLynx__Log_Likelihood, MS_search_engine_specific_score_for_peptides},
    {MS_ProteinLynx__Log_Likelihood, MS_search_engine_specific_score},
    {MS_ProteinLynx__Ladder_Score, MS_search_engine_specific_score_for_peptides},
    {MS_ProteinLynx__Ladder_Score, MS_search_engine_specific_score},
    {MS_SpectrumMill__Score, MS_search_engine_specific_score_for_peptides},
    {MS_SpectrumMill__Score, MS_search_engine_specific_score},
    {MS_SpectrumMill__SPI, MS_search_engine_specific_score_for_peptides},
    {MS_SpectrumMill__SPI, MS_search_engine_specific_score},
    {MS_report_only_spectra_assigned_to_identified_proteins, MS_quality_estimation_method_details},
    {MS_Scaffold__Minimum_Peptide_Count, MS_search_engine_specific_input_parameter},
    {MS_Scaffold__Minimum_Protein_Probability, MS_search_engine_specific_input_parameter},
    {MS_Scaffold__Minimum_Peptide_Probability, MS_search_engine_specific_input_parameter},
    {MS_minimum_number_of_enzymatic_termini, MS_search_engine_specific_input_parameter},
    {MS_Scaffold__Protein_Probability, MS_single_protein_result_details},
    {MS_SpectrumMill__Discriminant_Score, MS_search_engine_specific_score_for_peptides},
    {MS_SpectrumMill__Discriminant_Score, MS_search_engine_specific_score},
    {MS_FAIMS_compensation_voltage, MS_scan_attribute},
    {MS_XCMS, MS_analysis_software},
    {MS_XCMS, MS_data_processing_software},
    {MS_MaxQuant, MS_analysis_software},
    {MS_MaxQuant, MS_quantitation_software_name},
    {MS_combined_pmf___ms_ms_search, MS_search_type},
    {MS_ProteinScape_ProfoundProbability, MS_search_engine_specific_score_for_peptides},
    {MS_ProteinScape_ProfoundProbability, MS_search_engine_specific_score},
    {UO_length_unit, UO_base_unit},
    {UO_mass_unit, UO_base_unit},
    {UO_time_unit, UO_base_unit},
    {UO_electric_current_unit, UO_base_unit},
    {UO_temperature_unit, UO_base_unit},
    {UO_substance_unit, UO_base_unit},
    {UO_luminous_intensity_unit, UO_base_unit},
    {UO_meter, UO_length_unit},
    {UO_kilogram, UO_mass_unit},
    {UO_second, UO_time_unit},
    {UO_ampere, UO_electric_current_unit},
    {UO_kelvin, UO_temperature_unit},
    {UO_mole, UO_substance_unit},
    {UO_candela, UO_luminous_intensity_unit},
    {UO_centimeter, UO_length_unit},
    {UO_millimeter, UO_length_unit},
    {UO_micrometer, UO_length_unit},
    {UO_nanometer, UO_length_unit},
    {UO_angstrom, UO_length_unit},
    {UO_picometer, UO_length_unit},
    {UO_gram, UO_mass_unit},
    {UO_milligram, UO_mass_unit},
    {UO_microgram, UO_mass_unit},
    {UO_nanogram, UO_mass_unit},
    {UO_picogram, UO_mass_unit},
    {UO_femtogram, UO_mass_unit},
    {UO_degree_celsius, UO_temperature_derived_unit},
    {UO_millisecond, UO_time_unit},
    {UO_microsecond, UO_time_unit},
    {UO_picosecond, UO_time_unit},
    {UO_minute, UO_time_derived_unit},
    {UO_hour, UO_time_derived_unit},
    {UO_day, UO_time_derived_unit},
    {UO_week, UO_time_derived_unit},
    {UO_month, UO_time_derived_unit},
    {UO_year, UO_time_derived_unit},
    {UO_milliampere, UO_electric_current_unit},
    {UO_microampere, UO_electric_current_unit},
    {UO_micromole, UO_substance_unit},
    {UO_millimole, UO_substance_unit},
    {UO_nanomole, UO_substance_unit},
    {UO_picomole, UO_substance_unit},
    {UO_femtomole, UO_substance_unit},
    {UO_attomole, UO_substance_unit},
    {UO_base_unit, UO_unit},
    {UO_derived_unit, UO_unit},
    {UO_area_unit, UO_derived_unit},
    {UO_acceleration_unit, UO_derived_unit},
    {UO_angular_velocity_unit, UO_derived_unit},
    {UO_angular_acceleration_unit, UO_derived_unit},
    {UO_concentration_unit, UO_derived_unit},
    {UO_mass_density_unit, UO_density_unit},
    {UO_luminance_unit, UO_light_unit},
    {UO_area_density_unit, UO_density_unit},
    {UO_molar_mass_unit, UO_derived_unit},
    {UO_molar_volume_unit, UO_derived_unit},
    {UO_momentum_unit, UO_derived_unit},
    {UO_rotational_frequency_unit, UO_derived_unit},
    {UO_specific_volume_unit, UO_derived_unit},
    {UO_speed_velocity_unit, UO_derived_unit},
    {UO_unit_of_molarity, UO_concentration_unit},
    {UO_molar, UO_unit_of_molarity},
    {UO_millimolar, UO_unit_of_molarity},
    {UO_micromolar, UO_unit_of_molarity},
    {UO_nanomolar, UO_unit_of_molarity},
    {UO_picomolar, UO_unit_of_molarity},
    {UO_unit_of_molality, UO_concentration_unit},
    {UO_molal, UO_unit_of_molality},
    {UO_millimolal, UO_unit_of_molality},
    {UO_micromolal, UO_unit_of_molality},
    {UO_nanomolal, UO_unit_of_molality},
    {UO_picomolal, UO_unit_of_molality},
    {UO_femtomolar, UO_unit_of_molarity},
    {UO_unit_of_normality, UO_concentration_unit},
    {UO_normal, UO_unit_of_normality},
    {UO_mole_fraction, UO_concentration_unit},
    {UO_mole_fraction, UO_fraction},
    {UO_meter_per_second_per_second, UO_acceleration_unit},
    {UO_radian_per_second_per_second, UO_angular_acceleration_unit},
    {UO_radian_per_second, UO_angular_velocity_unit},
    {UO_square_meter, UO_area_unit},
    {UO_square_centimeter, UO_area_unit},
    {UO_square_millimeter, UO_area_unit},
    {UO_kilogram_per_cubic_meter, UO_mass_density_unit},
    {UO_gram_per_cubic_centimeter, UO_mass_density_unit},
    {UO_candela_per_square_meter, UO_luminance_unit},
    {UO_kilogram_per_square_meter, UO_area_density_unit},
    {UO_kilogram_per_mole, UO_molar_mass_unit},
    {UO_gram_per_mole, UO_molar_mass_unit},
    {UO_cubic_meter_per_mole, UO_molar_volume_unit},
    {UO_cubic_centimeter_per_mole, UO_molar_volume_unit},
    {UO_kilogram_meter_per_second, UO_momentum_unit},
    {UO_one_turn_per_second, UO_rotational_frequency_unit},
    {UO_cubic_meter_per_kilogram, UO_specific_volume_unit},
    {UO_meter_per_second, UO_speed_velocity_unit},
    {UO_volume_unit, UO_derived_unit},
    {UO_cubic_meter, UO_volume_unit},
    {UO_cubic_centimeter, UO_volume_unit},
    {UO_milliliter, UO_volume_unit},
    {UO_liter, UO_volume_unit},
    {UO_cubic_decimeter, UO_volume_unit},
    {UO_microliter, UO_volume_unit},
    {UO_nanoliter, UO_volume_unit},
    {UO_picoliter, UO_volume_unit},
    {UO_femtoliter, UO_volume_unit},
    {UO_frequency_unit, UO_derived_unit},
    {UO_hertz, UO_frequency_unit},
    {UO_force_unit, UO_derived_unit},
    {UO_newton, UO_force_unit},
    {UO_pressure_unit, UO_derived_unit},
    {UO_pascal, UO_pressure_unit},
    {UO_energy_unit, UO_derived_unit},
    {UO_joule, UO_energy_unit},
    {UO_power_unit, UO_derived_unit},
    {UO_watt, UO_power_unit},
    {UO_illuminance_unit, UO_light_unit},
    {UO_lux, UO_illuminance_unit},
    {UO_luminous_flux_unit, UO_light_unit},
    {UO_lumen, UO_luminous_flux_unit},
    {UO_catalytic_activity_unit, UO_derived_unit},
    {UO_katal, UO_catalytic_activity_unit},
    {UO_angle_unit, UO_derived_unit},
    {UO_plane_angle_unit, UO_angle_unit},
    {UO_radian, UO_plane_angle_unit},
    {UO_solid_angle_unit, UO_angle_unit},
    {UO_steradian, UO_solid_angle_unit},
    {UO_temperature_derived_unit, UO_derived_unit},
    {UO_radiation_unit, UO_derived_unit},
    {UO_activity__of_a_radionuclide__unit, UO_radiation_unit},
    {UO_absorbed_dose_unit, UO_radiation_unit},
    {UO_dose_equivalent_unit, UO_radiation_unit},
    {UO_exposure_unit, UO_radiation_unit},
    {UO_becquerel, UO_activity__of_a_radionuclide__unit},
    {UO_curie, UO_activity__of_a_radionuclide__unit},
    {UO_gray, UO_absorbed_dose_unit},
    {UO_rad, UO_absorbed_dose_unit},
    {UO_roentgen, UO_exposure_unit},
    {UO_sievert, UO_dose_equivalent_unit},
    {UO_millisievert, UO_dose_equivalent_unit},
    {UO_microsievert, UO_dose_equivalent_unit},
    {UO_Roentgen_equivalent_man, UO_dose_equivalent_unit},
    {UO_microgray, UO_absorbed_dose_unit},
    {UO_milligray, UO_absorbed_dose_unit},
    {UO_nanogray, UO_absorbed_dose_unit},
    {UO_nanosievert, UO_dose_equivalent_unit},
    {UO_millicurie, UO_activity__of_a_radionuclide__unit},
    {UO_microcurie, UO_activity__of_a_radionuclide__unit},
    {UO_disintegrations_per_minute, UO_activity__of_a_radionuclide__unit},
    {UO_counts_per_minute, UO_activity__of_a_radionuclide__unit},
    {UO_time_derived_unit, UO_derived_unit},
    {UO_nanosecond, UO_time_unit},
    {UO_century, UO_time_derived_unit},
    {UO_half_life, UO_time_derived_unit},
    {UO_foot_candle, UO_illuminance_unit},
    {UO_irradiance_unit, UO_light_unit},
    {UO_watt_per_square_meter, UO_irradiance_unit},
    {UO_einstein_per_square_meter_per_second, UO_irradiance_unit},
    {UO_light_unit, UO_derived_unit},
    {UO_watt_per_steradian_per_square_meter, UO_radiance_unit},
    {UO_radiant_intensity_unit, UO_light_unit},
    {UO_microeinstein_per_square_meter_per_second, UO_irradiance_unit},
    {UO_radiance_unit, UO_light_unit},
    {UO_watt_per_steradian, UO_radiant_intensity_unit},
    {UO_mass_percentage, UO_concentration_unit},
    {UO_mass_percentage, UO_percent},
    {UO_mass_volume_percentage, UO_concentration_unit},
    {UO_mass_volume_percentage, UO_percent},
    {UO_volume_percentage, UO_percent},
    {UO_volume_percentage, UO_volume_per_unit_volume},
    {UO_parts_per_notation, UO_concentration_unit},
    {UO_parts_per_notation, UO_dimensionless_unit},
    {UO_parts_per_hundred, UO_parts_per_notation},
    {UO_parts_per_thousand, UO_parts_per_notation},
    {UO_parts_per_million, UO_parts_per_notation},
    {UO_parts_per_billion, UO_parts_per_notation},
    {UO_parts_per_trillion, UO_parts_per_notation},
    {UO_parts_per_quadrillion, UO_parts_per_notation},
    {UO_gram_per_milliliter, UO_mass_density_unit},
    {UO_kilogram_per_liter, UO_mass_density_unit},
    {UO_gram_per_liter, UO_mass_density_unit},
    {UO_milligram_per_milliliter, UO_mass_density_unit},
    {UO_unit_per_volume_unit, UO_concentration_unit},
    {UO_unit_per_milliliter, UO_unit_per_volume_unit},
    {UO_unit_per_liter, UO_unit_per_volume_unit},
    {UO_mass_per_unit_volume, UO_concentration_unit},
    {UO_enzyme_unit, UO_catalytic_activity_unit},
    {UO_density_unit, UO_derived_unit},
    {UO_linear_density_unit, UO_density_unit},
    {UO_kilogram_per_meter, UO_linear_density_unit},
    {UO_degree, UO_plane_angle_unit},
    {UO_dimensionless_unit, UO_derived_unit},
    {UO_percent, UO_ratio},
    {UO_pi, UO_dimensionless_unit},
    {UO_count_unit, UO_dimensionless_unit},
    {UO_ratio, UO_dimensionless_unit},
    {UO_fraction, UO_ratio},
    {UO_molecule_count, UO_count_unit},
    {UO_purity_percentage, UO_percent},
    {UO_confluence_percentage, UO_percent},
    {UO_degree_fahrenheit, UO_temperature_derived_unit},
    {UO_pH, UO_concentration_unit},
    {UO_pH, UO_dimensionless_unit},
    {UO_liter_per_kilogram, UO_specific_volume_unit},
    {UO_milliliter_per_kilogram, UO_specific_volume_unit},
    {UO_microliter_per_kilogram, UO_specific_volume_unit},
    {UO_cell_concentration_unit, UO_concentration_unit},
    {UO_cells_per_milliliter, UO_cell_concentration_unit},
    {UO_catalytic__activity__concentration_unit, UO_concentration_unit},
    {UO_katal_per_cubic_meter, UO_catalytic__activity__concentration_unit},
    {UO_katal_per_liter, UO_catalytic__activity__concentration_unit},
    {UO_volume_per_unit_volume, UO_concentration_unit},
    {UO_milliliter_per_cubic_meter, UO_volume_per_unit_volume},
    {UO_milliliter_per_liter, UO_volume_per_unit_volume},
    {UO_gram_per_deciliter, UO_mass_density_unit},
    {UO_deciliter, UO_volume_unit},
    {UO_colony_forming_unit, UO_count_unit},
    {UO_plaque_forming_unit, UO_count_unit},
    {UO_colony_forming_unit_per_volume, UO_concentration_unit},
    {UO_colony_forming_unit_per_milliliter, UO_colony_forming_unit_per_volume},
    {UO_plaque_forming_unit_per_volume, UO_concentration_unit},
    {UO_plaque_forming_unit_per_milliliter, UO_plaque_forming_unit_per_volume},
    {UO_disintegrations_per_second, UO_activity__of_a_radionuclide__unit},
    {UO_electric_potential_difference, UO_derived_unit},
    {UO_volt, UO_electric_potential_difference},
    {UO_electric_charge, UO_derived_unit},
    {UO_coulomb, UO_electric_charge},
    {UO_dalton, UO_mass_unit},
    {UO_kilodalton, UO_mass_unit},
    {UO_watt_hour, UO_energy_unit},
    {UO_kilowatt_hour, UO_energy_unit},
    {UO_magnetic_flux_unit, UO_derived_unit},
    {UO_weber, UO_magnetic_flux_unit},
    {UO_magnetic_flux_density, UO_derived_unit},
    {UO_tesla, UO_magnetic_flux_density},
    {UO_volt_hour, UO_magnetic_flux_unit},
    {UO_kilovolt_hour, UO_magnetic_flux_unit},
    {UO_information_unit, UO_derived_unit},
    {UO_bit, UO_information_unit},
    {UO_byte, UO_information_unit},
    {UO_kilobyte, UO_information_unit},
    {UO_megabyte, UO_information_unit},
    {UO_image_resolution_unit, UO_information_unit},
    {UO_chroma_sampling_unit, UO_image_resolution_unit},
    {UO_dynamic_range_unit, UO_image_resolution_unit},
    {UO_spatial_resolution_unit, UO_image_resolution_unit},
    {UO_dots_per_inch, UO_spatial_resolution_unit},
    {UO_micron, UO_spatial_resolution_unit},
    {UO_pixels_per_inch, UO_spatial_resolution_unit},
    {UO_pixels_per_millimeter, UO_spatial_resolution_unit},
    {UO_base_pair, UO_count_unit},
    {UO_kibibyte, UO_information_unit},
    {UO_mebibyte, UO_information_unit},
    {UO_millivolt, UO_electric_potential_difference},
    {UO_kilovolt, UO_electric_potential_difference},
    {UO_microvolt, UO_electric_potential_difference},
    {UO_nanovolt, UO_electric_potential_difference},
    {UO_picovolt, UO_electric_potential_difference},
    {UO_megavolt, UO_electric_potential_difference},
    {UO_surface_tension_unit, UO_derived_unit},
    {UO_newton_per_meter, UO_surface_tension_unit},
    {UO_dyne_per_cm, UO_surface_tension_unit},
    {UO_viscosity_unit, UO_derived_unit},
    {UO_pascal_second, UO_viscosity_unit},
    {UO_poise, UO_viscosity_unit},
    {UO_decibel, UO_ratio},
    {UO_effective_dose_unit, UO_radiation_unit},
    {UO_conduction_unit, UO_derived_unit},
    {UO_electrical_conduction_unit, UO_conduction_unit},
    {UO_heat_conduction_unit, UO_conduction_unit},
    {UO_siemens, UO_electrical_conduction_unit},
    {UO_watt_per_meter_kelvin, UO_heat_conduction_unit},
    {UO_electronvolt, UO_energy_unit},
    {UO_electric_field_strength_unit, UO_derived_unit},
    {UO_volt_per_meter, UO_electric_field_strength_unit},
    {UO_absorbance_unit, UO_dimensionless_unit},
    {UO_microgram_per_liter, UO_mass_density_unit},
    {UNIMOD_Acetyl, UNIMOD_unimod_root_node},
    {UNIMOD_Amidated, UNIMOD_unimod_root_node},
    {UNIMOD_Biotin, UNIMOD_unimod_root_node},
    {UNIMOD_Carbamidomethyl, UNIMOD_unimod_root_node},
    {UNIMOD_Carbamyl, UNIMOD_unimod_root_node},
    {UNIMOD_Carboxymethyl, UNIMOD_unimod_root_node},
    {UNIMOD_Deamidated, UNIMOD_unimod_root_node},
    {UNIMOD_ICAT_G, UNIMOD_unimod_root_node},
    {UNIMOD_ICAT_G_2H_8_, UNIMOD_unimod_root_node},
    {UNIMOD_Met__Hse, UNIMOD_unimod_root_node},
    {UNIMOD_Met__Hsl, UNIMOD_unimod_root_node},
    {UNIMOD_ICAT_D_2H_8_, UNIMOD_unimod_root_node},
    {UNIMOD_ICAT_D, UNIMOD_unimod_root_node},
    {UNIMOD_NIPCAM, UNIMOD_unimod_root_node},
    {UNIMOD_PEO_Iodoacetyl_LC_Biotin, UNIMOD_unimod_root_node},
    {UNIMOD_Phospho, UNIMOD_unimod_root_node},
    {UNIMOD_Dehydrated, UNIMOD_unimod_root_node},
    {UNIMOD_Propionamide, UNIMOD_unimod_root_node},
    {UNIMOD_Pyridylacetyl, UNIMOD_unimod_root_node},
    {UNIMOD_Pyro_carbamidomethyl, UNIMOD_unimod_root_node},
    {UNIMOD_Glu__pyro_Glu, UNIMOD_unimod_root_node},
    {UNIMOD_Gln__pyro_Glu, UNIMOD_unimod_root_node},
    {UNIMOD_SMA, UNIMOD_unimod_root_node},
    {UNIMOD_Cation_Na, UNIMOD_unimod_root_node},
    {UNIMOD_Pyridylethyl, UNIMOD_unimod_root_node},
    {UNIMOD_Methyl, UNIMOD_unimod_root_node},
    {UNIMOD_Oxidation, UNIMOD_unimod_root_node},
    {UNIMOD_Dimethyl, UNIMOD_unimod_root_node},
    {UNIMOD_Trimethyl, UNIMOD_unimod_root_node},
    {UNIMOD_Methylthio, UNIMOD_unimod_root_node},
    {UNIMOD_Sulfo, UNIMOD_unimod_root_node},
    {UNIMOD_Hex, UNIMOD_unimod_root_node},
    {UNIMOD_Lipoyl, UNIMOD_unimod_root_node},
    {UNIMOD_HexNAc, UNIMOD_unimod_root_node},
    {UNIMOD_Farnesyl, UNIMOD_unimod_root_node},
    {UNIMOD_Myristoyl, UNIMOD_unimod_root_node},
    {UNIMOD_PyridoxalPhosphate, UNIMOD_unimod_root_node},
    {UNIMOD_Palmitoyl, UNIMOD_unimod_root_node},
    {UNIMOD_GeranylGeranyl, UNIMOD_unimod_root_node},
    {UNIMOD_Phosphopantetheine, UNIMOD_unimod_root_node},
    {UNIMOD_FAD, UNIMOD_unimod_root_node},
    {UNIMOD_Tripalmitate, UNIMOD_unimod_root_node},
    {UNIMOD_Guanidinyl, UNIMOD_unimod_root_node},
    {UNIMOD_HNE, UNIMOD_unimod_root_node},
    {UNIMOD_Glucuronyl, UNIMOD_unimod_root_node},
    {UNIMOD_Glutathione, UNIMOD_unimod_root_node},
    {UNIMOD_Acetyl_2H_3_, UNIMOD_unimod_root_node},
    {UNIMOD_Propionyl, UNIMOD_unimod_root_node},
    {UNIMOD_Propionyl_13C_3_, UNIMOD_unimod_root_node},
    {UNIMOD_GIST_Quat, UNIMOD_unimod_root_node},
    {UNIMOD_GIST_Quat_2H_3_, UNIMOD_unimod_root_node},
    {UNIMOD_GIST_Quat_2H_6_, UNIMOD_unimod_root_node},
    {UNIMOD_GIST_Quat_2H_9_, UNIMOD_unimod_root_node},
    {UNIMOD_Succinyl, UNIMOD_unimod_root_node},
    {UNIMOD_Succinyl_2H_4_, UNIMOD_unimod_root_node},
    {UNIMOD_Succinyl_13C_4_, UNIMOD_unimod_root_node},
    {UNIMOD_Iminobiotin, UNIMOD_unimod_root_node},
    {UNIMOD_ESP, UNIMOD_unimod_root_node},
    {UNIMOD_ESP_2H_10_, UNIMOD_unimod_root_node},
    {UNIMOD_NHS_LC_Biotin, UNIMOD_unimod_root_node},
    {UNIMOD_EDT_maleimide_PEO_biotin, UNIMOD_unimod_root_node},
    {UNIMOD_IMID, UNIMOD_unimod_root_node},
    {UNIMOD_IMID_2H_4_, UNIMOD_unimod_root_node},
    {UNIMOD_Propionamide_2H_3_, UNIMOD_unimod_root_node},
    {UNIMOD_ICAT_C, UNIMOD_unimod_root_node},
    {UNIMOD_ICAT_C_13C_9_, UNIMOD_unimod_root_node},
    {UNIMOD_FormylMet, UNIMOD_unimod_root_node},
    {UNIMOD_Nethylmaleimide, UNIMOD_unimod_root_node},
    {UNIMOD_OxLysBiotinRed, UNIMOD_unimod_root_node},
    {UNIMOD_OxLysBiotin, UNIMOD_unimod_root_node},
    {UNIMOD_OxProBiotinRed, UNIMOD_unimod_root_node},
    {UNIMOD_OxProBiotin, UNIMOD_unimod_root_node},
    {UNIMOD_OxArgBiotin, UNIMOD_unimod_root_node},
    {UNIMOD_OxArgBiotinRed, UNIMOD_unimod_root_node},
    {UNIMOD_EDT_iodoacetyl_PEO_biotin, UNIMOD_unimod_root_node},
    {UNIMOD_IBTP, UNIMOD_unimod_root_node},
    {UNIMOD_GlyGly, UNIMOD_unimod_root_node},
    {UNIMOD_Formyl, UNIMOD_unimod_root_node},
    {UNIMOD_ICAT_H, UNIMOD_unimod_root_node},
    {UNIMOD_ICAT_H_13C_6_, UNIMOD_unimod_root_node},
    {UNIMOD_Thioacyl, UNIMOD_unimod_root_node},
    {UNIMOD_Fluoro, UNIMOD_unimod_root_node},
    {UNIMOD_Fluorescein, UNIMOD_unimod_root_node},
    {UNIMOD_Iodo, UNIMOD_unimod_root_node},
    {UNIMOD_Diiodo, UNIMOD_unimod_root_node},
    {UNIMOD_Triiodo, UNIMOD_unimod_root_node},
    {UNIMOD_Myristoleyl, UNIMOD_unimod_root_node},
    {UNIMOD_Myristoyl_Delta_H__4_, UNIMOD_unimod_root_node},
    {UNIMOD_Benzoyl, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_5_HexNAc_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Dansyl, UNIMOD_unimod_root_node},
    {UNIMOD_a_type_ion, UNIMOD_unimod_root_node},
    {UNIMOD_Amidine, UNIMOD_unimod_root_node},
    {UNIMOD_HexNAc_1_dHex_1_, UNIMOD_unimod_root_node},
    {UNIMOD_HexNAc_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_3_, UNIMOD_unimod_root_node},
    {UNIMOD_HexNAc_1_dHex_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_1_HexNAc_1_dHex_1_, UNIMOD_unimod_root_node},
    {UNIMOD_HexNAc_2_dHex_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_1_HexNAc_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_1_HexNAc_1_NeuAc_1_, UNIMOD_unimod_root_node},
    {UNIMOD_HexNAc_2_dHex_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_1_HexNAc_2_Pent_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_1_HexNAc_2_dHex_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_2_HexNAc_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_3_HexNAc_1_Pent_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_1_HexNAc_2_dHex_1_Pent_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_1_HexNAc_2_dHex_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_2_HexNAc_2_Pent_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_2_HexNAc_2_dHex_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_3_HexNAc_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_1_HexNAc_1_NeuAc_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_3_HexNAc_2_P_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_S__1_Se_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_H_1_O__1_18O_1_, UNIMOD_unimod_root_node},
    {UNIMOD_NBS_13C_6_, UNIMOD_unimod_root_node},
    {UNIMOD_NBS, UNIMOD_unimod_root_node},
    {UNIMOD_BHT, UNIMOD_unimod_root_node},
    {UNIMOD_DAET, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_9_, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_9__Phospho, UNIMOD_unimod_root_node},
    {UNIMOD_HPG, UNIMOD_unimod_root_node},
    {UNIMOD_2HPG, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_6_, UNIMOD_unimod_root_node},
    {UNIMOD_Label_18O_2_, UNIMOD_unimod_root_node},
    {UNIMOD_AccQTag, UNIMOD_unimod_root_node},
    {UNIMOD_QAT, UNIMOD_unimod_root_node},
    {UNIMOD_QAT_2H_3_, UNIMOD_unimod_root_node},
    {UNIMOD_EQAT, UNIMOD_unimod_root_node},
    {UNIMOD_EQAT_2H_5_, UNIMOD_unimod_root_node},
    {UNIMOD_Dimethyl_2H_4_, UNIMOD_unimod_root_node},
    {UNIMOD_Ethanedithiol, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_H_6_C_6_O_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_H_4_C_3_O_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_H_2_C_3_, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_H_4_C_6_, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_H_8_C_6_O_2_, UNIMOD_unimod_root_node},
    {UNIMOD_NEIAA, UNIMOD_unimod_root_node},
    {UNIMOD_NEIAA_2H_5_, UNIMOD_unimod_root_node},
    {UNIMOD_ADP_Ribosyl, UNIMOD_unimod_root_node},
    {UNIMOD_iTRAQ4plex, UNIMOD_unimod_root_node},
    {UNIMOD_IGBP, UNIMOD_unimod_root_node},
    {UNIMOD_Crotonaldehyde, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_H_2_C_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_H_4_C_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_H_4_C_3_, UNIMOD_unimod_root_node},
    {UNIMOD_Label_18O_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_6_15N_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Thiophospho, UNIMOD_unimod_root_node},
    {UNIMOD_SPITC, UNIMOD_unimod_root_node},
    {UNIMOD_Label_2H_3_, UNIMOD_unimod_root_node},
    {UNIMOD_PET, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_6_15N_4_, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_5_15N_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_9_15N_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Cytopiloyne, UNIMOD_unimod_root_node},
    {UNIMOD_Cytopiloyne_water, UNIMOD_unimod_root_node},
    {UNIMOD_CAF, UNIMOD_unimod_root_node},
    {UNIMOD_Xlink_SSD, UNIMOD_unimod_root_node},
    {UNIMOD_Nitrosyl, UNIMOD_unimod_root_node},
    {UNIMOD_AEBS, UNIMOD_unimod_root_node},
    {UNIMOD_Ethanolyl, UNIMOD_unimod_root_node},
    {UNIMOD_Ethyl, UNIMOD_unimod_root_node},
    {UNIMOD_CoenzymeA, UNIMOD_unimod_root_node},
    {UNIMOD_Methyl_2H_2_, UNIMOD_unimod_root_node},
    {UNIMOD_SulfanilicAcid, UNIMOD_unimod_root_node},
    {UNIMOD_SulfanilicAcid_13C_6_, UNIMOD_unimod_root_node},
    {UNIMOD_Trp__Oxolactone, UNIMOD_unimod_root_node},
    {UNIMOD_Biotin_PEO_Amine, UNIMOD_unimod_root_node},
    {UNIMOD_Biotin_HPDP, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_Hg_1_, UNIMOD_unimod_root_node},
    {UNIMOD_IodoU_AMP, UNIMOD_unimod_root_node},
    {UNIMOD_CAMthiopropanoyl, UNIMOD_unimod_root_node},
    {UNIMOD_IED_Biotin, UNIMOD_unimod_root_node},
    {UNIMOD_dHex, UNIMOD_unimod_root_node},
    {UNIMOD_Methyl_2H_3_, UNIMOD_unimod_root_node},
    {UNIMOD_Carboxy, UNIMOD_unimod_root_node},
    {UNIMOD_Bromobimane, UNIMOD_unimod_root_node},
    {UNIMOD_Menadione, UNIMOD_unimod_root_node},
    {UNIMOD_DeStreak, UNIMOD_unimod_root_node},
    {UNIMOD_dHex_1_Hex_3_HexNAc_4_, UNIMOD_unimod_root_node},
    {UNIMOD_dHex_1_Hex_4_HexNAc_4_, UNIMOD_unimod_root_node},
    {UNIMOD_dHex_1_Hex_5_HexNAc_4_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_3_HexNAc_4_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_4_HexNAc_4_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_5_HexNAc_4_, UNIMOD_unimod_root_node},
    {UNIMOD_Cysteinyl, UNIMOD_unimod_root_node},
    {UNIMOD_Lys_loss, UNIMOD_unimod_root_node},
    {UNIMOD_Nmethylmaleimide, UNIMOD_unimod_root_node},
    {UNIMOD_DimethylpyrroleAdduct, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_H_2_C_5_, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_H_2_C_3_O_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Nethylmaleimide_water, UNIMOD_unimod_root_node},
    {UNIMOD_Xlink_B10621, UNIMOD_unimod_root_node},
    {UNIMOD_DTBP, UNIMOD_unimod_root_node},
    {UNIMOD_FP_Biotin, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_H_4_C_2_O__1_S_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Methyl_2H_3_13C_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Dimethyl_2H_6_13C_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Thiophos_S_S_biotin, UNIMOD_unimod_root_node},
    {UNIMOD_Can_FP_biotin, UNIMOD_unimod_root_node},
    {UNIMOD_HNE_Delta_H_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Methylamine, UNIMOD_unimod_root_node},
    {UNIMOD_Bromo, UNIMOD_unimod_root_node},
    {UNIMOD_Amino, UNIMOD_unimod_root_node},
    {UNIMOD_Argbiotinhydrazide, UNIMOD_unimod_root_node},
    {UNIMOD_Arg__GluSA, UNIMOD_unimod_root_node},
    {UNIMOD_Trioxidation, UNIMOD_unimod_root_node},
    {UNIMOD_His__Asn, UNIMOD_unimod_root_node},
    {UNIMOD_His__Asp, UNIMOD_unimod_root_node},
    {UNIMOD_Trp__Hydroxykynurenin, UNIMOD_unimod_root_node},
    {UNIMOD_Trp__Kynurenin, UNIMOD_unimod_root_node},
    {UNIMOD_Lys__Allysine, UNIMOD_unimod_root_node},
    {UNIMOD_Lysbiotinhydrazide, UNIMOD_unimod_root_node},
    {UNIMOD_Nitro, UNIMOD_unimod_root_node},
    {UNIMOD_probiotinhydrazide, UNIMOD_unimod_root_node},
    {UNIMOD_Pro__pyro_Glu, UNIMOD_unimod_root_node},
    {UNIMOD_Pro__Pyrrolidinone, UNIMOD_unimod_root_node},
    {UNIMOD_Thrbiotinhydrazide, UNIMOD_unimod_root_node},
    {UNIMOD_Diisopropylphosphate, UNIMOD_unimod_root_node},
    {UNIMOD_Isopropylphospho, UNIMOD_unimod_root_node},
    {UNIMOD_ICPL_13C_6_, UNIMOD_unimod_root_node},
    {UNIMOD_ICPL, UNIMOD_unimod_root_node},
    {UNIMOD_Deamidated_18O_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Cys__Dha, UNIMOD_unimod_root_node},
    {UNIMOD_Pro__Pyrrolidone, UNIMOD_unimod_root_node},
    {UNIMOD_HMVK, UNIMOD_unimod_root_node},
    {UNIMOD_Arg__Orn, UNIMOD_unimod_root_node},
    {UNIMOD_Dehydro, UNIMOD_unimod_root_node},
    {UNIMOD_Diphthamide, UNIMOD_unimod_root_node},
    {UNIMOD_Hydroxyfarnesyl, UNIMOD_unimod_root_node},
    {UNIMOD_Diacylglycerol, UNIMOD_unimod_root_node},
    {UNIMOD_Carboxyethyl, UNIMOD_unimod_root_node},
    {UNIMOD_Hypusine, UNIMOD_unimod_root_node},
    {UNIMOD_Retinylidene, UNIMOD_unimod_root_node},
    {UNIMOD_Lys__AminoadipicAcid, UNIMOD_unimod_root_node},
    {UNIMOD_Cys__PyruvicAcid, UNIMOD_unimod_root_node},
    {UNIMOD_Ammonia_loss, UNIMOD_unimod_root_node},
    {UNIMOD_Phycocyanobilin, UNIMOD_unimod_root_node},
    {UNIMOD_Phycoerythrobilin, UNIMOD_unimod_root_node},
    {UNIMOD_Phytochromobilin, UNIMOD_unimod_root_node},
    {UNIMOD_Heme, UNIMOD_unimod_root_node},
    {UNIMOD_Molybdopterin, UNIMOD_unimod_root_node},
    {UNIMOD_Quinone, UNIMOD_unimod_root_node},
    {UNIMOD_Glucosylgalactosyl, UNIMOD_unimod_root_node},
    {UNIMOD_GPIanchor, UNIMOD_unimod_root_node},
    {UNIMOD_PhosphoribosyldephosphoCoA, UNIMOD_unimod_root_node},
    {UNIMOD_GlycerylPE, UNIMOD_unimod_root_node},
    {UNIMOD_Triiodothyronine, UNIMOD_unimod_root_node},
    {UNIMOD_Thyroxine, UNIMOD_unimod_root_node},
    {UNIMOD_Tyr__Dha, UNIMOD_unimod_root_node},
    {UNIMOD_Didehydro, UNIMOD_unimod_root_node},
    {UNIMOD_Cys__Oxoalanine, UNIMOD_unimod_root_node},
    {UNIMOD_Ser__LacticAcid, UNIMOD_unimod_root_node},
    {UNIMOD_Phosphoadenosine, UNIMOD_unimod_root_node},
    {UNIMOD_Hydroxycinnamyl, UNIMOD_unimod_root_node},
    {UNIMOD_Glycosyl, UNIMOD_unimod_root_node},
    {UNIMOD_FMNH, UNIMOD_unimod_root_node},
    {UNIMOD_Archaeol, UNIMOD_unimod_root_node},
    {UNIMOD_Phenylisocyanate, UNIMOD_unimod_root_node},
    {UNIMOD_Phenylisocyanate_2H_5_, UNIMOD_unimod_root_node},
    {UNIMOD_Phosphoguanosine, UNIMOD_unimod_root_node},
    {UNIMOD_Hydroxymethyl, UNIMOD_unimod_root_node},
    {UNIMOD_MolybdopterinGD_Delta_S__1_Se_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Dipyrrolylmethanemethyl, UNIMOD_unimod_root_node},
    {UNIMOD_PhosphoUridine, UNIMOD_unimod_root_node},
    {UNIMOD_Glycerophospho, UNIMOD_unimod_root_node},
    {UNIMOD_Carboxy__Thiocarboxy, UNIMOD_unimod_root_node},
    {UNIMOD_Sulfide, UNIMOD_unimod_root_node},
    {UNIMOD_PyruvicAcidIminyl, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_Se_1_, UNIMOD_unimod_root_node},
    {UNIMOD_MolybdopterinGD, UNIMOD_unimod_root_node},
    {UNIMOD_Dioxidation, UNIMOD_unimod_root_node},
    {UNIMOD_Octanoyl, UNIMOD_unimod_root_node},
    {UNIMOD_PhosphoHexNAc, UNIMOD_unimod_root_node},
    {UNIMOD_PhosphoHex, UNIMOD_unimod_root_node},
    {UNIMOD_Palmitoleyl, UNIMOD_unimod_root_node},
    {UNIMOD_Cholesterol, UNIMOD_unimod_root_node},
    {UNIMOD_Didehydroretinylidene, UNIMOD_unimod_root_node},
    {UNIMOD_CHDH, UNIMOD_unimod_root_node},
    {UNIMOD_Methylpyrroline, UNIMOD_unimod_root_node},
    {UNIMOD_Hydroxyheme, UNIMOD_unimod_root_node},
    {UNIMOD_MicrocinC7, UNIMOD_unimod_root_node},
    {UNIMOD_Cyano, UNIMOD_unimod_root_node},
    {UNIMOD_Diironsubcluster, UNIMOD_unimod_root_node},
    {UNIMOD_Amidino, UNIMOD_unimod_root_node},
    {UNIMOD_FMN, UNIMOD_unimod_root_node},
    {UNIMOD_FMNC, UNIMOD_unimod_root_node},
    {UNIMOD_CuSMo, UNIMOD_unimod_root_node},
    {UNIMOD_Hydroxytrimethyl, UNIMOD_unimod_root_node},
    {UNIMOD_Deoxy, UNIMOD_unimod_root_node},
    {UNIMOD_Microcin, UNIMOD_unimod_root_node},
    {UNIMOD_Decanoyl, UNIMOD_unimod_root_node},
    {UNIMOD_Glu, UNIMOD_unimod_root_node},
    {UNIMOD_GluGlu, UNIMOD_unimod_root_node},
    {UNIMOD_GluGluGlu, UNIMOD_unimod_root_node},
    {UNIMOD_GluGluGluGlu, UNIMOD_unimod_root_node},
    {UNIMOD_HexN, UNIMOD_unimod_root_node},
    {UNIMOD_Xlink_DMP_s, UNIMOD_unimod_root_node},
    {UNIMOD_Xlink_DMP, UNIMOD_unimod_root_node},
    {UNIMOD_NDA, UNIMOD_unimod_root_node},
    {UNIMOD_SPITC_13C_6_, UNIMOD_unimod_root_node},
    {UNIMOD_AEC_MAEC, UNIMOD_unimod_root_node},
    {UNIMOD_TMAB, UNIMOD_unimod_root_node},
    {UNIMOD_TMAB_2H_9_, UNIMOD_unimod_root_node},
    {UNIMOD_FTC, UNIMOD_unimod_root_node},
    {UNIMOD_Label_2H_4_, UNIMOD_unimod_root_node},
    {UNIMOD_DHP, UNIMOD_unimod_root_node},
    {UNIMOD_Hep, UNIMOD_unimod_root_node},
    {UNIMOD_BADGE, UNIMOD_unimod_root_node},
    {UNIMOD_CyDye_Cy3, UNIMOD_unimod_root_node},
    {UNIMOD_CyDye_Cy5, UNIMOD_unimod_root_node},
    {UNIMOD_BHTOH, UNIMOD_unimod_root_node},
    {UNIMOD_IGBP_13C_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Nmethylmaleimide_water, UNIMOD_unimod_root_node},
    {UNIMOD_PyMIC, UNIMOD_unimod_root_node},
    {UNIMOD_LG_lactam_K, UNIMOD_unimod_root_node},
    {UNIMOD_LG_Hlactam_K, UNIMOD_unimod_root_node},
    {UNIMOD_LG_lactam_R, UNIMOD_unimod_root_node},
    {UNIMOD_LG_Hlactam_R, UNIMOD_unimod_root_node},
    {UNIMOD_Dimethyl_2H_4_13C_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex_2_, UNIMOD_unimod_root_node},
    {UNIMOD_C8_QAT, UNIMOD_unimod_root_node},
    {UNIMOD_PropylNAGthiazoline, UNIMOD_unimod_root_node},
    {UNIMOD_FNEM, UNIMOD_unimod_root_node},
    {UNIMOD_Diethyl, UNIMOD_unimod_root_node},
    {UNIMOD_BisANS, UNIMOD_unimod_root_node},
    {UNIMOD_Piperidine, UNIMOD_unimod_root_node},
    {UNIMOD_Maleimide_PEO2_Biotin, UNIMOD_unimod_root_node},
    {UNIMOD_Sulfo_NHS_LC_LC_Biotin, UNIMOD_unimod_root_node},
    {UNIMOD_CLIP_TRAQ_1, UNIMOD_unimod_root_node},
    {UNIMOD_CLIP_TRAQ_2, UNIMOD_unimod_root_node},
    {UNIMOD_Dethiomethyl, UNIMOD_unimod_root_node},
    {UNIMOD_Methyl_Deamidated, UNIMOD_unimod_root_node},
    {UNIMOD_Delta_H_5_C_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Cation_K, UNIMOD_unimod_root_node},
    {UNIMOD_Cation_Cu_I_, UNIMOD_unimod_root_node},
    {UNIMOD_iTRAQ4plex114, UNIMOD_unimod_root_node},
    {UNIMOD_iTRAQ4plex115, UNIMOD_unimod_root_node},
    {UNIMOD_Dibromo, UNIMOD_unimod_root_node},
    {UNIMOD_LeuArgGlyGly, UNIMOD_unimod_root_node},
    {UNIMOD_CLIP_TRAQ_3, UNIMOD_unimod_root_node},
    {UNIMOD_CLIP_TRAQ_4, UNIMOD_unimod_root_node},
    {UNIMOD_15dB_biotin, UNIMOD_unimod_root_node},
    {UNIMOD_PGA1_biotin, UNIMOD_unimod_root_node},
    {UNIMOD_Ala__Ser, UNIMOD_unimod_root_node},
    {UNIMOD_Ala__Thr, UNIMOD_unimod_root_node},
    {UNIMOD_Ala__Asp, UNIMOD_unimod_root_node},
    {UNIMOD_Ala__Pro, UNIMOD_unimod_root_node},
    {UNIMOD_Ala__Gly, UNIMOD_unimod_root_node},
    {UNIMOD_Ala__Glu, UNIMOD_unimod_root_node},
    {UNIMOD_Ala__Val, UNIMOD_unimod_root_node},
    {UNIMOD_Cys__Phe, UNIMOD_unimod_root_node},
    {UNIMOD_Cys__Ser, UNIMOD_unimod_root_node},
    {UNIMOD_Cys__Trp, UNIMOD_unimod_root_node},
    {UNIMOD_Cys__Tyr, UNIMOD_unimod_root_node},
    {UNIMOD_Cys__Arg, UNIMOD_unimod_root_node},
    {UNIMOD_Cys__Gly, UNIMOD_unimod_root_node},
    {UNIMOD_Asp__Ala, UNIMOD_unimod_root_node},
    {UNIMOD_Asp__His, UNIMOD_unimod_root_node},
    {UNIMOD_Asp__Asn, UNIMOD_unimod_root_node},
    {UNIMOD_Asp__Gly, UNIMOD_unimod_root_node},
    {UNIMOD_Asp__Tyr, UNIMOD_unimod_root_node},
    {UNIMOD_Asp__Glu, UNIMOD_unimod_root_node},
    {UNIMOD_Asp__Val, UNIMOD_unimod_root_node},
    {UNIMOD_Glu__Ala, UNIMOD_unimod_root_node},
    {UNIMOD_Glu__Gln, UNIMOD_unimod_root_node},
    {UNIMOD_Glu__Asp, UNIMOD_unimod_root_node},
    {UNIMOD_Glu__Lys, UNIMOD_unimod_root_node},
    {UNIMOD_Glu__Gly, UNIMOD_unimod_root_node},
    {UNIMOD_Glu__Val, UNIMOD_unimod_root_node},
    {UNIMOD_Phe__Ser, UNIMOD_unimod_root_node},
    {UNIMOD_Phe__Cys, UNIMOD_unimod_root_node},
    {UNIMOD_Phe__Ile, UNIMOD_unimod_root_node},
    {UNIMOD_Phe__Tyr, UNIMOD_unimod_root_node},
    {UNIMOD_Phe__Val, UNIMOD_unimod_root_node},
    {UNIMOD_Gly__Ala, UNIMOD_unimod_root_node},
    {UNIMOD_Gly__Ser, UNIMOD_unimod_root_node},
    {UNIMOD_Gly__Trp, UNIMOD_unimod_root_node},
    {UNIMOD_Gly__Glu, UNIMOD_unimod_root_node},
    {UNIMOD_Gly__Val, UNIMOD_unimod_root_node},
    {UNIMOD_Gly__Asp, UNIMOD_unimod_root_node},
    {UNIMOD_Gly__Cys, UNIMOD_unimod_root_node},
    {UNIMOD_Gly__Arg, UNIMOD_unimod_root_node},
    {UNIMOD_His__Pro, UNIMOD_unimod_root_node},
    {UNIMOD_His__Tyr, UNIMOD_unimod_root_node},
    {UNIMOD_His__Gln, UNIMOD_unimod_root_node},
    {UNIMOD_His__Arg, UNIMOD_unimod_root_node},
    {UNIMOD_His__Leu, UNIMOD_unimod_root_node},
    {UNIMOD_Ile__Phe, UNIMOD_unimod_root_node},
    {UNIMOD_Ile__Ser, UNIMOD_unimod_root_node},
    {UNIMOD_Ile__Thr, UNIMOD_unimod_root_node},
    {UNIMOD_Ile__Asn, UNIMOD_unimod_root_node},
    {UNIMOD_Ile__Lys, UNIMOD_unimod_root_node},
    {UNIMOD_Ile__Val, UNIMOD_unimod_root_node},
    {UNIMOD_Ile__Met, UNIMOD_unimod_root_node},
    {UNIMOD_Ile__Arg, UNIMOD_unimod_root_node},
    {UNIMOD_Lys__Thr, UNIMOD_unimod_root_node},
    {UNIMOD_Lys__Asn, UNIMOD_unimod_root_node},
    {UNIMOD_Lys__Glu, UNIMOD_unimod_root_node},
    {UNIMOD_Lys__Gln, UNIMOD_unimod_root_node},
    {UNIMOD_Lys__Met, UNIMOD_unimod_root_node},
    {UNIMOD_Lys__Arg, UNIMOD_unimod_root_node},
    {UNIMOD_Lys__Ile, UNIMOD_unimod_root_node},
    {UNIMOD_Leu__Ser, UNIMOD_unimod_root_node},
    {UNIMOD_Leu__Phe, UNIMOD_unimod_root_node},
    {UNIMOD_Leu__Trp, UNIMOD_unimod_root_node},
    {UNIMOD_Leu__Pro, UNIMOD_unimod_root_node},
    {UNIMOD_Leu__Val, UNIMOD_unimod_root_node},
    {UNIMOD_Leu__His, UNIMOD_unimod_root_node},
    {UNIMOD_Leu__Gln, UNIMOD_unimod_root_node},
    {UNIMOD_Leu__Met, UNIMOD_unimod_root_node},
    {UNIMOD_Leu__Arg, UNIMOD_unimod_root_node},
    {UNIMOD_Met__Thr, UNIMOD_unimod_root_node},
    {UNIMOD_Met__Arg, UNIMOD_unimod_root_node},
    {UNIMOD_Met__Ile, UNIMOD_unimod_root_node},
    {UNIMOD_Met__Lys, UNIMOD_unimod_root_node},
    {UNIMOD_Met__Leu, UNIMOD_unimod_root_node},
    {UNIMOD_Met__Val, UNIMOD_unimod_root_node},
    {UNIMOD_Asn__Ser, UNIMOD_unimod_root_node},
    {UNIMOD_Asn__Thr, UNIMOD_unimod_root_node},
    {UNIMOD_Asn__Lys, UNIMOD_unimod_root_node},
    {UNIMOD_Asn__Tyr, UNIMOD_unimod_root_node},
    {UNIMOD_Asn__His, UNIMOD_unimod_root_node},
    {UNIMOD_Asn__Asp, UNIMOD_unimod_root_node},
    {UNIMOD_Asn__Ile, UNIMOD_unimod_root_node},
    {UNIMOD_Pro__Ser, UNIMOD_unimod_root_node},
    {UNIMOD_Pro__Ala, UNIMOD_unimod_root_node},
    {UNIMOD_Pro__His, UNIMOD_unimod_root_node},
    {UNIMOD_Pro__Gln, UNIMOD_unimod_root_node},
    {UNIMOD_Pro__Thr, UNIMOD_unimod_root_node},
    {UNIMOD_Pro__Arg, UNIMOD_unimod_root_node},
    {UNIMOD_Pro__Leu, UNIMOD_unimod_root_node},
    {UNIMOD_Gln__Pro, UNIMOD_unimod_root_node},
    {UNIMOD_Gln__Lys, UNIMOD_unimod_root_node},
    {UNIMOD_Gln__Glu, UNIMOD_unimod_root_node},
    {UNIMOD_Gln__His, UNIMOD_unimod_root_node},
    {UNIMOD_Gln__Arg, UNIMOD_unimod_root_node},
    {UNIMOD_Gln__Leu, UNIMOD_unimod_root_node},
    {UNIMOD_Arg__Ser, UNIMOD_unimod_root_node},
    {UNIMOD_Arg__Trp, UNIMOD_unimod_root_node},
    {UNIMOD_Arg__Thr, UNIMOD_unimod_root_node},
    {UNIMOD_Arg__Pro, UNIMOD_unimod_root_node},
    {UNIMOD_Arg__Lys, UNIMOD_unimod_root_node},
    {UNIMOD_Arg__His, UNIMOD_unimod_root_node},
    {UNIMOD_Arg__Gln, UNIMOD_unimod_root_node},
    {UNIMOD_Arg__Met, UNIMOD_unimod_root_node},
    {UNIMOD_Arg__Cys, UNIMOD_unimod_root_node},
    {UNIMOD_Arg__Ile, UNIMOD_unimod_root_node},
    {UNIMOD_Arg__Gly, UNIMOD_unimod_root_node},
    {UNIMOD_Ser__Phe, UNIMOD_unimod_root_node},
    {UNIMOD_Ser__Ala, UNIMOD_unimod_root_node},
    {UNIMOD_Ser__Trp, UNIMOD_unimod_root_node},
    {UNIMOD_Ser__Thr, UNIMOD_unimod_root_node},
    {UNIMOD_Ser__Asn, UNIMOD_unimod_root_node},
    {UNIMOD_Ser__Pro, UNIMOD_unimod_root_node},
    {UNIMOD_Ser__Tyr, UNIMOD_unimod_root_node},
    {UNIMOD_Ser__Cys, UNIMOD_unimod_root_node},
    {UNIMOD_Ser__Arg, UNIMOD_unimod_root_node},
    {UNIMOD_Ser__Ile, UNIMOD_unimod_root_node},
    {UNIMOD_Ser__Gly, UNIMOD_unimod_root_node},
    {UNIMOD_Thr__Ser, UNIMOD_unimod_root_node},
    {UNIMOD_Thr__Ala, UNIMOD_unimod_root_node},
    {UNIMOD_Thr__Asn, UNIMOD_unimod_root_node},
    {UNIMOD_Thr__Lys, UNIMOD_unimod_root_node},
    {UNIMOD_Thr__Pro, UNIMOD_unimod_root_node},
    {UNIMOD_Thr__Met, UNIMOD_unimod_root_node},
    {UNIMOD_Thr__Ile, UNIMOD_unimod_root_node},
    {UNIMOD_Thr__Arg, UNIMOD_unimod_root_node},
    {UNIMOD_Val__Phe, UNIMOD_unimod_root_node},
    {UNIMOD_Val__Ala, UNIMOD_unimod_root_node},
    {UNIMOD_Val__Glu, UNIMOD_unimod_root_node},
    {UNIMOD_Val__Met, UNIMOD_unimod_root_node},
    {UNIMOD_Val__Asp, UNIMOD_unimod_root_node},
    {UNIMOD_Val__Ile, UNIMOD_unimod_root_node},
    {UNIMOD_Val__Gly, UNIMOD_unimod_root_node},
    {UNIMOD_Trp__Ser, UNIMOD_unimod_root_node},
    {UNIMOD_Trp__Cys, UNIMOD_unimod_root_node},
    {UNIMOD_Trp__Arg, UNIMOD_unimod_root_node},
    {UNIMOD_Trp__Gly, UNIMOD_unimod_root_node},
    {UNIMOD_Trp__Leu, UNIMOD_unimod_root_node},
    {UNIMOD_Tyr__Phe, UNIMOD_unimod_root_node},
    {UNIMOD_Tyr__Ser, UNIMOD_unimod_root_node},
    {UNIMOD_Tyr__Asn, UNIMOD_unimod_root_node},
    {UNIMOD_Tyr__His, UNIMOD_unimod_root_node},
    {UNIMOD_Tyr__Asp, UNIMOD_unimod_root_node},
    {UNIMOD_Tyr__Cys, UNIMOD_unimod_root_node},
    {UNIMOD_BDMAPP, UNIMOD_unimod_root_node},
    {UNIMOD_NA_LNO2, UNIMOD_unimod_root_node},
    {UNIMOD_NA_OA_NO2, UNIMOD_unimod_root_node},
    {UNIMOD_ICPL_2H_4_, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_6_15N_1_, UNIMOD_unimod_root_node},
    {UNIMOD_Label_2H_9_13C_6_15N_2_, UNIMOD_unimod_root_node},
    {UNIMOD_NIC, UNIMOD_unimod_root_node},
    {UNIMOD_dNIC, UNIMOD_unimod_root_node},
    {UNIMOD_HNE_Delta_H_2_O, UNIMOD_unimod_root_node},
    {UNIMOD_4_ONE, UNIMOD_unimod_root_node},
    {UNIMOD_O_Dimethylphosphate, UNIMOD_unimod_root_node},
    {UNIMOD_O_Methylphosphate, UNIMOD_unimod_root_node},
    {UNIMOD_O_Diethylphosphate, UNIMOD_unimod_root_node},
    {UNIMOD_O_Ethylphosphate, UNIMOD_unimod_root_node},
    {UNIMOD_O_pinacolylmethylphosphonate, UNIMOD_unimod_root_node},
    {UNIMOD_Methylphosphonate, UNIMOD_unimod_root_node},
    {UNIMOD_O_Isopropylmethylphosphonate, UNIMOD_unimod_root_node},
    {UNIMOD_iTRAQ8plex, UNIMOD_unimod_root_node},
    {UNIMOD_iTRAQ8plex_13C_6_15N_2_, UNIMOD_unimod_root_node},
    {UNIMOD_Ethanolamine, UNIMOD_unimod_root_node},
    {UNIMOD_DTT_ST, UNIMOD_unimod_root_node},
    {UNIMOD_DTT_C, UNIMOD_unimod_root_node},
    {UNIMOD_TMT6plex, UNIMOD_unimod_root_node},
    {UNIMOD_TMT2plex, UNIMOD_unimod_root_node},
    {UNIMOD_TMT, UNIMOD_unimod_root_node},
    {UNIMOD_ExacTagThiol, UNIMOD_unimod_root_node},
    {UNIMOD_ExacTagAmine, UNIMOD_unimod_root_node},
    {UNIMOD_4_ONE_Delta_H__2_O__1_, UNIMOD_unimod_root_node},
    {UNIMOD_NO_SMX_SEMD, UNIMOD_unimod_root_node},
    {UNIMOD_NO_SMX_SMCT, UNIMOD_unimod_root_node},
    {UNIMOD_NO_SMX_SIMD, UNIMOD_unimod_root_node},
    {UNIMOD_Malonyl, UNIMOD_unimod_root_node},
    {UNIMOD_3sulfo, UNIMOD_unimod_root_node},
    {UNIMOD_trifluoro, UNIMOD_unimod_root_node},
    {UNIMOD_TNBS, UNIMOD_unimod_root_node},
    {UNIMOD_IDEnT, UNIMOD_unimod_root_node},
    {UNIMOD_DTT_ST_2H_6_, UNIMOD_unimod_root_node},
    {UNIMOD_DTT_C_2H_6_, UNIMOD_unimod_root_node},
    {UNIMOD_Met_loss, UNIMOD_unimod_root_node},
    {UNIMOD_Met_loss_Acetyl, UNIMOD_unimod_root_node},
    {UNIMOD_Menadione_HQ, UNIMOD_unimod_root_node},
    {UNIMOD_Methyl_Acetyl_2H_3_, UNIMOD_unimod_root_node},
    {UNIMOD_lapachenole, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_5_, UNIMOD_unimod_root_node},
    {UNIMOD_maleimide, UNIMOD_unimod_root_node},
    {UNIMOD_Biotin_phenacyl, UNIMOD_unimod_root_node},
    {UNIMOD_Carboxymethyl_13C_2_, UNIMOD_unimod_root_node},
    {UNIMOD_NEM_2H_5_, UNIMOD_unimod_root_node},
    {UNIMOD_AEC_MAEC_2H_4_, UNIMOD_unimod_root_node},
    {UNIMOD_Hex1HexNAc1, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_6__GlyGly, UNIMOD_unimod_root_node},
    {UNIMOD_PentylamineBiotin, UNIMOD_unimod_root_node},
    {UNIMOD_Pentylamine, UNIMOD_unimod_root_node},
    {UNIMOD_Biotin_PEO4_hydrazide, UNIMOD_unimod_root_node},
    {UNIMOD_Cy3b_maleimide, UNIMOD_unimod_root_node},
    {UNIMOD_Gly_loss_Amide, UNIMOD_unimod_root_node},
    {UNIMOD_BMOE, UNIMOD_unimod_root_node},
    {UNIMOD_DFDNB, UNIMOD_unimod_root_node},
    {UNIMOD_TMPP_Ac, UNIMOD_unimod_root_node},
    {UNIMOD_Dihydroxyimidazolidine, UNIMOD_unimod_root_node},
    {UNIMOD_Label_2H_4__Acetyl, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_6__Acetyl, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_6_15N_2__Acetyl, UNIMOD_unimod_root_node},
    {UNIMOD_Arg__Npo, UNIMOD_unimod_root_node},
    {UNIMOD_EQIGG, UNIMOD_unimod_root_node},
    {UNIMOD_Arg2PG, UNIMOD_unimod_root_node},
    {UNIMOD_cGMP, UNIMOD_unimod_root_node},
    {UNIMOD_cGMP_RMP_loss, UNIMOD_unimod_root_node},
    {UNIMOD_Label_2H_4__GlyGly, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_8_15N_2_, UNIMOD_unimod_root_node},
    {UNIMOD_MG_H1, UNIMOD_unimod_root_node},
    {UNIMOD_G_H1, UNIMOD_unimod_root_node},
    {UNIMOD_ZGB, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_1_2H_3_, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_6_15N_2__GlyGly, UNIMOD_unimod_root_node},
    {UNIMOD_ICPL_13C_6_2H_4_, UNIMOD_unimod_root_node},
    {UNIMOD_QEQTGG, UNIMOD_unimod_root_node},
    {UNIMOD_QQQTGG, UNIMOD_unimod_root_node},
    {UNIMOD_Bodipy, UNIMOD_unimod_root_node},
    {UNIMOD_ChromoBiotin, UNIMOD_unimod_root_node},
    {UNIMOD_Label_13C_1_2H_3__Oxidation, UNIMOD_unimod_root_node},
    {UNIMOD_HydroxymethylOP, UNIMOD_unimod_root_node},
    {UNIMOD_MDCC, UNIMOD_unimod_root_node},
    {UNIMOD_mTRAQ, UNIMOD_unimod_root_node},
    {UNIMOD_mTRAQ_13C_3_15N_1_, UNIMOD_unimod_root_node},
    {UNIMOD_DyLight_maleimide, UNIMOD_unimod_root_node},
    {UNIMOD_Methyl_PEO12_Maleimide, UNIMOD_unimod_root_node},
    {UNIMOD_CarbamidomethylDTT, UNIMOD_unimod_root_node},
    {UNIMOD_CarboxymethylDTT, UNIMOD_unimod_root_node},
    {UNIMOD_Biotin_PEG_PRA, UNIMOD_unimod_root_node},
    {UNIMOD_Met__Aha, UNIMOD_unimod_root_node},
    {UNIMOD_Label_15N_4_, UNIMOD_unimod_root_node},
    {UNIMOD_Met__Hpg, UNIMOD_unimod_root_node},
    {UNIMOD_4AcAllylGal, UNIMOD_unimod_root_node},
    {UNIMOD_DimethylArsino, UNIMOD_unimod_root_node},
    {UNIMOD_Lys__CamCys, UNIMOD_unimod_root_node},
    {UNIMOD_Phe__CamCys, UNIMOD_unimod_root_node},
    {UNIMOD_Leu__MetOx, UNIMOD_unimod_root_node},
    {UNIMOD_Lys__MetOx, UNIMOD_unimod_root_node},
    {UNIMOD_Galactosyl, UNIMOD_unimod_root_node},
    {UNIMOD_SMCC_maleimide, UNIMOD_unimod_root_node},
    {UNIMOD_Bacillosamine, UNIMOD_unimod_root_node},
    {UNIMOD_MTSL, UNIMOD_unimod_root_node},
    {UNIMOD_HNE_BAHAH, UNIMOD_unimod_root_node},
    {UNIMOD_Methylmalonylation, UNIMOD_unimod_root_node},
}; // relationsIsA_


const size_t relationsIsASize_ = sizeof(relationsIsA_)/sizeof(CVIDPair);


CVIDPair relationsPartOf_[] =
{
    {MS_sample_name, MS_purgatory},
    {MS_inlet_type, MS_source},
    {MS_ionization_type, MS_source},
    {MS_analyzer_type, MS_purgatory},
    {MS_resolution_type, MS_purgatory},
    {MS_Scan_Function, MS_purgatory},
    {MS_scan_direction, MS_scan},
    {MS_scan_law, MS_scan},
    {MS_scanning_method, MS_purgatory},
    {MS_detector_type, MS_detector},
    {MS_detector_acquisition_mode, MS_detector},
    {MS_instrument_model, MS_instrument},
    {MS_polarity, MS_spectrum_instrument_description},
    {MS_peak_intensity, MS_peak},
    {MS_dissociation_method, MS_precursor_activation},
    {MS_ELEMENT2, MS_purgatory},
    {MS_electron_energy_obsolete, MS_purgatory},
    {MS_peak, MS_spectrum},
    {MS_mass_spectrometry, MS_purgatory},
    {MS_scan_m_z_range_, MS_purgatory},
    {MS_ion_, MS_purgatory},
    {MS_ion_reaction, MS_ion_},
    {MS_scan, MS_spectrum_generation_information},
    {MS_spectrum, MS_spectrum_generation_information},
    {MS_mass_analyzer_type, MS_mass_analyzer},
    {MS_m_z_Separation_Method, MS_purgatory},
    {MS_sequential_m_z_separation_method__, MS_purgatory},
    {MS_mass_analyzer, MS_instrument},
    {MS_data_transformation, MS_spectrum_generation_information},
    {MS_detector, MS_instrument},
    {MS_instrument_additional_description, MS_purgatory},
    {MS_ion_selection_attribute, MS_spectrum},
    {MS_precursor_activation, MS_spectrum},
    {MS_sample, MS_spectrum_generation_information},
    {MS_source, MS_instrument},
    {MS_spectrum_instrument_description, MS_purgatory},
    {MS_unit, MS_spectrum_generation_information},
    {MS_additional_description, MS_purgatory},
    {MS_ion_optics, MS_instrument},
    {MS_instrument, MS_spectrum_generation_information},
    {MS_scan_polarity, MS_scan},
    {MS_purgatory, MS_spectrum_generation_information},
    {MS_mass_analyzer_attribute, MS_mass_analyzer},
    {MS_detector_attribute, MS_detector},
    {MS_source_attribute, MS_source},
    {MS_instrument_attribute, MS_instrument},
    {MS_spectrum_attribute, MS_spectrum},
    {MS_scan_attribute, MS_scan},
    {MS_ion_role, MS_ion_},
    {MS_ion_attribute, MS_ion_},
    {MS_ion_chemical_type, MS_ion_},
    {MS_precursor_activation_attribute, MS_precursor_activation},
    {MS_binary_data_array, MS_spectrum},
    {MS_binary_data_array, MS_chromatogram},
    {MS_binary_data_type, MS_spectrum},
    {MS_binary_data_type, MS_chromatogram},
    {MS_data_file_content, MS_raw_data_file},
    {MS_spectrum_representation, MS_spectrum},
    {MS_software, MS_Proteomics_Standards_Initiative_Mass_Spectrometry_Vocabularies},
    {MS_object_attribute, MS_spectrum_generation_information},
    {MS_sample_attribute, MS_sample},
    {MS_selection_window_attribute, MS_scan},
    {MS_maldi_spot_identifier, MS_purgatory},
    {MS_spectrum_type, MS_spectrum},
    {MS_data_file_checksum_type, MS_raw_data_file},
    {MS_spectra_combination, MS_spectrum},
    {MS_binary_data_compression_type, MS_spectrum},
    {MS_binary_data_compression_type, MS_chromatogram},
    {MS_raw_data_file, MS_spectrum_generation_information},
    {MS_contact_person_attribute, MS_Proteomics_Standards_Initiative_Mass_Spectrometry_Vocabularies},
    {MS_measurement_method, MS_spectrum_generation_information},
    {MS_chromatogram, MS_spectrum_generation_information},
    {MS_chromatogram_type, MS_chromatogram},
    {MS_data_processing_parameter, MS_spectrum_generation_information},
    {MS_native_spectrum_identifier_format, MS_raw_data_file},
    {MS_isolation_window_attribute, MS_scan},
    {MS_chromatogram_attribute, MS_chromatogram},
    {MS_sample_preparation, MS_sample_attribute},
    {MS_MALDI_matrix_application, MS_sample_preparation},
    {MS_matrix_application_type, MS_MALDI_matrix_application},
    {MS_laser, MS_source_attribute},
    {MS_laser_attribute, MS_laser},
    {MS_laser_type, MS_laser},
    {MS_molecule, MS_chemical_compound},
    {MS_chemical_compound_attribute, MS_chemical_compound},
    {MS_chemical_compound_formula, MS_chemical_compound},
    {MS_external_reference_identifier, MS_Proteomics_Standards_Initiative_Mass_Spectrometry_Vocabularies},
    {MS_chemical_compound, MS_Proteomics_Standards_Initiative_Mass_Spectrometry_Vocabularies},
    {MS_protein_attribute, MS_protein},
    {MS_peptide_attribute, MS_peptide},
    {MS_standard, MS_Proteomics_Standards_Initiative_Mass_Spectrometry_Vocabularies},
    {MS_peak_intensity_rank, MS_peak},
    {MS_peak_targeting_suitability_rank, MS_peak},
    {MS_transition, MS_spectrum_generation_information},
    {MS_transition_validation_method, MS_transition},
    {MS_retention_time_window_attribute, MS_retention_time},
    {MS_target_list, MS_spectrum_generation_information},
    {MS_target_inclusion_exclusion_priority, MS_target_list},
    {MS_spectrum_interpretation, MS_Proteomics_Standards_Initiative_Mass_Spectrometry_Vocabularies},
    {MS_multiple_enzyme_combination_rules_OBSOLETE, MS_purgatory},
    {MS_modification_parameters, MS_spectrum_interpretation},
    {MS_scan_number_s__OBSOLETE, MS_purgatory},
    {MS_quantification_information, MS_spectrum_interpretation},
    {MS_Cleavage_agent_regular_expression, MS_cleavage_agent_details},
    {MS_search_result_details____OBSOLETE, MS_purgatory},
    {MS_search_input_details, MS_spectrum_interpretation},
    {MS_TODO_add_others_OBSOLETE, MS_purgatory},
    {MS_mass_table_options, MS_spectrum_interpretation},
    {MS_ambiguous_residues, MS_spectrum_interpretation},
    {MS_spectrum_identification_result_details, MS_spectrum_interpretation},
    {MS_spectrum_generation_information, MS_Proteomics_Standards_Initiative_Mass_Spectrometry_Vocabularies},
    {MS_file_format, MS_Proteomics_Standards_Initiative_Mass_Spectrometry_Vocabularies},
    {MS_peptide_modification_details, MS_spectrum_interpretation},
}; // relationsPartOf_


const size_t relationsPartOfSize_ = sizeof(relationsPartOf_)/sizeof(CVIDPair);


struct OtherRelationPair
{
    CVID subject;
    const char* relation;
    CVID object;
};


OtherRelationPair relationsOther_[] =
{
    {CVID_Unknown, "Unknown", CVID_Unknown},
    {MS_sample_mass, "has_units", UO_gram},
    {MS_sample_volume, "has_units", UO_milliliter},
    {MS_sample_concentration, "has_units", UO_gram_per_liter},
    {MS_accuracy, "has_units", MS_m_z},
    {MS_accuracy, "has_units", UO_parts_per_million},
    {MS_scan_rate, "has_units", MS_Th_s},
    {MS_scan_start_time, "has_units", UO_second},
    {MS_scan_start_time, "has_units", UO_minute},
    {MS_TOF_Total_Path_Length, "has_units", UO_meter},
    {MS_isolation_width, "has_units", MS_m_z},
    {MS_magnetic_field_strength, "has_units", UO_tesla},
    {MS_sampling_frequency, "has_units", UO_hertz},
    {MS_peak_intensity, "has_units", MS_percent_of_base_peak},
    {MS_peak_intensity, "has_units", MS_percent_of_base_peak_times_100},
    {MS_peak_intensity, "has_units", MS_number_of_counts},
    {MS_peak_intensity, "has_units", MS_counts_per_second},
    {MS_peak_intensity, "has_units", UO_absorbance_unit},
    {MS_collision_energy, "has_units", UO_electronvolt},
    {MS_accurate_mass, "has_units", UO_mass_unit},
    {MS_average_mass, "has_units", UO_mass_unit},
    {MS_appearance_energy, "has_units", UO_electronvolt},
    {MS_exact_mass, "has_units", UO_mass_unit},
    {MS_ionization_energy, "has_units", UO_electronvolt},
    {MS_mass_defect, "has_units", UO_mass_unit},
    {MS_molecular_mass, "has_units", UO_mass_unit},
    {MS_monoisotopic_mass, "has_units", UO_mass_unit},
    {MS_nominal_mass, "has_units", UO_mass_unit},
    {MS_accelerating_voltage, "has_units", UO_volt},
    {MS_electric_field_strength, "has_units", UO_volt_per_meter},
    {MS_source_potential, "has_units", UO_volt},
    {MS_scan_window_upper_limit, "has_units", MS_m_z},
    {MS_scan_window_lower_limit, "has_units", MS_m_z},
    {MS_dwell_time, "has_units", UO_second},
    {MS_dwell_time, "has_units", UO_minute},
    {MS_base_peak_m_z, "has_units", MS_m_z},
    {MS_base_peak_intensity, "has_units", MS_number_of_counts},
    {MS_base_peak_intensity, "has_units", MS_percent_of_base_peak},
    {MS_base_peak_intensity, "has_units", MS_counts_per_second},
    {MS_base_peak_intensity, "has_units", MS_percent_of_base_peak_times_100},
    {MS_base_peak_intensity, "has_units", UO_absorbance_unit},
    {MS_activation_energy, "has_units", UO_electronvolt},
    {MS_m_z_array, "has_units", MS_m_z},
    {MS_intensity_array, "has_units", MS_number_of_counts},
    {MS_intensity_array, "has_units", MS_percent_of_base_peak},
    {MS_intensity_array, "has_units", MS_counts_per_second},
    {MS_intensity_array, "has_units", MS_percent_of_base_peak_times_100},
    {MS_intensity_array, "has_units", UO_absorbance_unit},
    {MS_highest_observed_m_z, "has_units", MS_m_z},
    {MS_lowest_observed_m_z, "has_units", MS_m_z},
    {MS_time_array, "has_units", UO_second},
    {MS_time_array, "has_units", UO_minute},
    {MS_wavelength_array, "has_units", UO_nanometer},
    {MS_highest_observed_wavelength, "has_units", UO_nanometer},
    {MS_lowest_observed_wavelength, "has_units", UO_nanometer},
    {MS_low_intensity_threshold, "has_units", MS_number_of_counts},
    {MS_low_intensity_threshold, "has_units", MS_percent_of_base_peak},
    {MS_low_intensity_threshold, "has_units", MS_counts_per_second},
    {MS_low_intensity_threshold, "has_units", MS_percent_of_base_peak_times_100},
    {MS_low_intensity_threshold, "has_units", UO_absorbance_unit},
    {MS_high_intensity_threshold, "has_units", MS_number_of_counts},
    {MS_high_intensity_threshold, "has_units", MS_percent_of_base_peak},
    {MS_high_intensity_threshold, "has_units", MS_counts_per_second},
    {MS_high_intensity_threshold, "has_units", MS_percent_of_base_peak_times_100},
    {MS_high_intensity_threshold, "has_units", UO_absorbance_unit},
    {MS_selected_ion_m_z, "has_units", MS_m_z},
    {MS_inclusive_low_intensity_threshold, "has_units", MS_number_of_counts},
    {MS_inclusive_low_intensity_threshold, "has_units", MS_percent_of_base_peak},
    {MS_inclusive_low_intensity_threshold, "has_units", MS_counts_per_second},
    {MS_inclusive_low_intensity_threshold, "has_units", MS_percent_of_base_peak_times_100},
    {MS_inclusive_low_intensity_threshold, "has_units", UO_absorbance_unit},
    {MS_inclusive_high_intensity_threshold, "has_units", MS_number_of_counts},
    {MS_inclusive_high_intensity_threshold, "has_units", MS_percent_of_base_peak},
    {MS_inclusive_high_intensity_threshold, "has_units", MS_counts_per_second},
    {MS_inclusive_high_intensity_threshold, "has_units", MS_percent_of_base_peak_times_100},
    {MS_inclusive_high_intensity_threshold, "has_units", UO_absorbance_unit},
    {MS_isolation_window_upper_limit_OBSOLETE, "has_units", MS_m_z},
    {MS_isolation_window_lower_limit_OBSOLETE, "has_units", MS_m_z},
    {MS_analyzer_scan_offset, "has_units", MS_m_z},
    {MS_pressure_array, "has_units", UO_pascal},
    {MS_temperature_array, "has_units", UO_kelvin},
    {MS_elution_time, "has_units", UO_second},
    {MS_elution_time, "has_units", UO_minute},
    {MS_isolation_window_target_m_z, "has_units", MS_m_z},
    {MS_isolation_window_lower_offset, "has_units", MS_m_z},
    {MS_isolation_window_upper_offset, "has_units", MS_m_z},
    {MS_matrix_solution_concentration, "has_units", UO_gram_per_liter},
    {MS_wavelength, "has_units", UO_nanometer},
    {MS_focus_diameter_x, "has_units", UO_micrometer},
    {MS_focus_diameter_y, "has_units", UO_micrometer},
    {MS_pulse_energy, "has_units", UO_joule},
    {MS_pulse_duration, "has_units", UO_nanosecond},
    {MS_attenuation, "has_units", UO_percent},
    {MS_impact_angle, "has_units", UO_degree},
    {MS_collision_gas_pressure, "has_units", UO_pascal},
    {MS_declustering_potential, "has_units", UO_volt},
    {MS_cone_voltage, "has_units", UO_volt},
    {MS_tube_lens, "has_units", UO_volt},
    {MS_interchannel_delay, "has_units", UO_second},
    {MS_local_retention_time, "has_units", UO_second},
    {MS_local_retention_time, "has_units", UO_minute},
    {MS_normalized_retention_time, "has_units", UO_second},
    {MS_normalized_retention_time, "has_units", UO_minute},
    {MS_predicted_retention_time, "has_units", UO_second},
    {MS_predicted_retention_time, "has_units", UO_minute},
    {MS_product_ion_m_z_delta, "has_units", MS_m_z},
    {MS_retention_time_window_lower_offset, "has_units", UO_second},
    {MS_retention_time_window_lower_offset, "has_units", UO_minute},
    {MS_retention_time_window_upper_offset, "has_units", UO_second},
    {MS_retention_time_window_upper_offset, "has_units", UO_minute},
    {MS_ion_injection_time, "has_units", UO_millisecond},
    {MS_retention_time_s_, "has_units", UO_second},
    {MS_retention_time_s_, "has_units", UO_minute},
    {MS_theoretical_mass, "has_units", UO_dalton},
    {MS_DB_MW_filter_maximum, "has_units", UO_dalton},
    {MS_DB_MW_filter_maximum, "has_units", UO_kilodalton},
    {MS_DB_MW_filter_minimum, "has_units", UO_dalton},
    {MS_DB_MW_filter_minimum, "has_units", UO_kilodalton},
    {MS_product_ion_m_z_error, "has_units", MS_m_z},
    {MS_product_ion_m_z_error, "has_units", UO_parts_per_notation},
    {MS_local_FDR, "has_units", UO_parts_per_notation},
    {MS_local_FDR, "has_units", UO_percent},
    {MS_Trypsin, "has_regexp", MS______KR_____P_},
    {MS_Arg_C, "has_regexp", MS_____R____P_},
    {MS_Asp_N, "has_regexp", MS_____BD__},
    {MS_Asp_N_ambic, "has_regexp", MS_____DE__},
    {MS_Chymotrypsin, "has_regexp", MS______FYWL_____P_},
    {MS_CNBr, "has_regexp", MS_____M_},
    {MS_Formic_acid, "has_regexp", MS______D_______D__},
    {MS_Lys_C, "has_regexp", MS_____K____P_},
    {MS_Lys_C_P, "has_regexp", MS_____K_},
    {MS_PepsinA, "has_regexp", MS______FL__},
    {MS_TrypChymo, "has_regexp", MS______FYWLKR_____P_},
    {MS_Trypsin_P, "has_regexp", MS______KR__},
    {MS_V8_DE, "has_regexp", MS______BDEZ_____P_},
    {MS_V8_E, "has_regexp", MS______EZ_____P_},
    {MS_alternate_mass, "has_units", UO_dalton},
    {MS_search_tolerance_plus_value, "has_units", UO_parts_per_notation},
    {MS_search_tolerance_plus_value, "has_units", UO_percent},
    {MS_search_tolerance_plus_value, "has_units", UO_dalton},
    {MS_search_tolerance_minus_value, "has_units", UO_parts_per_notation},
    {MS_search_tolerance_minus_value, "has_units", UO_percent},
    {MS_search_tolerance_minus_value, "has_units", UO_dalton},
    {MS_fragment_neutral_loss, "has_units", UO_dalton},
    {MS_precursor_neutral_loss_, "has_units", UO_dalton},
    {UO_length_unit, "unit_of", UO_millimole},
    {UO_length_unit, "unit_of", UO_catalytic_activity_unit},
    {UO_length_unit, "unit_of", UO_plane_angle_unit},
    {UO_mass_unit, "unit_of", UO_steradian},
    {UO_mass_unit, "unit_of", UO_activity__of_a_radionuclide__unit},
    {UO_time_unit, "unit_of", UO_volume_percentage},
    {UO_temperature_unit, "unit_of", UO_microcurie},
    {UO_concentration_unit, "unit_of", UO_day},
    {UO_speed_velocity_unit, "unit_of", UO_meter},
    {UO_frequency_unit, "unit_of", UO_attomole},
    {UO_angle_unit, "unit_of", UO_curie},
    {UO_temperature_derived_unit, "unit_of", UO_microcurie},
    {UO_time_derived_unit, "unit_of", UO_volume_percentage},
}; // relationsOther_


const size_t relationsOtherSize_ = sizeof(relationsOther_)/sizeof(OtherRelationPair);


struct CVIDStringPair
{
    CVID first;
    const char* second;
};


CVIDStringPair relationsExactSynonym_[] =
{
    {CVID_Unknown, "Unknown"},
    {MS_magnetic_field_strength, "B"},
    {MS_m_z, "mass-to-charge ratio"},
    {MS_m_z, "Th"},
    {MS_m_z, "thomson"},
    {MS_charge_state, "z"},
    {MS_continuous_flow_fast_atom_bombardment, "CF-FAB"},
    {MS_atmospheric_pressure_chemical_ionization, "APCI"},
    {MS_chemical_ionization, "CI"},
    {MS_Electronic_Ionization_OBSOLETE, "EI"},
    {MS_electrospray_ionization, "ESI"},
    {MS_fast_atom_bombardment_ionization, "FAB"},
    {MS_matrix_assisted_laser_desorption_ionization, "MALDI"},
    {MS_fourier_transform_ion_cyclotron_resonance_mass_spectrometer, "FT_ICR"},
    {MS_quadrupole_ion_trap, "Paul Ion trap"},
    {MS_quadrupole_ion_trap, "QIT"},
    {MS_quadrupole_ion_trap, "Quistor"},
    {MS_time_of_flight, "TOF"},
    {MS_full_width_at_half_maximum, "FWHM"},
    {MS_multiple_reaction_monitoring_OBSOLETE, "MRM"},
    {MS_channeltron, "Channeltron Detector"},
    {MS_daly_detector, "Daly"},
    {MS_electron_multiplier_tube, "EMT"},
    {MS_microchannel_plate_detector, "multichannel plate"},
    {MS_photomultiplier, "PMT"},
    {MS_analog_digital_converter, "ADC"},
    {MS_time_digital_converter, "TDC"},
    {MS_centroid_spectrum, "Discrete Mass Spectrum"},
    {MS_profile_spectrum, "continuous mass spectrum"},
    {MS_profile_spectrum, "Continuum Mass Spectrum"},
    {MS_collision_induced_dissociation, "CID"},
    {MS_plasma_desorption, "PD"},
    {MS_post_source_decay, "PSD"},
    {MS_surface_induced_dissociation, "SID"},
    {MS_electron_volt_OBSOLETE, "eV"},
    {MS_selected_ion_monitoring, "Multiple Ion Monitoring"},
    {MS_selected_ion_monitoring, "SIM"},
    {MS_selected_reaction_monitoring, "SRM"},
    {MS_appearance_energy, "AE"},
    {MS_base_peak, "BP"},
    {MS_OBSOLETE_charge_number_OBSOLETE, "z"},
    {MS_dalton_OBSOLETE, "Da"},
    {MS_electron_affinity, "EA"},
    {MS_field_free_region, "FFR"},
    {MS_ionization_energy, "IE"},
    {MS_isotope_dilution_mass_spectrometry, "IDMS"},
    {MS_molecular_beam_mass_spectrometry, "MBMS"},
    {MS_multiphoton_ionization, "MPI"},
    {MS_proton_affinity, "PA"},
    {MS_total_ion_current_chromatogram, "TIC chromatogram"},
    {MS_unified_atomic_mass_unit_OBSOLETE, "u"},
    {MS_accelerator_mass_spectrometry, "AMS"},
    {MS_atmospheric_pressure_matrix_assisted_laser_desorption_ionization, "AP MALDI"},
    {MS_atmospheric_pressure_ionization, "API"},
    {MS_Atmostpheric_Pressure_Photoionization_OBSOLETE, "APPI"},
    {MS_blackbody_infrared_radiative_dissociation, "BIRD"},
    {MS_charge_remote_fragmentation, "CRF"},
    {MS_consecutive_reaction_monitoring, "CRM"},
    {MS_charge_stripping, "CS"},
    {MS_delayed_extraction, "DE"},
    {MS_desorption_ionization, "DI"},
    {MS_direct_insertion_probe, "DIP"},
    {MS_direct_liquid_introduction, "DLI"},
    {MS_electron_capture_dissociation, "ECD"},
    {MS_even_electron_ion, "EE"},
    {MS_electron_induced_excitation_in_organics, "EIEIO"},
    {MS_electron_multiplier, "EM"},
    {MS_electrostatic_energy_analyzer, "ESA"},
    {MS_flowing_afterglow, "FA"},
    {MS_high_field_asymmetric_waveform_ion_mobility_spectrometry, "FAIMS"},
    {MS_field_desorption, "FD"},
    {MS_field_ionization, "FI"},
    {MS_glow_discharge_ionization, "GD-MS"},
    {MS_ion_kinetic_energy_spectrometry, "IKES"},
    {MS_ion_mobility_spectrometry, "IMS"},
    {MS_infrared_multiphoton_dissociation, "IRMPD"},
    {MS_isotope_ratio_mass_spectrometry, "IRMS"},
    {MS_ion_trap, "IT"},
    {MS_kinetic_energy_release_distribution, "KERD"},
    {MS_Laser_Desorption_OBSOLETE, "Laser Ionization MERGE"},
    {MS_Laser_Desorption_OBSOLETE, "LD"},
    {MS_mass_analyzed_ion_kinetic_energy_spectrometry, "MIKES"},
    {MS_mass_spectrometry, "MS"},
    {MS_mass_spectrometry_mass_spectrometry, "MS/MS"},
    {MS_multiple_stage_mass_spectrometry, "MSn"},
    {MS_Negative_Ion_chemical_ionization, "NICI"},
    {MS_neutralization_reionization_mass_spectrometry, "NRMS"},
    {MS_photoionization, "PI"},
    {MS_pyrolysis_mass_spectrometry, "PyMS"},
    {MS_collision_quadrupole, "q"},
    {MS_resonance_enhanced_multiphoton_ionization, "REMPI"},
    {MS_residual_gas_analyzer, "RGA"},
    {MS_surface_enhanced_laser_desorption_ionization, "SELDI"},
    {MS_surface_enhanced_neat_desorption, "SEND"},
    {MS_suface_ionization_OBSOLETE, "SI"},
    {MS_selected_ion_flow_tube, "SIFT"},
    {MS_sustained_off_resonance_irradiation, "SORI"},
    {MS_Spark_Source_Mass_Spectrometry_OBSOLETE, "SSMS"},
    {MS_stored_waveform_inverse_fourier_transform, "SWIFT"},
    {MS_total_ion_current, "TIC"},
    {MS_time_lag_focusing, "TLF"},
    {MS_time_of_flight_mass_spectrometer, "TOF-MS"},
    {MS_constant_neutral_gain_scan, "Constant Neutral Mass Gain Scan"},
    {MS_constant_neutral_gain_spectrum, "constant neutral mass gain spectrum"},
    {MS_constant_neutral_loss_spectrum, "constant neutral mass loss spectrum"},
    {MS_progeny_ion, "Progeny Fragment Ion"},
    {MS_nanoelectrospray, "nanospray"},
    {MS_photodissociation, "Multiphoton Dissociation"},
    {MS_fast_ion_bombardment, "FIB"},
    {MS_mass_analyzer, "analyzer"},
    {MS_data_transformation, "data processing"},
    {MS_precursor_activation, "activation"},
    {MS_instrument, "instrument configuration"},
    {MS_6410_Triple_Quadrupole_LC_MS, "6410 Triple Quad LC/MS"},
    {MS_Applied_Biosystems_instrument_model, "ABI"},
    {MS_zoom_scan, "enhanced resolution scan"},
    {MS_massWolf, "wolf"},
    {MS_raw_data_file, "source file"},
    {MS_MS1_spectrum, "full spectrum"},
    {MS_MS1_spectrum, "Q1 spectrum"},
    {MS_MS1_spectrum, "Q3 spectrum"},
    {MS_MS1_spectrum, "Single-Stage Mass Spectrometry"},
    {MS_MSn_spectrum, "multiple-stage mass spectrometry spectrum"},
    {MS_MSn_spectrum, "nth generation product ion spectrum"},
    {MS_MSn_spectrum, "product ion spectrum"},
    {MS_SIM_spectrum, "MIM spectrum"},
    {MS_SIM_spectrum, "multiple ion monitoring spectrum"},
    {MS_SIM_spectrum, "selected ion monitoring spectrum"},
    {MS_SRM_spectrum, "MRM spectrum"},
    {MS_SRM_spectrum, "multiple reaction monitoring spectrum"},
    {MS_SRM_spectrum, "selected reaction monitoring spectrum"},
    {MS_low_intensity_data_point_removal, "thresholding"},
    {MS_electron_transfer_dissociation, "ETD"},
    {MS_pulsed_q_dissociation, "PQD"},
    {MS_ProteoWizard, "pwiz"},
    {MS_photodiode_array_detector, "PDA"},
    {MS_inductive_detector, "image current detector"},
    {MS_selected_ion_current_chromatogram, "SIC chromatogram"},
    {MS_native_spectrum_identifier_format, "nativeID format"},
    {MS_Gaussian_smoothing, "binomial smoothing"},
    {MS_Gaussian_smoothing, "Weierstrass transform"},
    {MS_moving_average_smoothing, "box smoothing"},
    {MS_moving_average_smoothing, "boxcar smoothing"},
    {MS_moving_average_smoothing, "sliding average smoothing"},
    {MS_area_peak_picking, "sum peak picking"},
    {MS_height_peak_picking, "max peak picking"},
    {MS_electromagnetic_radiation_spectrum, "EMR spectrum"},
    {MS_electromagnetic_radiation_chromatogram, "EMR radiation chromatogram"},
    {MS_isoelectric_point, "pI"},
    {MS_predicted_isoelectric_point, "predicted pI"},
    {MS_unlabeled_peptide, "light labeled peptide"},
    {MS_transition, "reaction"},
    {MS_product_ion_m_z, "fragment ion m/z"},
    {MS_product_ion_intensity, "fragment ion intensity"},
    {MS_selected_ion_monitoring_chromatogram, "SIM chromatogram"},
    {MS_selected_reaction_monitoring_chromatogram, "SRM chromatogram"},
    {MS_consecutive_reaction_monitoring_chromatogram_OBSOLETE, "CRM chromatogram"},
    {MS_FAIMS_compensation_voltage, "FAIMS CV"},
    {UO_meter, "m"},
    {UO_kilogram, "kg"},
    {UO_second, "s"},
    {UO_ampere, "A"},
    {UO_kelvin, "K"},
    {UO_mole, "mol"},
    {UO_candela, "cd"},
    {UO_centimeter, "cm"},
    {UO_millimeter, "mm"},
    {UO_micrometer, "um"},
    {UO_nanometer, "nm"},
    {UO_angstrom, "A"},
    {UO_picometer, "pm"},
    {UO_gram, "g"},
    {UO_milligram, "mg"},
    {UO_microgram, "ug"},
    {UO_nanogram, "ng"},
    {UO_picogram, "pg"},
    {UO_femtogram, "fg"},
    {UO_degree_celsius, "C"},
    {UO_millisecond, "ms"},
    {UO_microsecond, "us"},
    {UO_picosecond, "ps"},
    {UO_minute, "min"},
    {UO_hour, "h"},
    {UO_milliampere, "mA"},
    {UO_microampere, "uA"},
    {UO_micromole, "umol"},
    {UO_millimole, "mmol"},
    {UO_nanomole, "nmol"},
    {UO_picomole, "pmol"},
    {UO_femtomole, "fmol"},
    {UO_attomole, "amol"},
    {UO_mass_density_unit, "mass per unit volume"},
    {UO_area_density_unit, "mass per unit area unit"},
    {UO_molar, "M"},
    {UO_millimolar, "mM"},
    {UO_micromolar, "uM"},
    {UO_nanomolar, "nM"},
    {UO_picomolar, "pM"},
    {UO_molal, "m"},
    {UO_millimolal, "mm"},
    {UO_micromolal, "um"},
    {UO_nanomolal, "nm"},
    {UO_picomolal, "pm"},
    {UO_femtomolar, "fM"},
    {UO_normal, "N"},
    {UO_mole_fraction, "(x)"},
    {UO_mole_fraction, "chi"},
    {UO_meter_per_second_per_second, "m/s^[2]"},
    {UO_radian_per_second_per_second, "alpha"},
    {UO_radian_per_second_per_second, "rad/s^[2]"},
    {UO_radian_per_second, "rad/s"},
    {UO_square_meter, "m^[2]"},
    {UO_square_centimeter, "cm^[2]"},
    {UO_square_millimeter, "mm^[2]"},
    {UO_kilogram_per_cubic_meter, "kg/m^[3]"},
    {UO_gram_per_cubic_centimeter, "g/cm^[3]"},
    {UO_candela_per_square_meter, "cd/m^[2]"},
    {UO_kilogram_per_square_meter, "Body Mass Index (BMI)"},
    {UO_kilogram_per_square_meter, "kg/m^[2]"},
    {UO_kilogram_per_mole, "kg/mol"},
    {UO_gram_per_mole, "g/mol"},
    {UO_cubic_meter_per_mole, "m^[3]/mol"},
    {UO_cubic_centimeter_per_mole, "cm^[3]/mol"},
    {UO_kilogram_meter_per_second, "kg.m/s"},
    {UO_one_turn_per_second, "1/s"},
    {UO_cubic_meter_per_kilogram, "m^[3]/kg"},
    {UO_meter_per_second, "m/s"},
    {UO_cubic_meter, "m^[3]"},
    {UO_cubic_centimeter, "cc"},
    {UO_cubic_centimeter, "cm^3"},
    {UO_milliliter, "ml"},
    {UO_liter, "l"},
    {UO_liter, "L"},
    {UO_cubic_decimeter, "dm^[3]"},
    {UO_microliter, "ul"},
    {UO_nanoliter, "nl"},
    {UO_picoliter, "pl"},
    {UO_femtoliter, "fl"},
    {UO_hertz, "Hz"},
    {UO_newton, "N"},
    {UO_pascal, "Pa"},
    {UO_joule, "J"},
    {UO_watt, "W"},
    {UO_lux, "lx"},
    {UO_lumen, "lm"},
    {UO_katal, "kat"},
    {UO_radian, "rad"},
    {UO_steradian, "sr"},
    {UO_becquerel, "Bq"},
    {UO_curie, "Ci"},
    {UO_gray, "Gy"},
    {UO_rad, "rad"},
    {UO_roentgen, "R"},
    {UO_sievert, "Sv"},
    {UO_millisievert, "mSv"},
    {UO_microsievert, "uSv"},
    {UO_Roentgen_equivalent_man, "rem"},
    {UO_microgray, "uGy"},
    {UO_milligray, "mGy"},
    {UO_nanogray, "nGy"},
    {UO_nanosievert, "nSv"},
    {UO_millicurie, "mCi"},
    {UO_microcurie, "uCi"},
    {UO_disintegrations_per_minute, "dpm"},
    {UO_counts_per_minute, "cpm"},
    {UO_nanosecond, "ns"},
    {UO_foot_candle, "ft-c"},
    {UO_watt_per_square_meter, "W/m^[2]"},
    {UO_einstein_per_square_meter_per_second, "einstein/sm^[2]"},
    {UO_einstein_per_square_meter_per_second, "mole per second and square meter mol/sm^2"},
    {UO_watt_per_steradian_per_square_meter, "W/sr m^[2]"},
    {UO_microeinstein_per_square_meter_per_second, "micromole per second and square meter mmol/sm^2"},
    {UO_microeinstein_per_square_meter_per_second, "umicroeinstein/sm^[2]"},
    {UO_watt_per_steradian, "W/sr"},
    {UO_mass_percentage, "w/w"},
    {UO_mass_percentage, "weight-weight percentage"},
    {UO_mass_volume_percentage, "(w/v)"},
    {UO_mass_volume_percentage, "weight-volume percentage"},
    {UO_volume_percentage, "% (v/v)"},
    {UO_parts_per_hundred, "10^[-2]"},
    {UO_parts_per_hundred, "pph"},
    {UO_parts_per_thousand, "10^[-3]"},
    {UO_parts_per_thousand, "ppth"},
    {UO_parts_per_million, "10^[-6]"},
    {UO_parts_per_million, "ppm"},
    {UO_parts_per_billion, "10^[-9]"},
    {UO_parts_per_billion, "ppb"},
    {UO_parts_per_trillion, "10^[-12]"},
    {UO_parts_per_trillion, "ppt"},
    {UO_parts_per_quadrillion, "10^[-15]"},
    {UO_parts_per_quadrillion, "ppq"},
    {UO_gram_per_milliliter, "g/ml"},
    {UO_kilogram_per_liter, "kg/L"},
    {UO_gram_per_liter, "g/L"},
    {UO_milligram_per_milliliter, "mg/ml"},
    {UO_unit_per_milliliter, "U/ml"},
    {UO_unit_per_liter, "U/l"},
    {UO_enzyme_unit, "U"},
    {UO_kilogram_per_meter, "kg/m"},
    {UO_percent, "%"},
    {UO_count_unit, "count"},
    {UO_degree_fahrenheit, "F"},
    {UO_liter_per_kilogram, "l/kg"},
    {UO_milliliter_per_kilogram, "ml/kg"},
    {UO_microliter_per_kilogram, "ul/kg"},
    {UO_cells_per_milliliter, "cells per ml"},
    {UO_katal_per_cubic_meter, "kat/m^[3]"},
    {UO_katal_per_liter, "kat/l"},
    {UO_milliliter_per_cubic_meter, "ml/m^[3]"},
    {UO_milliliter_per_liter, "ml/l"},
    {UO_gram_per_deciliter, "g/dl"},
    {UO_deciliter, "dl"},
    {UO_colony_forming_unit, "cfu"},
    {UO_plaque_forming_unit, "pfu"},
    {UO_colony_forming_unit_per_milliliter, "cfu/ml"},
    {UO_plaque_forming_unit_per_milliliter, "pfu/ml"},
    {UO_disintegrations_per_second, "dps"},
    {UO_volt, "V"},
    {UO_coulomb, "C"},
    {UO_dalton, "Da"},
    {UO_dalton, "u"},
    {UO_dalton, "unified atomic mass unit"},
    {UO_kilodalton, "kDa"},
    {UO_watt_hour, "Wh"},
    {UO_weber, "V s"},
    {UO_weber, "Wb"},
    {UO_magnetic_flux_density, "B"},
    {UO_tesla, "T"},
    {UO_tesla, "Wb/m2"},
    {UO_volt_hour, "Vh"},
    {UO_kilovolt_hour, "kVh"},
    {UO_byte, "B"},
    {UO_kilobyte, "kB"},
    {UO_megabyte, "MB"},
    {UO_dots_per_inch, "dpi"},
    {UO_micron, "micrometer"},
    {UO_pixels_per_inch, "pixel density"},
    {UO_pixels_per_inch, "ppi"},
    {UO_base_pair, "bp"},
    {UO_kibibyte, "KiB"},
    {UO_mebibyte, "MiB"},
    {UO_millivolt, "mV"},
    {UO_kilovolt, "kV"},
    {UO_microvolt, "uV"},
    {UO_nanovolt, "nV"},
    {UO_picovolt, "pV"},
    {UO_megavolt, "MV"},
    {UO_newton_per_meter, "N/m"},
    {UO_dyne_per_cm, "dyn/cm"},
    {UO_pascal_second, "Pa  s"},
    {UO_poise, "dyne s/cm^2"},
    {UO_poise, "P"},
    {UO_decibel, "dB"},
    {UO_siemens, "A V^-1"},
    {UO_watt_per_meter_kelvin, "W/m K"},
    {UO_electronvolt, "electron volt"},
    {UO_electronvolt, "eV"},
    {UO_electric_field_strength_unit, "E-field strength "},
    {UO_volt_per_meter, "V/m"},
    {UO_absorbance_unit, "AU"},
    {UO_microgram_per_liter, "ug/L"},
}; // relationsExactSynonym_


const size_t relationsExactSynonymSize_ = sizeof(relationsExactSynonym_)/sizeof(CVIDStringPair);


class CVTermData : public boost::singleton<CVTermData>
{
    public:
    CVTermData(boost::restricted)
    {
        for (const TermInfo* it=termInfos_; it!=termInfos_+termInfosSize_; ++it)
        {
            CVTermInfo temp;
            temp.cvid = it->cvid;
            temp.id = it->id;
            temp.name = it->name;
            temp.def = it->def;
            temp.isObsolete = it->isObsolete;
            infoMap_[temp.cvid] = temp;
            cvids_.push_back(it->cvid);
        }

        for (const CVIDPair* it=relationsIsA_; it!=relationsIsA_+relationsIsASize_; ++it)
            infoMap_[it->first].parentsIsA.push_back(it->second);

        for (const CVIDPair* it=relationsPartOf_; it!=relationsPartOf_+relationsPartOfSize_; ++it)
            infoMap_[it->first].parentsPartOf.push_back(it->second);

        for (const OtherRelationPair* it=relationsOther_; it!=relationsOther_+relationsOtherSize_; ++it)
            infoMap_[it->subject].otherRelations.insert(make_pair(it->relation, it->object));

        for (const CVIDStringPair* it=relationsExactSynonym_; it!=relationsExactSynonym_+relationsExactSynonymSize_; ++it)
            infoMap_[it->first].exactSynonyms.push_back(it->second);

        cvMap_["MS"].fullName = "Proteomics Standards Initiative Mass Spectrometry Ontology";
        cvMap_["MS"].URI = "http://psidev.cvs.sourceforge.net/*checkout*/psidev/psi/psi-ms/mzML/controlledVocabulary/psi-ms.obo";

        cvMap_["UO"].fullName = "Unit Ontology";
        cvMap_["UO"].URI = "http://obo.cvs.sourceforge.net/*checkout*/obo/obo/ontology/phenotype/unit.obo";

        cvMap_["MS"].id = "MS";
        cvMap_["MS"].version = "2.38.0";

        cvMap_["UO"].id = "UO";
        cvMap_["UO"].version = "11:02:2010";

        cvMap_["UNIMOD"].id = "UNIMOD";
        cvMap_["UNIMOD"].version = "19:11:2008";

    }

    inline const map<CVID,CVTermInfo>& infoMap() const {return infoMap_;}
    inline const map<string,CV>& cvMap() const {return cvMap_;}
    inline const vector<CVID>& cvids() const {return cvids_;}

    private:
    map<CVID,CVTermInfo> infoMap_;
    map<string,CV> cvMap_;
    vector<CVID> cvids_;
};


const char* oboPrefixes_[] =
{
    "MS",
    "UO",
    "UNIMOD",
};


const size_t oboPrefixesSize_ = sizeof(oboPrefixes_)/sizeof(const char*);


const size_t enumBlockSize_ = 100000000;


struct StringEquals
{
    bool operator()(const string& yours) {return mine==yours;}
    string mine;
    StringEquals(const string& _mine) : mine(_mine) {}
};


} // namespace


PWIZ_API_DECL bool CV::operator==(const CV& that) const
{
    return id == that.id && fullName == that.fullName && URI == that.URI && version == that.version;
}


PWIZ_API_DECL bool CV::empty() const
{
    return id.empty() && fullName.empty() && URI.empty() && version.empty();
}


PWIZ_API_DECL const CV& cv(const string& prefix)
{
    const map<string,CV>& cvMap = CVTermData::instance->cvMap();
    if (cvMap.find(prefix) == cvMap.end())
        throw invalid_argument("[cv()] no CV associated with prefix \"" + prefix + "\"");
    return cvMap.find(prefix)->second;
}


PWIZ_API_DECL const string& CVTermInfo::shortName() const
{
    const string* result = &name;
    for (vector<string>::const_iterator it=exactSynonyms.begin(); it!=exactSynonyms.end(); ++it)
        if (result->size() > it->size())
            result = &*it;
    return *result;
}


PWIZ_API_DECL string CVTermInfo::prefix() const
{
    return id.substr(0, id.find_first_of(":"));
}


PWIZ_API_DECL const CVTermInfo& cvTermInfo(CVID cvid)
{
    const map<CVID,CVTermInfo>& infoMap = CVTermData::instance->infoMap();
    map<CVID,CVTermInfo>::const_iterator itr = infoMap.find(cvid);
    if (itr == infoMap.end())
        throw invalid_argument("[cvTermInfo()] no term associated with CVID \"" + lexical_cast<string>(cvid) + "\"");
    return itr->second;
}


inline unsigned int stringToCVID(const std::string& str)
{
    errno = 0;
    const char* stringToConvert = str.c_str();
    const char* endOfConversion = stringToConvert;
    unsigned int value = (unsigned int) strtoul (stringToConvert, const_cast<char**>(&endOfConversion), 10);
    if (( value == 0u && stringToConvert == endOfConversion) || // error: conversion could not be performed
        errno != 0 ) // error: overflow or underflow
        throw bad_lexical_cast();
    return value;
}


PWIZ_API_DECL const CVTermInfo& cvTermInfo(const string& id)
{
    CVID cvid = CVID_Unknown;

    vector<string> tokens;
    tokens.reserve(2);
    bal::split(tokens, id, bal::is_any_of(":"));
    if (tokens.size() != 2)
        throw invalid_argument("[cvTermInfo()] Error splitting id \"" + id + "\" into prefix and numeric components");
    const string& prefix = tokens[0];
    const string& cvidStr = tokens[1];

    const char** it = find_if(oboPrefixes_, oboPrefixes_+oboPrefixesSize_,
                              StringEquals(prefix.c_str()));

    if (it != oboPrefixes_+oboPrefixesSize_)
       cvid = (CVID)((it-oboPrefixes_)*enumBlockSize_ + stringToCVID(cvidStr));

    return CVTermData::instance->infoMap().find(cvid)->second;
}


PWIZ_API_DECL bool cvIsA(CVID child, CVID parent)
{
    if (child == parent) return true;
    const CVTermInfo& info = cvTermInfo(child);
    for (CVTermInfo::id_list::const_iterator it=info.parentsIsA.begin(); it!=info.parentsIsA.end(); ++it)
        if (cvIsA(*it,parent)) return true;
    return false;
}


PWIZ_API_DECL const vector<CVID>& cvids()
{
   return CVTermData::instance->cvids();
}


} // namespace cv
} // namespace pwiz


